import hdPlugin from 'hd-plugin-base-util'
const axios = hdPlugin.axios
/*
 保存模块接口
 */
export const saveModule = (data) => {
  let url = '/api/ac/form/scpcwService/sModule'
  return axios.request({
    url: url,
    data: data,
    type: 'post'
  })
}

export const getSql = (data) => {
  return axios.request({
    url: '/api/ac/form/scpcwService/getSql',
    data: data,
    type: 'post'
  })
}

export const deleteTable = (data) => {
  return axios.request({
    url: '/api/ac/form/scpcwService/delTable',
    data: data,
    type: 'post'
  })
}

export const moduleList = (data) => {
  return axios.request({
    url: '/api/ac/form/scpcwService/moduleList',
    data: data,
    type: 'post'
  })
}
/**
 * 获取数据下的所有表
 * @param data
 * @returns {*}
 */
export const findTableList = (data) => {
  let url = '/api/ac/form/scpcwService/findTableList'
  return axios.request({
    url: url,
    data: data,
    type: 'get'
  })
}
/**
 * 获取表的详细信息
 * @param data
 * @returns {*}
 */
export const getTableInfoList = (data) => {
  let url = '/api/ac/form/scpcwService/getTableInfoList'
  return axios.request({
    url: url,
    data: data,
    type: 'get'
  })
}
/**
 * 保存表格数据接口
 * @param data
 * @returns {*}
 */
export const saveTable = (data) => {
  let url = '/api/ac/form/scpcwService/sTable'
  return axios.request({
    url: url,
    data: data,
    type: 'post'
  })
}
export const getPage = (data) => {
  let url = '/api/ac/form/scpcwService/getPage'
  return axios.request({
    url: url,
    data: data,
    type: 'post'
  })
}

export const getTable = (data) => {
  let url = '/api/ac/form/scpcwService/getTable'
  return axios.request({
    url: url,
    data: data,
    type: 'post'
  })
}

export const savePage = (data) => {
  let url = '/api/ac/form/scpcwService/sPage'
  return axios.request({
    url: url,
    data: data,
    type: 'post'
  })
}

// 获取远端字典（废弃）
export const getFarDictList = (data) => {
  return axios.request({
    url: '/api/us/sc/dict/getList',
    data: data,
    type: 'post'
  })
}
/**
 * 获取模块的分类
 * @param data
 * @returns {*}
 */
export const getModuleCategory = (data) => {
  return axios.request({
    url: '/wl/table/getCategoryList',
    data: data,
    type: 'get'
  })
}
/**
 * php获取table的列表
 * @param data
 * @returns {*}
 */
export const getTableList = (data) => {
  return axios.request({
    url: '/wl/table/getTableList',
    data: data,
    type: 'get'
  })
}
