import WlFormMaking from './wl-form-making'
import DraggableItem from './wl-form-making/components/DraggableItem'
import test9001 from './test9001'
import './wl-form-making/style/cover.less'
import './wl-form-making/style/index.less'
import './wl-form-making/style/editor.less'
const components = [
  WlFormMaking,
  DraggableItem,
  test9001
]

// 定义 install 方法
const install = function (Vue) {
  if (install.installed) return
  install.installed = true
  // 遍历并注册全局组件
  components.map(component => {
    Vue.component(component.name, component)
  })
}

if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue)
}

export default {
  // 导出的对象必须具备一个 install 方法
  install,
  // 组件列表
  ...components
}
