export const styleObj = {
  'background': {
    sel: false,
    val: '',
    type: '1',
    title: '设置背景属性',
    is_color: true,
    tips: [
      {
        'value': '#00FF00 url(\'URL\') no-repeat fixed top',
        'label': '第一个值设置背景颜色；第二个值设置图片路径；第三个值设置图像不重复；第四个值当页面的其余部分滚动时，背景图像不会移动；第五个值设置图片位置'
      },
      { 'value': 'inherit', 'label': '应该从父元素继承 background 属性的设置' }
    ]
  },
  'background-color': {
    sel: false,
    val: '',
    type: '1',
    title: '背景颜色',
    is_color: true,
    tips: [{ 'value': 'transparent', 'label': '默认。背景颜色为透明。' },
      { 'value': 'Red', 'label': '红色' },
      { 'value': 'Yellow', 'label': '黄色' },
      { 'value': 'Black', 'label': '黑色' },
      { 'value': 'Blue', 'label': '蓝色' },
      { 'value': 'Cyan', 'label': '青色' },
      { 'value': 'Gray', 'label': '灰色' },
      { 'value': 'Green', 'label': '绿色' },
      { 'value': 'Pink', 'label': '粉色' },
      { 'value': 'Brown', 'label': '棕色' },
      { 'value': 'Purple', 'label': '紫色' },
      { 'value': 'White', 'label': '白色' },
      { 'value': 'inherit', 'label': '从父元素继承 background-color 属性的设置' }]
  },
  'background-image': {
    sel: false,
    val: '',
    type: '1',
    title: '背景图像',
    tips: [{ 'value': 'none', 'label': '默认值。不显示背景图像。' },
      { 'value': 'url(\'URL\')', 'label': '指向图像的路径。' },
      { 'value': 'inherit', 'label': '从父元素继承 background-image 属性的设置' }]
  },
  'background-attachment': {
    sel: false,
    val: '',
    type: '1',
    title: '图像固定或滚动',
    tips: [{ 'value': 'scroll', 'label': '默认值。背景图像会随着页面其余部分的滚动而移动' },
      { 'value': 'fixed', 'label': '当页面的其余部分滚动时，背景图像不会移动' },
      { 'value': 'inherit', 'label': '从父元素继承 background-attachment 属性的设置' }]
  },
  'background-position': {
    sel: false,
    val: '',
    type: '1',
    title: '图像的开始位置',
    tips: [{ 'value': 'x% y%', 'label': '第一个值是水平位置，第二个值是垂直位置' },
      { 'value': 'xpx ypx', 'label': '第一个值是水平位置，第二个值是垂直位置。' },
      {
        'value': 'top left',
        'label': '可设定值top/center/bottom left/center/right 。如果您仅规定了一个关键词，那么第二个值将是"center"'
      }]
  },
  'background-repeat': {
    sel: false,
    val: '',
    type: '1',
    title: '图像是否及如何重复',
    tips: [{ 'value': 'repeat', 'label': '默认。背景图像将在垂直方向和水平方向重复。' },
      { 'value': 'repeat-x', 'label': '背景图像将在水平方向重复。' },
      { 'value': 'repeat-y', 'label': '背景图像将在垂直方向重复。' },
      { 'value': 'no-repeat', 'label': '背景图像将仅显示一次。' },
      { 'value': 'inherit', 'label': '规定应该从父元素继承 background-repeat 属性的设置。' }]
  },
  'background-size': {
    sel: false,
    val: '',
    type: '1',
    title: '设置背景图片的尺寸',
    is_color: true,
    tips: [
      {
        'value': 'background-size:80px 60px',
        'label': '设置背景图像的高度和宽度。第一个值设置宽度，第二个值设置高度。如果只设置一个值，则第二个值会被设置为 "auto"'
      },
      { 'value': 'percentage', 'label': '以父元素的百分比来设置背景图像的宽度和高度。第一个值设置宽度，第二个值设置高度。如果只设置一个值，则第二个值会被设置为 "auto"' },
      { 'value': 'cover', 'label': '把背景图像扩展至足够大，以使背景图像完全覆盖背景区域。背景图像的某些部分也许无法显示在背景定位区域中。' },
      { 'value': 'contain', 'label': '把图像图像扩展至最大尺寸，以使其宽度和高度完全适应内容区域。' }
    ]
  },
  'background-origin': {
    sel: false,
    val: '',
    type: '1',
    title: '设置背景图片的定位区域',
    is_color: true,
    tips: [
      { 'value': 'padding-box', 'label': '背景图像相对于内边距框来定位' },
      { 'value': 'border-box', 'label': '背景图像相对于边框盒来定位' },
      { 'value': 'content-box', 'label': '背景图像相对于内容框来定位' }
    ]
  },
  'background-clip': {
    sel: false,
    val: '',
    type: '1',
    title: '设置背景的绘制区域',
    is_color: true,
    tips: [
      { 'value': 'border-box', 'label': '背景被裁剪到边框盒' },
      { 'value': 'padding-box', 'label': '背景被裁剪到内边距框' },
      { 'value': 'content-box', 'label': '背景被裁剪到内容框' }
    ]
  },
  'border': {
    sel: false,
    val: '',
    type: '2',
    title: '设置所有的边框属性',
    is_color: true,
    tips: [
      { 'value': 'border:5px solid red', 'label': '第一个值设置边框的宽度；第二个值设置边框的样式；第三个值设置边框的颜色' },
      { 'value': 'inherit', 'label': '从父元素继承 border 属性的设置' }
    ]
  },
  'border-color': {
    sel: false,
    val: '',
    type: '2',
    is_color: true,
    title: '四条边框的颜色',
    tips: [
      { 'value': 'transparent', 'label': '默认。背景颜色为透明。' },
      { 'value': 'Red', 'label': '红色' },
      { 'value': 'Yellow', 'label': '黄色' },
      { 'value': 'Black', 'label': '黑色' },
      { 'value': 'Blue', 'label': '蓝色' },
      { 'value': 'Cyan', 'label': '青色' },
      { 'value': 'Gray', 'label': '灰色' },
      { 'value': 'Green', 'label': '绿色' },
      { 'value': 'Pink', 'label': '粉色' },
      { 'value': 'Brown', 'label': '棕色' },
      { 'value': 'Purple', 'label': '紫色' },
      { 'value': 'White', 'label': '白色' },
      { 'value': 'inherit', 'label': '从父元素继承边框颜色' }
    ]
  },
  'border-style': {
    sel: false,
    val: '',
    type: '2',
    title: '四条边框的样式',
    tips: [{ 'value': 'none', 'label': '定义无边框' },
      { 'value': 'hidden', 'label': '与 "none" 相同。不过应用于表时除外，对于表，hidden 用于解决边框冲突' },
      { 'value': 'dotted', 'label': '定义点状边框。在大多数浏览器中呈现为实线' },
      { 'value': 'dashed', 'label': '定义虚线。在大多数浏览器中呈现为实线' },
      { 'value': 'solid', 'label': '定义实线' },
      { 'value': 'double', 'label': '定义双线。双线的宽度等于 border-width 的值' },
      { 'value': 'groove', 'label': '定义 3D 凹槽边框。其效果取决于 border-color 的值' },
      { 'value': 'ridge', 'label': '定义 3D 垄状边框。其效果取决于 border-color 的值' },
      { 'value': 'inset', 'label': '定义 3D inset 边框。其效果取决于 border-color 的值' },
      { 'value': 'outset', 'label': '定义 3D outset 边框。其效果取决于 border-color 的值' },
      { 'value': 'inherit', 'label': '从父元素继承边框样式' }
    ]
  },
  'border-width': {
    sel: false,
    val: '',
    type: '2',
    title: '四条边框的宽度',
    tips: [
      { 'value': 'medium', 'label': '默认。定义中等的边框' },
      { 'value': 'thin', 'label': '定义细的边框' },
      { 'value': 'thick', 'label': '定义粗的边框' },
      { 'value': 'length', 'label': '自定义边框的宽度' },
      { 'value': 'inherit', 'label': '从父元素继承边框宽度' }
    ]
  },
  'border-bottom': {
    sel: false,
    val: '',
    type: '2',
    title: '设置所有的下边框属性',
    tips: [
      { 'value': 'border-bottom:thick dotted #ff0000', 'label': '第一个值设置下边框宽带；第二个值设置下边框样式；第三个值设置下边框颜色' },
      { 'value': 'inherit', 'label': '从父元素继承 border-bottom 属性的设置' }
    ]
  },
  'border-bottom-color': { sel: false,
    val: '',
    type: '2',
    is_color: true,
    title: '下边框的颜色',
    tips: [
      { 'value': 'transparent', 'label': '默认。背景颜色为透明。' },
      { 'value': 'Red', 'label': '红色' },
      { 'value': 'Yellow', 'label': '黄色' },
      { 'value': 'Black', 'label': '黑色' },
      { 'value': 'Blue', 'label': '蓝色' },
      { 'value': 'Cyan', 'label': '青色' },
      { 'value': 'Gray', 'label': '灰色' },
      { 'value': 'Green', 'label': '绿色' },
      { 'value': 'Pink', 'label': '粉色' },
      { 'value': 'Brown', 'label': '棕色' },
      { 'value': 'Purple', 'label': '紫色' },
      { 'value': 'White', 'label': '白色' },
      { 'value': 'inherit', 'label': '从父元素继承边框颜色' }
    ]
  },
  'border-bottom-style': { sel: false,
    val: '',
    type: '2',
    title: '下边框的样式',
    tips: [{ 'value': 'none', 'label': '定义无边框' },
      { 'value': 'hidden', 'label': '与 "none" 相同。不过应用于表时除外，对于表，hidden 用于解决边框冲突' },
      { 'value': 'dotted', 'label': '定义点状边框。在大多数浏览器中呈现为实线' },
      { 'value': 'dashed', 'label': '定义虚线。在大多数浏览器中呈现为实线' },
      { 'value': 'solid', 'label': '定义实线' },
      { 'value': 'double', 'label': '定义双线。双线的宽度等于 border-width 的值' },
      { 'value': 'groove', 'label': '定义 3D 凹槽边框。其效果取决于 border-color 的值' },
      { 'value': 'ridge', 'label': '定义 3D 垄状边框。其效果取决于 border-color 的值' },
      { 'value': 'inset', 'label': '定义 3D inset 边框。其效果取决于 border-color 的值' },
      { 'value': 'outset', 'label': '定义 3D outset 边框。其效果取决于 border-color 的值' },
      { 'value': 'inherit', 'label': '从父元素继承边框样式' }
    ]
  },
  'border-bottom-width': { sel: false,
    val: '',
    type: '2',
    title: '下边框的宽度',
    tips: [
      { 'value': 'medium', 'label': '默认。定义中等的边框' },
      { 'value': 'thin', 'label': '定义细的边框' },
      { 'value': 'thick', 'label': '定义粗的边框' },
      { 'value': 'length', 'label': '自定义边框的宽度' },
      { 'value': 'inherit', 'label': '从父元素继承边框宽度' }
    ] },
  'border-left': { sel: false,
    val: '',
    type: '2',
    is_color: true,
    title: '设置所有的左边框属性',
    tips: [
      { 'value': 'border-left:thick double #ff0000', 'label': '第一个值设置左边框宽带；第二个值设置左边框样式；第三个值设置左边框颜色' },
      { 'value': 'inherit', 'label': '从父元素继承 border-left 属性的设置' }
    ]
  },
  'border-left-color': { sel: false,
    val: '',
    type: '2',
    is_color: true,
    title: '左边框的颜色',
    tips: [
      { 'value': 'transparent', 'label': '默认。背景颜色为透明。' },
      { 'value': 'Red', 'label': '红色' },
      { 'value': 'Yellow', 'label': '黄色' },
      { 'value': 'Black', 'label': '黑色' },
      { 'value': 'Blue', 'label': '蓝色' },
      { 'value': 'Cyan', 'label': '青色' },
      { 'value': 'Gray', 'label': '灰色' },
      { 'value': 'Green', 'label': '绿色' },
      { 'value': 'Pink', 'label': '粉色' },
      { 'value': 'Brown', 'label': '棕色' },
      { 'value': 'Purple', 'label': '紫色' },
      { 'value': 'White', 'label': '白色' },
      { 'value': 'inherit', 'label': '从父元素继承边框颜色' }
    ] },
  'border-left-style': { sel: false,
    val: '',
    type: '2',
    title: '左边框的样式',
    tips: [{ 'value': 'none', 'label': '定义无边框' },
      { 'value': 'hidden', 'label': '与 "none" 相同。不过应用于表时除外，对于表，hidden 用于解决边框冲突' },
      { 'value': 'dotted', 'label': '定义点状边框。在大多数浏览器中呈现为实线' },
      { 'value': 'dashed', 'label': '定义虚线。在大多数浏览器中呈现为实线' },
      { 'value': 'solid', 'label': '定义实线' },
      { 'value': 'double', 'label': '定义双线。双线的宽度等于 border-width 的值' },
      { 'value': 'groove', 'label': '定义 3D 凹槽边框。其效果取决于 border-color 的值' },
      { 'value': 'ridge', 'label': '定义 3D 垄状边框。其效果取决于 border-color 的值' },
      { 'value': 'inset', 'label': '定义 3D inset 边框。其效果取决于 border-color 的值' },
      { 'value': 'outset', 'label': '定义 3D outset 边框。其效果取决于 border-color 的值' },
      { 'value': 'inherit', 'label': '从父元素继承边框样式' }
    ]
  },
  'border-left-width': { sel: false,
    val: '',
    type: '2',
    title: '左边框的宽度',
    tips: [
      { 'value': 'medium', 'label': '默认。定义中等的边框' },
      { 'value': 'thin', 'label': '定义细的边框' },
      { 'value': 'thick', 'label': '定义粗的边框' },
      { 'value': 'length', 'label': '自定义边框的宽度' },
      { 'value': 'inherit', 'label': '从父元素继承边框宽度' }
    ]
  },
  'border-right': { sel: false,
    val: '',
    type: '2',
    is_color: true,
    title: '设置所有的右边框属性',
    tips: [
      { 'value': 'border-right:thick double #ff0000', 'label': '第一个值设置右边框宽带；第二个值设置右边框样式；第三个值设置右边框颜色' },
      { 'value': 'inherit', 'label': '从父元素继承 border-right 属性的设置' }
    ]
  },
  'border-right-color': { sel: false,
    val: '',
    type: '2',
    is_color: true,
    title: '右边框的颜色',
    tips: [
      { 'value': 'transparent', 'label': '默认。背景颜色为透明。' },
      { 'value': 'Red', 'label': '红色' },
      { 'value': 'Yellow', 'label': '黄色' },
      { 'value': 'Black', 'label': '黑色' },
      { 'value': 'Blue', 'label': '蓝色' },
      { 'value': 'Cyan', 'label': '青色' },
      { 'value': 'Gray', 'label': '灰色' },
      { 'value': 'Green', 'label': '绿色' },
      { 'value': 'Pink', 'label': '粉色' },
      { 'value': 'Brown', 'label': '棕色' },
      { 'value': 'Purple', 'label': '紫色' },
      { 'value': 'White', 'label': '白色' },
      { 'value': 'inherit', 'label': '从父元素继承边框颜色' }
    ]
  },
  'border-right-style': { sel: false,
    val: '',
    type: '2',
    title: '右边框的样式',
    tips: [{ 'value': 'none', 'label': '定义无边框' },
      { 'value': 'hidden', 'label': '与 "none" 相同。不过应用于表时除外，对于表，hidden 用于解决边框冲突' },
      { 'value': 'dotted', 'label': '定义点状边框。在大多数浏览器中呈现为实线' },
      { 'value': 'dashed', 'label': '定义虚线。在大多数浏览器中呈现为实线' },
      { 'value': 'solid', 'label': '定义实线' },
      { 'value': 'double', 'label': '定义双线。双线的宽度等于 border-width 的值' },
      { 'value': 'groove', 'label': '定义 3D 凹槽边框。其效果取决于 border-color 的值' },
      { 'value': 'ridge', 'label': '定义 3D 垄状边框。其效果取决于 border-color 的值' },
      { 'value': 'inset', 'label': '定义 3D inset 边框。其效果取决于 border-color 的值' },
      { 'value': 'outset', 'label': '定义 3D outset 边框。其效果取决于 border-color 的值' },
      { 'value': 'inherit', 'label': '从父元素继承边框样式' }
    ] },
  'border-right-width': { sel: false,
    val: '',
    type: '2',
    title: '右边框的宽度',
    tips: [
      { 'value': 'medium', 'label': '默认。定义中等的边框' },
      { 'value': 'thin', 'label': '定义细的边框' },
      { 'value': 'thick', 'label': '定义粗的边框' },
      { 'value': 'length', 'label': '自定义边框的宽度' },
      { 'value': 'inherit', 'label': '从父元素继承边框宽度' }
    ] },
  'border-top': { sel: false,
    val: '',
    type: '2',
    is_color: true,
    title: '设置所有的上边框属性',
    tips: [
      { 'value': 'border-top :thick double #ff0000', 'label': '第一个值设置上边框宽带；第二个值设置上边框样式；第三个值设置上边框颜色' },
      { 'value': 'inherit', 'label': '从父元素继承 border-top 属性的设置' }
    ]
  },
  'border-top-color': { sel: false,
    val: '',
    type: '2',
    is_color: true,
    title: '上边框的颜色',
    tips: [
      { 'value': 'transparent', 'label': '默认。背景颜色为透明。' },
      { 'value': 'Red', 'label': '红色' },
      { 'value': 'Yellow', 'label': '黄色' },
      { 'value': 'Black', 'label': '黑色' },
      { 'value': 'Blue', 'label': '蓝色' },
      { 'value': 'Cyan', 'label': '青色' },
      { 'value': 'Gray', 'label': '灰色' },
      { 'value': 'Green', 'label': '绿色' },
      { 'value': 'Pink', 'label': '粉色' },
      { 'value': 'Brown', 'label': '棕色' },
      { 'value': 'Purple', 'label': '紫色' },
      { 'value': 'White', 'label': '白色' },
      { 'value': 'inherit', 'label': '从父元素继承边框颜色' }
    ] },
  'border-top-style': { sel: false,
    val: '',
    type: '2',
    title: '上边框的样式',
    tips: [{ 'value': 'none', 'label': '定义无边框' },
      { 'value': 'hidden', 'label': '与 "none" 相同。不过应用于表时除外，对于表，hidden 用于解决边框冲突' },
      { 'value': 'dotted', 'label': '定义点状边框。在大多数浏览器中呈现为实线' },
      { 'value': 'dashed', 'label': '定义虚线。在大多数浏览器中呈现为实线' },
      { 'value': 'solid', 'label': '定义实线' },
      { 'value': 'double', 'label': '定义双线。双线的宽度等于 border-width 的值' },
      { 'value': 'groove', 'label': '定义 3D 凹槽边框。其效果取决于 border-color 的值' },
      { 'value': 'ridge', 'label': '定义 3D 垄状边框。其效果取决于 border-color 的值' },
      { 'value': 'inset', 'label': '定义 3D inset 边框。其效果取决于 border-color 的值' },
      { 'value': 'outset', 'label': '定义 3D outset 边框。其效果取决于 border-color 的值' },
      { 'value': 'inherit', 'label': '从父元素继承边框样式' }
    ] },
  'border-top-width': { sel: false,
    val: '',
    type: '2',
    title: '上边框的宽度',
    tips: [
      { 'value': 'medium', 'label': '默认。定义中等的边框' },
      { 'value': 'thin', 'label': '定义细的边框' },
      { 'value': 'thick', 'label': '定义粗的边框' },
      { 'value': 'length', 'label': '自定义边框的宽度' },
      { 'value': 'inherit', 'label': '从父元素继承边框宽度' }
    ] },
  'outline': { sel: false,
    val: '',
    type: '2',
    is_color: true,
    title: '设置所有的轮廓属性',
    tips: [
      { 'value': 'outline:#00FF00 dotted thick', 'label': '第一个值设置边框宽带；第二个值设置边框样式；第三个值设置边框颜色' },
      { 'value': 'inherit', 'label': '从父元素继承outline属性的设置' }
    ]
  },
  'outline-color': { sel: false,
    val: '',
    type: '2',
    title: '轮廓的颜色',
    tips: [
      { 'value': 'invert', 'label': '默认。执行颜色反转（逆向的颜色）。可使轮廓在不同的背景颜色中都是可见' },
      { 'value': 'Red', 'label': '红色' },
      { 'value': 'Yellow', 'label': '黄色' },
      { 'value': 'Black', 'label': '黑色' },
      { 'value': 'Blue', 'label': '蓝色' },
      { 'value': 'Cyan', 'label': '青色' },
      { 'value': 'Gray', 'label': '灰色' },
      { 'value': 'Green', 'label': '绿色' },
      { 'value': 'Pink', 'label': '粉色' },
      { 'value': 'Brown', 'label': '棕色' },
      { 'value': 'Purple', 'label': '紫色' },
      { 'value': 'White', 'label': '白色' },
      { 'value': 'inherit', 'label': '从父元素继承轮廓颜色的设置' }
    ] },
  'outline-style': { sel: false,
    val: '',
    type: '2',
    title: '轮廓的样式',
    tips: [{ 'value': 'none', 'label': '默认。定义无轮廓' },
      { 'value': 'dotted', 'label': '定义点状的轮廓' },
      { 'value': 'dashed', 'label': '定义虚线轮廓' },
      { 'value': 'solid', 'label': '定义实线轮廓' },
      { 'value': 'double', 'label': '定义双线轮廓。双线的宽度等同于 outline-width 的值' },
      { 'value': 'groove', 'label': '定义 3D 凹槽轮廓。此效果取决于 outline-color 值' },
      { 'value': 'ridge', 'label': '定义 3D 凸槽轮廓。此效果取决于 outline-color 值' },
      { 'value': 'inset', 'label': '定义 3D 凹边轮廓。此效果取决于 outline-color 值' },
      { 'value': 'outset', 'label': '定义 3D 凸边轮廓。此效果取决于 outline-color 值' },
      { 'value': 'inherit', 'label': '从父元素继承轮廓样式的设置' }
    ] },
  'outline-width': { sel: false,
    val: '',
    type: '2',
    title: '轮廓的宽度',
    tips: [
      { 'value': 'medium', 'label': '默认。规定中等的轮廓' },
      { 'value': 'thin', 'label': '定义细轮廓' },
      { 'value': 'thick', 'label': '定义粗的轮廓' },
      { 'value': 'length', 'label': '自定义轮廓粗细的值' },
      { 'value': 'inherit', 'label': '从父元素继承轮廓宽度的设置' }
    ] },
  'border-radius': {
    sel: false,
    val: '',
    type: '2',
    title: '设置所有四个 border-*-radius 属性',
    tips: [
      { 'value': '2em', 'label': '定义圆角的形状' },
      { 'value': '5%', 'label': '以百分比定义圆角的形状' }
    ] },
  'border-bottom-left-radius': {
    sel: false,
    val: '',
    type: '2',
    title: '定义边框左下角的形状',
    tips: [
      { 'value': '2em', 'label': '定义左下角的形状' },
      { 'value': '5%', 'label': '以百分比值定义左下角的形状' }
    ] },
  'border-bottom-right-radius': {
    sel: false,
    val: '',
    type: '2',
    title: '定义边框右下角的形状',
    tips: [
      { 'value': '2em', 'label': '定义右下角的形状' },
      { 'value': '5%', 'label': '以百分比值定义右下角的形状' }
    ] },
  'border-top-left-radius': {
    sel: false,
    val: '',
    type: '2',
    title: '定义边框左上角的形状',
    tips: [
      { 'value': '2em', 'label': '定义左上角的形状' },
      { 'value': '5%', 'label': '以百分比值定义左上角的形状' }
    ] },
  'border-top-right-radius': {
    sel: false,
    val: '',
    type: '2',
    title: '定义边框右上角的形状',
    tips: [
      { 'value': '2em', 'label': '定义右上角的形状' },
      { 'value': '5%', 'label': '以百分比值定义右上角的形状' }
    ] },
  'border-image': {
    sel: false,
    val: '',
    type: '2',
    title: '设置所有 border-image-* 属性',
    tips: [
      { 'value': 'border-image:url(\'URL\') 30 30 round', 'label': '第一个值设置边框的图片的路径；第二个值设置边框图片向上下偏移；第三个值设置边框图片向左右偏移；第四个值设置图像边框是否应平铺(repeated)、铺满(rounded)或拉伸(stretched)' }
    ] },
  'border-image-outset': {
    sel: false,
    val: '',
    type: '2',
    title: '设置边框图像区域超出边框的量',
    tips: [
      { 'value': 'border-image-outset: 30 30', 'label': '第一个值设置上下边框图像区域超出边框的量；第二个值设置左右边框图像区域超出边框的量' }
    ] },
  'border-image-repeat': {
    sel: false,
    val: '',
    type: '2',
    title: '设置图像边框是否应平铺、铺满、或拉伸',
    tips: [
      { 'value': 'stretch', 'label': '拉伸图像来填充区域' },
      { 'value': 'repeat', 'label': '平铺（重复）图像来填充区域' },
      { 'value': 'round', 'label': '类似 repeat 值。如果无法完整平铺所有图像，则对图像进行缩放以适应区域' }
    ] },
  'border-image-slice': {
    sel: false,
    val: '',
    type: '2',
    title: '设置图像边框的向内偏移',
    tips: [
      { 'value': 'border-image-slice: 50% 50%', 'label': '第一个值设置图像边框的向上下内偏移；第二个值设置图像边框的向左右内偏移' },
      { 'value': 'fill', 'label': '保留边框图像的中间部分' }
    ] },
  'border-image-source': {
    sel: false,
    val: '',
    type: '2',
    title: '设置边框的图片',
    tips: [
      { 'value': 'none', 'label': '不使用图像' },
      { 'value': 'border-image-source: url(\'URL\')', 'label': '设置图片路径' }
    ] },
  'border-image-width': {
    sel: false,
    val: '',
    type: '2',
    title: '设置图片边框的宽度',
    tips: [
      { 'value': 'border-image-width: 30 30', 'label': '第一个值设置图片边框上下的宽度；第二个值设置图片边框左右的宽度' },
      { 'value': 'auto', 'label': '如果规定该属性，则宽度为对应的图像切片的固有宽度' }
    ] },
  'box-shadow': {
    sel: false,
    val: '',
    type: '2',
    title: '向方框添加一个或多个阴影',
    tips: [
      { 'value': 'h-shadow', 'label': '必需。水平阴影的位置。允许负值' },
      { 'value': 'v-shadow', 'label': '必需。垂直阴影的位置。允许负值' },
      { 'value': 'blur', 'label': '可选。模糊距离' },
      { 'value': 'spread', 'label': '可选。阴影的尺寸' },
      { 'value': 'color', 'label': '可选。阴影的颜色' },
      { 'value': 'inset', 'label': '可选。将外部阴影 (outset) 改为内部阴影' }
    ] },
  'color': { sel: false,
    val: '',
    type: '3',
    title: '设置文本的颜色',
    tips: [
      { 'value': 'Red', 'label': '红色' },
      { 'value': 'Yellow', 'label': '黄色' },
      { 'value': 'Black', 'label': '黑色' },
      { 'value': 'Blue', 'label': '蓝色' },
      { 'value': 'Cyan', 'label': '青色' },
      { 'value': 'Gray', 'label': '灰色' },
      { 'value': 'Green', 'label': '绿色' },
      { 'value': 'Pink', 'label': '粉色' },
      { 'value': 'Brown', 'label': '棕色' },
      { 'value': 'Purple', 'label': '紫色' },
      { 'value': 'White', 'label': '白色' },
      { 'value': 'inherit', 'label': '从父元素继承颜色' }
    ]
  },
  'direction': { sel: false,
    val: '',
    type: '3',
    title: '规定文本的方向 / 书写方向',
    tips: [
      { 'value': 'ltr', 'label': '默认。文本方向从左到右' },
      { 'value': 'rtl', 'label': '文本方向从右到左' },
      { 'value': 'inherit', 'label': '从父元素继承 direction 属性的值' }
    ]
  },
  'letter-spacing': { sel: false,
    val: '',
    type: '3',
    title: '设置字符间距',
    tips: [
      { 'value': 'normal', 'label': '默认。规定字符间没有额外的空间' },
      { 'value': '2px', 'label': '定义字符间的固定空间（允许使用负值）' },
      { 'value': 'inherit', 'label': '规定应该从父元素继承 letter-spacing 属性的值' }
    ]
  },
  'line-height': { sel: false,
    val: '',
    type: '3',
    title: '设置行高',
    tips: [
      { 'value': 'normal', 'label': '默认。设置合理的行间距' },
      { 'value': 'number', 'label': '设置数字，此数字会与当前的字体尺寸相乘来设置行间距' },
      { 'value': '5', 'label': '设置数字，此数字会与当前的字体尺寸相乘来设置行间距' },
      { 'value': '2px', 'label': '设置固定的行间距' },
      { 'value': '90%', 'label': '基于当前字体尺寸的百分比行间距' },
      { 'value': 'inherit', 'label': '从父元素继承 line-height 属性的值' }
    ]
  },
  'text-align': { sel: false,
    val: '',
    type: '3',
    title: '规定文本的水平对齐方式',
    tips: [
      { 'value': 'left', 'label': '把文本排列到左边。默认值：由浏览器决定' },
      { 'value': 'right', 'label': '把文本排列到右边' },
      { 'value': 'center', 'label': '把文本排列到中间' },
      { 'value': 'justify', 'label': '实现两端对齐文本效果' },
      { 'value': 'inherit', 'label': '从父元素继承 text-align 属性的值' }
    ]
  },
  'text-decoration': { sel: false,
    val: '',
    type: '3',
    title: '规定添加到文本的装饰效果',
    tips: [
      { 'value': 'none', 'label': '默认。定义标准的文本' },
      { 'value': 'underline', 'label': '定义文本下的一条线' },
      { 'value': 'overline', 'label': '定义文本上的一条线' },
      { 'value': 'line-through', 'label': '定义穿过文本下的一条线' },
      { 'value': 'blink', 'label': '定义闪烁的文本' },
      { 'value': 'inherit', 'label': '从父元素继承 text-decoration 属性的值' }
    ]
  },
  'text-indent': { sel: false,
    val: '',
    type: '3',
    title: '规定文本块首行的缩进',
    tips: [
      { 'value': '2em', 'label': '定义固定的缩进。默认值：0' },
      { 'value': '5%', 'label': '定义基于父元素宽度的百分比的缩进' },
      { 'value': 'inherit', 'label': '从父元素继承 text-indent 属性的值' }
    ]
  },
  'text-shadow': { sel: false,
    val: '',
    type: '3',
    title: '规定添加到文本的阴影效果',
    tips: [
      { 'value': 'h-shadow', 'label': '必需。水平阴影的位置。允许负值' },
      { 'value': 'v-shadow', 'label': '必需。垂直阴影的位置。允许负值' },
      { 'value': 'blur', 'label': '可选。模糊的距离' },
      { 'value': 'color', 'label': '可选。阴影的颜色' }
    ]
  },
  'text-transform': { sel: false,
    val: '',
    type: '3',
    title: '控制文本的大小写',
    tips: [
      { 'value': 'none', 'label': '默认。定义带有小写字母和大写字母的标准的文本' },
      { 'value': 'capitalize', 'label': '文本中的每个单词以大写字母开头' },
      { 'value': 'uppercase', 'label': '定义仅有大写字母' },
      { 'value': 'lowercase', 'label': '定义无大写字母，仅有小写字母' },
      { 'value': 'inherit', 'label': '从父元素继承 text-transform 属性的值' }
    ]
  },
  'unicode-bidi': { sel: false, val: '', type: '3', title: '设置文本方向' },
  'white-space': { sel: false,
    val: '',
    type: '3',
    title: '规定如何处理元素中的空白',
    tips: [
      { 'value': 'normal', 'label': '默认。空白会被浏览器忽略' },
      { 'value': 'pre', 'label': '空白会被浏览器保留' },
      { 'value': 'nowrap', 'label': '文本不会换行，文本会在在同一行上继续，直到遇到换行标签为止' },
      { 'value': 'pre-wrap', 'label': '保留空白符序列，但是正常地进行换行' },
      { 'value': 'pre-line', 'label': '合并空白符序列，但是保留换行符' },
      { 'value': 'inherit', 'label': '从父元素继承 white-space 属性的值' }
    ]
  },
  'word-spacing': { sel: false,
    val: '',
    type: '3',
    title: '设置单词间距',
    tips: [
      { 'value': 'normal', 'label': '默认。定义单词间的标准空间' },
      { 'value': '25px', 'label': '定义单词间的固定空间' },
      { 'value': 'inherit', 'label': '从父元素继承 word-spacing 属性的值' }
    ]
  },
  'hanging-punctuation': { sel: false,
    val: '',
    type: '3',
    title: '设置标点字符是否位于线框之外',
    tips: [
      { 'value': 'none', 'label': '不在文本整行的开头还是结尾的行框之外放置标签符' },
      { 'value': 'first', 'label': '标点附着在首行开始边缘之外' },
      { 'value': 'last', 'label': '标点附着在首行结尾边缘之外' }
    ]
  },
  'punctuation-trim': { sel: false,
    val: '',
    type: '3',
    title: '设置是否对标点字符进行修剪',
    tips: [
      { 'value': 'none', 'label': '不修剪开启或闭合标点符号' },
      { 'value': 'start', 'label': '修剪每行结尾的开启标点符号' },
      { 'value': 'end', 'label': '修剪每行结尾的闭合标点符号' }
    ]
  },
  'text-align-last': { sel: false,
    val: '',
    type: '3',
    title: '设置如何对齐最后一行或紧挨着强制换行符之前的行'
  },
  'text-justify': { sel: false,
    val: '',
    type: '3',
    title: '规定当 text-align 设置为 "justify" 时所使用的对齐方法',
    tips: [
      { 'value': 'auto', 'label': '浏览器决定齐行算法' },
      { 'value': 'none', 'label': '禁用齐行' },
      { 'value': 'inter-word', 'label': '增加/减少单词间的间隔' },
      { 'value': 'inter-ideograph', 'label': '用表意文本来排齐内容' },
      { 'value': 'inter-cluster', 'label': '只对不包含内部单词间隔的内容（比如亚洲语系）进行排齐' },
      { 'value': 'distribute', 'label': '类似报纸版面，除了在东亚语系中最后一行是不齐行的' },
      { 'value': 'kashida', 'label': '通过拉伸字符来排齐内容' }
    ]
  },
  'text-outline': { sel: false,
    val: '',
    type: '3',
    title: '设置文本的轮廓',
    tips: [
      { 'value': 'text-outline: 2px 2px #ff0000', 'label': '第一个值设置轮廓的粗细；第二个值设置轮廓的模糊半径；第三个值设置轮廓的颜色' },
      { 'value': 'thickness', 'label': '必需。轮廓的粗细' },
      { 'value': 'blur', 'label': '可选。轮廓的模糊半径' },
      { 'value': 'color', 'label': '必需。轮廓的颜色' }
    ]
  },
  'text-overflow': { sel: false,
    val: '',
    type: '3',
    title: '当文本溢出包含元素时发生的事情',
    tips: [
      { 'value': 'clip', 'label': '修剪文本' },
      { 'value': 'ellipsis', 'label': '显示省略符号来代表被修剪的文本' },
      { 'value': 'string', 'label': '使用给定的字符串来代表被修剪的文本' }
    ]
  },
  'text-wrap': { sel: false,
    val: '',
    type: '3',
    title: '设置文本的换行规则',
    tips: [
      { 'value': 'normal', 'label': '只在允许的换行点进行换行' },
      { 'value': 'none', 'label': '不换行。元素无法容纳的文本会溢出' },
      { 'value': 'unrestricted', 'label': '在任意两个字符间换行' },
      { 'value': 'suppress', 'label': '压缩元素中的换行。浏览器只在行中没有其他有效换行点时进行换行' }
    ]
  },
  'word-break': { sel: false,
    val: '',
    type: '3',
    title: '设置非中日韩文本的换行规则',
    tips: [
      { 'value': 'normal', 'label': '使用浏览器默认的换行规则' },
      { 'value': 'break-all', 'label': '允许在单词内换行' },
      { 'value': 'keep-all', 'label': '只能在半角空格或连字符处换行' }
    ]
  },
  'word-wrap': { sel: false,
    val: '',
    type: '3',
    title: '允许对长的不可分割的单词进行分割并换行到下一行',
    tips: [
      { 'value': 'normal', 'label': '只在允许的断字点换行（浏览器保持默认处理）' },
      { 'value': 'break-word', 'label': '在长单词或 URL 地址内部进行换行' }
    ]
  },
  'font': {
    sel: false,
    val: '',
    type: '4',
    title: '设置所有字体属性',
    tips: [
      { 'value': 'caption', 'label': '定义被标题控件（比如按钮、下拉列表等）使用的字体' },
      { 'value': 'icon', 'label': '定义被图标标记使用的字体' },
      { 'value': 'menu', 'label': '定义被下拉列表使用的字体' },
      { 'value': 'message-box', 'label': '定义被对话框使用的字体' },
      { 'value': 'small-caption', 'label': 'caption 字体的小型版本' },
      { 'value': 'status-bar', 'label': '定义被窗口状态栏使用的字体' }
    ]
  },
  'font-family': { sel: false,
    val: '',
    type: '4',
    title: '规定文本的字体系列',
    tips: [
      { 'value': 'family-name', 'label': '指定的系列名称,比如："times"、"courier"、"arial"' },
      { 'value': 'generic-family', 'label': '通常字体系列名称,比如："serif"、"sans-serif"、"cursive"、"fantasy"、"monospace"' },
      { 'value': 'inherit', 'label': '从父元素继承字体系列' }
    ]
  },
  'font-size': { sel: false,
    val: '',
    type: '4',
    title: '规定文本的字体尺寸',
    tips: [
      { 'value': 'xx-small', 'label': '把字体的尺寸设置为xx-small' },
      { 'value': 'x-small', 'label': '把字体的尺寸设置为x-small' },
      { 'value': 'small', 'label': '把字体的尺寸设置为small' },
      { 'value': 'medium', 'label': '把字体的尺寸设置为medium,为默认值' },
      { 'value': 'large', 'label': '把字体的尺寸设置为large' },
      { 'value': 'x-large', 'label': '把字体的尺寸设置为x-large' },
      { 'value': 'xx-large', 'label': '把字体的尺寸设置为xx-large' },
      { 'value': 'smaller', 'label': '把 font-size 设置为比父元素更小的尺寸' },
      { 'value': 'larger', 'label': '把 font-size 设置为比父元素更大的尺寸' },
      { 'value': '12px', 'label': '把 font-size 设置为一个固定的值' },
      { 'value': '100%', 'label': '把 font-size 设置为基于父元素的一个百分比值' },
      { 'value': 'inherit', 'label': '从父元素继承字体尺寸' }
    ]
  },
  'font-size-adjust': { sel: false,
    val: '',
    type: '4',
    title: '为元素规定 aspect 值',
    tips: [
      { 'value': 'none', 'label': '默认。如果此字体不可用，则不保持此字体的 x-height' },
      { 'value': 'font-size-adjust:0.58', 'label': '定义字体的 aspect 值比率' }
    ]
  },
  'font-stretch': { sel: false,
    val: '',
    type: '4',
    title: '收缩或拉伸当前的字体系列',
    tips: [
      { 'value': 'normal', 'label': '默认值。把缩放比例设置为标准' },
      { 'value': 'wider', 'label': '使得文本更宽' },
      { 'value': 'narrower', 'label': '使得文本变窄' },
      { 'value': 'ultra-condensed', 'label': '使文本变得最窄' },
      { 'value': 'extra-condensed', 'label': '指定紧缩程度第二大的字体' },
      { 'value': 'condensed', 'label': '指定略微紧缩程度第二大的字体' },
      { 'value': 'semi-condensed', 'label': '指定略微紧缩的字体' },
      { 'value': 'semi-expanded', 'label': '指定略微加宽的字体' },
      { 'value': 'expanded', 'label': '指定加宽的字体' },
      { 'value': 'extra-expanded', 'label': '指定加宽程度第二大的字体' },
      { 'value': 'ultra-expanded', 'label': '指定加宽程度最大的字体' },
      { 'value': 'inherit', 'label': '指定该属性与元素父项的属性采用相同的计算值' }
    ]
  },
  'font-style': { sel: false,
    val: '',
    type: '4',
    title: '规定文本的字体样式',
    tips: [
      { 'value': 'normal', 'label': '默认值。浏览器显示一个标准的字体样式' },
      { 'value': 'italic', 'label': '浏览器会显示一个斜体的字体样式' },
      { 'value': 'oblique', 'label': '浏览器会显示一个倾斜的字体样式' },
      { 'value': 'inherit', 'label': '规定应该从父元素继承字体样式' }
    ]
  },
  'font-variant': { sel: false,
    val: '',
    type: '4',
    title: '规定是否以小型大写字母的字体显示文本',
    tips: [
      { 'value': 'normal', 'label': '默认值。浏览器会显示一个标准的字体' },
      { 'value': 'small-caps', 'label': '浏览器会显示小型大写字母的字体' },
      { 'value': 'inherit', 'label': '规定应该从父元素继承 font-variant 属性的值' }
    ]
  },
  'font-weight': { sel: false,
    val: '',
    type: '4',
    title: '规定字体的粗细',
    tips: [
      { 'value': 'normal', 'label': '默认值。定义标准的字符' },
      { 'value': 'bold', 'label': '定义粗体字符' },
      { 'value': 'bolder', 'label': '定义更粗的字符' },
      { 'value': 'lighter', 'label': '定义更细的字符' },
      { 'value': '100', 'label': '定义字符粗细为100' },
      { 'value': '200', 'label': '定义字符粗细为200' },
      { 'value': '300', 'label': '定义字符粗细为300' },
      { 'value': '400', 'label': '定义字符粗细为400，等同于 normal值' },
      { 'value': '500', 'label': '定义字符粗细为500' },
      { 'value': '600', 'label': '定义字符粗细为600' },
      { 'value': '700', 'label': '定义字符粗细为700，等同于 bold值' },
      { 'value': '800', 'label': '定义字符粗细为800' },
      { 'value': '900', 'label': '定义字符粗细为900' }
    ]
  },
  'margin': { sel: false,
    val: '',
    type: '5',
    title: '设置所有外边距属性',
    tips: [
      { 'value': 'auto', 'label': '浏览器计算外边距' },
      { 'value': '10px', 'label': '规定以具体单位计的外边距值，比如像素、厘米等。默认值是 0px' },
      { 'value': '5%', 'label': '规定基于父元素的宽度的百分比的外边距' },
      { 'value': 'inherit', 'label': '从父元素继承外边距' }
    ]
  },
  'margin-bottom': { sel: false,
    val: '',
    type: '5',
    title: '设置元素的下外边距',
    tips: [
      { 'value': 'auto', 'label': '浏览器计算外边距' },
      { 'value': '10px', 'label': '规定以具体单位计的下外边距值，比如像素、厘米等。默认值是 0px' },
      { 'value': '5%', 'label': '规定基于父元素的宽度的百分比的下外边距' },
      { 'value': 'inherit', 'label': '从父元素继承下外边距' }
    ]
  },
  'margin-left': { sel: false,
    val: '',
    type: '5',
    title: '设置元素的左外边距',
    tips: [
      { 'value': 'auto', 'label': '浏览器设置的左外边距' },
      { 'value': '10px', 'label': '定义固定的左外边距。默认值是0' },
      { 'value': '5%', 'label': '定义基于父对象总高度的百分比左外边距' },
      { 'value': 'inherit', 'label': '从父元素继承左外边距' }
    ]
  },
  'margin-right': { sel: false,
    val: '',
    type: '5',
    title: '设置元素的右外边距',
    tips: [
      { 'value': 'auto', 'label': '浏览器设置的右外边距' },
      { 'value': '10px', 'label': '定义固定的右外边距。默认值是0' },
      { 'value': '5%', 'label': '定义基于父对象总高度的百分比右外边距' },
      { 'value': 'inherit', 'label': '从父元素继承右外边距' }

    ]
  },
  'margin-top': { sel: false,
    val: '',
    type: '5',
    title: '设置元素的上外边距',
    tips: [
      { 'value': 'auto', 'label': '浏览器设置的上外边距' },
      { 'value': '10px', 'label': '定义固定的上外边距。默认值是0' },
      { 'value': '5%', 'label': '定义基于父对象总高度的百分比上外边距' },
      { 'value': 'inherit', 'label': '从父元素继承上外边距' }
    ]
  },
  'padding': { sel: false,
    val: '',
    type: '6',
    title: '所有内边距',
    tips: [
      { 'value': 'auto', 'label': '浏览器计算内边距' },
      { 'value': '10px', 'label': '规定以具体单位计的内边距值，比如像素、厘米等。默认值是 0px' },
      { 'value': '5%', 'label': '规定基于父元素的宽度的百分比的内边距' },
      { 'value': 'inherit', 'label': '从父元素继承内边距' }
    ]
  },
  'padding-bottom': { sel: false,
    val: '',
    type: '6',
    title: '下内边距',
    tips: [
      { 'value': '10px', 'label': '规定以具体单位计的固定的下内边距值，比如像素、厘米等。默认值是 0px' },
      { 'value': '5%', 'label': '定义基于父元素宽度的百分比下内边距。此值不会如预期地那样工作于所有的浏览器中' },
      { 'value': 'inherit', 'label': '从父元素继承下内边距' }
    ]
  },
  'padding-left': { sel: false,
    val: '',
    type: '6',
    title: '左内边距',
    tips: [
      { 'value': '10px', 'label': '规定以具体单位计的固定的左内边距值，比如像素、厘米等。默认值是 0px' },
      { 'value': '5%', 'label': '定义基于父元素宽度的百分比左内边距。此值不会如预期地那样工作于所有的浏览器中' },
      { 'value': 'inherit', 'label': '从父元素继承左内边距' }
    ]
  },
  'padding-right': { sel: false,
    val: '',
    type: '6',
    title: '右内边距',
    tips: [
      { 'value': '10px', 'label': '规定以具体单位计的固定的右内边距值，比如像素、厘米等。默认值是 0px' },
      { 'value': '5%', 'label': '定义基于父元素宽度的百分比右内边距。此值不会如预期地那样工作于所有的浏览器中' },
      { 'value': 'inherit', 'label': '从父元素继承右内边距' }
    ]
  },
  'padding-top': { sel: false,
    val: '',
    type: '6',
    title: '上内边距',
    tips: [
      { 'value': '10px', 'label': '规定以具体单位计的固定的上内边距值，比如像素、厘米等。默认值是 0px' },
      { 'value': '5%', 'label': '定义基于父元素宽度的百分比上内边距。此值不会如预期地那样工作于所有的浏览器中' },
      { 'value': 'inherit', 'label': '从父元素继承上内边距' }
    ]
  },
  'list-style': { sel: false,
    val: '',
    type: '7',
    title: '设置所有的列表属性',
    tips: [
      { 'value': 'list-style:square inside url(\'URL\')', 'label': '第一个值设置列表项标记的类型；第二个值设置在何处放置列表项标记；第三个值使用图像来替换列表项的标记' },
      { 'value': 'inherit', 'label': '从父元素继承 list-style 属性的值' }
    ]
  },
  'list-style-image': { sel: false,
    val: '',
    type: '7',
    title: '将图象设置为列表项标记',
    tips: [
      { 'value': 'URL', 'label': '图像的路径' },
      { 'value': 'none', 'label': '默认。无图形被显示' },
      { 'value': 'inherit', 'label': '从父元素继承 list-style-image 属性的值' }
    ]
  },
  'list-style-position': { sel: false,
    val: '',
    type: '7',
    title: '设置列表项标记的放置位置',
    tips: [
      { 'value': 'inside', 'label': '列表项目标记放置在文本以内，且环绕文本根据标记对齐' },
      { 'value': 'outside', 'label': '默认值。保持标记位于文本的左侧。列表项目标记放置在文本以外，且环绕文本不根据标记对齐' },
      { 'value': 'inherit', 'label': '从父元素继承 list-style-position 属性的值' }
    ]
  },
  'list-style-type': { sel: false,
    val: '',
    type: '7',
    title: '设置列表项标记的类型',
    tips: [
      { 'value': 'none', 'label': '无标记' },
      { 'value': 'disc', 'label': '默认。标记是实心圆' },
      { 'value': 'circle', 'label': '标记是空心圆' },
      { 'value': 'square', 'label': '标记是实心方块' },
      { 'value': 'decimal', 'label': '标记是数字' },
      { 'value': 'decimal-leading-zero', 'label': '0开头的数字标记。(01, 02, 03, 等。)' },
      { 'value': 'lower-roman', 'label': '小写罗马数字(i, ii, iii, iv, v, 等。)' },
      { 'value': 'upper-roman', 'label': '大写罗马数字(I, II, III, IV, V, 等。)' },
      { 'value': 'lower-alpha', 'label': '小写英文字母The marker is lower-alpha (a, b, c, d, e, 等。)' },
      { 'value': 'upper-alpha', 'label': '大写英文字母The marker is upper-alpha (A, B, C, D, E, 等。)' },
      { 'value': 'lower-greek', 'label': '小写希腊字母(alpha, beta, gamma, 等。)' },
      { 'value': 'lower-latin', 'label': '小写拉丁字母(a, b, c, d, e, 等。)' },
      { 'value': 'upper-latin', 'label': '大写拉丁字母(A, B, C, D, E, 等。)' },
      { 'value': 'hebrew', 'label': '传统的希伯来编号方式' },
      { 'value': 'armenian', 'label': '传统的亚美尼亚编号方式' },
      { 'value': 'georgian', 'label': '传统的乔治亚编号方式(an, ban, gan, 等。)' },
      { 'value': 'cjk-ideographic', 'label': '简单的表意数字' },
      { 'value': 'hiragana', 'label': '标记是：a, i, u, e, o, ka, ki, 等。（日文片假名）' },
      { 'value': 'katakana', 'label': '标记是：A, I, U, E, O, KA, KI, 等。（日文片假名）' },
      { 'value': 'hiragana-iroha', 'label': '标记是：i, ro, ha, ni, ho, he, to, 等。（日文片假名）' },
      { 'value': 'katakana-iroha', 'label': '标记是：I, RO, HA, NI, HO, HE, TO, 等。（日文片假名）' }
    ]
  },
  'height': { sel: false,
    val: '',
    type: '8',
    title: '元素高度',
    tips: [
      { 'value': 'auto', 'label': '默认。浏览器会计算出实际的高度' },
      { 'value': '5px,10cm', 'label': '使用 px、cm 等单位定义高度' },
      { 'value': '100%', 'label': '基于包含它的块级对象的百分比高度' },
      { 'value': 'inherit', 'label': '从父元素继承 height 属性的值' }
    ]
  },
  'max-height': { sel: false,
    val: '',
    type: '8',
    title: '最大高度',
    tips: [
      { 'value': 'none', 'label': '默认。定义对元素被允许的最大高度没有限制' },
      { 'value': '100px', 'label': '定义元素的最大高度值' },
      { 'value': '100%', 'label': '定义基于包含它的块级对象的百分比最大高度' },
      { 'value': 'inherit', 'label': '从父元素继承 max-height 属性的值' }
    ]
  },
  'max-width': { sel: false,
    val: '',
    type: '8',
    title: '最大宽度',
    tips: [
      { 'value': 'none', 'label': '默认。定义对元素的最大宽度没有限制' },
      { 'value': '100px', 'label': '定义元素的最大宽度值' },
      { 'value': '100%', 'label': '定义基于包含它的块级对象的百分比最大宽度' },
      { 'value': 'inherit', 'label': '从父元素继承 max-width 属性的值' }
    ]
  },
  'width': { sel: false,
    val: '',
    type: '8',
    title: 'width',
    tips: [
      { 'value': '100px,100cm', 'label': '使用 px、cm 等单位定义宽度' },
      { 'value': '100%', 'label': '定义基于包含块（父元素）宽度的百分比宽度' },
      { 'value': 'inherit', 'label': '从父元素继承 width 属性的值' }
    ]
  },
  'min-height': { sel: false,
    val: '',
    type: '8',
    title: '最小高度',
    tips: [
      { 'value': '100px', 'label': '定义元素的最小高度。默认值是 0' },
      { 'value': '100%', 'label': '定义基于包含它的块级对象的百分比最小高度' },
      { 'value': 'inherit', 'label': '从父元素继承 min-height 属性的值' }
    ]
  },
  'min-width': { sel: false,
    val: '',
    type: '8',
    title: '最小宽度',
    tips: [
      { 'value': '100px', 'label': '定义元素的最小宽度值。默认值：取决于浏览器' },
      { 'value': '100%', 'label': '定义基于包含它的块级对象的百分比最小宽度' },
      { 'value': 'inherit', 'label': '从父元素继承 min-width 属性的值' }
    ]
  },
  'bottom': { sel: false,
    val: '',
    type: '9',
    title: '设置定位元素下外边距边界与其包含块下边界之间的偏移',
    tips: [
      { 'value': 'auto', 'label': '默认值。通过浏览器计算底部的位置' },
      { 'value': '100px,100cm', 'label': '使用 px、cm 等单位设置元素的底边位置。可使用负值' },
      { 'value': '100%', 'label': '设置以包含元素的百分比计的底边位置。可使用负值' },
      { 'value': 'inherit', 'label': '从父元素继承 bottom 属性的值' }
    ]
  },
  'clear': { sel: false,
    val: '',
    type: '9',
    title: '规定元素的哪一侧不允许其他浮动元素',
    tips: [
      { 'value': 'left', 'label': '在左侧不允许浮动元素' },
      { 'value': 'right', 'label': '在右侧不允许浮动元素' },
      { 'value': 'both', 'label': '在左右两侧均不允许浮动元素' },
      { 'value': 'none', 'label': '默认值。允许浮动元素出现在两侧' },
      { 'value': 'inherit', 'label': '从父元素继承 clear 属性的值' }
    ]
  },
  'clip': { sel: false,
    val: '',
    type: '9',
    title: '剪裁绝对定位元素',
    tips: [
      { 'value': 'shape', 'label': '设置元素的形状。唯一合法的形状值是：rect (top, right, bottom, left)' },
      { 'value': 'auto', 'label': '默认值。不应用任何剪裁' },
      { 'value': 'inherit', 'label': '从父元素继承 clip 属性的值' }
    ]
  },
  'cursor': { sel: false,
    val: '',
    type: '9',
    title: '规定要显示的光标的类型（形状）',
    tips: [
      { 'value': 'url', 'label': '需使用的自定义光标的 URL,注释：请在此列表的末端始终定义一种普通的光标，以防没有由 URL 定义的可用光标' },
      { 'value': 'default', 'label': '默认光标（通常是一个箭头）' },
      { 'value': 'auto', 'label': '默认。浏览器设置的光标' },
      { 'value': 'crosshair', 'label': '光标呈现为十字线' },
      { 'value': 'pointer', 'label': '光标呈现为指示链接的指针（一只手）' },
      { 'value': 'move', 'label': '此光标指示某对象可被移动' },
      { 'value': 'e-resize', 'label': '此光标指示矩形框的边缘可被向右（东）移动' },
      { 'value': 'ne-resize', 'label': '此光标指示矩形框的边缘可被向上及向右移动（北/东）' },
      { 'value': 'nw-resize', 'label': '此光标指示矩形框的边缘可被向上及向左移动（北/西）' },
      { 'value': 'n-resize', 'label': '此光标指示矩形框的边缘可被向上（北）移动' },
      { 'value': 'se-resize', 'label': '此光标指示矩形框的边缘可被向下及向右移动（南/东）' },
      { 'value': 'sw-resize', 'label': '此光标指示矩形框的边缘可被向下及向左移动（南/西）' },
      { 'value': 's-resize', 'label': '此光标指示矩形框的边缘可被向下移动（南）' },
      { 'value': 'w-resize', 'label': '此光标指示矩形框的边缘可被向左移动（西）' },
      { 'value': 'text', 'label': '此光标指示文本' },
      { 'value': 'wait', 'label': '此光标指示程序正忙（通常是一只表或沙漏）' },
      { 'value': 'help', 'label': '此光标指示可用的帮助（通常是一个问号或一个气球）' }
    ]
  },
  'display': { sel: false,
    val: '',
    type: '9',
    title: '规定元素应该生成的框的类型',
    tips: [
      { 'value': 'none', 'label': '此元素不会被显示' },
      { 'value': 'block', 'label': '此元素将显示为块级元素，此元素前后会带有换行符' },
      { 'value': 'inline', 'label': '默认。此元素会被显示为内联元素，元素前后没有换行符' },
      { 'value': 'inline-block', 'label': '行内块元素' },
      { 'value': 'list-item', 'label': '此元素会作为列表显示' },
      { 'value': 'run-in', 'label': '此元素会根据上下文作为块级元素或内联元素显示' },
      { 'value': 'table', 'label': '此元素会作为块级表格来显示（类似 <table>），表格前后带有换行符' },
      { 'value': 'inline-table', 'label': '此元素会作为内联表格来显示（类似 <table>），表格前后没有换行符' },
      { 'value': 'table-row-group', 'label': '此元素会作为一个或多个行的分组来显示（类似 <tbody>）' },
      { 'value': 'table-header-group', 'label': '此元素会作为一个或多个行的分组来显示（类似 <thead>）' },
      { 'value': 'table-footer-group', 'label': '此元素会作为一个或多个行的分组来显示（类似 <tfoot>）' },
      { 'value': 'table-row', 'label': '此元素会作为一个表格行显示（类似 <tr>）' },
      { 'value': 'table-column-group', 'label': '此元素会作为一个或多个列的分组来显示（类似 <colgroup>）' },
      { 'value': 'table-column', 'label': '此元素会作为一个单元格列显示（类似 <col>）' },
      { 'value': 'table-cell', 'label': '此元素会作为一个表格单元格显示（类似 <td> 和 <th>）' },
      { 'value': 'table-caption', 'label': '此元素会作为一个表格标题显示（类似 <caption>）' },
      { 'value': 'inherit', 'label': '从父元素继承 display 属性的值' }
    ]
  },
  'float': { sel: false,
    val: '',
    type: '9',
    title: '规定框是否应该浮动',
    tips: [
      { 'value': 'left', 'label': '元素向左浮动' },
      { 'value': 'right', 'label': '元素向右浮动' },
      { 'value': 'none', 'label': '默认值。元素不浮动，并会显示在其在文本中出现的位置' },
      { 'value': 'inherit', 'label': '从父元素继承 float 属性的值' }
    ]
  },
  'left': { sel: false,
    val: '',
    type: '9',
    title: '设置定位元素左外边距边界与其包含块左边界之间的偏移',
    tips: [
      { 'value': 'auto', 'label': '默认值。通过浏览器计算左边缘的位置' },
      { 'value': '100%', 'label': '设置以包含元素的百分比计的左边位置。可使用负值' },
      { 'value': '100px,100cm', 'label': '使用 px、cm 等单位设置元素的左边位置。可使用负值' },
      { 'value': 'inherit', 'label': '从父元素继承 left 属性的值' }
    ]
  },
  'overflow': { sel: false,
    val: '',
    type: '9',
    title: '规定当内容溢出元素框时发生的事情',
    tips: [
      { 'value': 'visible', 'label': '默认值。内容不会被修剪，会呈现在元素框之外' },
      { 'value': 'hidden', 'label': '内容会被修剪，并且其余内容是不可见的' },
      { 'value': 'scroll', 'label': '内容会被修剪，但是浏览器会显示滚动条以便查看其余的内容' },
      { 'value': 'auto', 'label': '如果内容被修剪，则浏览器会显示滚动条以便查看其余的内容' },
      { 'value': 'inherit', 'label': '从父元素继承 overflow 属性的值' }
    ]
  },
  'position': { sel: false,
    val: '',
    type: '9',
    title: '规定元素的定位类型',
    tips: [
      { 'value': 'absolute', 'label': '生成绝对定位的元素，相对于 static 定位以外的第一个父元素进行定位,元素的位置通过 "left", "top", "right" 以及 "bottom" 属性进行规定' },
      { 'value': 'fixed', 'label': '生成绝对定位的元素，相对于浏览器窗口进行定位,元素的位置通过 "left", "top", "right" 以及 "bottom" 属性进行规定' },
      { 'value': 'relative', 'label': '生成相对定位的元素，相对于其正常位置进行定位,因此，"left:20" 会向元素的 LEFT 位置添加 20 像素' },
      { 'value': 'static', 'label': '默认值。没有定位，元素出现在正常的流中（忽略 top, bottom, left, right 或者 z-index 声明）' },
      { 'value': 'inherit', 'label': '从父元素继承 position 属性的值' }
    ]
  },
  'right': { sel: false,
    val: '',
    type: '9',
    title: '设置定位元素右外边距边界与其包含块右边界之间的偏移',
    tips: [
      { 'value': 'auto', 'label': '默认值。通过浏览器计算右边缘的位置' },
      { 'value': '100%', 'label': '设置以包含元素的百分比计的右边位置。可使用负值' },
      { 'value': '100px,100cm', 'label': '使用 px、cm 等单位设置元素的右边位置。可使用负值' },
      { 'value': 'inherit', 'label': '从父元素继承 right 属性的值' }
    ]
  },
  'top': { sel: false,
    val: '',
    type: '9',
    title: '设置定位元素的上外边距边界与其包含块上边界之间的偏移',
    tips: [
      { 'value': 'auto', 'label': '默认值。通过浏览器计算上边缘的位置' },
      { 'value': '100%', 'label': '设置以包含元素的百分比计的上边位置。可使用负值' },
      { 'value': '100px,100cm', 'label': '使用 px、cm 等单位设置元素的上边位置。可使用负值' },
      { 'value': 'inherit', 'label': '从父元素继承 top 属性的值' }
    ]
  },
  'vertical-align': { sel: false,
    val: '',
    type: '9',
    title: '设置元素的垂直对齐方式',
    tips: [
      { 'value': 'baseline', 'label': '默认。元素放置在父元素的基线上' },
      { 'value': 'sub', 'label': '垂直对齐文本的下标' },
      { 'value': 'super', 'label': '垂直对齐文本的上标' },
      { 'value': 'top', 'label': '把元素的顶端与行中最高元素的顶端对齐' },
      { 'value': 'text-top', 'label': '把元素的顶端与父元素字体的顶端对齐' },
      { 'value': 'middle', 'label': '把此元素放置在父元素的中部' },
      { 'value': 'bottom', 'label': '把元素的顶端与行中最低的元素的顶端对齐' },
      { 'value': 'text-bottom', 'label': '把元素的底端与父元素字体的底端对齐' },
      { 'value': '100px', 'label': '设置固定值' },
      { 'value': '100%', 'label': '使用 "line-height" 属性的百分比值来排列此元素。允许使用负值' },
      { 'value': 'inherit', 'label': '从父元素继承 float 属性的值' }
    ]
  },
  'visibility': { sel: false,
    val: '',
    type: '9',
    title: '规定元素是否可见',
    tips: [
      { 'value': 'visible', 'label': '默认值。元素是可见的' },
      { 'value': 'hidden', 'label': '元素是不可见的' },
      { 'value': 'collapse', 'label': '当在表格元素中使用时，此值可删除一行或一列，但是它不会影响表格的布局。被行或列占据的空间会留给其他内容使用。如果此值被用在其他的元素上，会呈现为 "hidden"' },
      { 'value': 'inherit', 'label': '从父元素继承 visibility 属性的值' }
    ]
  },
  'z-index': { sel: false,
    val: '',
    type: '9',
    title: '设置元素的堆叠顺序',
    tips: [
      { 'value': 'auto', 'label': '默认。堆叠顺序与父元素相等' },
      { 'value': '-1', 'label': '设置元素的堆叠顺序' },
      { 'value': 'inherit', 'label': '从父元素继承 z-index 属性的值' }
    ]
  },
  'flex-direction': { sel: false,
    val: '',
    type: '9',
    title: '决定主轴的方向',
    tips: [
      { 'value': 'row', 'label': '默认。主轴为水平方向，起点在左端' },
      { 'value': 'row-reverse', 'label': '主轴为水平方向，起点在右端' },
      { 'value': 'column', 'label': '主轴为垂直方向，起点在上沿' },
      { 'value': 'column-reverse', 'label': '主轴为垂直方向，起点在下沿' }
    ]
  },
  'flex-wrap': { sel: false,
    val: '',
    type: '9',
    title: '设置轴线元素排布换行方式',
    tips: [
      { 'value': 'nowrap', 'label': '默认。不换行' },
      { 'value': 'wrap', 'label': '换行，第一行在上方' },
      { 'value': 'wrap-reverse', 'label': '换行，第一行在下方' }
    ]
  },
  'justify-content': { sel: false,
    val: '',
    type: '9',
    title: '定义了项目在主轴上的对齐方式',
    tips: [
      { 'value': 'flex-start', 'label': '默认。左对齐' },
      { 'value': 'flex-end', 'label': '右对齐' },
      { 'value': 'center', 'label': '居中' },
      { 'value': 'space-between', 'label': '两端对齐，项目之间的间隔都相等' },
      { 'value': 'space-around', 'label': '每个项目两侧的间隔相等' }
    ]
  },
  'align-items': { sel: false,
    val: '',
    type: '9',
    title: '定义项目在交叉轴上对齐方式',
    tips: [
      { 'value': 'flex-start', 'label': '交叉轴的起点对齐' },
      { 'value': 'flex-end', 'label': '交叉轴的终点对齐' },
      { 'value': 'center', 'label': '交叉轴的中点对齐' },
      { 'value': 'baseline', 'label': '项目的第一行文字的基线对齐' },
      { 'value': 'stretch', 'label': '默认。如果项目未设置高度或设为auto，将占满整个容器的高度' }
    ]
  },
  'align-content': { sel: false,
    val: '',
    type: '9',
    title: '定义了多根轴线的对齐方式',
    tips: [
      { 'value': 'flex-start', 'label': '与交叉轴的起点对齐' },
      { 'value': 'flex-end', 'label': '与交叉轴的终点对齐' },
      { 'value': 'center', 'label': '与交叉轴的中点对齐' },
      { 'value': 'space-between', 'label': '与交叉轴两端对齐，轴线之间的间隔平均分布' },
      { 'value': 'space-around', 'label': '每根轴线两侧的间隔都相等' },
      { 'value': 'stretch', 'label': '默认。轴线占满整个交叉轴' }
    ]
  }
}
