import hdPlugin from 'hd-plugin-base-util'
export default {
  name: 'widget-element-item-render',
  functional: true,
  props: {
    set_this: Object,
    element: Object,
    select: Object,
    fast_parent: Object,
    parent: Object
  },
  data () {
    return {}
  },
  render: (h, ctx) => {
    // if(ctx.props.element.label == "Button"){
    //     console.log(JSON.stringify(ctx.props.element),ctx.props.element.key)
    //     console.log(JSON.stringify(ctx.props.element._parent),ctx.props.element.label+"-parent")
    // }
    const isNumber = function (val) {
      let regPos = /^\d+(\.\d+)?$/ // 非负浮点数
      let regNeg = /^(-(([0-9]+\.[0-9]*[1-9][0-9]*)|([0-9]*[1-9][0-9]*\.[0-9]+)|([0-9]*[1-9][0-9]*)))$/ // 负浮点数
      if (regPos.test(val) || regNeg.test(val)) {
        return true
      } else {
        return false
      }
    }
    if (ctx.props.element.key == undefined) {
      Object.defineProperty(ctx.props.element, 'key', {
        value: new Date().getTime() + Math.ceil(Math.random() * 1000000) + '', // 初始化值
        writable: true, // 可修改值内容
        enumerable: false, // 可枚举，默认 false
        configurable: true // 可删除，默认 false
      })
    }
    if (ctx.props.fast_parent != undefined) {
      Object.defineProperty(ctx.props.element, '_fastparent', {
        value: ctx.props.fast_parent, // 初始化值
        writable: true, // 可修改值内容
        enumerable: false, // 可枚举，默认 false
        configurable: true // 可删除，默认 false
      })
      // ctx.props.set_this.$set(ctx.props.element,'_fastparent',ctx.props.element._fastparent);
    } else if (ctx.props.parent != undefined) {
      Object.defineProperty(ctx.props.element, '_parent', {
        value: ctx.props.parent, // 初始化值
        writable: true, // 可修改值内容
        enumerable: false, // 可枚举，默认 false
        configurable: true // 可删除，默认 false
      })
      // ctx.props.set_this.$set(ctx.props.element,'_parent',ctx.props.element._parent);
    }
    if (ctx.props.element.attr == undefined) {
      ctx.props.element.attr = {}
    }
    // 参数1 标签名
    let param1 = ctx.props.element.label
    if (param1 == 'template') {
      param1 = 'div'
    }
    // 参数2 标签参数
    let param2 = {
      props: {},
      attrs: {},
      style: {},
      class: {
        active: ctx.props.select && ctx.props.select.active && ctx.props.select.active.key && ctx.props.element && ctx.props.select.active.key == ctx.props.element.key,
        'scp-layout-view': ctx.props.element.attr['scp-layout'] != 'true',
        'scp-layout-list': ctx.props.element.attr['scp-layout'] == 'true'
      },
      domProps: {},
      on: {
        click: (event) => {
          event.stopPropagation()
          event.preventDefault()
          ctx.props.select.active = ctx.props.element
          ctx.props.set_this.$emit('update:select', ctx.props.select)
        }
      },
      nativeOn: {
        click: (event) => {
          event.stopPropagation()
          event.preventDefault()
          ctx.props.select.active = ctx.props.element
          ctx.props.set_this.$emit('update:select', ctx.props.select)
        }
      },
      key: ctx.props.element.key
    }
    // 解决vxe组件选择
    if (ctx.props.element.label == 'vxe-table') {
      param2.on['header-cell-click'] = function ($rowIndex, column, columnIndex, $columnIndex, triggerResizable, triggerSort, triggerFilter, $event) {
        event.stopPropagation()
        ctx.props.select.active = ctx.props.element.list[$rowIndex.$columnIndex]
        ctx.props.set_this.$emit('update:select', ctx.props.select)
      }
      param2.props['data'] = [{}]
      param2.props['auto-resize'] = true
      param2.props['keep-source'] = true
    }
    if (ctx.props.element.label == 'vxe-table-column') {
      let active = (ctx.props.select && ctx.props.select.active && ctx.props.select.active.key && ctx.props.element && ctx.props.select.active.key == ctx.props.element.key) == true ? ' active' : ''
      let scplayouttype = ctx.props.element.attr['scp-layout'] == 'true' ? ' scp-layout-list' : ' scp-layout-view'
      param2.props['header-class-name'] = scplayouttype + active
      if (ctx.props.element.attr && ctx.props.element.attr['type'] == 'expand') {
        param2.props['scp-slot'] = 'true'
      }
    }
    for (let key in ctx.props.element.attr) {
      let value = ctx.props.element.attr[key]
      if (['v-model', 'v-if', 'v-show', 'v-for'].indexOf(key) >= 0) {

      } else if (key == ':style') {
        try {
          // eslint-disable-next-line no-eval
          param2.style = eval('(' + value + ')')
        } catch (e) {
          console.log('【' + key + '】的内容不符合格式')
        }
      } else if (key == ':class') {
        try {
          // eslint-disable-next-line no-eval
          param2.class = Object.assign({}, param2.class, eval('(' + value + ')'))
        } catch (e) {
          console.log('【' + key + '】的内容不符合格式')
        }
      } else if (key == 'style') {
        if (param2.style == undefined) {
          param2.style = {}
        }
        if (value.indexOf(';') >= 0) {
          let groupArr = value.split(';')
          for (let i = 0; i < groupArr.length; i++) {
            if (groupArr[i].indexOf(':') >= 0) {
              let styleArr = groupArr[i].split(':')
              param2.style[styleArr[0].trim()] = styleArr[1].trim()
            }
          }
        } else {
          if (value.indexOf(':') >= 0) {
            let styleArr = value.split(':')
            param2.style[styleArr[0].trim()] = styleArr[1].trim()
          }
        }
        // param2.attrs[key] = value;
      } else if (key == 'class') {
        if (value != undefined && value.trim().indexOf(' ') >= 0) {
          let groupArr = value.trim().split(' ')
          for (let i = 0; i < groupArr.length; i++) {
            if (groupArr[i].trim() != '') {
              param2.class[groupArr[i]] = true
            }
          }
        } else if (value != undefined && value.trim() != '') {
          param2.class[value] = true
        }
      } else if (key == 'slot' && key == 'v-slot') {
        param2.slot = value
      } else if (key.startsWith('v-slot:')) {
        param2.slot = 'content'
      } else if (key.startsWith('scp-')) {

      } else if (key.startsWith(':') || key.startsWith('v-bind:')) {
        if (value && isNumber(value)) {
          param2.attrs[key.replace('v-bind:', '').replace(':', '')] = Number(value)
          param2.props[key.replace('v-bind:', '').replace(':', '')] = Number(value)
        } else if (value == 'true' || value == 'false') {
          param2.props[key.replace('v-bind:', '').replace(':', '')] = (value == 'true')
          // eslint-disable-next-line no-mixed-operators
        } else if (value && value.trim().startsWith('{') || value && value.trim().startsWith('[')) {
          try {
            // eslint-disable-next-line no-eval
            param2.props[key.replace(':', '')] = eval('(' + value + ')')
          } catch (e) {
            console.log('【' + key + '】的内容不符合格式')
          }
        }
      } else if (key.startsWith('@') || key.startsWith('v-on:')) {
        // alert(key);
      } else {
        if (key == 'header-class-name' && ctx.props.element.label == 'vxe-table-column') {
          param2.props[key] = param2.props[key] + ' ' + value
        } else {
          param2.attrs[key] = value
          param2.props[key] = value
        }
      }
      // 默认添加开启编辑模式
      param2.props['scp-design'] = 'true'
    }
    // 参数3 标签子集
    let param3 = null
    let arr
    if (ctx.props.element.attr['scp-layout'] == 'true') {
      let arr = ctx.props.element.list
      if (arr == undefined) {
        ctx.props.element.list = []
      }
      let draggableItem = {
        props: {
          element: ctx.props.element,
          select: ctx.props.select,
          index: -1,
          data: ctx.props.element,
          item: ctx.props.element,
          itemattr: {
            props: param2.props,
            attrs: param2.attrs,
            style: param2.style,
            class: param2.class
          }
        },
        key: ctx.props.element.key,
        attrs: param2.attrs,
        // style: param2.style,
        // class: param2.class,
        on: {
          'update:select': function (val) {
            ctx.props.set_this.$emit('update:select', val)
          }
        },
        nativeOn: {
          click: (event) => {
            event.stopPropagation()
            ctx.props.select.active = ctx.props.element
            ctx.props.set_this.$emit('update:select', ctx.props.select)
          }
        }

      }
      if (ctx.props.element.attr.slot != undefined) {
        draggableItem.slot = ctx.props.element.attr.slot
      }
      // ctx.props.element
      console.log(ctx.props.select, 'div select')
      console.log(ctx.props.element, 'div element')
      console.log(draggableItem, 'props')
      return h('draggable-item', draggableItem)
    } else if (ctx.props.element.list != undefined && ctx.props.element.list.length > 0) {
      arr = ctx.props.element.list
      if (param2.props['scp-slot'] == 'true') {
        let scopedSlots = {}
        let zmap = {}
        for (let zi = 0; zi < arr.length; zi++) {
          let notSlot = true
          for (let zikey of Object.keys(arr[zi].attr)) {
            if (zikey.startsWith('v-slot')) {
              let zikeySlot = 'defult'
              if (zikey != 'v-slot') {
                zikeySlot = zikey.substring(7)
              }
              if (!zmap[zikeySlot]) {
                zmap[zikeySlot] = []
              }
              zmap[zikeySlot].push(
                h('widget-element-item-render', {
                  props: {
                    set_this: ctx.props.set_this,
                    element: arr[zi],
                    select: ctx.props.select,
                    parent: ctx.props.element
                  }
                })
              )
              notSlot = false
              break
            }
          }
          if (notSlot) {
            if (param3 == null) {
              param3 = []
            }
            param3.push(
              h('widget-element-item-render', {
                props: {
                  set_this: ctx.props.set_this,
                  element: arr[zi],
                  select: ctx.props.select,
                  parent: ctx.props.element
                }
              })

            )
          }
        }
        for (let zkey of Object.keys(zmap)) {
          scopedSlots[zkey] = function () {
            return zmap[zkey]
          }
        }
        param2.scopedSlots = scopedSlots
      } else {
        param3 = arr.map(function (item, item_index) {
          return h('widget-element-item-render', {
            props: {
              set_this: ctx.props.set_this,
              element: item,
              select: ctx.props.select,
              parent: ctx.props.element
            }
          })
          // )
        })
      }
    } else if (arr == undefined && ctx.props.element.attr != undefined && ctx.props.element.attr.innerText != undefined) {
      param3 = ctx.props.element.attr.innerText
    }
    let originTpl = ['div', 'a', 'span', 'p', 'img']
    if (hdPlugin.xeUtil.indexOf(originTpl, param1) != -1) {
      param2 = hdPlugin.xeUtil.omit(param2, 'nativeOn')
    }
    if (param3 != null && param3 != undefined) {
      return h(param1, param2, param3)
    } else {
      return h(param1, param2)
    }
  }

}
