export const commonListJs = [
  {
    label: '列表页常用函数',
    value: 'pagelist',
    children: [
      {
        label: '刷新数据类',
        value: 'refreshdata',
        children: [
          {
            label: '搜索功能',
            value: 'search',
            content: {
              params: {
                url: {
                  name: '选择接口',
                  type: 'find',
                  value: '接口地址'
                },
                data: {
                  name: '选择入参对象',
                  type: 'data',
                  value: 'data'
                },
                page: {
                  name: '选择刷新对象',
                  type: 'data',
                  value: 'page'
                }
              },
              js: "this.$scp.post('|{url}|',this.|{data}| , this.|{page}|);"
            }
          },
          {
            label: '分页条页码切换功能【on-change】',
            value: 'listpageno',
            content: {
              params: {
                url: {
                  name: '选择列表接口',
                  type: 'find',
                  value: ''
                }
              },
              js: "(val) => {  $scp.post('|{url}|',Object.assign(data,{pageNo:val}) , page) }"
            }
          },
          {
            label: '分页条每页条数切换功能【on-page-size-change】',
            value: 'listpagesize',
            content: {
              params: {
                url: {
                  name: '选择列表接口',
                  type: 'find',
                  value: ''
                }
              },
              js: "(val) => {  $scp.post('|{url}|',Object.assign(data,{pageSize:val}) , page) }"
            }
          }

        ]
      },
      {
        label: '页面跳转类',
        value: 'topath',
        children: [
          {
            label: '添加功能跳转',
            value: 'add',
            content: {
              params: {
                path: {
                  name: '选择跳转页面',
                  type: 'page',
                  value: '页面地址'
                }
              },
              js: "$router.push('|{path}|');"
            }
          },
          {
            label: '列表编辑功能',
            value: 'update',
            content: {
              params: {
                path: {
                  name: '选择跳转页面',
                  type: 'page',
                  value: '页面地址'
                }
              },
              js: "$router.push({ path:'|{path}|',query:{id:row.id} })"
            }
          }
        ]
      }

    ]
  },
  {
    label: '详情页常用函数',
    value: 'pagelist',
    children: [
      {
        label: '数据类',
        value: 'refreshdata',
        children: [
          {
            label: '保存并跳转到修改模式',
            value: 'search',
            content: {
              params: {
                url: {
                  name: '选择接口',
                  type: 'find',
                  value: ''
                },
                data: {
                  name: '选择入参对象',
                  type: 'data',
                  value: 'form'
                },
                tishi: {
                  name: '填写提示内容',
                  type: 'text',
                  value: '成功'
                }
              },
              js: "$scp.insert4upd('|{url}|',data , '|{tishi}|');"
            }
          },

          {
            label: '修改保存功能',
            value: 'search',
            content: {
              params: {
                url: {
                  name: '选择接口',
                  type: 'find',
                  value: ''
                },
                data: {
                  name: '选择入参对象',
                  type: 'data',
                  value: 'form'
                },
                tishi: {
                  name: '填写提示内容',
                  type: 'text',
                  value: '保存成功'
                }
              },
              js: "$scp.save('|{url}|',|{data}| , |{tishi}|);"
            }
          }

        ]
      },
      {
        label: '页面跳转类',
        value: 'topath',
        children: [
          {
            label: '返回上一页',
            value: 'back',
            content: {
              js: '$router.go(-1)'
            }
          }

        ]
      }

    ]
  }
]

export const commonjs = {
  '接口调用类': {
    '刷新数据': {
      params: {
        url: {
          name: '选择接口',
          type: 'find',
          default_value: '接口地址'
        },
        data: {
          name: '选择入参对象',
          type: 'data',
          default_value: 'this.data'
        },
        page: {
          name: '选择刷新对象',
          type: 'data',
          default_value: 'this.page'
        }
      },
      js: "$scp.post('|{url}|',|{data}| , |{page}|);"
    },
    '列表页根据页码刷新数据': {
      params: {
        url: {
          name: '选择接口',
          type: 'api'
        },
        data: {
          name: '选择入参对象',
          type: 'data'
        },
        page: {
          name: '结果刷新对象',
          type: 'data'
        }
      },
      js: "$scp.post('|{url}|',|{data}| , |{page}|);"
    }
  },
  '跳转类': {
    '刷新数据': {
      params: {
        url: {
          name: '选择接口',
          type: 'api',
          default_value: '接口地址'
        },
        data: {
          name: '选择入参对象',
          type: 'data',
          default_value: 'this.data'
        },
        page: {
          name: '选择刷新对象',
          type: 'data',
          default_value: 'this.page'
        }
      },
      js: "$scp.post('{url}',{data} , {page});"
    },
    '列表页根据页码刷新数据': {
      params: {
        url: {
          name: '选择接口',
          type: 'api'
        },
        data: {
          name: '选择入参对象',
          type: 'data'
        },
        page: {
          name: '结果刷新对象',
          type: 'data'
        }
      },
      js: "$scp.post('{url}',{data} , {page});"
    },
    '列表页根据页码刷新数据2': {

      js: "$scp.post('{url}',{data} , {page});"
    },
    '列表页根据页码刷新数据3': {

      js: "$scp.post('{url}',{data} , {page});"
    },
    '列表页根据页码刷新数据4': {

      js: "$scp.post('{url}',{data} , {page});"
    },
    '列表页根据页码刷新数据5': {

      js: "$scp.post('{url}',{data} , {page});"
    },
    '列表页根据页码刷新数据6': {

      js: "$scp.post('{url}',{data} , {page});"
    },
    '列表页根据页码刷新数据7': {

      js: "$scp.post('{url}',{data} , {page});"
    },
    '列表页根据页码刷新数据8': {

      js: "$scp.post('{url}',{data} , {page});"
    },
    '列表页根据页码刷新数据9': {

      js: "$scp.post('{url}',{data} , {page});"
    },
    '列表页根据页码刷新数据10': {

      js: "$scp.post('{url}',{data} , {page});"
    }

  }
}
