export default {
  'el-row': {
    'gutter': {
      name: '栅格间隔',
      tips: [
        { value: '0', label: '默认值' },
        { value: '16', label: '' },
        { value: '20', label: '' },
        { value: '22', label: '' }
      ]
    },
    'type': {
      name: '布局模式，可选 flex',
      tips: [{ value: 'flex', label: '对分栏进行灵活的对齐' }]
    },
    'justify': {
      name: 'flex 布局下的水平排列方式',
      tips: [
        { value: 'start', label: '开始，默认值' },
        { value: 'end', label: '结束' },
        { value: 'center', label: '居中' },
        { value: 'space-around', label: '周围' },
        { value: 'space-between', label: '间距' }
      ]
    },
    'align': {
      name: 'flex 布局下的垂直排列方式',
      tips: [
        { value: 'top', label: '向上，默认值' },
        { value: 'middle', label: '中间' },
        { value: 'bottom', label: '底部' }
      ]
    },
    'tag': {
      name: '自定义元素标签',
      tips: [{ value: 'div', label: '默认值' }]
    }
  },
  'el-col': {
    'span': {
      name: '栅格占据的列数',
      tips: [
        { value: '24', label: '栅格占24位，默认值' },
        { value: '4', label: '栅格占4位' },
        { value: '6', label: '栅格占6位' },
        { value: '12', label: '栅格占12位' },
        { value: '16', label: '栅格占16位' }
      ]
    },
    'offset': {
      name: '栅格左侧的间隔格数',
      tips: [
        { value: '0', label: '无间隔，默认值' },
        { value: '1', label: '左侧间隔格1位' },
        { value: '2', label: '左侧间隔格2位' },
        { value: '3', label: '左侧间隔格3位' },
        { value: '6', label: '左侧间隔格6位' }
      ]
    },
    'push': {
      name: '栅格向右移动格数',
      tips: [
        { value: '0', label: '不移动，默认值' },
        { value: '1', label: '向右移动1位' },
        { value: '2', label: '向右移动2位' },
        { value: '3', label: '向右移动3位' }
      ]
    },
    'pull': {
      name: '栅格向左移动格数',
      tips: [
        { value: '0', label: '不移动，默认值' },
        { value: '1', label: '向左移动1位' },
        { value: '2', label: '向左移动2位' },
        { value: '3', label: '向左移动3位' }
      ]
    },
    'xs': {
      name: '<768px 响应式栅格数或者栅格属性对象',
      tips: [
        { value: '4', label: '显示区<768px时，栅格占4位' },
        { value: '6', label: '显示区<768px时，栅格占6位' },
        { value: '{span: 4, offset: 1}', label: '显示区<768px时，栅格占4位，并向右偏移1位' },
        { value: '{span: 6, offset: 1}', label: '显示区<768px时，栅格占6位，并向右偏移1位' }
      ]
    },
    'sm': {
      name: '≥768px 响应式栅格数或者栅格属性对象',
      tips: [
        { value: '4', label: '显示区≥768px时，栅格占4位' },
        { value: '6', label: '显示区≥768px时，栅格占6位' },
        { value: '{span: 4, offset: 1}', label: '显示区≥768px时，栅格占4位，并向右偏移1位' },
        { value: '{span: 6, offset: 1}', label: '显示区≥768px时，栅格占6位，并向右偏移1位' }
      ]
    },
    'md': {
      name: '≥992px 响应式栅格数或者栅格属性对象',
      tips: [
        { value: '4', label: '显示区≥992px时，栅格占4位' },
        { value: '6', label: '显示区≥992px时，栅格占6位' },
        { value: '{span: 4, offset: 1}', label: '显示区≥992px时，栅格占4位，并向右偏移1位' },
        { value: '{span: 6, offset: 1}', label: '显示区≥992px时，栅格占6位，并向右偏移1位' }
      ]
    },
    'lg': {
      name: '≥1200px 响应式栅格数或者栅格属性对象',
      tips: [
        { value: '4', label: '显示区≥1200px时，栅格占4位' },
        { value: '6', label: '显示区≥1200px时，栅格占6位' },
        { value: '{span: 4, offset: 1}', label: '显示区≥1200px时，栅格占4位，并向右偏移1位' },
        { value: '{span: 6, offset: 1}', label: '显示区≥1200px时，栅格占6位，并向右偏移1位' }
      ]
    },
    'xl': {
      name: '≥1920px 响应式栅格数或者栅格属性对象',
      tips: [
        { value: '4', label: '显示区≥1920px时，栅格占4位' },
        { value: '6', label: '显示区≥1920px时，栅格占6位' },
        { value: '{span: 4, offset: 1}', label: '显示区≥1920px时，栅格占4位，并向右偏移1位' },
        { value: '{span: 6, offset: 1}', label: '显示区≥1920px时，栅格占6位，并向右偏移1位' }
      ]
    },
    'tag': {
      name: '自定义元素标签',
      tips: [{ value: 'div', label: '默认值' }]
    }
  },
  'el-container': {
    'direction': {
      name: '子元素的排列方向',
      tips: [
        { value: 'horizontal', label: '水平' },
        { value: 'vertical ', label: '垂直，子元素中有 el-header 或 el-footer 时默认值' }
      ]
    }
  },
  'el-header': {
    'height': {
      name: '顶栏高度',
      tips: [{ value: '60px', label: '默认值' }, { value: '50px', label: '顶栏高度50px' }]
    }
  },
  'el-aside': {
    'width': {
      name: '侧边栏宽度',
      tips: [{ value: '300px', label: '默认值' }, { value: '350px', label: '侧边栏宽度350px' }]
    }
  },
  'el-footer': {
    'height': {
      name: '底栏高度',
      tips: [{ value: '60px', label: '默认值' }, { value: '50px', label: '底栏高度50px' }]
    }
  },
  'el-button': {
    'size': {
      name: '尺寸',
      tips: [
        { value: 'medium', label: '中' },
        { value: 'small', label: '小' },
        { value: 'mini', label: '迷你' }
      ]
    },
    'type': {
      name: '类型',
      tips: [
        { value: 'primary', label: '主要' },
        { value: 'success', label: '成功' },
        { value: 'warning', label: '警告' },
        { value: 'danger', label: '危险' },
        { value: 'info', label: '信息' },
        { value: 'text', label: '文本' }
      ]
    },
    'plain': {
      name: '是否朴素按钮',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'round': {
      name: '是否圆角按钮',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'circle': {
      name: '是否圆形按钮',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'loading': {
      name: '是否加载中状态',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'disabled': {
      name: '是否禁用状态',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'icon': {
      name: '图标类名',
      tips: [
        { value: 'el-icon-search', label: '搜索' },
        { value: 'el-icon-loading', label: '加载中' },
        { value: 'el-icon-circle-plus-outline', label: '添加' },
        { value: 'el-icon-circle-close-outline', label: '关闭' },
        { value: 'https://element.eleme.io/#/zh-CN/component/icon', label: '图标库' }
      ]
    },
    'autofocus': {
      name: '是否默认聚焦',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'native-type': {
      name: '原生 type 属性',
      tips: [
        { value: 'button', label: '按钮，默认值' },
        { value: 'submit', label: '提交' },
        { value: 'reset', label: '重置' }
      ]
    }
  },
  'el-link': {
    'type': {
      name: '类型',
      tips: [
        { value: 'default', label: '默认值' },
        { value: 'primary', label: '主要' },
        { value: 'success', label: '成功' },
        { value: 'warning', label: '警告' },
        { value: 'danger', label: '危险' },
        { value: 'info', label: '信息' }
      ]
    },
    'underline': {
      name: '是否下划线',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'disabled': {
      name: '是否禁用状态',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'href': {
      name: '原生 href 属性',
      tips: [{ value: 'https://element.eleme.io', label: '跳转链接' }]
    },
    'icon': {
      name: '图标类名',
      tips: [
        { value: 'el-icon-edit', label: '编辑' },
        { value: 'el-icon-message', label: '邮箱' },
        { value: 'el-icon-phone', label: '联系方式' },
        { value: 'el-icon-picture', label: '图片' },
        { value: 'el-icon-share', label: '分享' },
        { value: 'https://element.eleme.io/#/zh-CN/component/icon', label: '图标库' }
      ]
    }
  },
  'el-radio': {
    'value': {
      name: '绑定值',
      tips: [
        { value: '男', label: '字符串数据' },
        { value: '1', label: '数字' },
        { value: 'true', label: 'boolean' }
      ]
    },
    'v-model': {
      name: '双向绑定值',
      tips: [
        { value: '男', label: '字符串数据' },
        { value: '1', label: '数字' },
        { value: 'true', label: 'boolean' }
      ]
    },
    'label': {
      name: 'Radio 的 value 标签描述',
      tips: [
        { value: '男', label: '字符串数据' },
        { value: '1', label: '数字' },
        { value: 'true', label: 'boolean' }
      ]
    },
    'disabled': {
      name: '是否禁用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'border': {
      name: '是否显示边框',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'size': {
      name: 'Radio 的尺寸，仅在 border 为真时有效',
      tips: [
        { value: 'medium', label: '中' },
        { value: 'small', label: '小' },
        { value: 'mini', label: '迷你' }
      ]
    },
    'name': {
      name: '原生 name 属性',
      tips: [{ value: 'radio1', label: '属性的名称' }]
    },
    '@change': {
      name: '绑定值变化时触发的事件',
      tips: [{ value: 'changeRadio', label: '返回选中的 Radio label' }]
    }
  },
  'el-radio-group': {
    'value': {
      name: '绑定值',
      tips: [
        { value: '男', label: '字符串数据' },
        { value: '1', label: '数字' },
        { value: 'true', label: 'boolean' }
      ]
    },
    'v-model': {
      name: '双向绑定值',
      tips: [
        { value: '男', label: '字符串数据' },
        { value: '1', label: '数字' },
        { value: 'true', label: 'boolean' }
      ]
    },
    'size': {
      name: '单选框组尺寸，仅对按钮形式的 Radio 或带有边框的 Radio 有效',
      tips: [
        { value: 'medium', label: '中' },
        { value: 'small', label: '小' },
        { value: 'mini', label: '迷你' }
      ]
    },
    'disabled': {
      name: '是否禁用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'text-color': {
      name: '按钮形式的 Radio 激活时的文本颜色',
      tips: [{ value: '#ffffff', label: '默认值' }]
    },
    'fill': {
      name: '按钮形式的 Radio 激活时的填充色和边框色',
      tips: [{ value: '#409EFF', label: '默认值' }]
    },
    '@change': {
      name: '绑定值变化时触发的事件',
      tips: [{ value: 'changeRadioGroup', label: '返回选中的 Radio label' }]
    }
  },
  'el-radio-button': {
    'label': {
      name: 'Radio 的 value',
      tips: [
        { value: '男', label: '字符串数据' },
        { value: '1', label: '数字' }
      ]
    },
    'disabled': {
      name: '是否禁用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'name': {
      name: '原生 name 属性',
      tips: [{ value: 'radio1', label: '' }]
    }
  },
  'el-checkbox': {
    'value': {
      name: '绑定值',
      tips: [
        { value: '男', label: '字符串数据' },
        { value: '1', label: '数字' },
        { value: 'true', label: 'boolean' }
      ]
    },
    'v-model': {
      name: '双向绑定值',
      tips: [
        { value: '男', label: '字符串数据' },
        { value: '1', label: '数字' },
        { value: 'true', label: 'boolean' }
      ]
    },
    'label': {
      name: '选中状态的值（只有在checkbox-group或者绑定对象类型为array时有效）',
      tips: [
        { value: '男', label: '字符串数据' },
        { value: '1', label: '数字' },
        { value: 'true', label: 'boolean' }
      ]
    },
    'true-label': {
      name: '选中时的值',
      tips: [
        { value: '是', label: '字符串数据' },
        { value: '1', label: '数字' }
      ]
    },
    'false-label': {
      name: '没有选中时的值',
      tips: [
        { value: '否', label: '字符串数据' },
        { value: '0', label: '数字' }
      ]
    },
    'disabled': {
      name: '是否禁用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'border': {
      name: '是否显示边框',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'size': {
      name: 'Checkbox 的尺寸，仅在 border 为真时有效',
      tips: [
        { value: 'medium', label: '中' },
        { value: 'small', label: '小' },
        { value: 'mini', label: '迷你' }
      ]
    },
    'name': {
      name: '原生 name 属性',
      tips: [{ value: 'checkbox1', label: '' }]
    },
    'checked': {
      name: '当前是否勾选',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'indeterminate': {
      name: '设置 indeterminate 状态，只负责样式控制',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@change': {
      name: '当绑定值变化时触发的事件',
      tips: [{ value: 'changeCheckbox', label: '返回更新后的值' }]
    }
  },
  'el-checkbox-group': {
    'value': {
      name: '绑定值',
      tips: [{ value: '[1,2]', label: '内部checkbox标记为勾选' }]
    },
    'v-model': {
      name: '双向绑定值',
      tips: [{ value: '[1,2]', label: '内部checkbox标记为勾选' }]
    },
    'size': {
      name: 'Checkbox 的尺寸，仅在 border 为真时有效',
      tips: [
        { value: 'medium', label: '中' },
        { value: 'small', label: '小' },
        { value: 'mini', label: '迷你' }
      ]
    },
    'disabled': {
      name: '是否禁用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'min': {
      name: '可被勾选的 checkbox 的最小数量',
      tips: [{ value: '0', label: '最少勾选0个' }]
    },
    'max': {
      name: '可被勾选的 checkbox 的最大数量',
      tips: [{ value: '10', label: '最多勾选10个' }]
    },
    'text-color': {
      name: '按钮形式的 Checkbox 激活时的文本颜色',
      tips: [{ value: '#ffffff', label: '默认值' }]
    },
    'fill': {
      name: '按钮形式的 Checkbox 激活时的填充色和边框色',
      tips: [{ value: '#409EFF', label: '默认值' }]
    },
    'change': {
      name: '当绑定值变化时触发的事件',
      tips: [{ value: 'changeCheckboxGroup', label: '返回更新后的值' }]
    }
  },
  'el-checkbox-button': {
    'label': {
      name: '选中状态的值（只有在checkbox-group或者绑定对象类型为array时有效）',
      tips: [
        { value: '男', label: '字符串数据' },
        { value: '1', label: '数字' },
        { value: 'true', label: 'boolean' }
      ]
    },
    'true-label': {
      name: '选中时的值',
      tips: [
        { value: '是', label: '字符串数据' },
        { value: '1', label: '数字' }
      ]
    },
    'false-label': {
      name: '选中状态的值（只有在checkbox-group或者绑定对象类型为array时有效）',
      tips: [
        { value: '否', label: '字符串数据' },
        { value: '0', label: '数字' }
      ]
    },
    'disabled': {
      name: '是否禁用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'name': {
      name: '原生 name 属性',
      tips: [{ value: 'checkbox_button1', label: '' }]
    },
    'checked': {
      name: '当前是否勾选',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    }
  },
  'el-input': {
    'type': {
      name: '类型',
      tips: [
        { value: 'text', label: '文本，默认值' },
        { value: 'textarea', label: '文本区域' },
        { value: 'checkbox', label: '原生checkbox' },
        { value: 'date', label: '原生date' },
        { value: 'file', label: '原生file' },
        { value: 'number', label: '原生number' },
        { value: 'password', label: '原生password' },
        { value: 'radio', label: '原生radio' }
      ]
    },
    'value': {
      name: '绑定值',
      tips: [
        { value: 'a', label: '字符串数据' },
        { value: '1', label: '数字' }
      ]
    },
    'v-model': {
      name: '双向绑定值',
      tips: [
        { value: 'a', label: '字符串数据' },
        { value: '1', label: '数字' }
      ]
    },
    'maxlength': {
      name: '原生属性，最大输入长度',
      tips: [{ value: '20', label: '最大输入20字符' }]
    },
    'minlength': {
      name: '原生属性，最小输入长度',
      tips: [{ value: '0', label: '最小输入0字符' }]
    },
    'show-word-limit': {
      name: '是否显示输入字数统计，只在 type = "text" 或 type = "textarea" 时有效',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'placeholder': {
      name: '输入框占位文本',
      tips: [{ value: '请输入...', label: '' }]
    },
    'clearable': {
      name: '是否可清空',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'show-password': {
      name: '是否显示切换密码图标',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'disabled': {
      name: '是否禁用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'size': {
      name: '输入框尺寸，只在 type!="textarea" 时有效',
      tips: [
        { value: 'medium', label: '中' },
        { value: 'small', label: '小' },
        { value: 'mini', label: '迷你' }
      ]
    },
    'prefix-icon': {
      name: '输入框头部图标',
      tips: [{ value: 'el-icon-search', label: '填写图标' }]
    },
    'suffix-icon': {
      name: '输入框尾部图标',
      tips: [{ value: 'el-icon-search', label: '填写图标' }]
    },
    'rows': {
      name: '输入框行数，只对 type="textarea" 有效',
      tips: [{ value: '2', label: '默认值' }]
    },
    'autosize': {
      name: '自适应内容高度，只对 type="textarea" 有效，可传入对象，如，{ minRows: 2, maxRows: 6 }',
      tips: [{ value: '{ minRows: 2, maxRows: 6 }', label: '文本域显示2-6行' }]
    },
    'autocomplete': {
      name: '原生属性，自动补全',
      tips: [{ value: 'off', label: '关闭，默认值' }, { value: 'on', label: '开启' }]
    },
    'name': {
      name: '原生 name 属性',
      tips: [{ value: 'name', label: '' }]
    },
    'readonly': {
      name: '原生属性，是否只读',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'max': {
      name: '原生属性，设置数字最大值',
      tips: [{ value: '20', label: '最大数字值' }]
    },
    'min': {
      name: '原生属性，设置数字最小值',
      tips: [{ value: '0', label: '最小数字值' }]
    },
    'step': {
      name: '原生属性，设置输入字段的合法数字间隔',
      tips: [{ value: '1', label: '数字间隔' }]
    },
    'resize': {
      name: '控制是否能被用户缩放',
      tips: [
        { value: 'none', label: '无' },
        { value: 'both', label: '二者' },
        { value: 'horizontal', label: '水平' },
        { value: 'vertical', label: '垂直' }
      ]
    },
    'autofocus': {
      name: '原生属性，自动获取焦点',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'form': {
      name: '原生属性',
      tips: [{ value: 'form', label: '表单' }]
    },
    'label': {
      name: '输入框关联的label文字',
      tips: [{ value: 'label', label: '' }]
    },
    'tabindex': {
      name: '输入框的tabindex',
      tips: [{ value: 'tabindex', label: '' }]
    },
    'validate-event': {
      name: '输入时是否触发表单的校验',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    '@blur': {
      name: '在 Input 失去焦点时触发',
      tips: [{ value: 'blurInput', label: '返回事件 event' }]
    },
    '@focus': {
      name: '在 Input 获得焦点时触发',
      tips: [{ value: 'focusInput', label: '返回事件 event' }]
    },
    '@change': {
      name: '仅在输入框失去焦点或用户按下回车时触发',
      tips: [{ value: 'changeInput', label: '返回当前输入框的值' }]
    },
    '@input': {
      name: '在 Input 值改变时触发',
      tips: [{ value: 'inputInput', label: '返回当前输入框的值' }]
    },
    '@clear': {
      name: '在点击由 clearable 属性生成的清空按钮时触发',
      tips: [{ value: 'clearInput', label: '' }]
    }
  },
  'el-autocomplete': {
    'placeholder': {
      name: '输入框占位文本',
      tips: [{ value: '请输入...', label: '文本，默认值' }]
    },
    'disabled': {
      name: '是否禁用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'value-key': {
      name: '输入建议对象中用于显示的键名',
      tips: [{ value: 'value', label: '默认值' }]
    },
    'value': {
      name: '必填值，输入绑定值',
      tips: [{ value: 'value', label: '' }]
    },
    'debounce': {
      name: '获取输入建议的去抖延时，单位：毫秒',
      tips: [{ value: '300', label: '默认值' }]
    },
    'placement': {
      name: '菜单弹出位置',
      tips: [
        { value: 'bottom-start', label: '默认值' },
        { value: 'bottom', label: '' },
        { value: 'bottom-end', label: '' },
        { value: 'top-start', label: '' },
        { value: 'top', label: '' },
        { value: 'top-end', label: '' }
      ]
    },
    'fetch-suggestions': {
      name: '返回输入建议的方法，仅当你的输入建议数据 resolve 时，通过调用 callback(data:[]) 来返回它',
      tips: [{ value: 'fetchSuggestions', label: 'Function(queryString, callback)' }]
    },
    'popper-class': {
      name: 'Autocomplete 下拉列表的类名',
      tips: [{ value: 'class_name', label: 'style中定义的class名称' }]
    },
    'trigger-on-focus': {
      name: '是否在输入框 focus 时显示建议列表',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'name': {
      name: '原生属性',
      tips: [{ value: 'name', label: '' }]
    },
    'select-when-unmatched': {
      name: '在输入没有任何匹配建议的情况下，按下回车是否触发 select 事件',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'label': {
      name: '输入框关联的label文字',
      tips: [{ value: 'label', label: '' }]
    },
    'prefix-icon': {
      name: '输入框头部图标',
      tips: [{ value: 'el-icon-search', label: '填写图标' }]
    },
    'suffix-icon': {
      name: '输入框尾部图标',
      tips: [{ value: 'el-icon-search', label: '填写图标' }]
    },
    'hide-loading': {
      name: '是否隐藏远程加载时的加载图标',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'popper-append-to-body': {
      name: '是否将下拉列表插入至 body 元素。在下拉列表的定位出现问题时，可将该属性设置为 false',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'highlight-first-item': {
      name: '是否默认突出显示远程搜索建议中的第一项',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@select': {
      name: '点击选中建议项时触发',
      tips: [{ value: 'selectAutocomplete', label: '返回选中建议项' }]
    },
    '@change': {
      name: '在 Input 值改变时触发',
      tips: [{ value: 'changeAutocomplete', label: '返回当前值' }]
    }
  },
  'el-input-number': {
    'value': {
      name: '绑定值',
      tips: [{ value: '0', label: '默认值' }]
    },
    'v-model': {
      name: '双向绑定值',
      tips: [{ value: '0', label: '默认值' }]
    },
    'min': {
      name: '设置计数器允许的最小值',
      tips: [{ value: '0', label: '-Infinity(负无穷大)' }]
    },
    'max': {
      name: '设置计数器允许的最大值',
      tips: [{ value: '20', label: 'Infinity(无穷大)' }]
    },
    'step': {
      name: '计数器步长',
      tips: [{ value: '1', label: '默认值' }]
    },
    'step-strictly': {
      name: '是否只能输入 step 的倍数',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'precision': {
      name: '数值精度',
      tips: [{ value: '1', label: '' }]
    },
    'size': {
      name: '计数器尺寸',
      tips: [
        { value: 'large', label: '大' },
        { value: 'small', label: '小' }
      ]
    },
    'disabled': {
      name: '是否禁用计数器',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'controls': {
      name: '是否使用控制按钮',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'controls-position': {
      name: '控制按钮位置',
      tips: [{ value: 'right', label: '默认值' }]
    },
    'name': {
      name: '原生属性',
      tips: [{ value: 'name', label: '' }]
    },
    'label': {
      name: '输入框关联的label文字',
      tips: [{ value: 'label', label: '' }]
    },
    'placeholder': {
      name: '输入框默认 placeholder',
      tips: [{ value: '请输入数字', label: '' }]
    },
    '@change': {
      name: '绑定值被改变时触发',
      tips: [{ value: 'changeInputNumber', label: '返回currentValue, oldValue' }]
    },
    '@blur': {
      name: '在组件 Input 失去焦点时触发',
      tips: [{ value: 'blurInputNumber', label: '返回事件 Event' }]
    },
    '@focus': {
      name: '在组件 Input 获得焦点时触发',
      tips: [{ value: 'focusInputNumber', label: '返回事件 Event' }]
    }
  },
  'el-select': {
    'value': {
      name: '绑定值',
      tips: [
        { value: 'a', label: '字符串数据' },
        { value: '1', label: '数字' },
        { value: 'true', label: 'boolean' }
      ]
    },
    'v-model': {
      name: '双向绑定值',
      tips: [
        { value: 'a', label: '字符串数据' },
        { value: '1', label: '数字' },
        { value: 'true', label: 'boolean' }
      ]
    },
    'multiple': {
      name: '是否多选',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'disabled': {
      name: '是否禁用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'value-key': {
      name: '作为 value 唯一标识的键名，绑定值为对象类型时必填',
      tips: [{ value: 'value', label: '默认值' }]
    },
    'size': {
      name: '输入框尺寸',
      tips: [
        { value: 'medium', label: '中' },
        { value: 'small', label: '小' },
        { value: 'mini', label: '迷你' }
      ]
    },
    'clearable': {
      name: '是否可以清空选项',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'collapse-tags': {
      name: '多选时是否将选中值按文字的形式展示',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'multiple-limit': {
      name: '多选时用户最多可以选择的项目数，为 0 则不限制',
      tips: [{ value: '0', label: '默认值' }]
    },
    'name': {
      name: 'select input 的 name 属性',
      tips: [{ value: 'name', label: '' }]
    },
    'autocomplete': {
      name: 'select input 的 autocomplete 属性',
      tips: [{ value: 'off', label: '关闭，默认值' }, { value: 'on', label: '开启' }]
    },
    'placeholder': {
      name: '占位符',
      tips: [{ value: '请选择', label: '默认值' }]
    },
    'filterable': {
      name: '是否可搜索',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'allow-create': {
      name: '是否允许用户创建新条目，需配合 filterable 使用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'filter-method': {
      name: '自定义搜索方法',
      tips: [{ value: 'filterMethod', label: 'function' }]
    },
    'remote': {
      name: '是否为远程搜索',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'remote-method': {
      name: '远程搜索方法',
      tips: [{ value: 'remoteMethod', label: 'function' }]
    },
    'loading': {
      name: '是否正在从远程获取数据',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'loading-text': {
      name: '远程加载时显示的文字',
      tips: [{ value: '加载中', label: '默认值' }]
    },
    'no-match-text': {
      name: '搜索条件无匹配时显示的文字，也可以使用slot="empty"设置',
      tips: [{ value: '无匹配数据', label: '默认值' }]
    },
    'no-data-text': {
      name: '选项为空时显示的文字，也可以使用slot="empty"设置',
      tips: [{ value: '无数据', label: '默认值' }]
    },
    'popper-class': {
      name: 'Select 下拉框的类名',
      tips: [{ value: 'class_name', label: '自定义class样式' }]
    },
    'reserve-keyword': {
      name: '多选且可搜索时，是否在选中一个选项后保留当前的搜索关键词',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'default-first-option': {
      name: '在输入框按下回车，选择第一个匹配项。需配合 filterable 或 remote 使用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'popper-append-to-body': {
      name: '是否将弹出框插入至 body 元素。在弹出框的定位出现问题时，可将该属性设置为 false',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'automatic-dropdown': {
      name: '对于不可搜索的 Select，是否在输入框获得焦点后自动弹出选项菜单',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@change': {
      name: '选中值发生变化时触发',
      tips: [{ value: 'changeSelect', label: '返回目前的选中值' }]
    },
    '@visible-change': {
      name: '下拉框出现/隐藏时触发',
      tips: [{ value: 'visibleChangeSelect', label: '返回 true|false' }]
    },
    '@remove-tag': {
      name: '多选模式下移除tag时触发',
      tips: [{ value: 'removeTagSelect', label: '返回移除的tag值' }]
    },
    '@clear': {
      name: '可清空的单选模式下用户点击清空按钮时触发',
      tips: [{ value: 'clearSelect', label: '' }]
    },
    '@blur': {
      name: '当 input 失去焦点时触发',
      tips: [{ value: 'blurSelect', label: '返回事件 event' }]
    },
    '@focus': {
      name: '当 input 获得焦点时触发',
      tips: [{ value: 'focusSelect', label: '返回事件 event' }]
    }
  },
  'el-option-group': {
    'label': {
      name: '分组的组名',
      tips: [{ value: 'label', label: '' }]
    },
    'disabled': {
      name: '是否将该分组下所有选项置为禁用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    }
  },
  'el-option': {
    'value': {
      name: '选项的值',
      tips: [
        { value: 'a', label: '字符串数据' },
        { value: '1', label: '数字' },
        { value: '{}', label: '对象类型' }
      ]
    },
    'label': {
      name: '选项的标签，若不设置则默认与 value 相同',
      tips: [
        { value: 'a', label: '字符串数据' },
        { value: '1', label: '数字' }
      ]
    },
    'disabled': {
      name: '是否将该分组下所有选项置为禁用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@focus': {
      name: '使 input 获取焦点',
      tips: [{ value: 'focusOption', label: '' }]
    },
    '@blur': {
      name: '使 input 失去焦点，并隐藏下拉框',
      tips: [{ value: 'blurOption', label: '' }]
    }
  },
  'el-cascader': {
    'value': {
      name: '绑定值',
      tips: [
        { value: 'a', label: '字符串数据' },
        { value: '1', label: '数字' }
      ]
    },
    'v-model': {
      name: '双向绑定值',
      tips: [
        { value: 'a', label: '字符串数据' },
        { value: '1', label: '数字' }
      ]
    },
    'options': {
      name: '可选项数据源，键名可通过 Props 属性配置',
      tips: [{ value: '[]', label: '备选数据源，children作为默认子选项key' }]
    },
    'props': {
      name: '配置选项，具体见下表',
      tips: [{ value: '{}', label: '具体信息参考：https://element.eleme.io/#/zh-CN/component/cascader' }]
    },
    'size': {
      name: '尺寸',
      tips: [
        { value: 'medium', label: '中' },
        { value: 'small', label: '小' },
        { value: 'mini', label: '迷你' }
      ]
    },
    'placeholder': {
      name: '输入框占位文本',
      tips: [{ value: '请选择', label: '默认值' }]
    },
    'disabled': {
      name: '是否将该分组下所有选项置为禁用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'clearable': {
      name: '是否支持清空选项',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'show-all-levels': {
      name: '输入框中是否显示选中值的完整路径',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'collapse-tags': {
      name: '多选模式下是否折叠Tag',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'separator': {
      name: '选项分隔符',
      tips: [{ value: '/', label: '默认值' }, { value: '-', label: '' }]
    },
    'filterable': {
      name: '输入框中是否显示选中值的完整路径',
      tips: [{ value: 'true', label: '是' }, { value: 'false', label: '否' }]
    },
    'filter-method': {
      name: '自定义搜索逻辑，第一个参数是节点node，第二个参数是搜索关键词keyword，通过返回布尔值表示是否命中',
      tips: [{ value: 'filterMethodCascader', label: 'function(node, keyword)' }]
    },
    'debounce': {
      name: '搜索关键词输入的去抖延迟，毫秒',
      tips: [{ value: '300', label: '默认值' }]
    },
    'before-filter': {
      name: '筛选之前的钩子，参数为输入的值，若返回 false 或者返回 Promise 且被 reject，则停止筛选',
      tips: [{ value: 'beforeFilterCascader', label: 'function(value)' }]
    },
    'popper-class': {
      name: '自定义浮层类名',
      tips: [{ value: 'class_name', label: '自定义class样式名' }]
    },
    '@change': {
      name: '当选中节点变化时触发',
      tips: [{ value: 'changeCascader', label: '返回当前选中节点值' }]
    },
    '@expand-change': {
      name: '当展开节点发生变化时触发',
      tips: [{ value: 'expandChangeCascader', label: '返回所有父级组成的数组' }]
    },
    '@blur': {
      name: '当失去焦点时触发',
      tips: [{ value: 'blurCascader', label: '返回事件 event' }]
    },
    '@focus': {
      name: '当获得焦点时触发',
      tips: [{ value: 'focusCascader', label: '返回事件 event' }]
    },
    '@visible-change': {
      name: '下拉框出现/隐藏时触发',
      tips: [{ value: 'visibleChangeCascader', label: '返回事件 true|false' }]
    },
    '@remove-tag': {
      name: '在多选模式下，移除Tag时触发',
      tips: [{ value: 'removeTagCascader', label: '返回移除的Tag对应的节点的值' }]
    }
  },
  'el-cascader-panel': {
    'value': {
      name: '绑定值',
      tips: [
        { value: 'a', label: '字符串数据' },
        { value: '1', label: '数字' }
      ]
    },
    'v-model': {
      name: '双向绑定值',
      tips: [
        { value: 'a', label: '字符串数据' },
        { value: '1', label: '数字' }
      ]
    },
    'options': {
      name: '可选项数据源，键名可通过 Props 属性配置',
      tips: [{ value: '[]', label: '备选数据源，children作为默认子选项key' }]
    },
    'props': {
      name: '配置选项，具体见下表',
      tips: [{ value: '{}', label: '具体信息参考：https://element.eleme.io/#/zh-CN/component/cascader' }]
    },
    '@change': {
      name: '当选中节点变化时触发',
      tips: [{ value: 'changeCascader', label: '返回当前选中节点值' }]
    },
    '@expand-change': {
      name: '当展开节点发生变化时触发',
      tips: [{ value: 'expandChangeCascader', label: '返回所有父级组成的数组' }]
    }
  },
  'el-switch': {
    'value': {
      name: '绑定值',
      tips: [
        { value: 'a', label: '字符串数据' },
        { value: '1', label: '数字' },
        { value: 'true', label: 'boolean' }
      ]
    },
    'v-model': {
      name: '双向绑定值',
      tips: [
        { value: 'a', label: '字符串数据' },
        { value: '1', label: '数字' },
        { value: 'true', label: 'boolean' }
      ]
    },
    'disabled': {
      name: '是否将该分组下所有选项置为禁用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'width': {
      name: 'switch 的宽度（px）',
      tips: [{ value: '40', label: '默认值' }]
    },
    'active-icon-class': {
      name: 'switch 打开时所显示图标的类名，设置此项会忽略 active-text',
      tips: [
        { value: 'el-icon-plus', label: '+' },
        { value: 'el-icon-check', label: '√' },
        { value: 'more+', label: '参考：https://element.eleme.io/#/zh-CN/component/icon' }
      ]
    },
    'inactive-icon-class': {
      name: 'switch 关闭时所显示图标的类名，设置此项会忽略 inactive-text',
      tips: [
        { value: 'el-icon-minus', label: '-' },
        { value: 'el-icon-close', label: '×' },
        { value: 'more+', label: '参考：https://element.eleme.io/#/zh-CN/component/icon' }
      ]
    },
    'active-text': {
      name: 'switch 打开时的文字描述',
      tips: [{ value: '是', label: '' }]
    },
    'inactive-text': {
      name: 'switch 关闭时的文字描述',
      tips: [{ value: '否', label: '' }]
    },
    'active-value': {
      name: 'switch 打开时的值',
      tips: [
        { value: 'true', label: 'boolean，默认值' },
        { value: 'a', label: '字符串数据' },
        { value: '1', label: '数字' }
      ]
    },
    'inactive-value': {
      name: 'switch 关闭时的值',
      tips: [
        { value: 'false', label: 'boolean，默认值' },
        { value: 'b', label: '字符串数据' },
        { value: '0', label: '数字' }
      ]
    },
    'active-color': {
      name: 'switch 打开时的背景色',
      tips: [{ value: '#409EFF', label: '默认值' }]
    },
    'inactive-color': {
      name: 'switch 关闭时的背景色',
      tips: [{ value: '#C0CCDA', label: '默认值' }]
    },
    'name': {
      name: 'switch 对应的 name 属性',
      tips: [{ value: 'name', label: '' }]
    },
    'validate-event': {
      name: '改变 switch 状态时是否触发表单的校验',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    '@change': {
      name: 'switch 状态发生变化时的回调函数',
      tips: [{ value: 'changeSwitch', label: '返回新状态的值' }]
    }
  },
  'el-slider': {
    'value': {
      name: '绑定值',
      tips: [{ value: '0', label: '默认值' }]
    },
    'v-model': {
      name: '双向绑定值',
      tips: [{ value: '0', label: '默认值' }]
    },
    'min': {
      name: '最小值',
      tips: [{ value: '0', label: '默认值' }]
    },
    'max': {
      name: '最大值',
      tips: [{ value: '100', label: '默认值' }]
    },
    'disabled': {
      name: '是否禁用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'step': {
      name: '步长',
      tips: [{ value: '1', label: '默认值' }]
    },
    'show-input': {
      name: '是否显示输入框，仅在非范围选择时有效',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'show-input-controls': {
      name: '在显示输入框的情况下，是否显示输入框的控制按钮',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'input-size': {
      name: '尺寸',
      tips: [
        { value: 'large', label: '大' },
        { value: 'medium', label: '中' },
        { value: 'small', label: '小，默认值' },
        { value: 'mini', label: '迷你' }
      ]
    },
    'show-stops': {
      name: '是否显示间断点',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'show-tooltip': {
      name: '是否显示 tooltip',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'format-tooltip': {
      name: '格式化 tooltip message',
      tips: [{ value: 'formatTooltipSlider', label: 'function(value)' }]
    },
    'range': {
      name: '是否为范围选择',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'vertical': {
      name: '是否竖向模式',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'height': {
      name: 'Slider 高度，竖向模式时必填',
      tips: [{ value: '80', label: '' }]
    },
    'label': {
      name: '屏幕阅读器标签',
      tips: [{ value: 'label', label: '' }]
    },
    'debounce': {
      name: '输入时的去抖延迟，毫秒，仅在show-input等于true时有效',
      tips: [{ value: '300', label: '默认值' }]
    },
    'tooltip-class': {
      name: 'tooltip 的自定义类名',
      tips: [{ value: 'class_name', label: '自定义class样式名' }]
    },
    'marks': {
      name: '标记， key 的类型必须为 number 且取值在闭区间 [min, max] 内，每个标记可以单独设置样式',
      tips: [{ value: '{}', label: '参考：https://element.eleme.io/#/zh-CN/component/slider' }]
    },
    '@change': {
      name: '值改变时触发（使用鼠标拖曳时，只在松开鼠标后触发）',
      tips: [{ value: 'changeSlider', label: '返回改变后的值' }]
    },
    '@input': {
      name: '数据改变时触发（使用鼠标拖曳时，活动过程实时触发）',
      tips: [{ value: 'inputSlider', label: '返回改变后的值' }]
    }
  },
  'el-time-picker': {
    'value': {
      name: '绑定值',
      tips: [
        { value: 'Date', label: 'date(TimePicker)' },
        { value: '01:00:00', label: 'string(TimeSelect)' }
      ]
    },
    'v-model': {
      name: '双向绑定值',
      tips: [
        { value: 'Date', label: 'date(TimePicker)' },
        { value: '01:00:00', label: 'string(TimeSelect)' }
      ]
    },
    'readonly': {
      name: '完全只读',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'disabled': {
      name: '禁用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'editable': {
      name: '文本框可输入',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'clearable': {
      name: '是否显示清除按钮',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'input-size': {
      name: '输入框尺寸',
      tips: [
        { value: 'medium', label: '中' },
        { value: 'small', label: '小' },
        { value: 'mini', label: '迷你' }
      ]
    },
    'placeholder': {
      name: '非范围选择时的占位内容',
      tips: [{ value: '请选择时间', label: '' }]
    },
    'start-placeholder': {
      name: '范围选择时开始日期的占位内容',
      tips: [{ value: '开始时间', label: '' }]
    },
    'end-placeholder': {
      name: '范围选择时开始日期的占位内容',
      tips: [{ value: '结束时间', label: '' }]
    },
    'is-range': {
      name: '是否为时间范围选择，仅对<el-time-picker>有效',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'arrow-control': {
      name: '是否使用箭头进行时间选择，仅对<el-time-picker>有效',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'align': {
      name: '对齐方式',
      tips: [
        { value: 'left', label: '左对齐，默认值' },
        { value: 'center', label: '居中' },
        { value: 'right', label: '右对齐' }
      ]
    },
    'popper-class': {
      name: 'TimePicker 下拉框的类名',
      tips: [{ value: 'class_name', label: '自定义class样式名' }]
    },
    'picker-options': {
      name: '当前时间日期选择器特有的选项参考下表',
      tips: [{ value: '{}', label: '参考：https://element.eleme.io/#/zh-CN/component/time-picker' }]
    },
    'range-separator': {
      name: '选择范围时的分隔符',
      tips: [{ value: '-', label: '默认值' }, { value: ':', label: '' }]
    },
    'value-format': {
      name: '可选，仅TimePicker时可用，绑定值的格式。不指定则绑定值为 Date 对象',
      tips: [{ value: 'HH:mm:ss', label: 'https://element.eleme.io/#/zh-CN/component/date-picker#ri-qi-ge-shi' }]
    },
    'default-value': {
      name: '可选，选择器打开时默认显示的时间',
      tips: [
        { value: 'Date', label: 'date(TimePicker),可被new Date()解析(TimePicker) ' },
        { value: '01:00:00', label: 'string(TimeSelect),可选值(TimeSelect)' }
      ]
    },
    'name': {
      name: '原生属性',
      tips: [{ value: 'name', label: '' }]
    },
    'prefix-icon': {
      name: '自定义头部图标的类名',
      tips: [{ value: 'el-icon-time', label: '时钟，默认值' }]
    },
    'clear-icon': {
      name: '自定义清空图标的类名',
      tips: [{ value: 'el-icon-circle-close', label: '×，默认值' }]
    },
    '@change': {
      name: '用户确认选定的值时触发',
      tips: [{ value: 'changeTimePicker', label: '返回组件绑定值' }]
    },
    '@blur': {
      name: '当 input 失去焦点时触发',
      tips: [{ value: 'blurTimePicker', label: '返回组件实例' }]
    },
    '@focus': {
      name: '当 input 获得焦点时触发',
      tips: [{ value: 'focusTimePicker', label: '返回组件实例' }]
    }
  },
  'el-date-picker': {
    'value': {
      name: '绑定值',
      tips: [
        { value: 'Date', label: 'date(TimePicker)' },
        { value: '2020-01-01', label: 'array(DateRangePicker)' }
      ]
    },
    'v-model': {
      name: '双向绑定值',
      tips: [
        { value: 'Date', label: 'date(TimePicker)' },
        { value: '2020-01-01', label: 'array(DateRangePicker)' }
      ]
    },
    'readonly': {
      name: '完全只读',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'disabled': {
      name: '禁用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'editable': {
      name: '文本框可输入',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'clearable': {
      name: '是否显示清除按钮',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'size': {
      name: '输入框尺寸',
      tips: [
        { value: 'large', label: '大' },
        { value: 'small', label: '小' },
        { value: 'mini', label: '迷你' }
      ]
    },
    'placeholder': {
      name: '非范围选择时的占位内容',
      tips: [{ value: '请选择时间', label: '' }]
    },
    'start-placeholder': {
      name: '范围选择时开始日期的占位内容',
      tips: [{ value: '开始时间', label: '' }]
    },
    'end-placeholder': {
      name: '范围选择时开始日期的占位内容',
      tips: [{ value: '结束时间', label: '' }]
    },
    'type': {
      name: '显示类型',
      tips: [
        { value: 'date', label: '日期，默认值' },
        { value: 'dates', label: '多个日期' },
        { value: 'year', label: '年份' },
        { value: 'month', label: '月份' },
        { value: 'week', label: '周' },
        { value: 'datetime', label: '日期时间' },
        { value: 'datetimerange', label: '日期时间范围' },
        { value: 'daterange', label: '日期范围' },
        { value: 'monthrange', label: '月份范围' }
      ]
    },
    'format': {
      name: '显示在输入框中的格式',
      tips: [{ value: 'yyyy-MM-dd', label: '年月日，默认值' }]
    },
    'align': {
      name: '对齐方式',
      tips: [
        { value: 'left', label: '左对齐，默认值' },
        { value: 'center', label: '居中' },
        { value: 'right', label: '右对齐' }
      ]
    },
    'popper-class': {
      name: 'DatePicker 下拉框的类名',
      tips: [{ value: 'class_name', label: '自定义class样式名' }]
    },
    'picker-options': {
      name: '当前时间日期选择器特有的选项参考下表',
      tips: [{ value: '{}', label: '参考：https://element.eleme.io/#/zh-CN/component/time-picker' }]
    },
    'range-separator': {
      name: '选择范围时的分隔符',
      tips: [{ value: '-', label: '默认值' }, { value: ':', label: '' }]
    },
    'default-value': {
      name: '可选，选择器打开时默认显示的时间',
      tips: [{ value: 'Date', label: 'date(TimePicker),可被new Date()解析(TimePicker) ' }]
    },
    'default-time': {
      name: '范围选择时选中日期所使用的当日内具体时刻',
      tips: [{ value: '["12:00:00","12:00:00"]', label: '数组，长度为 2，每项值为字符串，形如12:00:00，第一项指定开始日期的时刻，第二项指定结束日期的时刻，不指定会使用时刻 00:00:00' }]
    },
    'value-format': {
      name: '可选，仅TimePicker时可用，绑定值的格式。不指定则绑定值为 Date 对象',
      tips: [{ value: 'HH:mm:ss', label: 'https://element.eleme.io/#/zh-CN/component/date-picker#ri-qi-ge-shi' }]
    },
    'name': {
      name: '原生属性',
      tips: [{ value: 'name', label: '' }]
    },
    'unlink-panels': {
      name: '在范围选择器里取消两个日期面板之间的联动',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'prefix-icon': {
      name: '自定义头部图标的类名',
      tips: [{ value: 'el-icon-date', label: '日历，默认值' }]
    },
    'clear-icon': {
      name: '自定义清空图标的类名',
      tips: [{ value: 'el-icon-circle-close', label: '×，默认值' }]
    },
    'validate-event': {
      name: '输入时是否触发表单的校验',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    '@change': {
      name: '用户确认选定的值时触发',
      tips: [{ value: 'changeTimePicker', label: '返回组件绑定值。格式与绑定值一致，可受 value-format 控制' }]
    },
    '@blur': {
      name: '当 input 失去焦点时触发',
      tips: [{ value: 'blurDatePicker', label: '返回组件实例' }]
    },
    '@focus': {
      name: '当 input 获得焦点时触发',
      tips: [{ value: 'focusDatePicker', label: '返回组件实例' }]
    }
  },
  'el-date-time-picker': {
    'value': {
      name: '绑定值',
      tips: [
        { value: 'Date', label: 'date(TimePicker)' },
        { value: '2020-01-01', label: 'array(DateRangePicker)' }
      ]
    },
    'v-model': {
      name: '双向绑定值',
      tips: [
        { value: 'Date', label: 'date(TimePicker)' },
        { value: '2020-01-01', label: 'array(DateRangePicker)' }
      ]
    },
    'readonly': {
      name: '完全只读',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'disabled': {
      name: '禁用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'editable': {
      name: '文本框可输入',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'clearable': {
      name: '是否显示清除按钮',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'size': {
      name: '输入框尺寸',
      tips: [
        { value: 'large', label: '大' },
        { value: 'small', label: '小' },
        { value: 'mini', label: '迷你' }
      ]
    },
    'placeholder': {
      name: '非范围选择时的占位内容',
      tips: [{ value: '请选择时间', label: '' }]
    },
    'start-placeholder': {
      name: '范围选择时开始日期的占位内容',
      tips: [{ value: '开始时间', label: '' }]
    },
    'end-placeholder': {
      name: '范围选择时开始日期的占位内容',
      tips: [{ value: '结束时间', label: '' }]
    },
    'time-arrow-control': {
      name: '是否使用箭头进行时间选择',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'type': {
      name: '显示类型',
      tips: [
        { value: 'date', label: '日期，默认值' },
        { value: 'year', label: '年份' },
        { value: 'month', label: '月份' },
        { value: 'week', label: '周' },
        { value: 'datetime', label: '日期时间' },
        { value: 'datetimerange', label: '日期时间范围' },
        { value: 'daterange', label: '日期范围' }
      ]
    },
    'format': {
      name: '显示在输入框中的格式',
      tips: [{ value: 'yyyy-MM-dd HH:mm:ss', label: '年月日 时分秒，默认值' }]
    },
    'align': {
      name: '对齐方式',
      tips: [
        { value: 'left', label: '左对齐，默认值' },
        { value: 'center', label: '居中' },
        { value: 'right', label: '右对齐' }
      ]
    },
    'popper-class': {
      name: 'DatePicker 下拉框的类名',
      tips: [{ value: 'class_name', label: '自定义class样式名' }]
    },
    'picker-options': {
      name: '当前时间日期选择器特有的选项参考下表',
      tips: [{ value: '{}', label: '参考：https://element.eleme.io/#/zh-CN/component/time-picker' }]
    },
    'range-separator': {
      name: '选择范围时的分隔符',
      tips: [{ value: '-', label: '默认值' }, { value: ':', label: '' }]
    },
    'default-value': {
      name: '可选，选择器打开时默认显示的时间',
      tips: [{ value: 'Date', label: 'date(TimePicker),可被new Date()解析(TimePicker)' }]
    },
    'default-time': {
      name: '选中日期后的默认具体时刻',
      tips: [
        { value: '12:00:00', label: '非范围选择时' },
        { value: '["12:00:00","12:00:00"]', label: '数组，长度为 2，每项值为字符串，形如12:00:00，第一项指定开始日期的时刻，第二项指定结束日期的时刻，不指定会使用时刻 00:00:00' }
      ]
    },
    'value-format': {
      name: '可选，仅TimePicker时可用，绑定值的格式。不指定则绑定值为 Date 对象',
      tips: [{ value: 'HH:mm:ss', label: 'https://element.eleme.io/#/zh-CN/component/date-picker#ri-qi-ge-shi' }]
    },
    'name': {
      name: '原生属性',
      tips: [{ value: 'name', label: '' }]
    },
    'unlink-panels': {
      name: '在范围选择器里取消两个日期面板之间的联动',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'prefix-icon': {
      name: '自定义头部图标的类名',
      tips: [{ value: 'el-icon-date', label: '日历，默认值' }]
    },
    'clear-icon': {
      name: '自定义清空图标的类名',
      tips: [{ value: 'el-icon-circle-close', label: '×，默认值' }]
    },
    '@change': {
      name: '用户确认选定的值时触发',
      tips: [{ value: 'changeTimePicker', label: '返回组件绑定值。格式与绑定值一致，可受 value-format 控制' }]
    },
    '@blur': {
      name: '当 input 失去焦点时触发',
      tips: [{ value: 'blurDatePicker', label: '返回组件实例' }]
    },
    '@focus': {
      name: '当 input 获得焦点时触发',
      tips: [{ value: 'focusDatePicker', label: '返回组件实例' }]
    }
  },
  'el-upload': {
    'action': {
      name: '必选参数，上传的地址',
      tips: [{ value: 'http://xxx', label: 'hadoop上传地址' }]
    },
    'headers': {
      name: '设置上传的请求头部',
      tips: [{ value: '{}', label: '请求头部附加信息' }]
    },
    'multiple': {
      name: '是否支持多选文件',
      tips: [{ value: 'false', label: '否' }, { value: 'true', label: '是' }]
    },
    'data': {
      name: '上传时附带的额外参数',
      tips: [{ value: '{}', label: '请求参数中附加值' }]
    },
    'name': {
      name: '上传的文件字段名',
      tips: [{ value: 'file', label: '默认值' }]
    },
    'with-credentials': {
      name: '支持发送 cookie 凭证信息',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'show-file-list': {
      name: '是否显示已上传文件列表',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'drag': {
      name: '是否启用拖拽上传',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'accept': {
      name: '接受上传的文件类型（thumbnail-mode 模式下此参数无效）',
      tips: [
        { value: '.doc,.docx,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document', label: 'word文档' },
        { value: '.pdf', label: 'pdf文档' },
        { value: 'image/gif,image/jpeg,image/jpg,image/png,image/svg', label: '图片' },
        { value: 'MIME类型值', label: '参考a标签type属性' }
      ]
    },
    'on-preview': {
      name: '点击文件列表中已上传的文件时的钩子',
      tips: [{ value: 'handlePreview', label: 'function(file)' }]
    },
    'on-remove': {
      name: '文件列表移除文件时的钩子',
      tips: [{ value: 'handleRemove', label: 'function(file, fileList)' }]
    },
    'on-success': {
      name: '文件上传成功时的钩子',
      tips: [{ value: 'handleSuccess', label: 'function(response, file, fileList)' }]
    },
    'on-error': {
      name: '文件上传失败时的钩子',
      tips: [{ value: 'handleError', label: 'function(err, file, fileList)' }]
    },
    'on-progress': {
      name: '文件上传时的钩子',
      tips: [{ value: 'handleProgress', label: 'function(event, file, fileList)' }]
    },
    'on-change': {
      name: '文件状态改变时的钩子，添加文件、上传成功和上传失败时都会被调用',
      tips: [{ value: 'handleChange', label: 'function(file, fileList)' }]
    },
    'before-upload': {
      name: '上传文件之前的钩子，参数为上传的文件，若返回 false 或者返回 Promise 且被 reject，则停止上传',
      tips: [{ value: 'beforeUpload', label: 'function(file)' }]
    },
    'before-remove': {
      name: '删除文件之前的钩子，参数为上传的文件和文件列表，若返回 false 或者返回 Promise 且被 reject，则停止删除',
      tips: [{ value: 'beforeRemove', label: 'function(file, fileList)' }]
    },
    'list-type': {
      name: '文件列表的类型',
      tips: [
        { value: 'text', label: '文本，默认值' },
        { value: 'picture', label: '图文' },
        { value: 'picture-card', label: '卡片图文' }
      ]
    },
    'auto-upload': {
      name: '是否在选取文件后立即进行上传',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'file-list': {
      name: '上传的文件列表',
      tips: [{ value: '[{name: "food.jpg", url: "https://xxx.cdn.com/xxx.jpg"}]', label: '' }]
    },
    'http-request': {
      name: '覆盖默认的上传行为，可以自定义上传的实现',
      tips: [{ value: 'httpRequestUpload', label: 'function' }]
    },
    'disabled': {
      name: '是否禁用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'limit': {
      name: '最大允许上传个数',
      tips: [{ value: '3', label: '最多上传3个文件' }, { value: '5', label: '最多上传5个文件' }]
    },
    'on-exceed': {
      name: '文件超出个数限制时的钩子',
      tips: [{ value: 'handleExceed', label: 'function(files, fileList)' }]
    }
  },
  'el-rate': {
    'value': {
      name: '绑定值',
      tips: [{ value: '0', label: '默认值' }]
    },
    'v-model': {
      name: '双向绑定值',
      tips: [{ value: '0', label: '默认值' }]
    },
    'max': {
      name: '最大分值',
      tips: [{ value: '5', label: '默认值' }]
    },
    'disabled': {
      name: '是否为只读',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'allow-half': {
      name: '是否允许半选',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'low-threshold': {
      name: '低分和中等分数的界限值，值本身被划分在低分中',
      tips: [{ value: '2', label: '默认值' }]
    },
    'high-threshold': {
      name: '高分和中等分数的界限值，值本身被划分在高分中',
      tips: [{ value: '4', label: '默认值' }]
    },
    'colors': {
      name: 'icon 的颜色。若传入数组，共有 3 个元素，为 3 个分段所对应的颜色；若传入对象，可自定义分段，键名为分段的界限值，键值为对应的颜色',
      tips: [{ value: '["#F7BA2A", "#F7BA2A", "#F7BA2A"]', label: '默认值' }]
    },
    'void-color': {
      name: '未选中 icon 的颜色',
      tips: [{ value: '#C6D1DE', label: '默认值' }]
    },
    'disabled-void-color': {
      name: '只读时未选中 icon 的颜色',
      tips: [{ value: '#EFF2F7', label: '默认值' }]
    },
    'icon-classes': {
      name: 'icon 的类名。若传入数组，共有 3 个元素，为 3 个分段所对应的类名；若传入对象，可自定义分段，键名为分段的界限值，键值为对应的类名',
      tips: [{ value: '["el-icon-star-on", "el-icon-star-on", "el-icon-star-on"]', label: '默认值' }]
    },
    'void-icon-class': {
      name: '未选中 icon 的类名',
      tips: [{ value: 'el-icon-star-off', label: '默认值' }]
    },
    'disabled-void-icon-class': {
      name: '只读时未选中 icon 的类名',
      tips: [{ value: 'el-icon-star-on', label: '默认值' }]
    },
    'show-text': {
      name: '是否显示辅助文字，若为真，则会从 texts 数组中选取当前分数对应的文字内容',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'show-score': {
      name: '是否显示当前分数，show-score 和 show-text 不能同时为真',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'text-color': {
      name: '辅助文字数组',
      tips: [{ value: '#1F2D3D', label: '默认值' }]
    },
    'texts': {
      name: '辅助文字的颜色',
      tips: [{ value: '["极差", "失望", "一般", "满意", "惊喜"]', label: '默认值' }]
    },
    'score-template': {
      name: '分数显示模板',
      tips: [{ value: '{value}', label: 'value=3.7，默认值' }]
    },
    '@change': {
      name: '分值改变时触发',
      tips: [{ value: 'changeRate', label: '返回改变后的分值' }]
    }
  },
  'el-color-picker': {
    'value': {
      name: '绑定值',
      tips: [{ value: '#409EFF', label: '' }]
    },
    'v-model': {
      name: '双向绑定值',
      tips: [{ value: '#409EFF', label: '' }]
    },
    'disabled': {
      name: '是否禁用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'size': {
      name: '尺寸',
      tips: [
        { value: 'medium', label: '中' },
        { value: 'small', label: '小' },
        { value: 'mini', label: '迷你' }
      ]
    },
    'show-alpha': {
      name: '是否支持透明度选择',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'color-format': {
      name: '写入 v-model 的颜色的格式',
      tips: [
        { value: '#f00', label: 'show-alpha = false时，默认值' },
        { value: 'rgb(255,0,0)', label: 'show-alpha = true时，默认值' },
        { value: 'hsv', label: '' },
        { value: 'hsl', label: '' }
      ]
    },
    'popper-class': {
      name: 'ColorPicker 下拉框的类名',
      tips: [{ value: 'class_name', label: '自定义的class名称' }]
    },
    'predefine': {
      name: '预定义颜色',
      tips: [{ value: '["#ff4500","#ff8c00"]', label: '' }]
    },
    '@change': {
      name: '当绑定值变化时触发',
      tips: [{ value: 'changeColorPicker', label: '返回当前值' }]
    },
    '@active-change': {
      name: '面板中当前显示的颜色发生改变时触发',
      tips: [{ value: 'activeChangeColorPicker', label: '返回当前显示的颜色值' }]
    }
  },
  'el-transfer': {
    'value': {
      name: '绑定值',
      tips: [{ value: '[1]', label: '选中目标key为1的值' }]
    },
    'v-model': {
      name: '双向绑定值',
      tips: [{ value: '[1]', label: '选中目标key为1的值' }]
    },
    'data': {
      name: 'Transfer 的数据源',
      tips: [{ value: '[]', label: 'array[{ key, label, disabled }]，默认值' }]
    },
    'filterable': {
      name: '是否可搜索',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'filter-placeholder': {
      name: '搜索框占位符',
      tips: [{ value: '请输入搜索内容', label: '默认值' }]
    },
    'filter-method': {
      name: '自定义搜索方法',
      tips: [{ value: 'filterMethodtTransfer', label: 'function' }]
    },
    'target-order': {
      name: '右侧列表元素的排序策略：若为 original，则保持与数据源相同的顺序；若为 push，则新加入的元素排在最后；若为 unshift，则新加入的元素排在最前',
      tips: [
        { value: 'original', label: '默认值' },
        { value: 'push', label: '' },
        { value: 'unshift', label: '' }
      ]
    },
    'titles': {
      name: '自定义列表标题，从左至右',
      tips: [{ value: '["列表 1", "列表 2"]', label: '默认值' }]
    },
    'button-texts': {
      name: '自定义按钮文案，从左至右',
      tips: [{ value: '[]', label: '<>，默认值' }, { value: '["到左边", "到右边"]', label: '默认值' }]
    },
    'render-content': {
      name: '自定义数据项渲染函数',
      tips: [{ value: 'renderContentTransfer', label: 'function(h, option)' }]
    },
    'format': {
      name: '列表顶部勾选状态文案',
      // eslint-disable-next-line no-template-curly-in-string
      tips: [{ value: '{noChecked: "${checked}/${total}", hasChecked: "${checked}/${total}"}', label: 'object{noChecked, hasChecked}' }]
    },
    'props': {
      name: '数据源的字段别名',
      tips: [{ value: '{}', label: 'object{key, label, disabled}' }]
    },
    'left-default-checked': {
      name: '初始状态下左侧列表的已勾选项的 key 数组',
      tips: [{ value: '[]', label: '默认值' }]
    },
    'right-default-checked': {
      name: '初始状态下右侧列表的已勾选项的 key 数组',
      tips: [{ value: '[]', label: '默认值' }]
    },
    '@change': {
      name: '右侧列表元素变化时触发',
      tips: [{ value: 'changeTransfer', label: '返回当前值、数据移动的方向（"left" / "right"）、发生移动的数据 key 数组' }]
    },
    '@left-check-change': {
      name: '左侧列表元素被用户选中 / 取消选中时触发',
      tips: [{ value: 'leftCheckChangeTransfer', label: '返回当前被选中的元素的 key 数组、选中状态发生变化的元素的 key 数组' }]
    },
    '@right-check-change': {
      name: '右侧列表元素被用户选中 / 取消选中时触发',
      tips: [{ value: 'rightCheckChangeTransfer', label: '返回当前被选中的元素的 key 数组、选中状态发生变化的元素的 key 数组' }]
    }
  },
  'el-form': {
    'model': {
      name: '表单数据对象',
      tips: [{ value: '{}', label: '表单对象' }]
    },
    'rules': {
      name: '表单验证规则',
      tips: [{ value: '{}', label: '表单验证规则' }]
    },
    'inline': {
      name: '行内表单模式',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'label-position': {
      name: '表单域标签的位置，如果值为 left 或者 right 时，则需要设置 label-width',
      tips: [
        { value: 'right', label: '默认值' },
        { value: 'left', label: '' },
        { value: 'top', label: '' }
      ]
    },
    'label-width': {
      name: '表单域标签的宽度。作为 Form 直接子元素的 form-item 会继承该值。支持 auto',
      tips: [{ value: '140px', label: '' }]
    },
    'label-suffix': {
      name: '表单域标签的后缀',
      tips: [{ value: '：', label: '' }]
    },
    'hide-required-asterisk': {
      name: '是否显示必填字段的标签旁边的红色星号',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'show-message': {
      name: '是否显示校验错误信息',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'inline-message': {
      name: '是否以行内形式展示校验信息',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'status-icon': {
      name: '是否在输入框中显示校验结果反馈图标',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'validate-on-rule-change': {
      name: '是否在 rules 属性改变后立即触发一次验证',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'size': {
      name: '用于控制该表单内组件的尺寸',
      tips: [
        { value: 'medium', label: '中' },
        { value: 'small', label: '小' },
        { value: 'mini', label: '迷你' }
      ]
    },
    'disabled': {
      name: '是否禁用该表单内的所有组件。若设置为 true，则表单内组件上的 disabled 属性不再生效',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@validate': {
      name: '任一表单项被校验后触发',
      tips: [{ value: 'validateForm', label: '返回被校验的表单项 prop 值，校验是否通过，错误消息（如果存在）' }]
    }
  },
  'el-form-item': {
    'prop': {
      name: '表单域 model 字段，在使用 validate、resetFields 方法的情况下，该属性是必填的',
      tips: [{ value: 'xxx', label: '传入 Form 组件的 model 中的字段' }]
    },
    'label': {
      name: '标签文本',
      tips: [{ value: 'label', label: '' }]
    },
    'label-width': {
      name: '表单域标签的宽度。作为 Form 直接子元素的 form-item 会继承该值。支持 auto',
      tips: [{ value: '140px', label: '' }]
    },
    'required': {
      name: '是否必填，如不设置，则会根据校验规则自动生成',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'rules': {
      name: '表单验证规则',
      tips: [{ value: '{}', label: '表单验证规则' }]
    },
    'error': {
      name: '表单域验证错误信息, 设置该值会使表单验证状态变为error，并显示该错误信息',
      tips: [{ value: 'xxx错误', label: '错误提示' }]
    },
    'show-message': {
      name: '是否显示校验错误信息',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'inline-message': {
      name: '以行内形式展示校验信息',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'size': {
      name: '用于控制该表单内组件的尺寸',
      tips: [
        { value: 'medium', label: '中' },
        { value: 'small', label: '小' },
        { value: 'mini', label: '迷你' }
      ]
    },
    '@resetField': {
      name: '对该表单项进行重置，将其值重置为初始值并移除校验结果',
      tips: [{ value: 'resetFieldForm', label: '' }]
    },
    '@clearValidate': {
      name: '移除该表单项的校验结果',
      tips: [{ value: 'clearValidateForm', label: '' }]
    }
  },
  'el-table': {
    'data': {
      name: '显示的数据',
      tips: [{ value: '[]', label: '表格内展示的数据' }]
    },
    'height': {
      name: 'Table 的高度，默认为自动高度。如果 height 为 number 类型，单位 px；如果 height 为 string 类型，则这个高度会设置为 Table 的 style.height 的值，Table 的高度会受控于外部样式',
      tips: [{ value: '200px', label: '' }, { value: '200', label: '' }]
    },
    'max-height': {
      name: 'Table 的最大高度。合法的值为数字或者单位为 px 的高度',
      tips: [{ value: '200px', label: '' }, { value: '200', label: '' }]
    },
    'stripe': {
      name: '是否为斑马纹 table',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'border': {
      name: '是否带有纵向边框',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'size': {
      name: 'Table 的尺寸',
      tips: [
        { value: 'medium', label: '中' },
        { value: 'small', label: '小' },
        { value: 'mini', label: '迷你' }
      ]
    },
    'fit': {
      name: '列的宽度是否自撑开',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'show-header': {
      name: '是否显示表头',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'highlight-current-row': {
      name: '是否要高亮当前行',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'current-row-key': {
      name: '当前行的 key，只写属性',
      tips: [{ value: 'key', label: '' }, { value: '1', label: '' }]
    },
    'row-class-name': {
      name: '行的 className 的回调方法，也可以使用字符串为所有行设置一个固定的 className',
      tips: [
        { value: 'classFunction', label: 'Function({row, rowIndex})' },
        { value: 'class_name', label: 'String' }
      ]
    },
    'row-style': {
      name: '行的 style 的回调方法，也可以使用一个固定的 Object 为所有行设置一样的 Style',
      tips: [
        { value: 'styleFunction', label: 'Function({row, rowIndex})' },
        { value: '{}', label: 'Object' }
      ]
    },
    'cell-class-name': {
      name: '单元格的 className 的回调方法，也可以使用字符串为所有单元格设置一个固定的 className',
      tips: [
        { value: 'classFunction', label: 'Function({row, column, rowIndex, columnIndex})' },
        { value: 'class_name', label: 'String' }
      ]
    },
    'cell-style': {
      name: '单元格的 style 的回调方法，也可以使用一个固定的 Object 为所有单元格设置一样的 Style',
      tips: [
        { value: 'styleFunction', label: 'Function({row, column, rowIndex, columnIndex})' },
        { value: '{}', label: 'Object' }
      ]
    },
    'header-row-class-name': {
      name: '表头行的 className 的回调方法，也可以使用字符串为所有表头行设置一个固定的 className',
      tips: [
        { value: 'classHeaderFunction', label: 'Function({row, rowIndex})' },
        { value: 'class_name', label: 'String' }
      ]
    },
    'header-row-style': {
      name: '表头行的 style 的回调方法，也可以使用一个固定的 Object 为所有表头行设置一样的 Style',
      tips: [
        { value: 'styleHeaderFunction', label: 'Function({row, rowIndex})' },
        { value: '{}', label: 'Object' }
      ]
    },
    'header-cell-class-name': {
      name: '表头单元格的 className 的回调方法，也可以使用字符串为所有表头单元格设置一个固定的 className',
      tips: [
        { value: 'classCellFunction', label: 'Function({row, column, rowIndex, columnIndex})' },
        { value: 'class_name', label: 'String' }
      ]
    },
    'header-cell-style': {
      name: '表头单元格的 style 的回调方法，也可以使用一个固定的 Object 为所有表头单元格设置一样的 Style',
      tips: [
        { value: 'styleHeaderFunction', label: 'Function({row, column, rowIndex, columnIndex})' },
        { value: '{}', label: 'Object' }
      ]
    },
    'row-key': {
      name: '行数据的 Key，用来优化 Table 的渲染；在使用 reserve-selection 功能与显示树形数据时，该属性是必填的。类型为 String 时，支持多层访问：user.info.id，但不支持 user.info[0].id，此种情况请使用 Function',
      tips: [
        { value: 'rowKeyFunction', label: 'Function(row)' },
        { value: 'row_key', label: 'String' }
      ]
    },
    'empty-text': {
      name: '空数据时显示的文本内容，也可以通过 slot="empty" 设置',
      tips: [{ value: '暂无数据', label: '默认值' }]
    },
    'default-expand-all': {
      name: '是否默认展开所有行，当 Table 包含展开行存在或者为树形表格时有效',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'expand-row-keys': {
      name: '可以通过该属性设置 Table 目前的展开行，需要设置 row-key 属性才能使用，该属性为展开行的 keys 数组',
      tips: [{ value: '[1,2]', label: '展开指定数据行' }]
    },
    'default-sort': {
      name: '默认的排序列的 prop 和顺序。它的prop属性指定默认的排序的列，order指定默认排序的顺序',
      tips: [
        { value: 'ascending', label: '如果只指定了prop, 没有指定order, 则默认顺序是ascending' },
        { value: 'descending', label: '' }
      ]
    },
    'tooltip-effect': {
      name: 'tooltip effect 属性',
      tips: [
        { value: 'dark', label: '暗黑色' },
        { value: 'light', label: '明亮色' }
      ]
    },
    'show-summary': {
      name: '是否在表尾显示合计行',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'sum-text': {
      name: '合计行第一列的文本',
      tips: [{ value: '合计', label: '默认值' }]
    },
    'summary-method': {
      name: '自定义的合计计算方法',
      tips: [{ value: 'summaryMethodTable', label: 'Function({ columns, data })' }]
    },
    'span-method': {
      name: '合并行或列的计算方法',
      tips: [{ value: 'spanMethodTable', label: 'Function({ row, column, rowIndex, columnIndex })' }]
    },
    'select-on-indeterminate': {
      name: '在多选表格中，当仅有部分行被选中时，点击表头的多选框时的行为。若为 true，则选中所有行；若为 false，则取消选择所有行',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'indent': {
      name: '展示树形数据时，树节点的缩进',
      tips: [{ value: '16', label: '默认值' }]
    },
    'lazy': {
      name: '是否懒加载子节点数据',
      tips: [{ value: 'true', label: '是' }, { value: 'false', label: '否' }]
    },
    'load': {
      name: '加载子节点数据的函数，lazy 为 true 时生效，函数第二个参数包含了节点的层级信息',
      tips: [{ value: 'loadTreeData', label: 'Function(row, treeNode, resolve)' }]
    },
    'tree-props': {
      name: '渲染嵌套数据的配置选项',
      tips: [{ value: '{ hasChildren: "hasChildren", children: "children" }', label: '默认值' }]
    },
    '@select': {
      name: '当用户手动勾选数据行的 Checkbox 时触发的事件',
      tips: [{ value: 'selectTable', label: '返回 selection, row' }]
    },
    '@select-all': {
      name: '当用户手动勾选全选 Checkbox 时触发的事件',
      tips: [{ value: 'selectAllTable', label: '返回 selection' }]
    },
    '@selection-change': {
      name: '当选择项发生变化时会触发该事件',
      tips: [{ value: 'selectionChangeTable', label: '返回 selection' }]
    },
    '@cell-mouse-enter': {
      name: '当单元格 hover 进入时会触发该事件',
      tips: [{ value: 'cellMouseEnterTable', label: '返回 row, column, cell, event' }]
    },
    '@cell-mouse-leave': {
      name: '当单元格 hover 退出时会触发该事件',
      tips: [{ value: 'cellMouseLeaveTable', label: '返回 row, column, cell, event' }]
    },
    '@cell-click': {
      name: '当某个单元格被点击时会触发该事件',
      tips: [{ value: 'cellClickTable', label: '返回 row, column, cell, event' }]
    },
    '@cell-dblclick': {
      name: '当某个单元格被双击击时会触发该事件',
      tips: [{ value: 'cellDbClickTable', label: '返回 row, column, cell, event' }]
    },
    '@row-click': {
      name: '当某一行被点击时会触发该事件',
      tips: [{ value: 'rowClickTable', label: '返回 row, column, event' }]
    },
    '@row-contextmenu': {
      name: '当某一行被鼠标右键点击时会触发该事件',
      tips: [{ value: 'rowContextmenuTable', label: '返回 row, column, event' }]
    },
    '@row-dblclick': {
      name: '当某一行被双击时会触发该事件',
      tips: [{ value: 'rowDblclickTable', label: '返回 row, column, event' }]
    },
    '@header-click': {
      name: '当某一列的表头被点击时会触发该事件',
      tips: [{ value: 'headerClickTable', label: '返回 column, event' }]
    },
    '@header-contextmenu': {
      name: '当某一列的表头被鼠标右键点击时触发该事件',
      tips: [{ value: 'headerClickTable', label: '返回 column, event' }]
    },
    '@sort-change': {
      name: '当表格的排序条件发生变化的时候会触发该事件',
      tips: [{ value: 'sortChangeTable', label: '返回 { column, prop, order }' }]
    },
    '@filter-change': {
      name: '当表格的筛选条件发生变化的时候会触发该事件，参数的值是一个对象，对象的 key 是 column 的 columnKey，对应的 value 为用户选择的筛选条件的数组',
      tips: [{ value: 'filterChangeTable', label: '返回 filters' }]
    },
    '@current-change': {
      name: '当表格的当前行发生变化的时候会触发该事件，如果要高亮当前行，请打开表格的 highlight-current-row 属性',
      tips: [{ value: 'currentChangeTable', label: '返回 currentRow, oldCurrentRow' }]
    },
    '@header-dragend': {
      name: '当拖动表头改变了列的宽度的时候会触发该事件',
      tips: [{ value: 'currentChangeTable', label: '返回 newWidth, oldWidth, column, event' }]
    },
    '@expand-change': {
      name: '当用户对某一行展开或者关闭的时候会触发该事件（展开行时，回调的第二个参数为 expandedRows；树形表格时第二参数为 expanded）',
      tips: [{ value: 'expandChangeTable', label: '返回 row, (expandedRows | expanded)' }]
    }
  },
  'el-table-column': {
    'type': {
      name: '对应列的类型',
      tips: [
        { value: 'selection', label: '显示多选框' },
        { value: 'index', label: '显示该行的索引（从 1 开始计算）' },
        { value: 'expand', label: '显示一个可展开的按钮' }
      ]
    },
    'index': {
      name: '如果设置了 type=index，可以通过传递 index 属性来自定义索引',
      tips: [
        { value: '1', label: 'number' },
        { value: 'function(index)', label: 'Function(index)' }
      ]
    },
    'column-key': {
      name: 'column 的 key，如果需要使用 filter-change 事件，则需要此属性标识是哪个 column 的筛选条件',
      tips: [{ value: 'key', label: '要显示的对象key' }]
    },
    'label': {
      name: '显示的标题',
      tips: [{ value: 'label', label: '' }]
    },
    'prop': {
      name: '对应列内容的字段名，也可以使用 property 属性',
      tips: [{ value: 'prop', label: '' }]
    },
    'width': {
      name: '对应列的宽度',
      tips: [{ value: '150', label: '列宽150px' }]
    },
    'min-width': {
      name: '对应列的最小宽度，与 width 的区别是 width 是固定的，min-width 会把剩余宽度按比例分配给设置了 min-width 的列',
      tips: [{ value: '150', label: '列宽最少150px' }]
    },
    'fixed': {
      name: '列是否固定在左侧或者右侧，true 表示固定在左侧',
      tips: [
        { value: 'true', label: '固定在左侧' },
        { value: 'left', label: '左侧' },
        { value: 'right', label: '右侧' }
      ]
    },
    'render-header': {
      name: '列标题 Label 区域渲染使用的 Function',
      tips: [{ value: 'renderHeader', label: 'Function(h, { column, $index })' }]
    },
    'sortable': {
      name: '对应列是否可以排序，如果设置为 "custom"，则代表用户希望远程排序，需要监听 Table 的 sort-change 事件',
      tips: [
        { value: 'false', label: '否，默认值' },
        { value: 'true', label: '是' },
        { value: 'custom', label: '远程排序，需要监听 Table 的 sort-change 事件' }
      ]
    },
    'sort-method': {
      name: '对数据进行排序的时候使用的方法，仅当 sortable 设置为 true 的时候有效，需返回一个数字，和 Array.sort 表现一致',
      tips: [{ value: 'sortMethodFunction', label: 'Function(a, b)' }]
    },
    'sort-by': {
      name: '指定数据按照哪个属性进行排序，仅当 sortable 设置为 true 且没有设置 sort-method 的时候有效。如果 sort-by 为数组，则先按照第 1 个属性排序，如果第 1 个相等，再按照第 2 个排序，以此类推',
      tips: [
        { value: 'a', label: 'String' },
        { value: '[]', label: 'Array' },
        { value: 'sortByFunction', label: 'Function(row, index)' }
      ]
    },
    'sort-orders': {
      name: '数据在排序时所使用排序策略的轮转顺序，仅当 sortable 为 true 时有效。需传入一个数组，随着用户点击表头，该列依次按照数组中元素的顺序进行排序',
      tips: [{ value: '["ascending", "descending", null]', label: '默认值' }]
    },
    'resizable': {
      name: '对应列是否可以通过拖动改变宽度（需要在 el-table 上设置 border 属性为真）',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'formatter': {
      name: '用来格式化内容',
      tips: [{ value: 'formatterFunction', label: 'Function(row, column, cellValue, index)' }]
    },
    'show-overflow-tooltip': {
      name: '当内容过长被隐藏时显示 tooltip',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'align': {
      name: '对齐方式',
      tips: [
        { value: 'left', label: '左对齐，默认值' },
        { value: 'center', label: '居中' },
        { value: 'right', label: '右对齐' }
      ]
    },
    'header-align': {
      name: '表头对齐方式，若不设置该项，则使用表格的对齐方式',
      tips: [
        { value: 'left', label: '左对齐' },
        { value: 'center', label: '居中' },
        { value: 'right', label: '右对齐' }
      ]
    },
    'class-name': {
      name: '列的 className',
      tips: [{ value: 'class_name', label: '自定义样式class名称' }]
    },
    'label-class-name': {
      name: '当前列标题的自定义类名',
      tips: [{ value: 'class_name', label: '自定义样式class名称' }]
    },
    'selectable': {
      name: '仅对 type=selection 的列有效，类型为 Function，Function 的返回值用来决定这一行的 CheckBox 是否可以勾选',
      tips: [{ value: 'selectableFunction', label: 'Function(row, index)' }]
    },
    'reserve-selection': {
      name: '仅对 type=selection 的列有效，类型为 Boolean，为 true 则会在数据更新之后保留之前选中的数据（需指定 row-key）',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'filters': {
      name: '数据过滤的选项，数组格式，数组中的元素需要有 text 和 value 属性',
      tips: [{ value: '[{"text":"a","value":"1"}]', label: 'Array[{ text, value }]' }]
    },
    'filter-placement': {
      name: '过滤弹出框的定位',
      tips: [
        { value: 'bottom', label: '下方居中，默认值' },
        { value: 'bottom-start', label: '下方靠左' },
        { value: 'bottom-end', label: '下方靠右' },
        { value: 'top', label: '上方居中' },
        { value: 'top-start', label: '上方靠左' },
        { value: 'top-end', label: '上方靠右' },
        { value: 'left', label: '左侧居中' },
        { value: 'left-start', label: '左侧靠上' },
        { value: 'left-end', label: '左侧靠下' },
        { value: 'right', label: '右侧居中' },
        { value: 'right-start', label: '右侧靠上' },
        { value: 'right-end', label: '右侧靠下' }
      ]
    },
    'filter-multiple': {
      name: '数据过滤的选项是否多选',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'filter-method': {
      name: '数据过滤使用的方法，如果是多选的筛选项，对每一条数据会执行多次，任意一次返回 true 就会显示',
      tips: [{ value: 'filterMethodFunction', label: 'Function(value, row, column)' }]
    },
    'filtered-value': {
      name: '选中的数据过滤项，如果需要自定义表头过滤的渲染方式，可能会需要此属性',
      tips: [{ value: '[]', label: 'Array' }]
    }
  },
  'el-tag': {
    'type': {
      name: '类型',
      tips: [
        { value: 'success', label: '默认值' },
        { value: 'info', label: '' },
        { value: 'warning', label: '' },
        { value: 'danger', label: '' }
      ]
    },
    'closable': {
      name: '是否可关闭',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'disable-transitions': {
      name: '是否禁用渐变动画',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'hit': {
      name: '是否有边框描边',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'color': {
      name: '背景色',
      tips: [{ value: '#f00', label: '红色' }]
    },
    'size': {
      name: '尺寸',
      tips: [
        { value: 'medium', label: '中' },
        { value: 'small', label: '小' },
        { value: 'mini', label: '迷你' }
      ]
    },
    'effect': {
      name: '主题',
      tips: [
        { value: 'light', label: '明亮色，默认值' },
        { value: 'dark', label: '暗黑色' },
        { value: 'plain', label: '简单朴素' }
      ]
    },
    '@click': {
      name: '点击 Tag 时触发的事件',
      tips: [{ value: 'clickTag', label: '' }]
    },
    '@close': {
      name: '关闭 Tag 时触发的事件',
      tips: [{ value: 'closeTag', label: '' }]
    }
  },
  'el-progress': {
    'percentage': {
      name: '百分比（必填），0-100之间数值',
      tips: [{ value: '0', label: '默认值' }, { value: '100', label: '' }]
    },
    'type': {
      name: '进度条类型',
      tips: [
        { value: 'line', label: '直线型，默认值' },
        { value: 'circle', label: '圆环型' },
        { value: 'dashboard', label: '仪表盘型' }
      ]
    },
    'stroke-width': {
      name: '进度条的宽度，单位 px',
      tips: [{ value: '6', label: '' }]
    },
    'text-inside': {
      name: '进度条显示文字内置在进度条内（只在 type=line 时可用）',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'status': {
      name: '进度条当前状态',
      tips: [
        { value: 'success', label: '成功' },
        { value: 'exception', label: '异常' },
        { value: 'warning', label: '警告' }
      ]
    },
    'color': {
      name: '进度条背景色（会覆盖 status 状态颜色）',
      tips: [
        { value: '#409eff', label: '单色' },
        { value: '[{"color":"#f56c6c","percentage":"40"}]', label: '阶段性不同颜色' },
        { value: 'customColorMethod', label: 'Function(percentage)' }
      ]
    },
    'width': {
      name: '环形进度条画布宽度（只在 type 为 circle 或 dashboard 时可用）',
      tips: [{ value: '126', label: '默认值' }]
    },
    'show-text': {
      name: '是否显示进度条文字内容',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'stroke-linecap': {
      name: 'circle/dashboard 类型路径两端的形状',
      tips: [
        { value: 'round', label: '默认值' },
        { value: 'butt', label: '' },
        { value: 'square', label: '' }
      ]
    }
  },
  'el-tree': {
    'data': {
      name: '展示数据',
      tips: [{ value: '[]', label: '' }]
    },
    'empty-text': {
      name: '内容为空的时候展示的文本',
      tips: [{ value: '暂无数据', label: '' }]
    },
    'node-key': {
      name: '每个树节点用来作为唯一标识的属性，整棵树应该是唯一的',
      tips: [{ value: 'id', label: '数据中id值' }, { value: 'key', label: '数据中key值' }]
    },
    'props': {
      name: '配置选项，具体看下表',
      tips: [{ value: '{}', label: '参考链接：https://element.eleme.io/#/zh-CN/component/tree' }]
    },
    'render-after-expand': {
      name: '是否在第一次展开某个树节点后才渲染其子节点',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'load': {
      name: '加载子树数据的方法，仅当 lazy 属性为true 时生效',
      tips: [{ value: 'lazyLoadTreeData', label: 'function(node, resolve)' }]
    },
    'render-content': {
      name: '树节点的内容区的渲染 Function',
      tips: [{ value: 'renderContentData', label: 'Function(h, { node, data, store }' }]
    },
    'highlight-current': {
      name: '是否高亮当前选中节点',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'default-expand-all': {
      name: '是否默认展开所有节点',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'expand-on-click-node': {
      name: '是否在点击节点的时候展开或者收缩节点，如果为 false，则只有点箭头图标的时候才会展开或者收缩节点',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'check-on-click-node': {
      name: '是否在点击节点的时候选中节点，即只有在点击复选框时才会选中节点',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'auto-expand-parent': {
      name: '展开子节点的时候是否自动展开父节点',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'default-expanded-keys': {
      name: '默认展开的节点的 key 的数组',
      tips: [{ value: '[1,2]', label: '展开数据中key为1和2的数据' }]
    },
    'show-checkbox': {
      name: '节点是否可被选择',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'check-strictly': {
      name: '在显示复选框的情况下，是否严格的遵循父子不互相关联的做法',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'default-checked-keys': {
      name: '默认勾选的节点的 key 的数组',
      tips: [{ value: '[1,2]', label: '勾选数据中key为1和2的数据' }]
    },
    'current-node-key': {
      name: '当前选中的节点',
      tips: [{ value: '1', label: 'number' }, { value: 'a', label: 'string' }]
    },
    'filter-node-method': {
      name: '对树节点进行筛选时执行的方法，返回 true 表示这个节点可以显示，返回 false 则表示这个节点会被隐藏',
      tips: [{ value: 'filterNodeMethodData', label: 'Function(value, data, node)' }]
    },
    'accordion': {
      name: '是否每次只打开一个同级树节点展开',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'indent': {
      name: '相邻级节点间的水平缩进，单位 px',
      tips: [{ value: '16', label: '默认值' }]
    },
    'icon-class': {
      name: '自定义树节点的图标，会替换尖角符号',
      tips: [{ value: 'el-icon-caret-right', label: '' }]
    },
    'lazy': {
      name: '是否懒加载子节点，需与 load 方法结合使用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'draggable': {
      name: '是否开启拖拽节点功能',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'allow-drag': {
      name: '判断节点能否被拖拽',
      tips: [{ value: 'allowDragTree', label: 'Function(node)' }]
    },
    'allow-drop': {
      name: '拖拽时判定目标节点能否被放置。type 参数有三种情况："prev"、"inner" 和 "next"，分别表示放置在目标节点前、插入至目标节点和放置在目标节点后',
      tips: [{ value: 'allowDropTree', label: 'Function(draggingNode, dropNode, type)' }]
    },
    '@node-click': {
      name: '节点被点击时的回调',
      tips: [{ value: 'handleNodeClick', label: '返回三个参数，data(属性的数组中该节点所对应的对象)、Node(节点对应的)、节点组件本身' }]
    },
    '@node-contextmenu': {
      name: '节点被点击时的回调',
      tips: [{ value: 'handleNodeContextmenu', label: '返回四个参数，event(事件)、data(属性的数组中该节点所对应的对象)、Node(节点对应的)、节点组件本身' }]
    },
    '@check-change': {
      name: '节点选中状态发生变化时的回调',
      tips: [{ value: 'handleCheckChange', label: '返回三个参数，data(属性的数组中该节点所对应的对象)、nodeFlag(节点本身是否被选中)、节点的子树中是否有被选中的节点' }]
    },
    '@check': {
      name: '当复选框被点击的时候触发',
      tips: [{ value: 'handleCheck', label: '返回两个参数，data(属性的数组中该节点所对应的对象)、nodeFlag(树目前的选中状态对象，包含 checkedNodes、checkedKeys、halfCheckedNodes、halfCheckedKeys 四个属性)' }]
    },
    '@current-change': {
      name: '当前选中节点变化时触发的事件',
      tips: [{ value: 'handleCurrentChange', label: '返回两个参数，data(当前节点的数据)、Node(当前节点的 Node 对象)' }]
    },
    '@node-expand': {
      name: '节点被展开时触发的事件',
      tips: [{ value: 'handleNodeExpand', label: '返回三个参数，data(属性的数组中该节点所对应的对象)、Node(当前节点的 Node)、节点组件本身' }]
    },
    '@node-collapse': {
      name: '节点被关闭时触发的事件',
      tips: [{ value: 'handleNodeCollapse', label: '返回三个参数，data(属性的数组中该节点所对应的对象)、Node(当前节点的 Node)、节点组件本身' }]
    },
    '@node-drag-start': {
      name: '节点开始拖拽时触发的事件',
      tips: [{ value: 'handleNodeDragStart', label: '返回两个参数，Node(被拖拽节点对应的 Node)、event(事件)' }]
    },
    '@node-drag-enter': {
      name: '拖拽进入其他节点时触发的事件',
      tips: [{ value: 'handleNodeDragEnter', label: '返回三个参数，Node(被拖拽节点对应的 Node)、NodeNew(所进入节点对应的 Node)、event(事件)' }]
    },
    '@node-drag-leave': {
      name: '拖拽离开某个节点时触发的事件',
      tips: [{ value: 'handleNodeDragLeave', label: '返回三个参数，Node(被拖拽节点对应的 Node)、NodeOld(所离开节点对应的 Node)、event(事件)' }]
    },
    '@node-drag-over': {
      name: '在拖拽节点时触发的事件（类似浏览器的 mouseover 事件）',
      tips: [{ value: 'handleNodeDragOver', label: '返回三个参数，Node(被拖拽节点对应的 Node)、NodeCurt(当前进入节点对应的 Node)、event(事件)' }]
    },
    '@node-drag-end': {
      name: '拖拽结束时（可能未成功）触发的事件',
      tips: [{ value: 'handleNodeDragEnd', label: '返回四个参数，Node(被拖拽节点对应的 Node)、NodeEnd(结束拖拽时最后进入的节点，可能为空)、NodeNew(被拖拽节点的放置位置，before、after、inner)、event(事件)' }]
    },
    '@node-drop': {
      name: '拖拽成功完成时触发的事件',
      tips: [{ value: 'handleNodeDrop', label: '返回四个参数，Node(被拖拽节点对应的 Node)、NodeEnd(结束拖拽时最后进入的节点)、NodeNew(被拖拽节点的放置位置，before、after、inner)、event(事件)' }]
    }
  },
  'el-pagination': {
    'small': {
      name: '是否使用小型分页样式',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'background': {
      name: '是否为分页按钮添加背景色',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'page-size': {
      name: '每页显示条目个数，支持 .sync 修饰符',
      tips: [
        { value: '10', label: '默认值' },
        { value: '15', label: '' },
        { value: '20', label: '' }
      ]
    },
    'total': {
      name: '总条目数',
      tips: [{ value: '10', label: '接口获取的总数据条数' }]
    },
    'page-count': {
      name: '总页数，total 和 page-count 设置任意一个就可以达到显示页码的功能；如果要支持 page-sizes 的更改，则需要使用 total 属性',
      tips: [{ value: '10', label: '' }]
    },
    'pager-count': {
      name: '页码按钮的数量，当总页数超过该值时会折叠，大于等于 5 且小于等于 21 的奇数',
      tips: [{ value: '7', label: '默认值' }]
    },
    'current-page': {
      name: '当前页数，支持 .sync 修饰符',
      tips: [{ value: '1', label: '默认值' }]
    },
    'layout': {
      name: '组件布局，子组件名用逗号分隔(备选项：sizes, prev, pager, next, jumper, ->, total, slot)',
      tips: [{ value: '"prev, pager, next, jumper, ->, total"', label: '默认值' }]
    },
    'page-sizes': {
      name: '每页显示个数选择器的选项设置',
      tips: [{ value: '[10, 20, 30, 40, 50, 100]', label: '默认值' }]
    },
    'popper-class': {
      name: '每页显示个数选择器的下拉框类名',
      tips: [{ value: 'class_name', label: '自定义class样式名' }]
    },
    'prev-text': {
      name: '替代图标显示的上一页文字',
      tips: [{ value: '上一页', label: '' }]
    },
    'next-text': {
      name: '替代图标显示的下一页文字',
      tips: [{ value: '下一页', label: '' }]
    },
    'disabled': {
      name: '是否禁用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'hide-on-single-page': {
      name: '只有一页时是否隐藏',
      tips: [{ value: 'false', label: '否' }, { value: 'true', label: '是' }]
    },
    '@size-change': {
      name: 'pageSize 改变时会触发',
      tips: [{ value: 'handleSizeChange', label: '返回每页条数' }]
    },
    '@current-change': {
      name: 'currentPage 改变时会触发',
      tips: [{ value: 'handleCurrentChange', label: '返回当前页' }]
    },
    '@prev-click': {
      name: '用户点击上一页按钮改变当前页后触发',
      tips: [{ value: 'handlePrevClick', label: '返回当前页' }]
    },
    '@next-click': {
      name: '用户点击下一页按钮改变当前页后触发',
      tips: [{ value: 'handleNextClick', label: '返回当前页' }]
    }
  },
  'el-badge': {
    'value': {
      name: '显示值',
      tips: [{ value: '10', label: 'number' }, { value: 'new', label: 'string' }]
    },
    'max': {
      name: '最大值，超过最大值会显示 "{max}+"，要求 value 是 Number 类型',
      tips: [{ value: '9', label: '' }, { value: '99', label: '' }]
    },
    'is-dot': {
      name: '小圆点',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'hidden': {
      name: '隐藏 badge',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'type': {
      name: '类型',
      tips: [
        { value: 'primary', label: '' },
        { value: 'success', label: '' },
        { value: 'warning', label: '' },
        { value: 'danger', label: '' },
        { value: 'info', label: '' }
      ]
    }
  },
  'el-avatar': {
    'icon': {
      name: '设置头像的图标类型，参考 Icon 组件',
      tips: [{ value: 'el-icon-user-solid', label: '' }, { value: 'el-icon-user', label: '' }]
    },
    'size': {
      name: '设置头像的大小',
      tips: [
        { value: 'large', label: '大，默认值' },
        { value: 'medium', label: '中' },
        { value: 'small', label: '小' },
        { value: '50', label: '数值' }
      ]
    },
    'shape': {
      name: '设置头像的形状',
      tips: [{ value: 'circle', label: '圆形，默认值' }, { value: 'square', label: '正方形' }]
    },
    'src': {
      name: '图片头像的资源地址',
      tips: [{ value: 'htts://xxx', label: '头像地址' }]
    },
    'srcSet': {
      name: '以逗号分隔的一个或多个字符串列表表明一系列用户代理使用的可能的图像',
      tips: [{ value: 'htts://xxx,htts://xxx', label: '多个地址' }]
    },
    'alt': {
      name: '描述图像的替换文本',
      tips: [{ value: '图片介绍', label: '' }]
    },
    'fit': {
      name: '当展示类型为图片的时候，设置图片如何适应容器框',
      tips: [
        { value: 'cover', label: '等比例缩放充满(部分不显示)，默认值' },
        { value: 'fill', label: '图片不成比例伸缩充满(图片被拉伸变形)' },
        { value: 'contain', label: '图片成比例伸缩充满(图片两侧或上下出现白条)' },
        { value: 'none', label: '保持原生态' },
        { value: 'scale-down', label: '宽或高大于控件与contain方式是一样，宽和高都小于控件与none方式是一样' }
      ]
    },
    '@error': {
      name: '图片类头像加载失败的回调， 返回 false 会关闭组件默认的 fallback 行为',
      tips: [{ value: 'errorHandler', label: '返回事件 Event' }]
    }
  },
  'el-alert': {
    'title': {
      name: '标题',
      tips: [{ value: '标题', label: '' }]
    },
    'type': {
      name: '主题',
      tips: [
        { value: 'info', label: '默认值' },
        { value: 'success', label: '成功' },
        { value: 'warning', label: '警告' },
        { value: 'error', label: '错误' }
      ]
    },
    'description': {
      name: '辅助性文字。也可通过默认 slot 传入',
      tips: [{ value: '描述信息', label: '' }]
    },
    'closable': {
      name: '是否可关闭',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'center': {
      name: '文字是否居中',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'close-text': {
      name: '关闭按钮自定义文本',
      tips: [{ value: '关闭', label: '' }]
    },
    'show-icon': {
      name: '是否显示图标',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'effect': {
      name: '选择提供的主题',
      tips: [
        { value: 'light', label: '明亮色，默认值' },
        { value: 'dark', label: '暗黑色' }
      ]
    },
    '@close': {
      name: '关闭alert时触发的事件',
      tips: [{ value: 'closeAlert', label: '' }]
    }
  },
  'el-message': {
    'message': {
      name: '消息文字',
      tips: [
        { value: '消息文字', label: 'string' },
        { value: 'h()', label: 'VNode' }
      ]
    },
    'type': {
      name: '主题',
      tips: [
        { value: 'info', label: '默认值' },
        { value: 'success', label: '成功' },
        { value: 'warning', label: '警告' },
        { value: 'error', label: '错误' }
      ]
    },
    'iconClass': {
      name: '自定义图标的类名，会覆盖 type',
      tips: [{ value: 'el-icon-user-solid', label: '' }]
    },
    'dangerouslyUseHTMLString': {
      name: '是否将 message 属性作为 HTML 片段处理',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'customClass': {
      name: '自定义类名',
      tips: [{ value: 'class_name', label: '自定义class样式名' }]
    },
    'duration': {
      name: '显示时间, 毫秒。设为 0 则不会自动关闭',
      tips: [{ value: '3000', label: '默认值' }]
    },
    'showClose': {
      name: '是否显示关闭按钮',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'center': {
      name: '文字是否居中',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'onClose': {
      name: '关闭时的回调函数, 参数为被关闭的 message 实例',
      tips: [{ value: 'handleClose', label: 'function(message)' }]
    },
    'offset': {
      name: 'Message 距离窗口顶部的偏移量',
      tips: [{ value: '20', label: '默认值' }, { value: '50', label: '' }]
    },
    '@close': {
      name: '关闭当前的 Message',
      tips: [{ value: 'closeMessage', label: '' }]
    }
  },
  'el-message-box': {
    'title': {
      name: 'MessageBox 标题',
      tips: [{ value: '标题', label: '' }]
    },
    'message': {
      name: 'MessageBox 消息正文内容',
      tips: [
        { value: '正文内容', label: 'string' },
        { value: 'h()', label: 'VNode' }
      ]
    },
    'dangerouslyUseHTMLString': {
      name: '是否将 message 属性作为 HTML 片段处理',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'type': {
      name: '消息类型，用于显示图标',
      tips: [
        { value: 'info', label: '信息' },
        { value: 'success', label: '成功' },
        { value: 'warning', label: '警告' },
        { value: 'error', label: '错误' }
      ]
    },
    'iconClass': {
      name: '自定义图标的类名，会覆盖 type',
      tips: [{ value: 'el-icon-user-solid', label: '' }]
    },
    'customClass': {
      name: '自定义类名',
      tips: [{ value: 'class_name', label: '自定义class样式名' }]
    },
    'callback': {
      name: '若不使用 Promise，可以使用此参数指定 MessageBox 关闭后的回调',
      tips: [{ value: 'class_name', label: 'function(action, instance)，action 的值为"confirm", "cancel"或"close", instance 为 MessageBox 实例' }]
    },
    'showClose': {
      name: 'MessageBox 是否显示右上角关闭按钮',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'beforeClose': {
      name: 'MessageBox 关闭前的回调，会暂停实例的关闭',
      tips: [{ value: 'class_name', label: 'function(action, instance, done)，action 的值为"confirm", "cancel"或"close"；instance 为 MessageBox 实例，可以通过它访问实例上的属性和方法；done 用于关闭 MessageBox 实例' }]
    },
    'distinguishCancelAndClose': {
      name: '是否将取消（点击取消按钮）与关闭（点击关闭按钮或遮罩层、按下 ESC 键）进行区分',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'lockScroll': {
      name: '是否在 MessageBox 出现时将 body 滚动锁定',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'showCancelButton': {
      name: '是否显示取消按钮',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是，以 confirm 和 prompt 方式调用时默认值' }]
    },
    'showConfirmButton': {
      name: '是否显示确定按钮',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'cancelButtonText': {
      name: '取消按钮的文本内容',
      tips: [{ value: '取消', label: '默认值' }]
    },
    'confirmButtonText': {
      name: '确定按钮的文本内容',
      tips: [{ value: '确定', label: '默认值' }]
    },
    'cancelButtonClass': {
      name: '取消按钮的自定义类名',
      tips: [{ value: 'class_name', label: '自定义class样式名' }]
    },
    'confirmButtonClass': {
      name: '确定按钮的自定义类名',
      tips: [{ value: 'class_name', label: '自定义class样式名' }]
    },
    'closeOnClickModal': {
      name: '是否可通过点击遮罩关闭 MessageBox',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否，以 alert 方式调用时默认值' }]
    },
    'closeOnPressEscape': {
      name: '是否可通过按下 ESC 键关闭 MessageBox',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否，以 alert 方式调用时默认值' }]
    },
    'closeOnHashChange': {
      name: '是否在 hashchange 时关闭 MessageBox',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'showInput': {
      name: '是否显示输入框',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是，以 prompt 方式调用时默认值' }]
    },
    'inputPlaceholder': {
      name: '输入框的占位符',
      tips: [{ value: '请输入...', label: '' }]
    },
    'inputType': {
      name: '输入框的类型',
      tips: [
        { value: 'text', label: '文本' },
        { value: 'number', label: '数字' },
        { value: 'password', label: '密码' }
      ]
    },
    'inputValue': {
      name: '输入框的初始文本',
      tips: [{ value: '', label: '初始值' }]
    },
    'inputPattern': {
      name: '输入框的校验表达式',
      tips: [{ value: 'regexp', label: 'regexp类型' }]
    },
    'inputValidator': {
      name: '输入框的校验函数。可以返回布尔值或字符串，若返回一个字符串, 则返回结果会被赋值给 inputErrorMessage',
      tips: [{ value: 'inputValidatorFunction', label: 'function' }]
    },
    'inputErrorMessage': {
      name: '校验未通过时的提示文本',
      tips: [{ value: '输入的数据不合法!', label: '默认值' }]
    },
    'center': {
      name: '是否居中布局',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'roundButton': {
      name: '是否使用圆角按钮',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    }
  },
  'el-notification': {
    'title': {
      name: '标题',
      tips: [{ value: '标题', label: '' }]
    },
    'message': {
      name: '说明文字',
      tips: [
        { value: '说明文字', label: 'string' },
        { value: 'h()', label: 'VNode' }
      ]
    },
    'dangerouslyUseHTMLString': {
      name: '是否将 message 属性作为 HTML 片段处理',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'type': {
      name: '主题样式，如果不在可选值内将被忽略',
      tips: [
        { value: 'info', label: '信息' },
        { value: 'success', label: '成功' },
        { value: 'warning', label: '警告' },
        { value: 'error', label: '错误' }
      ]
    },
    'iconClass': {
      name: '自定义图标的类名。若设置了 type，则 iconClass 会被覆盖',
      tips: [{ value: 'el-icon-user-solid', label: '' }]
    },
    'customClass': {
      name: '自定义类名',
      tips: [{ value: 'class_name', label: '自定义class样式名' }]
    },
    'duration': {
      name: '显示时间, 毫秒。设为 0 则不会自动关闭',
      tips: [{ value: '4500', label: '默认值' }]
    },
    'position': {
      name: '自定义弹出位置',
      tips: [
        { value: 'top-right', label: '默认值' },
        { value: 'top-left', label: '' },
        { value: 'bottom-right', label: '' },
        { value: 'bottom-left', label: '' }
      ]
    },
    'showClose': {
      name: '是否显示关闭按钮',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'onClose': {
      name: '关闭时的回调函数',
      tips: [{ value: 'handleClose', label: 'function' }]
    },
    'onClick': {
      name: '点击 Notification 时的回调函数',
      tips: [{ value: 'handleClick', label: 'function' }]
    },
    'offset': {
      name: '偏移的距离，在同一时刻，所有的 Notification 实例应当具有一个相同的偏移量',
      tips: [{ value: '0', label: '默认值' }, { value: '20', label: '' }]
    },
    '@close': {
      name: '关闭当前的 Notification',
      tips: [{ value: 'closeNotification', label: '' }]
    }
  },
  'el-menu': {
    'mode': {
      name: '模式',
      tips: [{ value: 'vertical', label: '垂直，默认值' }, { value: 'horizontal', label: '水平' }]
    },
    'collapse': {
      name: '是否水平折叠收起菜单（仅在 mode 为 vertical 时可用）',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'background-color': {
      name: '菜单的背景色（仅支持 hex 格式）',
      tips: [{ value: '#ffffff', label: '默认值' }]
    },
    'text-color': {
      name: '菜单的文字颜色（仅支持 hex 格式）',
      tips: [{ value: '#303133', label: '默认值' }]
    },
    'active-text-color': {
      name: '当前激活菜单的文字颜色（仅支持 hex 格式）',
      tips: [{ value: '#409EFF', label: '默认值' }]
    },
    'default-active': {
      name: '当前激活菜单的 index',
      tips: [{ value: '1', label: '激活index=1的菜单' }]
    },
    'default-openeds': {
      name: '当前打开的 sub-menu 的 index 的数组',
      tips: [{ value: '[1,2]', label: '打开index=1和2的菜单' }]
    },
    'unique-opened': {
      name: '是否只保持一个子菜单的展开',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'menu-trigger': {
      name: '子菜单打开的触发方式(只在 mode 为 horizontal 时有效)',
      tips: [
        { value: 'hover', label: '悬浮，默认值' },
        { value: 'click', label: '点击' }
      ]
    },
    'router': {
      name: '是否使用 vue-router 的模式，启用该模式会在激活导航时以 index 作为 path 进行路由跳转',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'collapse-transition': {
      name: '是否开启折叠动画',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    '@select': {
      name: '菜单激活回调',
      tips: [{ value: 'selectSubMenu', label: '返回 index: 选中菜单项的 index, indexPath: 选中菜单项的 index path' }]
    },
    '@open': {
      name: 'sub-menu 展开的回调',
      tips: [{ value: 'openSubMenu', label: '返回 index: 打开的 sub-menu 的 index， indexPath: 打开的 sub-menu 的 index path' }]
    },
    '@close': {
      name: 'sub-menu 收起的回调',
      tips: [{ value: 'closeSubMenu', label: '返回 index: 收起的 sub-menu 的 index， indexPath: 收起的 sub-menu 的 index path' }]
    }
  },
  'el-sub-menu': {
    'index': {
      name: '唯一标志',
      tips: [{ value: null, label: '默认值' }, { value: 'a', label: 'string' }]
    },
    'popper-class': {
      name: '弹出菜单的自定义类名',
      tips: [{ value: 'class_name', label: '自定义class样式名' }]
    },
    'show-timeout': {
      name: '展开 sub-menu 的延时',
      tips: [{ value: '300', label: '默认值' }]
    },
    'hide-timeout': {
      name: '收起 sub-menu 的延时',
      tips: [{ value: '300', label: '默认值' }]
    },
    'disabled': {
      name: '是否禁用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'popper-append-to-body': {
      name: '是否将弹出菜单插入至 body 元素。在菜单的定位出现问题时，可尝试修改该属性',
      tips: [{ value: 'false', label: '否，非一级子菜单默认值' }, { value: 'true', label: '是，一级子菜单默认值' }]
    }
  },
  'el-menu-item': {
    'index': {
      name: '唯一标志',
      tips: [{ value: 'a', label: 'string' }]
    },
    'route': {
      name: 'Vue Router 路径对象',
      tips: [{ value: '{}', label: 'Object' }]
    },
    'disabled': {
      name: '是否禁用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    }
  },
  'el-tabs': {
    'value': {
      name: '绑定值',
      tips: [{ value: 'a', label: '默认值第一个选项卡的 name' }]
    },
    'v-model': {
      name: '双向绑定值',
      tips: [{ value: 'a', label: '默认值第一个选项卡的 name' }]
    },
    'type': {
      name: '风格类型',
      tips: [
        { value: 'card', label: '' },
        { value: 'border-card', label: '' }
      ]
    },
    'closable': {
      name: '标签是否可关闭',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'addable': {
      name: '标签是否可增加',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'editable': {
      name: '标签是否同时可增加和关闭',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'tab-position': {
      name: '选项卡所在位置',
      tips: [
        { value: 'top', label: '默认值' },
        { value: 'right', label: '' },
        { value: 'bottom', label: '' },
        { value: 'bottom', label: '' }
      ]
    },
    'stretch': {
      name: '标签的宽度是否自撑开',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'before-leave': {
      name: '切换标签之前的钩子，若返回 false 或者返回 Promise 且被 reject，则阻止切换',
      tips: [{ value: 'beforeLeaveTabs', label: 'Function(activeName, oldActiveName)' }]
    },
    '@tab-click': {
      name: 'tab 被选中时触发',
      tips: [{ value: 'tabClick', label: '返回被选中的标签 tab 实例' }]
    },
    '@tab-remove': {
      name: '点击 tab 移除按钮后触发',
      tips: [{ value: 'tabRemove', label: '返回被删除的标签的 name' }]
    },
    '@tab-add': {
      name: '点击 tabs 的新增按钮后触发',
      tips: [{ value: 'tabAdd', label: '' }]
    },
    '@edit': {
      name: '点击 tabs 的新增按钮或 tab 被关闭后触发',
      tips: [{ value: 'tabEdit', label: '返回 targetName, action' }]
    }
  },
  'el-tab-pane': {
    'label': {
      name: '选项卡标题',
      tips: [{ value: '标签1', label: '' }]
    },
    'disabled': {
      name: '是否禁用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'name': {
      name: '与选项卡绑定值 value 对应的标识符，表示选项卡别名',
      tips: [{ value: '1', label: '默认值该选项卡在选项卡列表中的顺序值，如第一个选项卡则为"1"' }]
    },
    'closable': {
      name: '标签是否可关闭',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'lazy': {
      name: '标签是否延迟渲染',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    }
  },
  'el-breadcrumb': {
    'separator': {
      name: '分隔符',
      tips: [{ value: '/', label: '默认值' }, { value: '-', label: '' }]
    },
    'separator-class': {
      name: '图标分隔符 class',
      tips: [{ value: 'el-icon-minus', label: '' }]
    }
  },
  'el-breadcrumb-item': {
    'to': {
      name: '路由跳转对象，同 vue-router 的 to',
      tips: [{ value: 'xxx', label: '路由path' }, { value: 'object', label: '路由对象' }]
    },
    'replace': {
      name: '在使用 to 进行路由跳转时，启用 replace 将不会向 history 添加新记录',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    }
  },
  'el-page-header': {
    'title': {
      name: '标题',
      tips: [{ value: '返回', label: '默认值' }]
    },
    'content': {
      name: '内容',
      tips: [{ value: '详情页面', label: '' }]
    },
    '@back': {
      name: '点击左侧区域触发',
      tips: [{ value: 'goBack', label: 'function' }]
    }
  },
  'el-dropdown': {
    'type': {
      name: '菜单按钮类型，同 Button 组件(只在split-button为 true 的情况下有效)',
      tips: [
        { value: 'primary', label: '主要' },
        { value: 'success', label: '成功' },
        { value: 'warning', label: '警告' },
        { value: 'danger', label: '危险' },
        { value: 'info', label: '信息' },
        { value: 'text', label: '文本' }
      ]
    },
    'size': {
      name: '菜单尺寸，在split-button为 true 的情况下也对触发按钮生效',
      tips: [
        { value: 'medium', label: '中' },
        { value: 'small', label: '小' },
        { value: 'mini', label: '迷你' }
      ]
    },
    'split-button': {
      name: '下拉触发元素呈现为按钮组',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'placement': {
      name: '菜单弹出位置',
      tips: [
        { value: 'bottom-end', label: '下方靠右，默认值' },
        { value: 'bottom', label: '正下方' },
        { value: 'bottom-start', label: '下方靠左' },
        { value: 'top-end', label: '上方靠右' },
        { value: 'top', label: '正上方' },
        { value: 'top-start', label: '上方靠左' }
      ]
    },
    'trigger': {
      name: '触发下拉的行为',
      tips: [
        { value: 'hover', label: '悬浮，默认值' },
        { value: 'click', label: '点击' }
      ]
    },
    'hide-on-click': {
      name: '是否在点击菜单项后隐藏菜单',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'show-timeout': {
      name: '展开下拉菜单的延时（仅在 trigger 为 hover 时有效）',
      tips: [{ value: '250', label: '默认值' }]
    },
    'hide-timeout': {
      name: '收起下拉菜单的延时（仅在 trigger 为 hover 时有效）',
      tips: [{ value: '150', label: '默认值' }]
    },
    'tabindex': {
      name: 'Dropdown 组件的 tabindex',
      tips: [{ value: '0', label: '默认值' }]
    },
    '@click': {
      name: 'split-button 为 true 时，点击左侧按钮的回调',
      tips: [{ value: 'clickDropdown', label: '' }]
    },
    '@command': {
      name: '点击菜单项触发的事件回调',
      tips: [{ value: 'commandDropdown', label: '返回 dropdown-item 的指令' }]
    },
    '@visible-change': {
      name: '下拉框出现/隐藏时触发',
      tips: [{ value: 'visibleChangeDropdown', label: '返回 true|false' }]
    }
  },
  'el-dropdown-menu': {
    'command': {
      name: '指令',
      tips: [
        { value: '1', label: 'number' },
        { value: 'a', label: 'string' },
        { value: '{}', label: 'object' }
      ]
    },
    'disabled': {
      name: '禁用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'divided': {
      name: '显示分割线',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'icon': {
      name: '图标类名',
      tips: [{ value: 'el-icon-s-tools', label: '参考：https://element.eleme.io/#/zh-CN/component/icon' }]
    }
  },
  'el-steps': {
    'space': {
      name: '每个 step 的间距，不填写将自适应间距。支持百分比',
      tips: [
        { value: '100', label: 'number' },
        { value: '50%', label: 'string' }
      ]
    },
    'direction': {
      name: '显示方向',
      tips: [
        { value: 'horizontal', label: '水平，默认值' },
        { value: 'vertical', label: '垂直' }
      ]
    },
    'active': {
      name: '设置当前激活步骤',
      tips: [{ value: '0', label: '默认值' }]
    },
    'process-status': {
      name: '设置当前步骤的状态',
      tips: [
        { value: 'process', label: '进行中，默认值' },
        { value: 'wait', label: '等待' },
        { value: 'finish', label: '完成' },
        { value: 'error', label: '错误' },
        { value: 'success', label: '成功' }
      ]
    },
    'finish-status': {
      name: '设置结束步骤的状态',
      tips: [
        { value: 'finish', label: '完成，默认值' },
        { value: 'process', label: '进行中' },
        { value: 'wait', label: '等待' },
        { value: 'error', label: '错误' },
        { value: 'success', label: '成功' }
      ]
    },
    'align-center': {
      name: '进行居中对齐',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'simple': {
      name: '是否应用简洁风格',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    }
  },
  'el-step': {
    'title': {
      name: '标题',
      tips: [{ value: '标题', label: 'number' }]
    },
    'description': {
      name: '描述性文字',
      tips: [{ value: '描述', label: 'number' }]
    },
    'icon': {
      name: '图标，传入 icon 的 class 全名来自定义 icon，也支持 slot 方式写入',
      tips: [{ value: 'el-icon-s-tools', label: '参考：https://element.eleme.io/#/zh-CN/component/icon' }]
    },
    'status': {
      name: '设置当前步骤的状态，不设置则根据 steps 确定状态',
      tips: [
        { value: 'process', label: '进行中' },
        { value: 'wait', label: '等待' },
        { value: 'finish', label: '完成' },
        { value: 'error', label: '错误' },
        { value: 'success', label: '成功' }
      ]
    }
  },
  'el-dialog': {
    'visible': {
      name: '是否显示 Dialog，支持 .sync 修饰符',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'title': {
      name: 'Dialog 的标题，也可通过具名 slot （见下表）传入',
      tips: [{ value: '标题', label: 'number' }]
    },
    'width': {
      name: 'Dialog 的宽度',
      tips: [{ value: '50%', label: '默认值' }, { value: '700', label: '' }]
    },
    'fullscreen': {
      name: '是否为全屏 Dialog',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'top': {
      name: 'Dialog CSS 中的 margin-top 值',
      tips: [{ value: '15vh', label: '默认值' }]
    },
    'modal': {
      name: '是否需要遮罩层',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'modal-append-to-body': {
      name: '遮罩层是否插入至 body 元素上，若为 false，则遮罩层会插入至 Dialog 的父元素上',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'append-to-body': {
      name: 'Dialog 自身是否插入至 body 元素上。嵌套的 Dialog 必须指定该属性并赋值为 true',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'lock-scroll': {
      name: '是否在 Dialog 出现时将 body 滚动锁定',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'custom-class': {
      name: 'Dialog 的自定义类名',
      tips: [{ value: 'class_name', label: 'style中定义的class名称' }]
    },
    'close-on-click-modal': {
      name: '是否可以通过点击 modal 关闭 Dialog',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'close-on-press-escape': {
      name: '是否可以通过按下 ESC 关闭 Dialog',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'show-close': {
      name: '是否显示关闭按钮',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'before-close': {
      name: '关闭前的回调，会暂停 Dialog 的关闭',
      tips: [{ value: 'beforeCloseDialog', label: 'function(done)，done 用于关闭 Dialog' }]
    },
    'center': {
      name: '是否对头部和底部采用居中布局',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'destroy-on-close': {
      name: '关闭时销毁 Dialog 中的元素',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    }
  },
  'el-tooltip': {
    'effect': {
      name: '默认提供的主题',
      tips: [
        { value: 'dark', label: '暗黑色，默认值' },
        { value: 'light', label: '明亮色' }
      ]
    },
    'content': {
      name: '显示的内容，也可以通过 slot#content 传入 DOM',
      tips: [{ value: '提示内容', label: '' }]
    },
    'placement': {
      name: 'Tooltip 的出现位置',
      'placement': {
        name: '菜单弹出位置',
        tips: [
          { value: 'bottom', label: '默认值' },
          { value: 'bottom-start', label: '' },
          { value: 'bottom-end', label: '' },
          { value: 'top', label: '' },
          { value: 'top-start', label: '' },
          { value: 'top-end', label: '' },
          { value: 'left', label: '' },
          { value: 'left-start', label: '' },
          { value: 'left-end', label: '' },
          { value: 'right', label: '' },
          { value: 'right-start', label: '' },
          { value: 'right-end', label: '' }
        ]
      }
    },
    'value': {
      name: '状态是否可见',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'v-model': {
      name: '状态是否可见',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'disabled': {
      name: 'Tooltip 是否可用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'offset': {
      name: '出现位置的偏移量',
      tips: [{ value: '0', label: '默认值' }]
    },
    'transition': {
      name: '定义渐变动画',
      tips: [{ value: 'el-fade-in-linear', label: '默认值' }]
    },
    'visible-arrow': {
      name: '是否显示 Tooltip 箭头，更多参数可见Vue-popper',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'popper-options': {
      name: 'popper.js 的参数，参考 popper.js 文档',
      tips: [{ value: '{ boundariesElement: "body", gpuAcceleration: false }', label: '默认值' }]
    },
    'open-delay': {
      name: '延迟出现，单位毫秒',
      tips: [{ value: '0', label: '默认值' }]
    },
    'manual': {
      name: '手动控制模式，设置为 true 后，mouseenter 和 mouseleave 事件将不会生效',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'popper-class': {
      name: '为 Tooltip 的 popper 添加类名',
      tips: [{ value: 'class_name', label: '自定义的class名称' }]
    },
    'enterable': {
      name: '鼠标是否可进入到 tooltip 中',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'hide-after': {
      name: 'Tooltip 出现后自动隐藏延时，单位毫秒，为 0 则不会自动隐藏',
      tips: [{ value: '0', label: '默认值' }]
    },
    'tabindex': {
      name: 'Tooltip 组件的 tabindex',
      tips: [{ value: '0', label: '默认值' }]
    }
  },
  'el-popover': {
    'trigger': {
      name: '触发方式',
      tips: [
        { value: 'click', label: '点击，默认值' },
        { value: 'focus', label: '获取焦点' },
        { value: 'hover', label: '悬浮' },
        { value: 'manual', label: '自定义' }
      ]
    },
    'title': {
      name: '标题',
      tips: [{ value: '标题', label: '' }]
    },
    'content': {
      name: '显示的内容，也可以通过 slot 传入 DOM',
      tips: [{ value: '提示内容', label: '' }]
    },
    'width': {
      name: '宽度',
      tips: [{ value: '150px', label: '最小宽度 150px' }]
    },
    'placement': {
      name: '出现位置',
      'placement': {
        name: '菜单弹出位置',
        tips: [
          { value: 'bottom', label: '默认值' },
          { value: 'bottom-start', label: '' },
          { value: 'bottom-end', label: '' },
          { value: 'top', label: '' },
          { value: 'top-start', label: '' },
          { value: 'top-end', label: '' },
          { value: 'left', label: '' },
          { value: 'left-start', label: '' },
          { value: 'left-end', label: '' },
          { value: 'right', label: '' },
          { value: 'right-start', label: '' },
          { value: 'right-end', label: '' }
        ]
      }
    },
    'disabled': {
      name: 'Popover 是否可用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'value': {
      name: '状态是否可见',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'v-model': {
      name: '状态是否可见',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'offset': {
      name: '出现位置的偏移量',
      tips: [{ value: '0', label: '默认值' }]
    },
    'transition': {
      name: '定义渐变动画',
      tips: [{ value: 'fade-in-linear', label: '默认值' }]
    },
    'visible-arrow': {
      name: '是否显示 Tooltip 箭头，更多参数可见Vue-popper',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'popper-options': {
      name: 'popper.js 的参数，参考 popper.js 文档',
      tips: [{ value: '{ boundariesElement: "body", gpuAcceleration: false }', label: '默认值' }]
    },
    'popper-class': {
      name: '为 popper 添加类名',
      tips: [{ value: 'class_name', label: '自定义的class名称' }]
    },
    'open-delay': {
      name: '触发方式为 hover 时的显示延迟，单位为毫秒',
      tips: [{ value: '0', label: '' }]
    },
    'close-delay': {
      name: '触发方式为 hover 时的隐藏延迟，单位为毫秒',
      tips: [{ value: '200', label: '默认值' }]
    },
    'tabindex': {
      name: 'Tooltip 组件的 tabindex',
      tips: [{ value: '0', label: '默认值' }]
    }
  },
  'el-popconfirm': {
    'title': {
      name: '标题',
      tips: [{ value: '标题', label: '' }]
    },
    'confirmButtonText': {
      name: '确认按钮文字',
      tips: [{ value: '确定', label: '' }]
    },
    'cancelButtonText': {
      name: '取消按钮文字',
      tips: [{ value: '取消', label: '' }]
    },
    'confirmButtonType': {
      name: '确认按钮类型',
      tips: [{ value: 'Primary', label: '默认值' }]
    },
    'cancelButtonType': {
      name: '取消按钮类型',
      tips: [{ value: 'Text', label: '默认值' }]
    },
    'icon': {
      name: 'Icon',
      tips: [{ value: 'el-icon-question', label: '参考：https://element.eleme.io/#/zh-CN/component/icon' }]
    },
    'iconColor': {
      name: 'Icon 颜色',
      tips: [{ value: '#f90', label: '默认值' }]
    },
    'hideIcon': {
      name: '是否隐藏 Icon',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    }
  },
  'el-card': {
    'header': {
      name: '设置 header，也可以通过 slot#header 传入 DOM',
      tips: [{ value: '标题', label: '' }]
    },
    'body-style': {
      name: '设置 body 的样式',
      tips: [{ value: '{ padding: "20px" }', label: '默认值' }]
    },
    'shadow': {
      name: '设置阴影显示时机',
      tips: [
        { value: 'always', label: '一直，默认值' },
        { value: 'hover', label: '悬浮' },
        { value: 'never', label: '从不' }
      ]
    }
  },
  'el-carousel': {
    'height': {
      name: '走马灯的高度',
      tips: [{ value: '100px', label: '' }]
    },
    'initial-index': {
      name: '初始状态激活的幻灯片的索引，从 0 开始',
      tips: [{ value: '0', label: '默认值' }]
    },
    'trigger': {
      name: '指示器的触发方式',
      tips: [{ value: 'click', label: '默认值' }]
    },
    'autoplay': {
      name: '是否自动切换',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'interval': {
      name: '自动切换的时间间隔，单位为毫秒',
      tips: [{ value: '3000', label: '默认值' }]
    },
    'indicator-position': {
      name: '指示器的位置',
      tips: [
        { value: 'outside', label: '在走马灯外部' },
        { value: 'none', label: '不显示' }
      ]
    },
    'arrow': {
      name: '切换箭头的显示时机',
      tips: [
        { value: 'hover', label: '悬浮，默认值' },
        { value: 'always', label: '一直' },
        { value: 'never', label: '从不' }
      ]
    },
    'type': {
      name: '走马灯的类型',
      tips: [{ value: 'card', label: '卡片' }]
    },
    'loop': {
      name: '是否循环显示',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'direction': {
      name: '走马灯展示的方向',
      tips: [
        { value: 'horizontal', label: '水平，默认值' },
        { value: 'vertical', label: '垂直' }
      ]
    },
    '@change': {
      name: '幻灯片切换时触发',
      tips: [{ value: 'changeCarousel', label: '返回目前激活的幻灯片的索引，原幻灯片的索引' }]
    }
  },
  'el-carousel-item': {
    'name': {
      name: '幻灯片的名字，可用作 setActiveItem 的参数',
      tips: [{ value: '图片1', label: '' }]
    },
    'label': {
      name: '该幻灯片所对应指示器的文本',
      tips: [{ value: '图片1', label: '' }]
    }
  },
  'el-collapse': {
    'value': {
      name: '当前激活的面板(如果是手风琴模式，绑定值类型需要为string，否则为array)',
      tips: [
        { value: 'item1', label: 'string' },
        { value: '["item1","item2"]', label: 'array' }
      ]
    },
    'v-model': {
      name: '当前激活的面板(如果是手风琴模式，绑定值类型需要为string，否则为array)',
      tips: [
        { value: 'item1', label: 'string' },
        { value: '["item1","item2"]', label: 'array' }
      ]
    },
    'accordion': {
      name: '是否手风琴模式',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@change': {
      name: '当前激活面板改变时触发(如果是手风琴模式，参数 activeNames 类型为string，否则为array)',
      tips: [{ value: 'changeCollapse', label: '返回 activeNames: array / string' }]
    }
  },
  'el-collapse-item': {
    'name': {
      name: '唯一标志符',
      tips: [
        { value: 'item1', label: 'string' },
        { value: '1', label: 'number' }
      ]
    },
    'title': {
      name: '面板标题',
      tips: [{ value: '标题', label: '' }]
    },
    'disabled': {
      name: '是否手风琴模式',
      tips: [{ value: 'false', label: '否' }, { value: 'true', label: '是' }]
    }
  },
  'el-timeline': {
    'reverse': {
      name: '指定节点排序方向，默认为正序',
      tips: [{ value: 'false', label: '否' }, { value: 'true', label: '是' }]
    }
  },
  'el-timeline-item': {
    'timestamp': {
      name: '时间戳',
      tips: [{ value: '时间戳', label: '' }]
    },
    'hide-timestamp': {
      name: '是否隐藏时间戳',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'placement': {
      name: '时间戳位置',
      tips: [{ value: 'bottom', label: '下方，默认值' }, { value: 'top', label: '上方' }]
    },
    'type': {
      name: '节点类型',
      tips: [
        { value: 'primary', label: '' },
        { value: 'success', label: '' },
        { value: 'warning', label: '' },
        { value: 'danger', label: '' },
        { value: 'info', label: '' }
      ]
    },
    'color': {
      name: '节点颜色',
      tips: [
        { value: 'hsl', label: 'hsl' },
        { value: 'hsv', label: 'hsv' },
        { value: '#f00', label: 'hex' },
        { value: 'rgb(255,0,0)', label: 'rgb' }
      ]
    },
    'size': {
      name: '节点尺寸',
      tips: [
        { value: 'normal', label: '普通，默认值' },
        { value: 'large', label: '大' }
      ]
    },
    'icon': {
      name: '节点图标',
      tips: [{ value: 'el-icon-s-tools', label: '参考：https://element.eleme.io/#/zh-CN/component/icon' }]
    }
  },
  'el-divider': {
    'direction': {
      name: '设置分割线方向',
      tips: [
        { value: 'horizontal', label: '水平，默认值' },
        { value: 'vertical', label: '垂直' }
      ]
    },
    'content-position': {
      name: '设置分割线文案的位置',
      tips: [
        { value: 'center', label: '居中，默认值' },
        { value: 'left', label: '左侧' },
        { value: 'right', label: '右侧' }
      ]
    }
  },
  'el-calendar': {
    'value': {
      name: '绑定值',
      tips: [
        { value: 'Date', label: 'Date' },
        { value: '2020-01-01', label: 'string' },
        { value: '1', label: 'number' }
      ]
    },
    'v-model': {
      name: '双向绑定值',
      tips: [
        { value: 'Date', label: 'Date' },
        { value: '2020-01-01', label: 'string' },
        { value: '1', label: 'number' }
      ]
    },
    'range': {
      name: '时间范围，包括开始时间与结束时间。开始时间必须是周一，结束时间必须是周日，且时间跨度不能超过两个月',
      tips: [{ value: '["2019-03-04", "2019-03-24"]', label: '' }]
    },
    'first-day-of-week': {
      name: '周起始日',
      tips: [
        { value: '1', label: '周一，默认值' },
        { value: '2', label: '周二' },
        { value: '3', label: '周三' },
        { value: '4', label: '周四' },
        { value: '5', label: '周五' },
        { value: '6', label: '周六' },
        { value: '7', label: '周日' }
      ]
    }
  },
  'el-image': {
    'src': {
      name: '图片源，同原生',
      tips: [{ value: 'http://xxx', label: '图片源' }]
    },
    'fit': {
      name: '确定图片如何适应容器框，同原生 object-fit',
      tips: [
        { value: 'fill', label: '图片不成比例伸缩充满(图片被拉伸变形)' },
        { value: 'contain', label: '图片成比例伸缩充满(图片两侧或上下出现白条)' },
        { value: 'cover', label: '等比例缩放充满(部分不显示)' },
        { value: 'none', label: '保持原生态' },
        { value: 'scale-down', label: '宽或高大于控件与contain方式是一样，宽和高都小于控件与none方式是一样' }
      ]
    },
    'alt': {
      name: '原生 alt，图片不存在时替换文本',
      tips: [{ value: '这是一个图片', label: '' }]
    },
    'referrer-policy': {
      name: '原生 referrerPolicy，来源协议',
      tips: [{ value: 'no-referrer', label: '' }]
    },
    'lazy': {
      name: '是否开启懒加载',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'scroll-container': {
      name: '开启懒加载后，监听 scroll 事件的容器，默认值为最近一个 overflow 值为 auto 或 scroll 的父元素',
      tips: [
        { value: 'overflow', label: 'string(overflow、auto、scroll)' },
        { value: 'HTMLElement', label: 'HTMLElement' }
      ]
    },
    'preview-src-list': {
      name: '开启图片预览功能',
      tips: [{ value: '[url]', label: '图片源数组' }]
    },
    'z-index': {
      name: '设置图片预览的 z-index',
      tips: [{ value: '2000', label: '默认值' }]
    },
    '@load': {
      name: '图片加载成功触发',
      tips: [{ value: 'loadSuccessIMG', label: '返回事件 Event' }]
    },
    '@error': {
      name: '图片加载成功触发',
      tips: [{ value: 'loadErrorIMG', label: '返回错误 Error' }]
    }
  },
  'el-backtop': {
    'target': {
      name: '触发滚动的对象',
      tips: [{ value: '.page-component__scroll .el-scrollbar__wrap', label: '' }]
    },
    'visibility-height': {
      name: '滚动高度达到此参数值才出现',
      tips: [{ value: '200', label: '默认值' }]
    },
    'right': {
      name: '控制其显示位置, 距离页面右边距',
      tips: [{ value: '40', label: '默认值' }]
    },
    'bottom': {
      name: '控制其显示位置, 距离页面底部距离',
      tips: [{ value: '40', label: '默认值' }]
    },
    '@click': {
      name: '点击按钮触发的事件',
      tips: [{ value: 'clickBacktop', label: '返回点击事件 event' }]
    }
  },
  'el-drawer': {
    'append-to-body': {
      name: 'Drawer 自身是否插入至 body 元素上。嵌套的 Drawer 必须指定该属性并赋值为 true',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'before-close': {
      name: '关闭前的回调，会暂停 Drawer 的关闭',
      tips: [{ value: 'beforeCloseDrawer', label: 'function(done)，done 用于关闭 Drawer' }]
    },
    'close-on-press-escape': {
      name: '是否可以通过按下 ESC 关闭 Drawer',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'custom-class': {
      name: 'Dialog 的自定义类名',
      tips: [{ value: 'class_name', label: 'style中定义的class名称' }]
    },
    'destroy-on-close': {
      name: '控制是否在关闭 Drawer 之后将子元素全部销毁',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'modal': {
      name: '是否需要遮罩层',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'modal-append-to-body': {
      name: '遮罩层是否插入至 body 元素上，若为 false，则遮罩层会插入至 Drawer 的父元素上',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'direction': {
      name: 'Drawer 打开的方向',
      tips: [
        { value: 'rtl', label: '右至左，默认值' },
        { value: 'ltr', label: '左至右' },
        { value: 'ttb', label: '上至下' },
        { value: 'btt', label: '下至上' }
      ]
    },
    'show-close': {
      name: '是否显示关闭按钮',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'size': {
      name: 'Drawer 窗体的大小, 当使用 number 类型时, 以像素为单位, 当使用 string 类型时, 请传入 "x%", 否则便会以 number 类型解释',
      tips: [
        { value: '30%', label: 'string，默认值' },
        { value: '200', label: 'number' }
      ]
    },
    'title': {
      name: 'Drawer 的标题，也可通过具名 slot （见下表）传入',
      tips: [{ value: '标题', label: '' }]
    },
    'visible': {
      name: '是否显示 Drawer，支持 .sync 修饰符',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'wrapperClosable': {
      name: '点击遮罩层是否可以关闭 Drawer',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'withHeader': {
      name: '控制是否显示 header 栏, 默认为 true, 当此项为 false 时, title attribute 和 title slot 均不生效',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    '@open': {
      name: 'Drawer 打开的回调',
      tips: [{ value: 'openDrawer', label: '' }]
    },
    '@opened': {
      name: 'Drawer 打开动画结束时的回调',
      tips: [{ value: 'openedDrawer', label: '' }]
    },
    '@close': {
      name: 'Drawer 关闭的回调',
      tips: [{ value: 'closeDrawer', label: '' }]
    },
    '@closed': {
      name: 'Drawer 关闭动画结束时的回调',
      tips: [{ value: 'closedDrawer', label: '' }]
    }
  }
}
