
export default {
  'i-button': {
    'type': {
      name: '按钮类型',
      tips: [
        { value: 'default', label: '默认值' },
        { value: 'primary', label: '' },
        { value: 'dashed', label: '' },
        { value: 'text', label: '' },
        { value: 'info', label: '' },
        { value: 'success', label: '' },
        { value: 'warning', label: '' },
        { value: 'error', label: '' }
      ]
    },
    'ghost': {
      name: '幽灵属性，使按钮背景透明',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'size': {
      name: '按钮大小',
      tips: [{ value: 'default', label: '默认值' }, { value: 'large', label: '' }, { value: 'small', label: '' }]
    },
    'shape': {
      name: '按钮形状',
      tips: [{ value: 'circle', label: '圆角按钮' }]
    },
    'long': {
      name: '开启后，按钮的长度为 100%',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'html-type': {
      name: '设置button原生的type，可选值为button、submit、reset',
      tips: [{ value: 'button', label: '按钮' }, { value: 'submit', label: '提交' }, { value: 'reset', label: '重置' }]
    },
    'disabled': {
      name: '设置按钮为禁用状态',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'loading': {
      name: '设置按钮为加载中状态',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'icon': {
      name: '设置按钮的图标类型',
      tips: [
        { value: 'md-add', label: '添加' },
        { value: 'md-search', label: '搜索' },
        { value: 'md-create', label: '修改' },
        { value: 'ios-loading', label: '加载中' },
        { value: 'https://www.iviewui.com/components/icon', label: '更多图表参考' }
      ]
    },
    'custom-icon': {
      name: '设置按钮的自定义图标',
      tips: [
        { value: '自定义图标', label: '自定义图标' }
      ]
    },
    'to': {
      name: '跳转的链接，支持 vue-router 对象(v4.0+)',
      tips: [{ value: 'https://www.iviewui.com', label: '跳转链接' }]
    },
    'replace': {
      name: '路由跳转时，开启 replace 将不会向 history 添加新记录',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'target': {
      name: '相当于 a 链接的 target 属性',
      tips: [
        { value: '_self', label: '当前页面跳转，默认值' },
        { value: '_blank', label: '在新窗口中打开被链接文档' },
        { value: '_parent', label: '在父框架集中打开被链接文档' },
        { value: '_top', label: '在整个窗口中打开被链接文档' }
      ]
    },
    'append': {
      name: '同 vue-router append(v3.4.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    }
  },
  'i-button-group': {
    'size': {
      name: '按钮大小',
      tips: [{ value: 'default', label: '默认值' }, { value: 'large', label: '' }, { value: 'small', label: '' }]
    },
    'shape': {
      name: '按钮形状',
      tips: [{ value: 'circle', label: '圆角按钮' }]
    },
    'vertical': {
      name: '按钮形状',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    }
  },
  'i-icon': {
    'type': {
      name: '图标的名称',
      tips: [
        { value: 'md-add', label: '添加' },
        { value: 'md-search', label: '搜索' },
        { value: 'md-create', label: '修改' },
        { value: 'ios-loading', label: '加载中' },
        { value: 'https://www.iviewui.com/components/icon', label: '更多图表参考' }
      ]
    },
    'size': {
      name: '图标的大小，单位是 px',
      tips: [
        { value: '10', label: '' },
        { value: '14', label: '' },
        { value: '20', label: '' }
      ]
    },
    'color': {
      name: '图标的颜色',
      tips: [
        { value: 'green', label: '绿色' },
        { value: '#f00', label: '红色' }
      ]
    },
    'custom': {
      name: '自定义图标',
      tips: [{ value: '图标标识', label: '图标标识' }]
    }
  },
  'i-row': {
    'gutter': {
      name: '栅格间距，单位 px，左右平分',
      tips: [
        { value: '16', label: '栅格平分16px' },
        { value: '20', label: '栅格平分20px' },
        { value: '24', label: '栅格平分24px' },
        { value: '16+8n', label: '推荐使用值，n表示栅格数量' }
      ]
    },
    'type': {
      name: '布局模式，可选值为flex或不选，在现代浏览器下有效',
      tips: [{ value: 'flex', label: '' }]
    },
    'align': {
      name: 'flex 布局下的垂直对齐方式',
      tips: [{ value: 'top', label: '顶部' }, { value: 'middle', label: '中间' }, { value: 'bottom', label: '底部' }]
    },
    'justify': {
      name: 'flex 布局下的水平排列方式',
      tips: [
        { value: 'start', label: '开始' },
        { value: 'end', label: '结束' },
        { value: 'center', label: '居中' },
        { value: 'space-around', label: '每个项目两侧的间隔相等' },
        { value: 'space-between', label: '两端对齐' }
      ]
    },
    'class-name': {
      name: '自定义的class名称',
      tips: [{ value: 'class-name', label: '自定义css中class名称' }]
    }
  },
  'i-col': {
    'span': {
      name: '栅格的占位格数，可选值为0~24的整数',
      tips: [
        { value: '0', label: '相当于display:none' },
        { value: '4', label: '占4位栅格' },
        { value: '6', label: '占6位栅格' },
        { value: '8', label: '占8位栅格' },
        { value: '12', label: '占12位栅格' },
        { value: '14', label: '占14位栅格' }
      ]
    },
    'order': {
      name: '栅格的顺序，在flex布局模式下有效',
      tips: [
        { value: '1', label: '当前排序第1位' },
        { value: '2', label: '当前排序第2位' },
        { value: '3', label: '当前排序第3位' },
        { value: '4', label: '当前排序第4位' }
      ]
    },
    'offset': {
      name: '栅格左侧的间隔格数，间隔内不可以有栅格',
      tips: [
        { value: '1', label: '间隔1位栅格' },
        { value: '2', label: '间隔2位栅格' },
        { value: '3', label: '间隔3位栅格' },
        { value: '4', label: '间隔4位栅格' }
      ]
    },
    'push': {
      name: '栅格向右移动格数',
      tips: [
        { value: '1', label: '右移动1位栅格' },
        { value: '2', label: '右移动2位栅格' },
        { value: '3', label: '右移动3位栅格' },
        { value: '4', label: '右移动4位栅格' }
      ]
    },
    'pull': {
      name: '栅格向左移动格数',
      tips: [
        { value: '1', label: '左移动1位栅格' },
        { value: '2', label: '左移动2位栅格' },
        { value: '3', label: '左移动3位栅格' },
        { value: '4', label: '左移动4位栅格' }
      ]
    },
    'class-name': {
      name: '自定义的class名称',
      tips: [{ value: 'class-name', label: '自定义css中class名称' }]
    },
    'xs': {
      name: '<576px 响应式栅格，可为栅格数或一个包含其他属性的对象',
      tips: [
        { value: '3', label: '显示区<576px时，栅格占3位' },
        { value: '4', label: '显示区<576px时，栅格占4位' },
        { value: '{span: 3, offset: 1}', label: '显示区<576px时，栅格占3位，并向右偏移1位' },
        { value: '{span: 4, offset: 1}', label: '显示区<576px时，栅格占4位，并向右偏移1位' }
      ]
    },
    'sm': {
      name: '≥576px 响应式栅格，可为栅格数或一个包含其他属性的对象',
      tips: [
        { value: '3', label: '显示区≥576px时，栅格占3位' },
        { value: '4', label: '显示区≥576px时，栅格占4位' },
        { value: '{span: 3, offset: 1}', label: '显示区≥576px时，栅格占3位，并向右偏移1位' },
        { value: '{span: 4, offset: 1}', label: '显示区≥576px时，栅格占4位，并向右偏移1位' }
      ]
    },
    'md': {
      name: '≥768px 响应式栅格，可为栅格数或一个包含其他属性的对象',
      tips: [
        { value: '3', label: '显示区≥768px时，栅格占3位' },
        { value: '4', label: '显示区≥768px时，栅格占4位' },
        { value: '{span: 3, offset: 1}', label: '显示区≥768px时，栅格占3位，并向右偏移1位' },
        { value: '{span: 4, offset: 1}', label: '显示区≥768px时，栅格占4位，并向右偏移1位' }
      ]
    },
    'lg': {
      name: '≥992px 响应式栅格，可为栅格数或一个包含其他属性的对象',
      tips: [
        { value: '3', label: '显示区≥992px时，栅格占3位' },
        { value: '4', label: '显示区≥992px时，栅格占4位' },
        { value: '{span: 3, offset: 1}', label: '显示区≥992px时，栅格占3位，并向右偏移1位' },
        { value: '{span: 4, offset: 1}', label: '显示区≥992px时，栅格占4位，并向右偏移1位' }
      ]
    },
    'xl': {
      name: '≥1200px 响应式栅格，可为栅格数或一个包含其他属性的对象',
      tips: [
        { value: '3', label: '显示区≥1200px时，栅格占3位' },
        { value: '4', label: '显示区≥1200px时，栅格占4位' },
        { value: '{span: 3, offset: 1}', label: '显示区≥1200px时，栅格占3位，并向右偏移1位' },
        { value: '{span: 4, offset: 1}', label: '显示区≥1200px时，栅格占4位，并向右偏移1位' }
      ]
    },
    'xxl': {
      name: '≥1600px 响应式栅格，可为栅格数或一个包含其他属性的对象',
      tips: [
        { value: '3', label: '显示区≥1600px时，栅格占3位' },
        { value: '4', label: '显示区≥1600px时，栅格占4位' },
        { value: '{span: 3, offset: 1}', label: '显示区≥1600px时，栅格占3位，并向右偏移1位' },
        { value: '{span: 4, offset: 1}', label: '显示区≥1600px时，栅格占4位，并向右偏移1位' }
      ]
    }
  },
  'i-sider': {
    'breakpoint': {
      name: '触发响应式布局的断点，可选值为xs,sm,md,lg,xl或xxl，若不设此属性则不会触发响应式布局。',
      tips: [
        { value: 'xs', label: '480px触发响应式布局的断点' },
        { value: 'sm', label: '576px触发响应式布局的断点' },
        { value: 'md', label: '768px触发响应式布局的断点' },
        { value: 'lg', label: '992px触发响应式布局的断点' },
        { value: 'xl', label: '1200px触发响应式布局的断点' },
        { value: 'xxl', label: '1600px触发响应式布局的断点' }
      ]
    },
    'value': {
      name: '侧边栏是否收起，可使用 v-model 双向绑定数据。',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'width': {
      name: '宽度',
      tips: [
        { value: '200', label: '宽度200px，默认值' },
        { value: '250', label: '宽度250px' },
        { value: '300', label: '宽度300px' }
      ]
    },
    'collapsible': {
      name: '是否可收起，设为false后，默认触发器会隐藏，且响应式布局不会触发',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'collapsed-width': {
      name: '收缩宽度，设置为 0 会出现特殊 trigger',
      tips: [
        { value: '64', label: '收缩宽度64px，默认值' },
        { value: '0', label: '收缩宽度0' },
        { value: '50', label: '收缩宽度50px' },
        { value: '80', label: '收缩宽度80px' }
      ]
    },
    'hide-trigger': {
      name: '隐藏默认触发器',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'default-collapsed': {
      name: '是否默认收起，设置了collapsible后设置此属性侧边栏仍会收起。',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'reverse-arrow': {
      name: '改变侧边栏触发器箭头方向，和改变侧边栏收起方向，当Sider在右边时可以使用。',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@collapse': {
      name: '展开-收起时的回调',
      tips: [{ value: 'onCollapse', label: '展开/收起时回调函数，返回值true/false' }]
    }
  },
  'i-list': {
    'border': {
      name: '是否显示边框',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'item-layout': {
      name: '设置 ListItem 布局',
      tips: [{ value: 'horizontal', label: '横排，默认值' }, { value: 'vertical', label: '竖直' }]
    },
    'header': {
      name: '列表头部',
      tips: [{ value: 'xxx列表', label: '列表表头' }]
    },
    'footer': {
      name: '列表底部',
      tips: [{ value: 'xxx合计', label: '列表底部' }]
    },
    'loading': {
      name: '列表是否正在加载',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'size': {
      name: '列表尺寸，可选值为 small、large、default',
      tips: [
        { value: 'small', label: '小' },
        { value: 'large', label: '大' },
        { value: 'default', label: '系统默认值' }
      ]
    },
    'split': {
      name: '是否展示分割线',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    }
  },
  'i-list-item-meta': {
    'avatar': {
      name: '列表元素的图标',
      tips: [{ value: 'url', label: '列表标题图像' }]
    },
    'title': {
      name: '列表元素的标题',
      tips: [{ value: '元素标题', label: '元素标题' }]
    },
    'description': {
      name: '列表元素的描述内容',
      tips: [{ value: '元素内容', label: '元素内容' }]
    }
  },
  'i-card': {
    'bordered': {
      name: '是否显示边框，建议在灰色背景下使用',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'dis-hover': {
      name: '禁用鼠标悬停显示阴影',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'shadow': {
      name: '卡片阴影，建议在灰色背景下使用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'padding': {
      name: '卡片内部间距，单位 px',
      tips: [
        { value: '16', label: '内部间距16px，默认值' },
        { value: '10', label: '内部间距10px' },
        { value: '20', label: '内部间距20px' }
      ]
    },
    'title': {
      name: '标题(v2.12.0+)',
      tips: [{ value: '卡片标题', label: '卡片标题' }]
    },
    'icon': {
      name: '标题前的图标(v2.12.0+)',
      tips: [
        { value: 'md-add', label: '添加' },
        { value: 'md-alarm', label: '闹钟' },
        { value: 'ios-backspace-outline', label: '退格删除' },
        { value: 'https://www.iviewui.com/components/icon', label: '更多图标参考' }
      ]
    },
    'to': {
      name: '跳转的链接，支持 vue-router 对象(v4.0+)',
      tips: [{ value: 'https://www.iviewui.com/components/icon', label: '跳转链接' }]
    },
    'replace': {
      name: '路由跳转时，开启 replace 将不会向 history 添加新记录(v4.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'target': {
      name: '相当于 a 链接的 target 属性(v4.0+)',
      tips: [
        { value: '_self', label: '当前页面跳转，默认值' },
        { value: '_blank', label: '在新窗口中打开被链接文档' },
        { value: '_parent', label: '在父框架集中打开被链接文档' },
        { value: '_top', label: '在整个窗口中打开被链接文档' }
      ]
    },
    'append': {
      name: '同 vue-router append(v4.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    }
  },
  'i-collapse': {
    'value': {
      name: '当前激活的面板的 name，可以使用 v-model 双向绑定',
      tips: [
        { value: '[1,2]', label: '同时展开name为1和2的面板' }
      ]
    },
    'accordion': {
      name: '是否开启手风琴模式，开启后每次至多展开一个面板',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'simple': {
      name: '是否开启简洁模式',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@change': {
      name: '切换面板时触发，返回当前已展开的面板的 key，格式为数组',
      tips: [{ value: 'change', label: '返回当前展开的面板[1,2...]' }]
    }
  },
  'i-panel': {
    'name': {
      name: '当前面板的 name，与 Collapse的value对应，不填为索引值',
      tips: [
        { value: 'index', label: '索引值，默认' },
        { value: 'tab...', label: '自定义值' },
        { value: 'panel...', label: '自定义值' }
      ]
    },
    'hide-arrow': {
      name: '隐藏箭头',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    }
  },
  'i-split': {
    'value': {
      name: '面板位置，可以是 0~1 代表百分比，或具体数值的像素，可用 v-model 双向绑定',
      tips: [
        { value: '0.5', label: '左右(上下)均分，默认值' },
        { value: '0.3', label: '左(上)30%，右(下)70%' },
        { value: '0.8', label: '左(上)80%，右(下)20%' }
      ]
    },
    'mode': {
      name: '类型，可选值为 horizontal 或 vertical',
      tips: [{ value: 'horizontal', label: '水平的，默认值' }, { value: 'vertical', label: '垂直的' }]
    },
    'min': {
      name: '最小阈值(分割线起点)',
      tips: [
        { value: '40', label: '最小宽(高)40px，默认值' },
        { value: '50px', label: '最小宽(高)50px' }
      ]
    },
    'max': {
      name: '最大阈值(分割线终点)',
      tips: [
        { value: '40', label: '最大宽(高)40px，默认值' },
        { value: '50px', label: '最大宽(高)50px' }
      ]
    },
    '@move-start': {
      name: '拖拽开始',
      tips: [{ value: 'splitMoveStart', label: '拖拽开始时触发' }]
    },
    '@moving': {
      name: '拖拽中',
      tips: [{ value: 'splitMoving', label: '拖拽中触发，返回event' }]
    },
    '@move-end': {
      name: '拖拽结束',
      tips: [{ value: 'splitMoveEnd', label: '拖拽结束时触发' }]
    }
  },
  'i-divider': {
    'type': {
      name: '水平还是垂直类型，可选值为 horizontal 或 vertical',
      tips: [{ value: 'horizontal', label: '水平的，默认值' }, { value: 'vertical', label: '垂直的' }]
    },
    'orientation': {
      name: '分割线标题的位置，可选值为 left、right 或 center',
      tips: [
        { value: 'center', label: '居中，默认值' },
        { value: 'left', label: '左' },
        { value: 'right', label: '右' }
      ]
    },
    'dashed': {
      name: '是否虚线',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'size': {
      name: '尺寸，可选值为 small 或 default(v3.3.0+)',
      tips: [{ value: 'small', label: '小' }, { value: 'default', label: '默认值' }]
    }
  },
  'i-cell': {
    'name': {
      name: '用来标识这一项',
      tips: [
        { value: '1', label: 'cell标记 1 ' },
        { value: 'name', label: 'cell标记 "name" ' }
      ]
    },
    'title': {
      name: '左侧标题',
      tips: [{ value: '标题', label: '标题' }]
    },
    'label': {
      name: '标题下方的描述信息',
      tips: [{ value: 'label内容', label: '描述信息' }]
    },
    'extra': {
      name: '右侧额外内容',
      tips: [{ value: '详细内容', label: '详细内容' }]
    },
    'disabled': {
      name: '禁用该项',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'selected': {
      name: '标记该项为选中状态',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'to': {
      name: '跳转的链接，支持 vue-router 对象',
      tips: [
        { value: '/index', label: '跳转当前项目index页' },
        { value: 'https://www.baidu.com', label: '跳转百度' }
      ]
    },
    'replace': {
      name: '路由跳转时，开启 replace 将不会向 history 添加新记录',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'target': {
      name: '相当于 a 链接的 target 属性',
      tips: [
        { value: '_self', label: '当前页面跳转，默认值' },
        { value: '_blank', label: '在新窗口中打开被链接文档' },
        { value: '_parent', label: '在父框架集中打开被链接文档' },
        { value: '_top', label: '在整个窗口中打开被链接文档' }
      ]
    },
    'append': {
      name: '同 vue-router append(v3.4.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@click': {
      name: '点击单元格时触发',
      tips: [{ value: 'clickCell', label: '返回点击单元格name' }]
    }
  },
  'i-menu': {
    'mode': {
      name: '菜单类型',
      tips: [{ value: 'horizontal', label: '水平的，默认值' }, { value: 'vertical', label: '垂直的' }]
    },
    'theme': {
      name: '菜单主题',
      tips: [
        { value: 'light', label: '明亮主题，默认值' },
        { value: 'dark', label: '暗黑主题' },
        { value: 'primary', label: '蓝色系，只适用于mode="horizontal" ' }
      ]
    },
    'active-name': {
      name: '激活菜单的 name 值',
      tips: [
        { value: '1', label: '激活name=1的菜单' },
        { value: 'option', label: '激活name="option"的菜单' }
      ]
    },
    'open-names': {
      name: '展开的 Submenu 的 name 集合',
      tips: [{ value: '[1,"option"]', label: '展开name为1和"option"的菜单' }]
    },
    'accordion': {
      name: '是否开启手风琴模式，开启后每次至多展开一个子菜单',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'width': {
      name: '导航菜单的宽度，只在 mode="vertical" 时有效，如果使用 Col 等布局，建议设置为 auto',
      tips: [
        { value: '240px', label: '导航菜单宽240px，默认值' },
        { value: '300px', label: '导航菜单宽300px' }
      ]
    },
    '@select': {
      name: '选择菜单（MenuItem）时触发',
      tips: [{ value: 'selectMenu', label: '返回点击菜单的name' }]
    },
    '@open-change': {
      name: '当 展开/收起 子菜单时触发',
      tips: [{ value: 'openChangeMenu', label: '当前展开的 Submenu 的 name 值数组' }]
    }
  },
  'i-menu-item': {
    'name': {
      name: '菜单项的唯一标识，必填',
      tips: [
        { value: '1', label: '' },
        { value: 'name', label: '' }
      ]
    },
    'to': {
      name: '跳转的链接，支持 vue-router 对象',
      tips: [
        { value: '/index', label: '跳转当前项目index页' },
        { value: 'https://www.baidu.com', label: '跳转百度' }
      ]
    },
    'replace': {
      name: '路由跳转时，开启 replace 将不会向 history 添加新记录',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'target': {
      name: '相当于 a 链接的 target 属性',
      tips: [
        { value: '_self', label: '当前页面跳转，默认值' },
        { value: '_blank', label: '在新窗口中打开被链接文档' },
        { value: '_parent', label: '在父框架集中打开被链接文档' },
        { value: '_top', label: '在整个窗口中打开被链接文档' }
      ]
    },
    'append': {
      name: '同 vue-router append(v3.4.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    }
  },
  'i-submenu': {
    'name': {
      name: '子菜单的唯一标识，必填',
      tips: [{ value: '子菜单', label: '' }]
    }
  },
  'i-menu-group': {
    'title': {
      name: '分组标题',
      tips: [{ value: '分组菜单', label: '' }]
    }
  },
  'i-tabs': {
    'value': {
      name: '当前激活 tab 面板的 name，可以使用 v-model 双向绑定数据',
      tips: [{ value: 'tab1', label: '默认为第一项的 name' }, { value: 'tab2', label: '激活第2个tab面板' }]
    },
    'type': {
      name: '页签的基本样式',
      tips: [
        { value: 'line', label: '默认值' },
        { value: 'card', label: '' }
      ]
    },
    'size': {
      name: '尺寸，仅在 type="line" 时有效',
      tips: [{ value: 'default', label: '默认值' }, { value: 'small', label: '小' }]
    },
    'closable': {
      name: '是否可以关闭页签，仅在 type="card" 时有效',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'animated': {
      name: '是否使用 CSS3 动画',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'capture-focus': {
      name: 'Tabs 内的表单类组件是否自动获得焦点',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'before-remove': {
      name: '关闭前的函数，返回 Promise 可阻止标签关闭',
      tips: [{ value: 'beforeRemoveTabs', label: '关闭前的函数' }]
    },
    'name': {
      name: '当嵌套使用 Tabs，指定 name 区分层级(v3.3.1+)',
      tips: [{ value: 'tabname', label: '当前层tabs名称' }]
    },
    'draggable': {
      name: '开启可配合事件 @on-drag-drop 实现拖拽调整页签顺序(v4.3.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@click': {
      name: 'tab 被点击时触发',
      tips: [{ value: 'clickTabs', label: '返回当前点击的标签name' }]
    },
    '@tab-remove': {
      name: 'tab 被关闭时触发',
      tips: [{ value: 'tabRemoveTabs', label: '返回当前点击的标签name' }]
    },
    '@contextmenu': {
      name: '当前页签点击右键时触发(v4.3.0+)',
      tips: [{ value: 'contextmenuTabs', label: '返回data, event, position' }]
    },
    '@drag-drop': {
      name: '拖拽调整页签顺序时触发(v4.3.0+)',
      tips: [{ value: 'dragDropTabs', label: '返回name1, name2, index1, index2, names' }]
    }
  },
  'i-tab-pane': {
    'name': {
      name: '用于标识当前面板，对应tabs的 value，默认为其索引值',
      tips: [{ value: 'tab1', label: '' }, { value: 'tab2', label: '' }]
    },
    'label': {
      name: '选项卡头显示文字，支持 Render 函数',
      tips: [
        { value: '标签1', label: '字符串标签' },
        { value: '标签2', label: '字符串标签' },
        { value: 'tabPaneLabel()', label: 'Function标签，在computed区的函数' }
      ]
    },
    'icon': {
      name: '选项卡图标',
      tips: [
        { value: '标签1', label: '字符串标签' },
        { value: '标签2', label: '字符串标签' }
      ]
    },
    'disabled': {
      name: '禁用该项',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'closable': {
      name: '是否可以关闭页签，仅在 type="card" 时有效',
      tips: [{ value: 'false', label: '否' }, { value: 'true', label: '是' }]
    },
    'tab': {
      name: '当嵌套使用 Tabs，设置该属性指向对应 Tabs 的 name 字段(v3.3.1+)',
      tips: [{ value: 'tabname', label: '上级Tabs中name的值' }]
    },
    'index': {
      name: '在 TabPane 使用 v-if 时，并不会按照预先的顺序渲染，这时可设置 index，并从小到大排序(需大于 0)(v3.3.1+)',
      tips: [{ value: '1', label: 'TabPane顺序为1' }, { value: '2', label: 'TabPane顺序为2' }]
    },
    'context-menu': {
      name: '是否支持右键菜单(v4.3.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    }
  },
  'i-dropdown': {
    'trigger': {
      name: '触发方式，使用 custom 时，需配合 visible 一起使用',
      tips: [
        { value: 'hover', label: '悬停展开下拉，默认值' },
        { value: 'click', label: '点击展开下拉' },
        { value: 'contextMenu', label: '右键展开下拉' },
        { value: 'custom', label: '自定义' }
      ]
    },
    'visible': {
      name: '手动控制下拉框的显示，在 trigger = "custom" 时使用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'placement': {
      name: '下拉菜单出现的位置(v2.12.0+支持自动识别)',
      tips: [
        { value: 'bottom', label: '正下方展开，默认值' },
        { value: 'bottom-start', label: '下方靠左展开' },
        { value: 'bottom-end', label: '下方靠右展开' },
        { value: 'top', label: '正上方展开' },
        { value: 'top-start', label: '上方靠左展开' },
        { value: 'top-end', label: '上方靠右展开' },
        { value: 'left', label: '左方展开' },
        { value: 'left-start', label: '左方靠下展开' },
        { value: 'left-end', label: '左方靠上展开' },
        { value: 'right', label: '右方展开' },
        { value: 'right-start', label: '右方靠下展开' },
        { value: 'right-end', label: '右方靠上展开' }
      ]
    },
    'transfer': {
      name: '是否将弹层放置于 body 内，在 Tabs、带有 fixed 的 Table 列内使用时，建议添加此属性，它将不受父级样式影响，从而达到更好的效果',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'transfer-class-name': {
      name: '开启 transfer 时，给浮层添加额外的 class 名称(v3.3.0+)',
      tips: [{ value: 'class-name', label: '自定义样式中class名称' }]
    },
    'stop-propagation': {
      name: '是否开启 stop-propagation(v3.4.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@click': {
      name: '点击菜单项时触发',
      tips: [{ value: 'clickDropdown', label: '返回点击的 DropdownItem 的 name 值' }]
    },
    '@visible-change': {
      name: '菜单显示状态改变时调用',
      tips: [{ value: 'visibleChangeDropdown', label: '返回选中的visible' }]
    },
    '@clickoutside': {
      name: '点击外部关闭下拉菜单时触发',
      tips: [{ value: 'clickoutsideDropdown', label: '返回事件event' }]
    }
  },
  'i-dropdown-item': {
    'name': {
      name: '用来标识这一项',
      tips: [{ value: 'dropdown_item_name', label: '名称' }]
    },
    'disabled': {
      name: '禁用该项',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'divided': {
      name: '显示分割线',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'selected': {
      name: '标记该项为选中状态',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    }
  },
  'i-page': {
    'current': {
      name: '当前页码，支持 .sync 修饰符',
      tips: [{ value: '1', label: '默认值' }, { value: 'pageNo', label: '' }]
    },
    'total': {
      name: '数据总数',
      tips: [{ value: '0', label: '默认值' }, { value: 'totalnum', label: '是' }]
    },
    'page-size': {
      name: '每页条数',
      tips: [{ value: '10', label: '默认值' }, { value: '20', label: '每页20条' }]
    },
    'page-size-opts': {
      name: '每页条数切换的配置',
      tips: [{ value: '[10,20,30,40]', label: '默认值' }]
    },
    'placement': {
      name: '条数切换弹窗的展开方向',
      tips: [{ value: 'bottom', label: '向下展开，默认值' }, { value: 'top', label: '向上展开' }]
    },
    'size': {
      name: '页码控制大小，可选值为small（迷你版）或不填（默认）',
      tips: [{ value: 'small', label: '迷你版' }]
    },
    'simple': {
      name: '简洁版',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'show-total': {
      name: '显示数据总数',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'show-elevator': {
      name: '显示电梯，可以快速切换到某一页',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'show-sizer': {
      name: '显示分页，用来改变page-size',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'class-name': {
      name: '自定义的class名称',
      tips: [{ value: 'class-name', label: '自定义css中class名称' }]
    },
    'styles': {
      name: '自定义 style 样式',
      tips: [{ value: '{"font-size": "20px"}', label: '样式对象' }]
    },
    'transfer': {
      name: '是否将弹层放置于 body 内，在 Tabs、带有 fixed 的 Table 列内使用时，建议添加此属性，它将不受父级样式影响，从而达到更好的效果',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'prev-text': {
      name: '替代图标显示的上一页文字',
      tips: [{ value: '上一页', label: '上一页' }]
    },
    'next-text': {
      name: '替代图标显示的下一页文字',
      tips: [{ value: '下一页', label: '下一页' }]
    },
    'disabled': {
      name: '是否禁用(v4.0.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@change': {
      name: '页码改变的回调，返回改变后的页码',
      tips: [{ value: 'changePageNo', label: '返回改变后的页码' }]
    },
    '@page-size-change': {
      name: '切换每页条数时的回调，返回切换后的每页条数',
      tips: [{ value: 'pageSizeChange', label: '返回改变后的每页条数 page-size' }]
    }
  },
  'i-breadcrumb': {
    'separator': {
      name: '自定义分隔符',
      tips: [{ value: '/', label: '默认值' }, { value: '-', label: '' }]
    }
  },
  'i-breadcrumb-item': {
    'to': {
      name: '链接，不传则没有链接，支持 vue-router 对象',
      tips: [{ value: 'https://www.iviewui.com/', label: '跳转链接' }]
    },
    'replace': {
      name: '路由跳转时，开启 replace 将不会向 history 添加新记录',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'target': {
      name: '相当于 a 链接的 target 属性',
      tips: [
        { value: '_self', label: '当前页面跳转，默认值' },
        { value: '_blank', label: '在新窗口中打开被链接文档' },
        { value: '_parent', label: '在父框架集中打开被链接文档' },
        { value: '_top', label: '在整个窗口中打开被链接文档' }
      ]
    },
    'append': {
      name: '同 vue-router append(v3.4.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    }
  },
  'i-badge': {
    'count': {
      // eslint-disable-next-line no-template-curly-in-string
      name: '显示的数字，大于overflowCount时，显示${overflowCount}+，为 0 时隐藏',
      tips: [{ value: '0', label: '隐藏数量' }, { value: '3', label: '显示数量3' }]
    },
    'overflow-count': {
      name: '展示封顶的数字值',
      tips: [{ value: '99', label: '默认值' }, { value: '10', label: '数量上限' }]
    },
    'dot': {
      name: '不展示数字，只有一个小红点，如需隐藏 dot ，需要设置count为 0',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'class-name': {
      name: '自定义的class名称，dot 模式下无效',
      tips: [{ value: 'class-name', label: '自定义css中class名称' }]
    },
    'type': {
      name: '使用预设的颜色',
      tips: [
        { value: 'success', label: '' },
        { value: 'primary', label: '' },
        { value: 'normal', label: '' },
        { value: 'error', label: '' },
        { value: 'warning', label: '' },
        { value: 'info', label: '' }
      ]
    },
    'show-zero': {
      name: '当数值为 0 时，是否展示 Badge',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'status': {
      name: '设置 Badge 为状态点',
      tips: [
        { value: 'success', label: '' },
        { value: 'processing', label: '' },
        { value: 'default', label: '' },
        { value: 'error', label: '' },
        { value: 'warning', label: '' }
      ]
    },
    'text': {
      name: '自定义内容，如果设置了 status，则为状态点的文本',
      tips: [
        { value: '新消息', label: '' },
        { value: 'new', label: '' }
      ]
    },
    'offset': {
      name: '设置状态点的位置偏移，格式为 [x, y]',
      tips: [
        { value: '[3, 3]', label: '向左偏移3px，向下偏移3px' },
        { value: '[-1, -1]', label: '向右偏移1px，向上偏移1px' }
      ]
    },
    'color': {
      name: '设置更多状态点的颜色或自定义颜色(v4.0.0+)',
      tips: [
        { value: '#f00', label: '红色' },
        { value: 'green', label: '绿色' }
      ]
    }
  },
  'i-anchor': {
    'affix': {
      name: '固定模式',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'offset-top': {
      name: '距离窗口顶部达到指定偏移量后触发',
      tips: [{ value: '0', label: '默认值' }, { value: '10', label: '距离顶部10px触发' }]
    },
    'offset-bottom': {
      name: '距离窗口底部达到指定偏移量后触发',
      tips: [{ value: '0', label: '距离底部0px触发' }, { value: '10', label: '距离底部10px触发' }]
    },
    'class-name': {
      name: '自定义的class名称，dot 模式下无效',
      tips: [{ value: 'class-name', label: '自定义css中class名称' }]
    },
    'bounds': {
      name: '锚点区域边界',
      tips: [{ value: '5', label: '5px，默认值' }, { value: '10', label: '10px' }]
    },
    'scroll-offset': {
      name: '点击滚动的额外距离',
      tips: [{ value: '0', label: '默认值' }, { value: '10', label: '' }]
    },
    'container': {
      name: '指定滚动的容器',
      tips: [{ value: 'container_id', label: '容器id' }]
    },
    'show-ink': {
      name: '是否显示小圆点',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@select': {
      name: '点击锚点时触发，返回链接',
      tips: [{ value: 'selectAnchor', label: '返回选中锚点链接 href' }]
    },
    '@change': {
      name: '链接改变时触发，返回新链接和旧链接',
      tips: [{ value: 'changeAnchor', label: '返回新旧锚点链接 newHref, oldHref' }]
    }
  },
  'i-anchor-link': {
    'href': {
      name: '锚点链接',
      tips: [{ value: 'link1', label: '链接1' }, { value: 'link2', label: '链接2' }]
    },
    'title': {
      name: '锚点文字内容',
      tips: [{ value: '锚点文字1', label: '' }, { value: '锚点文字2', label: '' }]
    },
    'scroll-offset': {
      name: '点击滚动的额外距离',
      tips: [{ value: '0', label: '默认值' }, { value: '10', label: '' }]
    }
  },
  'i-steps': {
    'current': {
      name: '当前步骤，从 0 开始计数',
      tips: [{ value: '0', label: '默认值' }, { value: '1', label: '第一步' }]
    },
    'status': {
      name: '当前步骤的状态',
      tips: [
        { value: 'process', label: '进行中，默认值' },
        { value: 'wait', label: '等待' },
        { value: 'finish', label: '完成' },
        { value: 'error', label: '错误' }
      ]
    },
    'size': {
      name: '步骤条的尺寸，可选值为small或者不写',
      tips: [{ value: 'small', label: '' }]
    },
    'direction': {
      name: '步骤条的方向',
      tips: [{ value: 'horizontal', label: '水平，默认值' }, { value: 'vertical', label: '垂直' }]
    }
  },
  'i-step': {
    'status': {
      name: '步骤的状态，不设置时自动判断',
      tips: [
        { value: 'process', label: '进行中，默认值' },
        { value: 'wait', label: '等待' },
        { value: 'finish', label: '完成' },
        { value: 'error', label: '错误' }
      ]
    },
    'title': {
      name: '步骤标题',
      tips: [{ value: '第一步', label: '' }, { value: '第二步', label: '' }]
    },
    'content': {
      name: '步骤的详细描述，可选',
      tips: [{ value: '步骤具体内容', label: '' }]
    },
    'icon': {
      name: '步骤的图标，可选',
      tips: [
        { value: 'md-add', label: '添加' },
        { value: 'md-search', label: '搜索' },
        { value: 'md-create', label: '修改' },
        { value: 'ios-loading', label: '加载中' },
        { value: 'https://www.iviewui.com/components/icon', label: '更多图表参考' }
      ]
    }
  },
  'i-input': {
    'type': {
      name: '输入框类型',
      tips: [
        { value: 'text', label: '普通文本，默认值' },
        { value: 'password', label: '密码文本' },
        { value: 'textarea', label: '文本域' },
        { value: 'url', label: '链接地址' },
        { value: 'email', label: '邮箱地址' },
        { value: 'date', label: '时间' },
        { value: 'number', label: '数字' },
        { value: 'tel', label: '电话' }
      ]
    },
    'value': {
      name: '绑定的值，可使用 v-model 双向绑定',
      tips: [{ value: 'value', label: '输入框内容' }]
    },
    'size': {
      name: '输入框尺寸',
      tips: [
        { value: 'default', label: '默认值' },
        { value: 'large', label: '' },
        { value: 'small', label: '' }
      ]
    },
    'placeholder': {
      name: '占位文本，提示语',
      tips: [{ value: '请输入...', label: '' }]
    },
    'clearable': {
      name: '是否显示清空按钮',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'disabled': {
      name: '设置输入框为禁用状态',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'readonly': {
      name: '设置输入框为只读',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'maxlength': {
      name: '最大输入长度',
      tips: [{ value: '20', label: '输入最大20个字符' }]
    },
    'show-word-limit': {
      name: '是否显示输入字数统计，可以配合 maxlength 使用(v4.0.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'password': {
      name: '是否显示切换密码图标(v4.0.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'icon': {
      name: '输入框尾部图标，仅在 text 类型下有效',
      tips: [
        { value: 'md-add', label: '添加' },
        { value: 'md-search', label: '搜索' },
        { value: 'md-create', label: '修改' },
        { value: 'ios-loading', label: '加载中' },
        { value: 'https://www.iviewui.com/components/icon', label: '更多图表参考' }
      ]
    },
    'prefix': {
      name: '输入框头部图标',
      tips: [
        { value: 'md-add', label: '添加' },
        { value: 'md-search', label: '搜索' },
        { value: 'md-create', label: '修改' },
        { value: 'ios-loading', label: '加载中' },
        { value: 'https://www.iviewui.com/components/icon', label: '更多图表参考' }
      ]
    },
    'suffix': {
      name: '输入框尾部图标',
      tips: [
        { value: 'md-add', label: '添加' },
        { value: 'md-search', label: '搜索' },
        { value: 'md-create', label: '修改' },
        { value: 'ios-loading', label: '加载中' },
        { value: 'https://www.iviewui.com/components/icon', label: '更多图表参考' }
      ]
    },
    'search': {
      name: '是否显示为搜索型输入框',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'enter-button': {
      name: '开启 search 时可用，是否有确认按钮，可设为按钮文字，包含此属性即开启',
      tips: [
        { value: 'enter-button', label: '默认为搜索图标' },
        { value: '搜索', label: '显示"搜索"文字' }
      ]
    },
    'rows': {
      name: '文本域默认行数，仅在 textarea 类型下有效',
      tips: [
        { value: '2', label: '显示2行文字，默认值' },
        { value: '3', label: '显示3行文字' },
        { value: '5', label: '显示5行文字' }
      ]
    },
    'autosize': {
      name: '自适应内容高度，仅在 textarea 类型下有效，可传入对象',
      tips: [
        { value: 'true', label: '最小1行，无上限，默认值' },
        { value: '{ minRows: 2, maxRows: 6 }', label: '最小2行，最大5行' }
      ]
    },
    'number': {
      name: '将用户的输入转换为 Number 类型',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'autofocus': {
      name: '自动获取焦点',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'autocomplete': {
      name: '原生的自动完成功能',
      tips: [{ value: 'off', label: '关闭，默认值' }, { value: 'on', label: '开启' }]
    },
    'element-id': {
      name: '给表单元素设置 id，详见 Form 用法',
      tips: [{ value: 'element_id', label: '表单id' }]
    },
    'wrap': {
      name: '原生的 wrap 属性，仅在 textarea 下生效',
      tips: [
        { value: 'soft', label: '表单中提交时，textarea 中的文本不换行，默认值' },
        { value: 'hard', label: '表单中提交时，textarea 中的文本换行，必须规定 cols 属性' }
      ]
    },
    '@enter': {
      name: '按下回车键时触发',
      tips: [{ value: 'enterInput', label: '' }]
    },
    '@click': {
      name: '设置 icon 属性后，点击图标时触发',
      tips: [{ value: 'clickInput', label: '' }]
    },
    '@change': {
      name: '数据改变时触发',
      tips: [{ value: 'changeInput', label: '返回触发事件event' }]
    },
    '@focus': {
      name: '输入框聚焦时触发',
      tips: [{ value: 'focusInput', label: '' }]
    },
    '@blur': {
      name: '输入框失去焦点时触发',
      tips: [{ value: 'blurInput', label: '' }]
    },
    '@keyup': {
      name: '原生的 keyup 事件',
      tips: [{ value: 'keyupInput', label: '返回触发事件event' }]
    },
    '@keydown': {
      name: '原生的 keydown 事件',
      tips: [{ value: 'keydownInput', label: '返回触发事件event' }]
    },
    '@keypress': {
      name: '原生的 keypress 事件',
      tips: [{ value: 'keypressInput', label: '返回触发事件event' }]
    },
    '@search': {
      name: '开启 search 时可用，点击搜索或按下回车键时触发',
      tips: [{ value: 'searchInput', label: '返回输入框内value' }]
    },
    '@clear': {
      name: '开启 clearable 时可用，点击清空按钮时触发(v3.4.0+)',
      tips: [{ value: 'clearInput', label: '' }]
    }
  },
  'i-radio': {
    'value': {
      name: '只在单独使用时有效。可以使用 v-model 双向绑定数据',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'label': {
      name: '只在组合使用时有效。指定当前选项的 value 值，组合会自动判断当前选择的项目',
      tips: [{ value: 'radio1', label: '' }, { value: 'radio2', label: '' }]
    },
    'disabled': {
      name: '是否禁用当前项',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'size': {
      name: '单选框的尺寸',
      tips: [
        { value: 'default', label: '默认值' },
        { value: 'large', label: '' },
        { value: 'small', label: '' }
      ]
    },
    'border': {
      name: '是否显示边框(v4.0.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'true-value': {
      name: '选中时的值，当使用类似 1 和 0 来判断是否选中时会很有用',
      tips: [
        { value: 'true', label: '默认值' },
        { value: '1', label: '' },
        { value: '男', label: '' }
      ]
    },
    'false-value': {
      name: '没有选中时的值，当使用类似 1 和 0 来判断是否选中时会很有用',
      tips: [
        { value: 'false', label: '默认值' },
        { value: '0', label: '' },
        { value: '女', label: '' }
      ]
    },
    '@change': {
      name: '在选项状态发生改变时触发，返回当前状态。通过修改外部的数据改变时不会触发',
      tips: [{ value: 'changeRadio', label: '返回当前状态值' }]
    }
  },
  'i-radio-group': {
    'value': {
      name: '指定当前选中的项目数据。可以使用 v-model 双向绑定数据',
      tips: [{ value: '1', label: '内部radio对应的label="1"' }]
    },
    'type': {
      name: '可选值为 button 或不填，为 button 时使用按钮样式',
      tips: [{ value: 'button', label: '按钮样式' }]
    },
    'size': {
      name: '单选框的尺寸',
      tips: [
        { value: 'default', label: '默认值' },
        { value: 'large', label: '' },
        { value: 'small', label: '' }
      ]
    },
    'vertical': {
      name: '是否垂直排列，按钮样式下无效',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@change': {
      name: '在选项状态发生改变时触发，返回当前选中的项。通过修改外部的数据改变时不会触发',
      tips: [{ value: 'changeRadioGroup', label: '返回当前选中项' }]
    }
  },
  'i-checkbox': {
    'value': {
      name: '只在单独使用时有效。可以使用 v-model 双向绑定数据',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'label': {
      name: '只在组合使用时有效。指定当前选项的 value 值，组合会自动判断是否选中',
      tips: [{ value: '是', label: '' }, { value: '选中', label: '' }]
    },
    'disabled': {
      name: '是否禁用当前项',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'indeterminate': {
      name: '设置 indeterminate 状态，只负责样式控制',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'size': {
      name: '多选框的尺寸',
      tips: [
        { value: 'default', label: '默认值' },
        { value: 'large', label: '' },
        { value: 'small', label: '' }
      ]
    },
    'border': {
      name: '是否显示边框(v4.0.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'true-value': {
      name: '选中时的值，当使用类似 1 和 0 来判断是否选中时会很有用',
      tips: [
        { value: 'true', label: '默认值' },
        { value: '1', label: '' },
        { value: '已选中', label: '' }
      ]
    },
    'false-value': {
      name: '没有选中时的值，当使用类似 1 和 0 来判断是否选中时会很有用',
      tips: [
        { value: 'false', label: '默认值' },
        { value: '0', label: '' },
        { value: '未选中', label: '' }
      ]
    },
    '@change': {
      name: '只在单独使用时有效。在选项状态发生改变时触发，通过修改外部的数据改变时不会触发',
      tips: [{ value: 'changeCheckbox', label: '返回当前状态值true|false' }]
    }
  },
  'i-checkbox-group': {
    'value': {
      name: '指定选中项目的集合，可以使用 v-model 双向绑定数据',
      tips: [{ value: '[1,2,"选中项"]', label: '内部 checkbox 对应的label值' }]
    },
    'size': {
      name: '多选框组的尺寸',
      tips: [
        { value: 'default', label: '默认值' },
        { value: 'large', label: '' },
        { value: 'small', label: '' }
      ]
    },
    '@change': {
      name: '在选项状态发生改变时触发，返回已选中的数组。通过修改外部的数据改变时不会触发',
      tips: [{ value: 'changeCheckboxGroup', label: '返回已选中的数组' }]
    }
  },
  'i-switch': {
    'value': {
      name: '指定当前是否选中，可以使用 v-model 双向绑定数据',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'size': {
      name: '开关的尺寸，建议开关如果使用了2个汉字的文字，使用 large',
      tips: [
        { value: 'default', label: '默认值' },
        { value: 'large', label: '' },
        { value: 'small', label: '' }
      ]
    },
    'disabled': {
      name: '禁用开关',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'true-value': {
      name: '选中时的值，当使用类似 1 和 0 来判断是否选中时会很有用',
      tips: [
        { value: 'true', label: '默认值' },
        { value: '1', label: '' },
        { value: '是', label: '' }
      ]
    },
    'false-value': {
      name: '没有选中时的值，当使用类似 1 和 0 来判断是否选中时会很有用',
      tips: [
        { value: 'false', label: '默认值' },
        { value: '0', label: '' },
        { value: '否', label: '' }
      ]
    },
    'true-color': {
      name: '自定义打开时的背景色(v4.0.0+)',
      tips: [{ value: '#19be6b', label: '浅绿色' }]
    },
    'false-color': {
      name: '自定义关闭时的背景色(v4.0.0+)',
      tips: [{ value: '#ed4014', label: '红色' }]
    },
    'before-change': {
      name: '返回 Promise 可以阻止切换(v4.0.0+)',
      tips: [{ value: 'beforeChangeSwitch', label: 'Function函数' }]
    },
    'loading': {
      name: '加载中的开关',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@change': {
      name: '开关变化时触发，返回当前的状态',
      tips: [{ value: 'changeSwitch', label: '返回当前状态值true|false' }]
    }
  },
  'i-table': {
    'data': {
      name: '显示的结构化数据，其中，字段 cellClassName 用于设置任意单元格的样式名称，因此数据不能使用该字段',
      tips: [{ value: '[]', label: '数组类型' }, { value: '[{},{}]', label: '' }]
    },
    'columns': {
      name: '表格列的配置描述，具体项见后文',
      tips: [
        { value: '[]', label: '表头定义数组' },
        { value: 'https://www.iviewui.com/components/table', label: '详细说明' }
      ]
    },
    'stripe': {
      name: '是否显示间隔斑马纹',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'border': {
      name: '是否显示纵向边框',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'show-header': {
      name: '是否显示表头',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'width': {
      name: '表格宽度，单位 px',
      tips: [{ value: '600', label: '表格宽600px' }]
    },
    'height': {
      name: '表格高度，单位 px，设置后，如果表格内容大于此值，会固定表头',
      tips: [{ value: '400', label: '表格高400px' }]
    },
    'max-height': {
      name: '表格最大高度，单位 px，设置后，如果表格内容大于此值，会固定表头(v3.4.0+)',
      tips: [{ value: '300', label: '固定表格高300px' }]
    },
    'loading': {
      name: '表格是否加载中',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'disabled-hover': {
      name: '禁用鼠标悬停时的高亮',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'highlight-row': {
      name: '是否支持高亮选中的行，即单选',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'row-class-name': {
      name: '行的 className 的回调方法，传入参数：row：当前行数据，index：当前行的索引',
      tips: [{ value: 'rowClassData', label: 'Function函数' }]
    },
    'size': {
      name: '表格尺寸',
      tips: [
        { value: 'default', label: '' },
        { value: 'large', label: '' },
        { value: 'small', label: '' }
      ]
    },
    'no-data-text': {
      name: '数据为空时显示的提示内容',
      tips: [
        { value: '暂无数据', label: '默认值' },
        { value: '加载中', label: '' }
      ]
    },
    'no-filtered-data-text': {
      name: '筛选数据为空时显示的提示内容',
      tips: [
        { value: '暂无筛选结果', label: '默认值' },
        { value: '搜索中', label: '' }
      ]
    },
    'draggable': {
      name: '是否开启拖拽调整行顺序，需配合 @on-drag-drop 事件使用(v3.3.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'tooltip-theme': {
      name: '列使用 tooltip 时，配置它的主题(v3.3.0+)',
      tips: [{ value: 'dark', label: '暗黑色，默认值' }, { value: 'light', label: '明亮色' }]
    },
    'row-key': {
      name: '是否强制使用内置的 row-key，开启后可能会影响性能(v3.4.0+)(v4.1.0支持String)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'span-method': {
      name: '合并行或列的计算方法(v4.0.0+)',
      tips: [{ value: 'spanMethodData', label: 'Function函数' }]
    },
    'show-summary': {
      name: '是否在表尾显示合计行(v4.0.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'sum-text': {
      name: '合计行第一列的文本(v4.0.0+)',
      tips: [{ value: '合计', label: '默认值' }]
    },
    'summary-method': {
      name: '自定义的合计计算方法(v4.0.0+)',
      tips: [{ value: 'summaryMethodData', label: 'Function函数' }]
    },
    'indent-size': {
      name: '树形数据缩进宽度，单位 px(v4.1.0+)',
      tips: [{ value: '16', label: '默认值' }]
    },
    'load-data': {
      name: '异步加载树形数据的方法，详见示例(v4.1.0+)',
      tips: [{ value: 'loadData', label: 'Function函数' }]
    },
    'context-menu': {
      name: '当前行点击右键是否会阻止默认行为(v4.1.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'show-context-menu': {
      name: '点击右键弹出菜单，需配合 slot contextMenu 一起使用，详见示例(v4.2.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@current-change': {
      name: '开启 highlight-row 后有效，当表格的当前行发生变化的时候会触发',
      tips: [{ value: 'currentChange', label: 'Function返回值：currentRow：当前高亮行的数据，oldCurrentRow：上一次高亮的数据' }]
    },
    '@select': {
      name: '在多选模式下有效，选中某一项时触发',
      tips: [{ value: 'select', label: 'Function返回值：selection：已选项数据，row：刚选择的项数据' }]
    },
    '@select-cancel': {
      name: '在多选模式下有效，取消选中某一项时触发',
      tips: [{ value: 'selectCancel', label: 'Function返回值：selection：已选项数据，row：取消选择的项数据' }]
    },
    '@select-all': {
      name: '在多选模式下有效，点击全选时触发',
      tips: [{ value: 'selectAll', label: 'Function返回值：selection：已选项数据' }]
    },
    '@select-all-cancel': {
      name: '在多选模式下有效，点击取消全选时触发',
      tips: [{ value: 'selectAllCancel', label: 'Function返回值：selection：已选项数据' }]
    },
    '@selection-change': {
      name: '在多选模式下有效，点击取消全选时触发',
      tips: [{ value: 'selectionChange', label: 'Function返回值：selection：已选项数据' }]
    },
    '@sort-change': {
      name: '排序时有效，当点击排序时触发',
      tips: [{ value: 'sortChange', label: 'Function返回值：column：当前列数据，key：排序依据的指标，order：排序的顺序，值为 asc 或 desc' }]
    },
    '@filter-change': {
      name: '筛选时有效，筛选条件发生变化时触发',
      tips: [{ value: 'filterChange', label: 'Function返回值：当前列数据' }]
    },
    '@row-click': {
      name: '单击某一行时触发',
      tips: [{ value: 'rowClick', label: 'Function返回值：当前行的数据，index' }]
    },
    '@row-dblclick': {
      name: '双击某一行时触发',
      tips: [{ value: 'rowDblclick', label: 'Function返回值：当前行的数据，index' }]
    },
    '@cell-click': {
      name: '点击单元格时触发(v4.2.0+)',
      tips: [{ value: 'cellClick', label: 'Function返回值：row当前行数据, column当前列头, data数据, event事件' }]
    },
    '@expand': {
      name: '展开或收起某一行时触发',
      tips: [{ value: 'expand', label: 'Function返回值：row：当前行的数据, status：当前的状态' }]
    },
    '@drag-drop': {
      name: '拖拽排序松开时触发，返回置换的两行数据索引(v3.3.0+)',
      tips: [{ value: 'dragDrop', label: 'Function返回值：index1 新索引位置, index2 原索引位置' }]
    },
    '@column-width-resize': {
      name: '拖拽调整列宽时触发(v4.0.0+)',
      tips: [{ value: 'columnWidthResize', label: 'Function返回值：newWidth, oldWidth, column, event' }]
    },
    '@contextmenu': {
      name: '当前行点击右键时触发(v4.1.0+)',
      tips: [{ value: 'contextmenu', label: 'Function返回值：row, event, position' }]
    },
    '@expand-tree': {
      name: '展开或收起子数据时触发(v4.3.0+)',
      tips: [{ value: 'expandTree', label: 'Function返回值：row-key, status' }]
    }
  },
  'i-select': {
    'value': {
      name: '指定选中项目的 value 值，可以使用 v-model 双向绑定数据。单选时只接受 String 或 Number，多选时只接受 Array',
      tips: [{ value: 'selected', label: '单选' }, { value: '["selected1","selected2"]', label: '多选' }]
    },
    'multiple': {
      name: '是否支持多选',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'disabled': {
      name: '禁用开关',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'clearable': {
      name: '是否可以清空选项，只在单选时有效',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'filterable': {
      name: '是否支持搜索',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'filter-by-label': {
      name: '在搜索时，是否只按照 label 进行搜索(v4.2.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'remote': {
      name: '是否使用远程搜索',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'remote-method': {
      name: '远程搜索的方法',
      tips: [{ value: 'remoteMethod', label: 'Function' }]
    },
    'loading': {
      name: '当前是否正在远程搜索',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'loading-text': {
      name: '远程搜索中的文字提示',
      tips: [{ value: '加载中', label: '默认值' }]
    },
    'label': {
      name: '仅在 remote 模式下，初始化时使用。因为仅通过 value 无法得知选项的 label，需手动设置',
      tips: [
        { value: '选中项1', label: '' },
        { value: '1', label: '' },
        { value: '["选中项1","选中项2"]', label: '' }
      ]
    },
    'size': {
      name: '选择框大小',
      tips: [
        { value: 'default', label: '默认值' },
        { value: 'large', label: '' },
        { value: 'small', label: '' }
      ]
    },
    'placeholder': {
      name: '选择框默认文字',
      tips: [{ value: '请选择', label: '默认值' }]
    },
    'not-found-text': {
      name: '当下拉列表为空时显示的内容',
      tips: [{ value: '无匹配数据', label: '默认值' }]
    },
    'label-in-value': {
      name: '在返回选项时，是否将 label 和 value 一并返回，默认只返回 value',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'placement': {
      name: '弹窗的展开方向',
      tips: [
        { value: 'bottom-start', label: '默认值' },
        { value: 'bottom', label: '' },
        { value: 'bottom-end', label: '' },
        { value: 'top-start', label: '' },
        { value: 'top', label: '' },
        { value: 'top-end', label: '' }
      ]
    },
    'transfer': {
      name: '是否将弹层放置于 body 内，在 Tabs、带有 fixed 的 Table 列内使用时，建议添加此属性，它将不受父级样式影响，从而达到更好的效果',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'element-id': {
      name: '给表单元素设置 id，详见 Form 用法',
      tips: [{ value: 'element_id', label: '表单id' }]
    },
    'transfer-class-name': {
      name: '开启 transfer 时，给浮层添加额外的 class 名称(v3.3.0+)',
      tips: [{ value: 'class-name', label: '自定义样式名称' }]
    },
    'prefix': {
      name: '在 Select 内显示图标(v3.4.0+)',
      tips: [
        { value: 'ios-home', label: '自定义样式名称' },
        { value: 'https://www.iviewui.com/components/icon', label: '更多图标参考' }
      ]
    },
    'max-tag-count': {
      name: '多选时最多显示多少个 tag(v3.4.0+)',
      tips: [
        { value: '2', label: '最多显示2个' },
        { value: '3', label: '最多显示3个' }
      ]
    },
    'max-tag-placeholder': {
      name: '隐藏 tag 时显示的内容，参数是剩余项数量(v3.4.0+)',
      tips: [{ value: 'maxTagPlaceholder', label: 'Function' }]
    },
    'allow-create': {
      name: '是否允许用户创建新条目，需开启 filterable(v4.0.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'capture': {
      name: '是否开启 capture 模式，也可通过全局配置(v4.0.0+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    '@change': {
      name: '选中的Option变化时触发，默认返回 value，如需返回 label，详见 label-in-value 属性',
      tips: [{ value: 'changeSwitch', label: '返回当前选中项' }]
    },
    '@query-change': {
      name: '搜索词改变时触发',
      tips: [{ value: 'queryChange', label: '返回当前搜索值query' }]
    },
    '@clear': {
      name: '点击清空按钮时触发',
      tips: [{ value: 'clear', label: '' }]
    },
    '@open-change': {
      name: '下拉框展开或收起时触发',
      tips: [{ value: 'openChange', label: '返回值true|false' }]
    },
    '@create': {
      name: '新建条目时触发(v4.0.0+)',
      tips: [{ value: 'create', label: '返回当前搜索值query' }]
    },
    '@select': {
      name: '选择项目时触发(v4.1.0+)',
      tips: [{ value: 'select', label: '返回当前选中项' }]
    }
  },
  'i-option': {
    'value': {
      name: '选项值，默认根据此属性值进行筛选，必填',
      tips: [{ value: 'option1', label: '选中项1' }, { value: '1', label: '数字项1' }]
    },
    'label': {
      name: '选项显示的内容，默认会读取 slot，无 slot 时，优先读取该 label 值，无 label 时，读取 value。当选中时，选择器会显示 label 为已选文案。大部分情况不需要配置此项，直接写入 slot 即可，在自定义选项时，该属性非常有用',
      tips: [{ value: 'option1', label: '选中项1' }, { value: '1', label: '数字项1' }]
    },
    'disabled': {
      name: '是否禁用当前项',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'tag': {
      name: '设置后，在多选时，标签内容会优先显示设置的值(v4.0.0+)',
      tips: [{ value: 'option1', label: '选中项1' }, { value: '1', label: '数字项1' }]
    }
  },
  'i-option-group': {
    'label': {
      name: '分组的组名',
      tips: [{ value: '备选项分组1', label: '' }, { value: '备选项分组2', label: '' }]
    }
  },
  'i-auto-complete': {
    'value': {
      name: '绑定的值，可使用 v-model 双向绑定',
      tips: [{ value: '自动完成', label: '' }]
    },
    'data': {
      name: '自动完成的数据源',
      tips: [{ value: '["备选1","备选2"]', label: '' }]
    },
    'clearable': {
      name: '是否可以清空选项',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'disabled': {
      name: '是否禁用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'placeholder': {
      name: '占位文本',
      tips: [{ value: '请输入...', label: '' }]
    },
    'size': {
      name: '输入框尺寸',
      tips: [
        { value: 'default', label: '默认值' },
        { value: 'large', label: '' },
        { value: 'small', label: '' }
      ]
    },
    'icon': {
      name: '输入框尾部图标',
      tips: [
        { value: 'md-add', label: '添加' },
        { value: 'md-search', label: '搜索' },
        { value: 'md-create', label: '修改' },
        { value: 'ios-loading', label: '加载中' },
        { value: 'https://www.iviewui.com/components/icon', label: '更多图表参考' }
      ]
    },
    'filter-method': {
      name: '是否根据输入项进行筛选。当其为一个函数时，会接收 value 和 option 两个参数，当 option 符合筛选条件时，应返回 true，反之则返回 false',
      tips: [
        { value: 'false', label: '否，默认值' },
        { value: 'true', label: '是' },
        { value: 'filterMethod', label: 'Function，返回true|false' }
      ]
    },
    'placement': {
      name: '弹窗的展开方向(v2.12.0+开始支持自动识别)',
      tips: [
        { value: 'bottom-start', label: '默认值' },
        { value: 'bottom', label: '' },
        { value: 'bottom-end', label: '' },
        { value: 'top-start', label: '' },
        { value: 'top', label: '' },
        { value: 'top-end', label: '' }
      ]
    },
    'transfer': {
      name: '是否将弹层放置于 body 内，在 Tabs、带有 fixed 的 Table 列内使用时，建议添加此属性，它将不受父级样式影响，从而达到更好的效果',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'element-id': {
      name: '给表单元素设置 id，详见 Form 用法',
      tips: [{ value: 'element_id', label: '表单id' }]
    },
    '@change': {
      name: '选中 option，或 input 的 value 变化时，调用此函数',
      tips: [{ value: 'changeAutoComplete', label: '返回当前值' }]
    },
    '@select': {
      name: '被选中时调用，参数为选中项的 value 值',
      tips: [{ value: 'selectAutoComplete', label: '返回当前值' }]
    },
    '@search': {
      name: '搜索补全项的时候调用',
      tips: [{ value: 'searchAutoComplete', label: '返回搜索值：query' }]
    },
    '@focus': {
      name: '聚焦时触发',
      tips: [{ value: 'focusAutoComplete', label: '返回事件：event' }]
    },
    '@blur': {
      name: '失焦时触发',
      tips: [{ value: 'blurAutoComplete', label: '返回事件：event' }]
    },
    '@clear': {
      name: '清空时触发(v3.3.0+)',
      tips: [{ value: 'clearAutoComplete', label: '' }]
    }
  },
  'i-slider': {
    'value': {
      name: '滑块选定的值，可以使用 v-model 双向绑定数据。普通模式下，数据格式为数字，在双滑块模式下，数据格式为长度是2的数组，且每项都为数字',
      tips: [{ value: '25', label: '从头开始至25%' }, { value: '[25, 50]', label: '从25%开始至50%' }]
    },
    'min': {
      name: '最小值',
      tips: [{ value: '0', label: '默认值' }]
    },
    'max': {
      name: '最大值',
      tips: [{ value: '100', label: '默认值' }]
    },
    'step': {
      name: '步长，取值建议能被（max - min）整除',
      tips: [{ value: '1', label: '默认值' }, { value: '10', label: '' }]
    },
    'disabled': {
      name: '是否禁用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'range': {
      name: '是否开启双滑块模式',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'show-input': {
      name: '是否显示数字输入框，仅在单滑块模式下有效',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'show-stops': {
      name: '是否显示间断点，建议在 step 不密集时使用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'show-tip': {
      name: '提示的显示控制',
      tips: [
        { value: 'hover', label: '悬停，默认值' },
        { value: 'always', label: '总是可见' },
        { value: 'never', label: '不可见' }
      ]
    },
    'tip-format': {
      name: 'Slider 会把当前值传给 tip-format，并在 Tooltip 中显示 tip-format 的返回值，若为 null，则隐藏 Tooltip',
      tips: [{ value: 'tipFormat', label: 'Function，传入当前值' }]
    },
    'input-size': {
      name: '数字输入框的尺寸，仅在开启 show-input 时有效',
      tips: [
        { value: 'default', label: '默认值' },
        { value: 'large', label: '' },
        { value: 'small', label: '' }
      ]
    },
    'active-change': {
      name: '同 InputNumber 的 active-change(v3.4.0+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'marks': {
      name: '标记， key 的类型必须为 number 且取值在闭区间 [min, max] 内，每个标记可以单独设置样式(v4.0.0+)',
      tips: [{ value: '{0: "0°C", 12: "12°C"}', label: '' }]
    },
    '@change': {
      name: '在松开滑动时触发，返回当前的选值，在滑动过程中不会触发',
      tips: [{ value: 'changeSlider', label: '返回当前的选值' }]
    },
    '@input': {
      name: '滑动条数据变化时触发，返回当前的选值，在滑动过程中实时触发',
      tips: [{ value: 'inputSlider', label: '返回当前的选值' }]
    }
  },
  'i-date-picker': {
    'type': {
      name: '显示类型',
      tips: [
        { value: 'date', label: '日期，默认值' },
        { value: 'daterange', label: '日期范围' },
        { value: 'datetime', label: '年月日-时分秒' },
        { value: 'datetimerange', label: '年月日-时分秒范围' },
        { value: 'year', label: '年份' },
        { value: 'month', label: '月份' }
      ]
    },
    'value': {
      name: '日期，可以是 JavaScript 的 Date，例如 new Date()，也可以是标准的日期格式，点击右边查看，注意：value 使用 v-model 时，值是 Date 类型，可以配合 @on-change 使用',
      tips: [{ value: '0', label: '默认值' }]
    },
    'format': {
      name: '展示的日期格式',
      tips: [
        { value: 'yyyy-MM-dd', label: '年-月-日' },
        { value: 'yyyy-MM-dd HH:mm:ss', label: '年-月-日 时-分-秒' },
        { value: 'yyyy', label: '年' },
        { value: 'yyyy-MM', label: '年-月' }
      ]
    },
    'placement': {
      name: '日期选择器出现的位置(v2.12.0+支持自动识别)',
      tips: [
        { value: 'bottom-start', label: '默认值' },
        { value: 'bottom', label: '' },
        { value: 'bottom-end', label: '' },
        { value: 'top-start', label: '' },
        { value: 'top', label: '' },
        { value: 'top-end', label: '' },
        { value: 'left-start', label: '' },
        { value: 'left', label: '' },
        { value: 'left-end', label: '' },
        { value: 'right-start', label: '' },
        { value: 'right', label: '' },
        { value: 'right-end', label: '' }
      ]
    },
    'placeholder': {
      name: '占位文本',
      tips: [{ value: '请选择', label: '默认值' }]
    },
    'options': {
      name: '选择器额外配置，比如不可选日期与快捷选项，具体项详见下表',
      tips: [{ value: '{}', label: '详细内容参考：https://www.iviewui.com/components/date-picker' }]
    },
    'split-panels': {
      name: '开启后，左右面板不联动，仅在 daterange 和 datetimerange 下可用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'multiple': {
      name: '开启后，可以选择多个日期，仅在 date 下可用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'show-week-numbers': {
      name: '开启后，可以显示星期数',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'start-date': {
      name: '开启后，可以显示星期数',
      tips: [{ value: '', label: 'Date类型日期' }]
    },
    'confirm': {
      name: '是否显示底部控制栏，开启后，选择完日期，选择器不会主动关闭，需用户确认后才可关闭',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'open': {
      name: '手动控制日期选择器的显示状态。使用该属性后，选择器不会主动关闭。建议配合 slot 及 confirm 和相关事件一起使用',
      tips: [{ value: 'true', label: '显示' }, { value: '为显示，false', label: '收起' }]
    },
    'size': {
      name: '尺寸',
      tips: [
        { value: 'default', label: '默认值' },
        { value: 'large', label: '' },
        { value: 'small', label: '' }
      ]
    },
    'disabled': {
      name: '是否禁用选择器',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'clearable': {
      name: '是否显示清除按钮',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'readonly': {
      name: '完全只读，开启后不会弹出选择器，只在没有设置 open 属性下生效',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'editable': {
      name: '文本框是否可以输入，只在没有使用 slot 时有效',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'transfer': {
      name: '是否将弹层放置于 body 内，在 Tabs、带有 fixed 的 Table 列内使用时，建议添加此属性，它将不受父级样式影响，从而达到更好的效果',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'element-id': {
      name: '给表单元素设置 id，详见 Form 用法',
      tips: [{ value: 'element_id', label: '表单id' }]
    },
    'time-picker-options': {
      name: '可以在 type 为 datetime 和 datetimerange 下，配置 TimePicker 的属性，比如时间间隔 steps：:time-picker-options="{steps: [1, 10, 10]}"',
      tips: [{ value: '{steps: [1, 10, 10]}', label: '时分秒时间间隔' }]
    },
    'separator': {
      name: '两个日期间的分隔符(v3.3.0+)',
      tips: [{ value: '-', label: '默认值' }, { value: '/', label: '' }]
    },
    'capture': {
      name: '是否开启 capture 模式，也可通过全局配置(v4.0.0+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    '@change': {
      name: '日期发生变化时触发',
      tips: [{ value: 'changeDatePicker', label: '返回两个值，已经格式化后的日期，比如 2016-01-01，和当前的日期类型，比如 date' }]
    },
    '@open-change': {
      name: '弹出日历和关闭日历时触发',
      tips: [{ value: 'openChangeDatePicker', label: '返回true|false' }]
    },
    '@ok': {
      name: '在 confirm 模式下有效，点击确定按钮时触发',
      tips: [{ value: 'okDatePicker', label: '' }]
    },
    '@clear': {
      name: '在 confirm 模式或 clearable = true 时有效，在清空日期时触发',
      tips: [{ value: 'clearDatePicker', label: '' }]
    },
    '@clickoutside': {
      name: '点击外部关闭下拉菜单时触发(v3.4.0+)',
      tips: [{ value: 'clickoutsideDatePicker', label: '返回触发事件event' }]
    }
  },
  'i-time-picker': {
    'type': {
      name: '显示类型',
      tips: [
        { value: 'time', label: '时间，默认值' },
        { value: 'timerange', label: '时间范围' }
      ]
    },
    'value': {
      name: '日期，可以是 JavaScript 的 Date，例如 new Date()，也可以是标准的日期格式，点击右边查看，注意：value 使用 v-model 时，值是 Date 类型，可以配合 @on-change 使用',
      tips: [{ value: '01:01:01', label: '默认值' }]
    },
    'format': {
      name: '展示的日期格式',
      tips: [{ value: 'HH:mm:ss', label: '时:分:秒 默认值' }]
    },
    'steps': {
      name: '下拉列表的时间间隔，数组的三项分别对应小时、分钟、秒。例如设置为 [1, 15] 时，分钟会显示：00、15、30、45',
      tips: [{ value: '[1, 10, 10]', label: '' }]
    },
    'placement': {
      name: '时间选择器出现的位置(v2.12.0+支持自动识别)',
      tips: [
        { value: 'bottom-start', label: '默认值' },
        { value: 'bottom', label: '' },
        { value: 'bottom-end', label: '' },
        { value: 'top-start', label: '' },
        { value: 'top', label: '' },
        { value: 'top-end', label: '' },
        { value: 'left-start', label: '' },
        { value: 'left', label: '' },
        { value: 'left-end', label: '' },
        { value: 'right-start', label: '' },
        { value: 'right', label: '' },
        { value: 'right-end', label: '' }
      ]
    },
    'placeholder': {
      name: '占位文本',
      tips: [{ value: '请选择', label: '默认值' }]
    },
    'confirm': {
      name: '是否显示底部控制栏',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'open': {
      name: '手动控制时间选择器的显示状态，使用该属性后，选择器不会主动关闭。建议配合 slot 及 confirm 和相关事件一起使用',
      tips: [{ value: 'true', label: '显示' }, { value: 'false', label: '收起' }]
    },
    'size': {
      name: '尺寸',
      tips: [
        { value: 'default', label: '默认值' },
        { value: 'large', label: '' },
        { value: 'small', label: '' }
      ]
    },
    'disabled': {
      name: '是否禁用选择器',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'clearable': {
      name: '是否显示清除按钮',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'readonly': {
      name: '完全只读，开启后不会弹出选择器，只在没有设置 open 属性下生效',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'editable': {
      name: '文本框是否可以输入，只在没有使用 slot 时有效',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'transfer': {
      name: '是否将弹层放置于 body 内，在 Tabs、带有 fixed 的 Table 列内使用时，建议添加此属性，它将不受父级样式影响，从而达到更好的效果',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'element-id': {
      name: '给表单元素设置 id，详见 Form 用法',
      tips: [{ value: 'element_id', label: '表单id' }]
    },
    'separator': {
      name: '两个时间值的分隔符(v3.3.0+)',
      tips: [{ value: ':', label: '' }, { value: '/', label: '' }]
    },
    'capture': {
      name: '是否开启 capture 模式，也可通过全局配置(v4.0.0+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    '@change': {
      name: '时间发生变化时触发',
      tips: [{ value: 'changeTimePicker', label: '返回格式化后的时间，比如 09:41:00' }]
    },
    '@open-change': {
      name: '弹出浮层和关闭浮层时触发',
      tips: [{ value: 'openChangeTimePicker', label: '返回true|false' }]
    },
    '@ok': {
      name: '点击确定按钮时触发',
      tips: [{ value: 'okTimePicker', label: '' }]
    },
    '@clear': {
      name: '在清空日期时触发',
      tips: [{ value: 'clearTimePicker', label: '' }]
    }
  },
  'i-cascader': {
    'data': {
      name: '可选项的数据源，格式参照示例说明',
      tips: [{ value: '[{"value":"beijing","label":"北京","children":[]}]', label: '每项数据至少包含 value、label 两项，子集为 children，以此类推' }]
    },
    'value': {
      name: '当前已选项的数据，格式参照示例说明',
      tips: [{ value: '["jiangsu", "suzhou", "zhuozhengyuan"]', label: '' }]
    },
    'render-format': {
      name: '选择后展示的函数，用于自定义显示格式',
      tips: [{ value: 'label => label.join(" / ")', label: 'Function，默认值' }]
    },
    'disabled': {
      name: '是否禁用选择器',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'clearable': {
      name: '是否支持清除',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'placeholder': {
      name: '输入框占位符',
      tips: [{ value: '请选择', label: '默认值' }]
    },
    'trigger': {
      name: '次级菜单展开方式',
      tips: [{ value: 'click', label: '点击展开，默认值' }, { value: 'hover', label: '悬停展开' }]
    },
    'change-on-select': {
      name: '当此项为 true 时，点选每级菜单选项值都会发生变化，点任何一级都可以选择',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'size': {
      name: '输入框大小',
      tips: [
        { value: 'large', label: '' },
        { value: 'small', label: '' }
      ]
    },
    'load-data': {
      name: '动态获取数据，数据源需标识 loading',
      tips: [{ value: 'loadCascaderData', label: 'Function' }]
    },
    'filterable': {
      name: '是否支持搜索',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'not-found-text': {
      name: '当搜索列表为空时显示的内容',
      tips: [{ value: '无匹配数据', label: '默认值' }]
    },
    'transfer': {
      name: '是否将弹层放置于 body 内，在 Tabs、带有 fixed 的 Table 列内使用时，建议添加此属性，它将不受父级样式影响，从而达到更好的效果',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'element-id': {
      name: '给表单元素设置 id，详见 Form 用法',
      tips: [{ value: 'element_id', label: '表单id' }]
    },
    '@change': {
      name: '选择完成后的回调',
      tips: [{ value: 'changeCascader', label: '返回已选值 value，selectedData 为已选项的具体数据' }]
    },
    '@visible-change': {
      name: '展开和关闭弹窗时触发',
      tips: [{ value: 'visibleChangeCascader', label: '返回显示状态 true|false' }]
    }
  },
  'i-transfer': {
    'data': {
      name: '数据源，其中的数据将会被渲染到左边一栏中，targetKeys 中指定的除外',
      tips: [{ value: '[{}]', label: '左侧备选栏中数据' }]
    },
    'targetKeys': {
      name: '显示在右侧框数据的key集合',
      tips: [{ value: '[1,2,...]', label: 'data数据中key值集合' }]
    },
    'render-format': {
      name: '每行数据渲染函数，该函数的入参为 data 中的项',
      tips: [{ value: '默认显示label，没有时显示key', label: 'Function，默认值' }]
    },
    'selected-keys': {
      name: '设置哪些项应该被选中',
      tips: [{ value: '[]', label: '被选中数据key集合' }]
    },
    'list-style': {
      name: '两个穿梭框的自定义样式',
      tips: [{ value: '{"width":"250px","height":"300px"}', label: '样式对象' }]
    },
    'titles': {
      name: '标题集合，顺序从左至右',
      tips: [{ value: '{"源列表","目的列表"}', label: '默认值' }]
    },
    'operations': {
      name: '操作文案集合，顺序从上至下',
      tips: [{ value: '[]', label: '操作按钮内容，默认为<,>' }]
    },
    'reverse-operation': {
      name: '是否颠倒两个操作按钮的上下顺序(v4.2.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'filterable': {
      name: '是否显示搜索框',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'filter-placeholder': {
      name: '搜索框的占位',
      tips: [{ value: '请输入搜索内容', label: '默认值' }]
    },
    'filter-method': {
      name: '自定义搜索函数，入参为 data 和 query，data 为项，query 为当前输入的搜索词',
      tips: [{ value: '默认搜索label', label: 'Function，默认值' }]
    },
    'not-found-text': {
      name: '当列表为空时显示的内容',
      tips: [{ value: '列表为空', label: '默认值' }]
    },
    '@change': {
      name: '选项在两栏之间转移时的回调函数',
      tips: [{ value: 'changeTransfer', label: '返回 targetKeys, direction, moveKeys' }]
    },
    '@selected-change': {
      name: '选中项发生变化时触发',
      tips: [{ value: 'selectedChangeTransfer', label: '返回 sourceSelectedKeys, targetSelectedKeys' }]
    }
  },
  'i-input-number': {
    'max': {
      name: '最大值',
      tips: [{ value: '+∞', label: 'Infinity(无穷大)，默认值' }]
    },
    'min': {
      name: '最小值',
      tips: [{ value: '-∞', label: '-Infinity(负无穷大)，默认值' }]
    },
    'value': {
      name: '当前值，可以使用 v-model 双向绑定数据',
      tips: [{ value: '1', label: '默认值' }]
    },
    'step': {
      name: '每次改变的步伐，可以是小数',
      tips: [{ value: '1', label: '默认值' }]
    },
    'size': {
      name: '输入框尺寸',
      tips: [
        { value: 'default', label: '默认值' },
        { value: 'large', label: '' },
        { value: 'small', label: '' }
      ]
    },
    'disabled': {
      name: '设置禁用状态',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'placeholder': {
      name: '占位文本',
      tips: [{ value: '请输入数字', label: '' }]
    },
    'formatter': {
      name: '指定输入框展示值的格式',
      tips: [{ value: 'Function', label: 'Function' }]
    },
    'parser': {
      name: '指定从 formatter 里转换回数字的方式，和 formatter 搭配使用',
      tips: [{ value: 'Function', label: 'Function' }]
    },
    'readonly': {
      name: '标题集合，顺序从左至右',
      tips: [{ value: '{"源列表","目的列表"}', label: '默认值' }]
    },
    'editable': {
      name: '是否可编辑',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'precision': {
      name: '数值精度',
      tips: [{ value: '1', label: '' }]
    },
    'element-id': {
      name: '给表单元素设置 id，详见 Form 用法',
      tips: [{ value: 'element_id', label: '表单id' }]
    },
    'active-change': {
      name: '是否实时响应数据，设置为 false 时，只会在失焦时更改数据',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    '@change': {
      name: '数值改变时的回调',
      tips: [{ value: 'changeInputNumber', label: '返回当前值' }]
    },
    '@focus': {
      name: '聚焦时触发',
      tips: [{ value: 'focusInputNumber', label: '返回事件 event' }]
    },
    '@blur': {
      name: '失焦时触发',
      tips: [{ value: 'blurInputNumber', label: '' }]
    }
  },
  'i-rate': {
    'count': {
      name: 'star 总数',
      tips: [{ value: '5', label: '默认值' }]
    },
    'value': {
      name: '当前 star 数，可以使用 v-model 双向绑定数据',
      tips: [{ value: '0', label: '默认值' }]
    },
    'allow-half': {
      name: '是否允许半选',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'disabled': {
      name: '是否只读，无法进行交互',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'show-text': {
      name: '是否显示提示文字',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'clearable': {
      name: '是否可以取消选择',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'character': {
      name: '自定义字符',
      tips: [{ value: '星', label: '"星"字替换星号' }]
    },
    'icon': {
      name: '使用图标',
      tips: [{ value: 'ios-heart', label: '使用图标替换星号' }]
    },
    'custom-icon': {
      name: '使用自定义图标',
      tips: [{ value: 'ios-heart', label: '使用图标替换星号' }]
    },
    '@change': {
      name: '评分改变时触发',
      tips: [{ value: 'changeRate', label: '返回当前值 value' }]
    }
  },
  'i-upload': {
    'action': {
      name: '上传的地址，必填',
      tips: [{ value: 'http://xxx.com', label: '地址' }]
    },
    'headers': {
      name: '设置上传的请求头部',
      tips: [{ value: '{}', label: '对象内值会添加至请求头' }]
    },
    'multiple': {
      name: '是否支持多选文件',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'paste': {
      name: '是否支持粘贴上传文件',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'disabled': {
      name: '是否禁用(v3.3.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'data': {
      name: '上传时附带的额外参数',
      tips: [{ value: '{}', label: '参数加入请求体' }]
    },
    'name': {
      name: '上传的文件字段名',
      tips: [{ value: 'file', label: '获取图片的key是file' }]
    },
    'with-credentials': {
      name: '支持发送 cookie 凭证信息',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'show-upload-list': {
      name: '是否显示已上传文件列表',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'type': {
      name: '上传控件的类型',
      tips: [{ value: 'select', label: '点击选择，默认值' }, { value: 'drag', label: '支持拖拽' }]
    },
    'accept': {
      name: '接受上传的文件类型，input 标签原生的 accept 属性',
      tips: [
        { value: '.doc,.docx,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document', label: 'word文档' },
        { value: '.pdf', label: 'pdf文档' },
        { value: 'image/gif,image/jpeg,image/jpg,image/png,image/svg', label: '图片' },
        { value: 'MIME类型值', label: '参考a标签type属性' }
      ]
    },
    'format': {
      name: '接受上支持的文件类型，与 accept 不同的是，format 是识别文件的后缀名，accept 为 input 标签原生的 accept 属性，会在选择文件时过滤，可以两者结合使用传的文件类型',
      tips: [{ value: '[]', label: '参考accept' }]
    },
    'max-size': {
      name: '文件大小限制，单位 kb',
      tips: [{ value: '2048', label: '限制2M' }, { value: '10240', label: '限制10M' }]
    },
    'before-upload': {
      name: '上传文件之前的钩子，参数为上传的文件，若返回 false 或者 Promise 则停止上传',
      tips: [{ value: 'beforeUpload', label: 'Function' }]
    },
    'on-progress': {
      name: '文件上传时的钩子，返回字段为 event, file, fileList',
      tips: [{ value: 'handleProgress', label: 'Function' }]
    },
    'on-success': {
      name: '文件上传成功时的钩子，返回字段为 response, file, fileList',
      tips: [{ value: 'handleSuccess', label: 'Function' }]
    },
    'on-error': {
      name: '文件上传失败时的钩子，返回字段为 error, file, fileList',
      tips: [{ value: 'handleError', label: 'Function' }]
    },
    'on-preview': {
      name: '点击已上传的文件链接时的钩子，返回字段为 file， 可以通过 file.response 拿到服务端返回数据',
      tips: [{ value: 'handlePreview', label: 'Function' }]
    },
    'on-remove': {
      name: '文件列表移除文件时的钩子，返回字段为 file, fileList',
      tips: [{ value: 'handleRemove', label: 'Function' }]
    },
    'on-format-error': {
      name: '文件格式验证失败时的钩子，返回字段为 file, fileList',
      tips: [{ value: 'handleFormatError', label: 'Function' }]
    },
    'on-exceeded-size': {
      name: '文件超出指定大小限制时的钩子，返回字段为 file, fileList',
      tips: [{ value: 'handleExceededSize', label: 'Function' }]
    },
    'default-file-list': {
      name: '默认已上传的文件列表',
      tips: [{ value: '[{"name":"img.jpg","url":"http://xxx.com"}]', label: '' }]
    }
  },
  'i-color-picker': {
    'value': {
      name: '绑定的值，可使用 v-model 双向绑定',
      tips: [{ value: '#19be6b', label: '绿色' }]
    },
    'disabled': {
      name: '是否禁用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'editable': {
      name: '是否可以输入色值',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'alpha': {
      name: '是否支持透明度选择',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'hue': {
      name: '是否支持色彩选择',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'recommend': {
      name: '是否显示推荐的颜色预设',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'colors': {
      name: '自定义颜色预设',
      tips: [{ value: '["#311B92", "#512DA8"]', label: '预设颜色快捷选项' }]
    },
    'format': {
      name: '颜色的格式，开启 alpha 时为 rgb，其它为 hex',
      tips: [
        { value: 'rgb(255,0,0)', label: '开启 alpha 时默认值' },
        { value: '#f00', label: '非 alpha 时默认值' },
        { value: 'hsv', label: '' },
        { value: 'hsl', label: '' }
      ]
    },
    'size': {
      name: '尺寸',
      tips: [
        { value: 'default', label: '默认值' },
        { value: 'large', label: '' },
        { value: 'small', label: '' }
      ]
    },
    'capture': {
      name: '是否开启 capture 模式，也可通过全局配置(v4.0.0+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    '@change': {
      name: '当绑定值变化时触发',
      tips: [{ value: 'changeColorPicker', label: '返回当前值' }]
    },
    '@active-change': {
      name: '面板中当前显示的颜色发生改变时触发',
      tips: [{ value: 'activeChangeColorPicker', label: '当前显示的颜色值' }]
    },
    '@open-change': {
      name: '下拉框展开或收起时触发',
      tips: [{ value: 'openChangeColorPicker', label: '返回 true|false' }]
    }
  },
  'i-form': {
    'model': {
      name: '表单数据对象',
      tips: [{ value: '{}', label: '表单对象' }]
    },
    'rules': {
      name: '表单验证规则，具体配置查看  async-validator',
      tips: [{ value: '{}', label: '参考：https://github.com/yiminghe/async-validator' }]
    },
    'inline': {
      name: '是否开启行内表单模式',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'label-position': {
      name: '表单域标签的位置',
      tips: [{ value: 'right', label: '默认值' }, { value: 'left', label: '' }, { value: 'top', label: '' }]
    },
    'label-width': {
      name: '表单域标签的宽度，所有的 FormItem 都会继承 Form 组件的 label-width 的值',
      tips: [{ value: '120px', label: '标签宽度120px' }]
    },
    'show-message': {
      name: '是否显示校验错误信息',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'autocomplete': {
      name: '原生的 autocomplete 属性，可选值为 off 或 on',
      tips: [{ value: 'off', label: '关闭，默认值' }, { value: 'on', label: '开启' }]
    },
    'hide-required-mark': {
      name: '是否隐藏所有表单项的必选标记(v4.0.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'label-colon': {
      name: '是否自动在 label 名称后添加冒号(v4.0.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'disabled': {
      name: '是否禁用该表单内的所有组件（适用于具有 disabled 属性的表单类组件）(v4.0.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@validate': {
      name: '任一表单项被校验后触发，返回表单项 prop、校验状态、错误消息',
      tips: [{ value: 'validateForm', label: '返回 prop, status, error' }]
    }
  },
  'i-form-item': {
    'prop': {
      name: '对应表单域 model 里的字段，表单校验时需要',
      tips: [{ value: 'name', label: '' }]
    },
    'label': {
      name: '标签文本',
      tips: [{ value: '姓名：', label: '' }]
    },
    'label-width': {
      name: '表单域标签的的宽度，会覆盖form表单定义的宽度',
      tips: [{ value: '120px', label: '标签宽度120px' }]
    },
    'label-for': {
      name: '指定原生的 label 标签的 for 属性，配合控件的 element-id 属性，可以点击 label 时聚焦控件',
      tips: [{ value: 'label_for', label: '' }]
    },
    'required': {
      name: '是否必填，如不设置，则会根据校验规则自动生成',
      tips: [{ value: 'true', label: '是' }, { value: 'false', label: '否' }]
    },
    'rules': {
      name: '表单验证规则',
      tips: [{ value: '{}', label: '具体信息参考 form 标签的 rules' }]
    },
    'error': {
      name: '表单域验证错误信息, 设置该值会使表单验证状态变为error，并显示该错误信息',
      tips: [{ value: 'xxx值不能为空', label: '表单验证时错误提示' }]
    },
    'show-message': {
      name: '是否显示校验错误信息',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    }
  },
  'i-alert': {
    'type': {
      name: '警告提示样式',
      tips: [
        { value: 'info', label: '默认值' },
        { value: 'success', label: '成功' },
        { value: 'warning', label: '警告' },
        { value: 'error', label: '错误' }
      ]
    },
    'closable': {
      name: '是否可关闭',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'show-icon': {
      name: '是否显示图标',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@close': {
      name: '关闭时触发',
      tips: [{ value: 'closeAlert', label: '返回事件event' }]
    }
  },
  // 通过直接调用方法来使用组件 this.$Message.info|success|warning|error|loading(config)
  'i-message': {
    'content': {
      name: '提示内容',
      tips: [{ value: '提示内容', label: '' }]
    },
    'render': {
      name: '自定义描述内容，使用 Vue 的 Render 函数',
      tips: [{ value: 'Function', label: 'Function' }]
    },
    'duration': {
      name: '自动关闭的延时，单位秒，不关闭可以写 ',
      tips: [
        { value: '1.5', label: '1.5秒后自动关闭，默认值' },
        { value: '0', label: '不关闭' },
        { value: '3', label: '3秒后自动关闭' }
      ]
    },
    'onClose': {
      name: '关闭时的回调',
      tips: [{ value: 'Function', label: 'Function' }]
    },
    'closable': {
      name: '是否显示关闭按钮',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'background': {
      name: '是否显示背景色(v4.0.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@close': {
      name: '关闭时触发',
      tips: [{ value: 'closeAlert', label: '返回事件event' }]
    }
  },
  // 通过直接调用方法来使用组件 this.$Notice.open|info|success|warning|error(config)
  'i-notice': {
    'title': {
      name: '通知提醒的标题',
      tips: [{ value: '通知提醒的标题', label: '' }]
    },
    'desc': {
      name: '通知提醒的内容，为空或不填时，自动应用仅标题模式下的样式',
      tips: [{ value: '通知内容', label: '' }]
    },
    'render': {
      name: '自定义描述内容，使用 Vue 的 Render 函数，如果同时设置了 render 和 desc，则只显示 render 的内容',
      tips: [{ value: 'Function', label: 'Function' }]
    },
    'duration': {
      name: '自动关闭的延时，单位秒，不关闭可以写 ',
      tips: [
        { value: '4.5', label: '4.5秒后自动关闭，默认值' },
        { value: '0', label: '不关闭' },
        { value: '3', label: '3秒后自动关闭' }
      ]
    },
    'name': {
      name: '当前通知的唯一标识，不填则自动获取',
      tips: [{ value: 'id', label: '表示提醒框的唯一值' }]
    },
    'onClose': {
      name: '关闭时的回调',
      tips: [{ value: 'Function', label: 'Function' }]
    }
  },
  'i-modal': {
    'value': {
      name: '对话框是否显示，可使用 v-model 双向绑定数据',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'title': {
      name: '对话框标题，如果使用 slot 自定义了页头，则 title 无效',
      tips: [{ value: '对话框标题', label: '' }]
    },
    'closable': {
      name: '是否显示右上角的关闭按钮，关闭后 Esc 按键也将关闭',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'mask-closable': {
      name: '是否允许点击遮罩层关闭',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'loading': {
      name: '点击确定按钮时，确定按钮是否显示 loading 状态，开启则需手动设置value来关闭对话框',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'scrollable': {
      name: '页面是否可以滚动',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'fullscreen': {
      name: '是否全屏显示',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'draggable': {
      name: '是否可以拖拽移动',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'mask': {
      name: '是否显示遮罩层，开启 draggable 时，强制不显示',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'ok-text': {
      name: '确定按钮文字',
      tips: [{ value: '确定', label: '默认值' }]
    },
    'cancel-text': {
      name: '取消按钮文字',
      tips: [{ value: '取消', label: '默认值' }]
    },
    'width': {
      name: '对话框宽度，对话框的宽度是响应式的，当屏幕尺寸小于 768px 时，宽度会变为自动auto。当其值不大于 100 时以百分比显示，大于 100 时为像素',
      tips: [{ value: '520', label: '默认值' }]
    },
    'footer-hide': {
      name: '不显示底部',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'styles': {
      name: '设置浮层样式，调整浮层位置等，该属性设置的是.ivu-modal的样式',
      tips: [{ value: '{}', label: '样式对象' }]
    },
    'class-name': {
      name: '设置对话框容器.ivu-modal-wrap的类名，可辅助实现垂直居中等自定义效果',
      tips: [{ value: 'class_name', label: '' }]
    },
    'z-index': {
      name: '层级，值越大越在最上层',
      tips: [{ value: '1000', label: '默认值' }]
    },
    'transition-names': {
      name: '自定义显示动画，第一项是模态框，第二项是背景 ',
      tips: [{ value: '["ease", "fade"]', label: '默认值' }]
    },
    'transfer': {
      name: '是否将弹层放置于 body 内',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    '@ok': {
      name: '点击确定的回调',
      tips: [{ value: 'okModal', label: 'Function' }]
    },
    '@cancel': {
      name: '点击取消的回调',
      tips: [{ value: 'cancelModal', label: 'Function' }]
    },
    '@visible-change': {
      name: '显示状态发生变化时触发',
      tips: [{ value: 'visibleChangeModal', label: '返回 true|false' }]
    }
  },
  'i-drawer': {
    'value': {
      name: '抽屉是否显示，可使用 v-model 双向绑定数据',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'title': {
      name: '抽屉标题，如果使用 slot 自定义了页头，则 title 无效',
      tips: [{ value: '抽屉标题', label: '' }]
    },
    'width': {
      name: '抽屉宽度。当其值不大于 100 时以百分比显示，大于 100 时为像素',
      tips: [{ value: '256', label: '默认值' }]
    },
    'closable': {
      name: '是否显示右上角的关闭按钮',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'mask-closable': {
      name: '是否允许点击遮罩层关闭',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'mask': {
      name: '是否显示遮罩层，开启 draggable 时，强制不显示',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'mask-style': {
      name: '遮罩层样式',
      tips: [{ value: '{}', label: '样式对象' }]
    },
    'styles': {
      name: '抽屉中间层的样式',
      tips: [{ value: '{}', label: '样式对象' }]
    },
    'scrollable': {
      name: '页面是否可以滚动',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'placement': {
      name: '抽屉的方向',
      tips: [{ value: 'right', label: '默认值' }, { value: 'left', label: '' }]
    },
    'transfer': {
      name: '是否将抽屉放置于 body 内',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'class-name': {
      name: '设置抽屉容器.ivu-drawer-wrap的类名',
      tips: [{ value: 'class_name', label: '' }]
    },
    'inner': {
      name: '是否设置抽屉在某个元素内打开，开启此属性时，应当关闭 transfer 属性',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'draggable': {
      name: '是否开启拖拽调整宽度(v3.3.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'before-close': {
      name: '返回 Promise 可以阻止关闭(v3.3.0+)',
      tips: [{ value: 'Function', label: 'Function' }]
    },
    '@close': {
      name: '关闭抽屉时触发',
      tips: [{ value: 'closeDrawer', label: '' }]
    },
    '@visible-change': {
      name: '显示状态发生变化时触发',
      tips: [{ value: 'visibleChangeDrawer', label: '返回 true|false' }]
    },
    '@resize-width': {
      name: '调整宽度时触发(v3.3.0+)',
      tips: [{ value: 'resizeWidthDrawer', label: '返回当前宽度width' }]
    }
  },
  'i-tree': {
    'data': {
      name: '可嵌套的节点属性的数组，生成 tree 的数据',
      tips: [{ value: '[]', label: '树状结构数据' }]
    },
    'multiple': {
      name: '是否支持多选',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'show-checkbox': {
      name: '是否显示多选框',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'empty-text': {
      name: '没有数据时的提示',
      tips: [{ value: '暂无数据', label: '默认值' }]
    },
    'load-data': {
      name: '异步加载数据的方法',
      tips: [{ value: 'Function', label: 'Function' }]
    },
    'render': {
      name: '自定义渲染内容',
      tips: [{ value: 'Function', label: 'Function' }]
    },
    'children-key': {
      name: '定义子节点键',
      tips: [{ value: 'children', label: '默认值' }, { value: 'list', label: '' }]
    },
    'check-strictly': {
      name: '在显示复选框的情况下，是否严格的遵循父子不互相关联的做法',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'check-directly': {
      name: '开启后，在 show-checkbox 模式下，select 的交互也将转为 check(v3.3.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@select-change': {
      name: '点击树节点时触发',
      tips: [{ value: 'selectChangeTree', label: '当前已选中的节点数组、当前项' }]
    },
    '@check-change': {
      name: '点击复选框时触发',
      tips: [{ value: 'checkChangeTree', label: '当前已勾选节点的数组、当前项' }]
    },
    '@toggle-expand': {
      name: '展开和收起子列表时触发',
      tips: [{ value: 'toggleExpandTree', label: '当前节点的数据' }]
    },
    '@contextmenu': {
      name: '当前节点点击右键时触发(v4.3.0+)',
      tips: [{ value: 'contextmenuTree', label: '返回 data, event, position' }]
    }
  },
  'i-tooltip': {
    'content': {
      name: '显示的内容',
      tips: [{ value: '内容', label: '' }]
    },
    'placement': {
      name: '提示框出现的位置(v2.12.0+支持自动识别)',
      tips: [
        { value: 'bottom', label: '默认值' },
        { value: 'bottom-start', label: '' },
        { value: 'bottom-end', label: '' },
        { value: 'top', label: '' },
        { value: 'top-start', label: '' },
        { value: 'top-end', label: '' },
        { value: 'left', label: '' },
        { value: 'left-start', label: '' },
        { value: 'left-end', label: '' },
        { value: 'right', label: '' },
        { value: 'right-start', label: '' },
        { value: 'right-end', label: '' }
      ]
    },
    'disabled': {
      name: '是否禁用提示框',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'delay': {
      name: '延迟显示，单位毫秒',
      tips: [{ value: '0', label: '默认值' }]
    },
    'always': {
      name: '是否总是可见',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'theme': {
      name: '主题',
      tips: [{ value: 'dark', label: '默认值' }, { value: 'light', label: '' }]
    },
    'max-width': {
      name: '最大宽度，超出最大值后，文本将自动换行，并两端对齐',
      tips: [{ value: '100px', label: '提示框最大宽度100px' }]
    },
    'offset': {
      name: '出现位置的偏移量',
      tips: [{ value: '0', label: '默认值' }]
    },
    'transfer': {
      name: '是否将弹层放置于 body 内，在 Tabs、带有 fixed 的 Table 列内使用时，建议添加此属性，它将不受父级样式影响，从而达到更好的效果',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'options': {
      name: '自定义 popper.js 的配置项，具体配置见 https://popper.js.org/docs/v1/',
      tips: [{ value: '{}', label: '' }]
    },
    '@popper-show': {
      name: '在提示框显示时触发',
      tips: [{ value: 'popperShowTooltip', label: '' }]
    },
    '@popper-hide': {
      name: '在提示框消失时触发',
      tips: [{ value: 'popperHideTooltip', label: '' }]
    }
  },
  'i-poptip': {
    'trigger': {
      name: '触发方式，在 confirm 模式下，只有 click 有效',
      tips: [
        { value: 'click', label: '点击，默认值' },
        { value: 'hover', label: '悬停' },
        { value: 'focus', label: '聚焦' }
      ]
    },
    'title': {
      name: '显示的标题',
      tips: [{ value: '标题', label: '' }]
    },
    'content': {
      name: '显示的正文内容，只在非 confirm 模式下有效',
      tips: [{ value: '内容', label: '' }]
    },
    'placement': {
      name: '提示框出现的位置(v2.12.0+支持自动识别)',
      tips: [
        { value: 'top', label: '默认值' },
        { value: 'top-start', label: '' },
        { value: 'top-end', label: '' },
        { value: 'bottom', label: '' },
        { value: 'bottom-start', label: '' },
        { value: 'bottom-end', label: '' },
        { value: 'left', label: '' },
        { value: 'left-start', label: '' },
        { value: 'left-end', label: '' },
        { value: 'right', label: '' },
        { value: 'right-start', label: '' },
        { value: 'right-end', label: '' }
      ]
    },
    'width': {
      name: '宽度，最小宽度为 150px，在 confirm 模式下，默认最大宽度为 300px',
      tips: [{ value: '150px', label: '' }]
    },
    'confirm': {
      name: '是否开启对话框模式',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'disabled': {
      name: '是否禁用(v3.4.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'ok-text': {
      name: '确定按钮的文字，只在 confirm 模式下有效',
      tips: [{ value: '确定', label: '默认值' }]
    },
    'cancel-text': {
      name: '取消按钮的文字，只在 confirm 模式下有效',
      tips: [{ value: '取消', label: '默认值' }]
    },
    'transfer': {
      name: '是否将弹层放置于 body 内，在 Tabs、带有 fixed 的 Table 列内使用时，建议添加此属性，它将不受父级样式影响，从而达到更好的效果',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'popper-class': {
      name: '给 Poptip 设置 class-name，在使用 transfer 时会很有用',
      tips: [{ value: 'class_name', label: '' }]
    },
    'word-wrap': {
      name: '开启后，超出指定宽度文本将自动换行，并两端对齐',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'padding': {
      name: '自定义间距值',
      tips: [{ value: '8px 16px', label: '默认值' }]
    },
    'offset': {
      name: '出现位置的偏移量',
      tips: [{ value: '0', label: '默认值' }]
    },
    'options': {
      name: '自定义 popper.js 的配置项，具体配置见 https://popper.js.org/docs/v1/',
      tips: [{ value: '{}', label: '' }]
    },
    '@popper-show': {
      name: '在提示框显示时触发',
      tips: [{ value: 'popperShowPoptip', label: '' }]
    },
    '@popper-hide': {
      name: '在提示框消失时触发',
      tips: [{ value: 'popperHidePoptip', label: '' }]
    },
    '@ok': {
      name: '点击确定的回调，只在 confirm 模式下有效',
      tips: [{ value: 'okPoptip', label: '' }]
    },
    '@cancel': {
      name: '点击取消的回调，只在 confirm 模式下有效',
      tips: [{ value: 'cancelPoptip', label: '' }]
    }
  },
  'i-progress': {
    'percent': {
      name: '百分比',
      tips: [{ value: '0', label: '默认值' }]
    },
    'status': {
      name: '状态',
      tips: [
        { value: 'normal', label: '默认值' },
        { value: 'active', label: '活动中' },
        { value: 'wrong', label: '错误' },
        { value: 'success', label: '完成' }
      ]
    },
    'stroke-width': {
      name: '进度条的线宽，单位 px',
      tips: [{ value: '10', label: '默认值' }]
    },
    'stroke-color': {
      name: '进度条的颜色(v3.3.0+)(v4.0.0+开始支持传入数组，显示为渐变色)',
      tips: [
        { value: '#108ee9', label: '自定义纯色' },
        { value: '["#108ee9", "#87d068"]', label: '第一个颜色渐变到第二个颜色' }
      ]
    },
    'hide-info': {
      name: '隐藏数值或状态图标',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'vertical': {
      name: '是否在垂直方向显示',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'success-percent': {
      name: '已完成的分段百分比',
      tips: [{ value: '0', label: '默认值' }]
    },
    'text-inside': {
      name: '百分比是否置于进度条内(v4.0.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    }
  },
  'i-avatar': {
    'shape': {
      name: '指定头像的形状',
      tips: [{ value: 'circle', label: '圆形，默认值' }, { value: 'square', label: '圆角正方形' }]
    },
    'size': {
      name: '设置头像的大小(v4.0.0+开始支持设置具体数值)',
      tips: [
        { value: 'default', label: '默认值' },
        { value: 'large', label: '' },
        { value: 'small', label: '' }
      ]
    },
    'src': {
      name: '图片类头像的资源地址',
      tips: [{ value: 'url', label: '头像地址' }]
    },
    'icon': {
      name: '设置头像的图标类型，参考 Icon 组件',
      tips: [{ value: 'ios-person', label: '灰头像' }]
    },
    'custom-icon': {
      name: '自定义图标',
      tips: [{ value: '自定义图标', label: '自定义图标' }]
    },
    '@error': {
      name: '在设置 src 且图片加载不成功时触发(v3.3.0+)',
      tips: [{ value: 'errorAvatar', label: '返回事件 event' }]
    }
  },
  'i-tag': {
    'closable': {
      name: '标签是否可以关闭',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'checkable': {
      name: '标签是否可以选择',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'checked': {
      name: '标签的选中状态',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'type': {
      name: '标签的样式类型',
      tips: [
        { value: 'border', label: '配合 closable 使用，效果更佳' },
        { value: 'dot', label: '' }
      ]
    },
    'color': {
      name: '标签颜色，可以自定义颜色值',
      tips: [
        { value: 'default', label: '默认值' },
        { value: 'primary', label: '' },
        { value: 'success', label: '' },
        { value: 'warning', label: '' },
        { value: 'error', label: '' },
        { value: 'blue', label: '' },
        { value: 'green', label: '' },
        { value: 'red', label: '' },
        { value: 'yellow', label: '' },
        { value: 'pink', label: '' },
        { value: 'magenta', label: '' },
        { value: 'volcano', label: '' },
        { value: 'orange', label: '' },
        { value: 'gold', label: '' },
        { value: 'lime', label: '' },
        { value: 'cyan', label: '' },
        { value: 'geekblue', label: '' },
        { value: 'purple', label: '' }
      ]
    },
    'name': {
      name: '当前标签的名称，使用 v-for，并支持关闭时，会比较有用',
      tips: [{ value: 'name', label: '' }]
    },
    'fade': {
      name: '是否在出现和消失时使用渐变的动画，动画时长可能会引起占位的闪烁',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'size': {
      name: '尺寸(v4.0.0+)',
      tips: [
        { value: 'default', label: '默认值' },
        { value: 'large', label: '' },
        { value: 'small', label: '' }
      ]
    },
    '@close': {
      name: '关闭时触发',
      tips: [{ value: 'closeTag', label: '返回事件 event, name' }]
    },
    '@change': {
      name: '切换选中状态时触发',
      tips: [{ value: 'changeTag', label: '返回事件 checked, name' }]
    }
  },
  'i-carousel': {
    'value': {
      name: '幻灯片的索引，从 0 开始，可以使用 v-model 双向绑定数据',
      tips: [{ value: '0', label: '默认值' }]
    },
    'height': {
      name: '走马灯的高度，可填 auto 或具体高度数值，单位 px',
      tips: [{ value: 'auto', label: '自适应，默认值' }, { value: '100', label: '高度100px' }]
    },
    'loop': {
      name: '是否开启循环',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'autoplay': {
      name: '是否自动切换',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'autoplay-speed': {
      name: '自动切换的时间间隔，单位为毫秒',
      tips: [{ value: '2000', label: '默认值' }, { value: '3000', label: '3秒切换' }]
    },
    'dots': {
      name: '指示器的位置',
      tips: [
        { value: 'inside', label: '内部，默认值' },
        { value: 'outside', label: '外部' },
        { value: 'none', label: '不显示' }
      ]
    },
    'radius-dot': {
      name: '是否显示圆形指示器',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'trigger': {
      name: '指示器的触发方式',
      tips: [{ value: 'click', label: '点击，默认值' }, { value: 'hover', label: '悬停' }]
    },
    'arrow': {
      name: '切换箭头的显示时机',
      tips: [
        { value: 'hover', label: '悬停，默认值' },
        { value: 'always', label: '一直显示' },
        { value: 'never', label: '不显示' }
      ]
    },
    'easing': {
      name: '动画效果',
      tips: [{ value: 'ease', label: '默认值' }]
    },
    '@change': {
      name: '幻灯片切换时触发，目前激活的幻灯片的索引，原幻灯片的索引',
      tips: [{ value: 'changeCarousel', label: '返回 oldValue, value' }]
    },
    '@click': {
      name: '点击幻灯片时触发(v4.1.0+)',
      tips: [{ value: 'clickCarousel', label: '返回索引值 index' }]
    }
  },
  'i-timeline': {
    'pending': {
      name: '指定是否最后一个节点为幽灵节点',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    }
  },
  'i-timeline-item': {
    'color': {
      name: '圆圈颜色，可自定义色值',
      tips: [
        { value: 'blue', label: '默认值' },
        { value: 'red', label: '' },
        { value: 'green', label: '' }
      ]
    }
  },
  'i-time': {
    'time': {
      name: '需要对比的时间，可以是时间戳或 Date 类型',
      tips: [{ value: 'Date', label: '' }]
    },
    'type': {
      name: '类型',
      tips: [
        { value: 'relative', label: '默认值' },
        { value: 'date', label: '' },
        { value: 'datetime', label: '' }
      ]
    },
    'interval': {
      name: '自动更新的间隔，单位：秒',
      tips: [{ value: '0', label: '默认值' }, { value: '30', label: '' }]
    },
    'hash': {
      name: '填写该值，点击会定位锚点',
      tips: [{ value: '20200101', label: '' }]
    }
  },
  'i-circle': {
    'percent': {
      name: '百分比',
      tips: [{ value: '0', label: '默认值' }, { value: '100', label: '' }]
    },
    'size': {
      name: '图表的宽度和高度，单位 px',
      tips: [
        { value: '120', label: '默认值' },
        { value: '100', label: '' },
        { value: '200', label: '' }
      ]
    },
    'stroke-linecap': {
      name: '进度环顶端的形状',
      tips: [{ value: 'round', label: '圆，默认值' }, { value: 'square', label: '方' }]
    },
    'stroke-width': {
      name: '进度环的线宽，单位 px',
      tips: [{ value: '6', label: '默认值' }, { value: '10', label: '' }]
    },
    'stroke-color': {
      name: '进度环的颜色(v4.0.0+支持传入数组显示为渐变色)',
      tips: [
        { value: '#2db7f5', label: '纯色，默认值' },
        { value: '["#108ee9", "#87d068"]', label: '第一个颜色渐变到第二个颜色' }
      ]
    },
    'trail-width': {
      name: '进度环背景的线宽，单位 px',
      tips: [{ value: '5', label: '默认值' }]
    },
    'trail-color': {
      name: '进度环背景的颜色',
      tips: [{ value: '#eaeef2', label: '默认值' }]
    },
    'dashboard': {
      name: '是否显示为仪表盘',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    }
  },
  'i-affix': {
    'offset-top': {
      name: '距离窗口顶部达到指定偏移量后触发',
      tips: [{ value: '0', label: '默认值' }]
    },
    'offset-bottom': {
      name: '距离窗口底部达到指定偏移量后触发',
      tips: [{ value: '20', label: '' }]
    },
    'use-capture': {
      name: 'addEventListener 原生的 useCapture 选项(v4.1.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@change': {
      name: '在固定状态发生改变时触发',
      tips: [{ value: 'changeAffix', label: '返回 true|false' }]
    }
  },
  'i-back-top': {
    'height': {
      name: '页面滚动高度达到该值时才显示BackTop组件',
      tips: [{ value: '400', label: '默认值' }]
    },
    'bottom': {
      name: '组件距离底部的距离',
      tips: [{ value: '30', label: '' }]
    },
    'right': {
      name: '组件距离右部的距离',
      tips: [{ value: '30', label: '' }]
    },
    'duration': {
      name: '滚动动画持续时间，单位 毫秒',
      tips: [{ value: '1000', label: '默认值' }, { value: '2000', label: '' }]
    },
    '@click': {
      name: '点击按钮时触发',
      tips: [{ value: 'clickBackTop', label: '' }]
    }
  },
  'i-spin': {
    'size': {
      name: 'Spin尺寸',
      tips: [{ value: 'large', label: '' }, { value: 'small', label: '' }]
    },
    'fix': {
      name: '是否固定，需要父级有relative或absolute',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    }
  },
  'i-scroll': {
    'height': {
      name: '滚动区域的高度，单位像素',
      tips: [{ value: '300', label: '默认值' }]
    },
    'loading-text': {
      name: '加载中的文案',
      tips: [{ value: '加载中', label: '默认值' }]
    },
    'on-reach-top': {
      name: '滚动至顶部时触发，需返回 Promise',
      tips: [{ value: 'reachTopScroll', label: 'Function' }]
    },
    'on-reach-bottom': {
      name: '滚动至底部时触发，需返回 Promise',
      tips: [{ value: 'reachBottomScroll', label: 'Function' }]
    },
    'on-reach-edge': {
      name: '滚动至顶部或底部时触发，需返回 Promise',
      tips: [{ value: 'reachEdgeScroll', label: 'Function' }]
    },
    'distance-to-edge': {
      name: '从边缘到触发回调的距离。如果是负的，回调将在到达边缘之前触发。值最好在 24 以下',
      tips: [{ value: '[20, 20]', label: '默认值' }]
    }
  }
}
