
export default {
  'van-button': {
    'type': {
      name: '类型',
      tips: [
        { value: 'default', label: '默认值' },
        { value: 'primary', label: '' },
        { value: 'info', label: '' },
        { value: 'warning', label: '' },
        { value: 'danger', label: '' }
      ]
    },
    'size': {
      name: '尺寸',
      tips: [
        { value: 'normal', label: '普通，默认值' },
        { value: 'large', label: '大' },
        { value: 'small', label: '小' },
        { value: 'mini', label: '迷你' }
      ]
    },
    'text': {
      name: '按钮文字',
      tips: [
        { value: '确认', label: '' },
        { value: '取消', label: '' }
      ]
    },
    'color': {
      name: '按钮颜色，支持传入linear-gradient渐变色(v2.1.8+)',
      tips: [
        { value: '#7232dd', label: '纯色' },
        { value: 'linear-gradient(to right, #ff6034, #ee0a24)', label: '渐变色' }
      ]
    },
    'icon': {
      name: '左侧图标名称或图片链接',
      tips: [
        { value: 'plus', label: '图标名称' },
        { value: 'https://img.yzcdn.cn/vant/user-active.png', label: '图片链接' }
      ]
    },
    'icon-prefix': {
      name: '图标类名前缀，同 Icon 组件的 class-prefix 属性(v2.6.0+)',
      tips: [{ value: 'van-icon', label: '默认值' }]
    },
    'tag': {
      name: '根节点的 HTML 标签',
      tips: [{ value: 'button', label: '默认值' }]
    },
    'native-type': {
      name: '原生 button 标签的 type 属性',
      tips: [
        { value: 'button', label: '按钮，默认值' },
        { value: 'submit', label: '提交' },
        { value: 'reset', label: '重置' }
      ]
    },
    'block': {
      name: '是否为块级元素',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'plain': {
      name: '是否为朴素按钮',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'square': {
      name: '是否为方形按钮',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'round': {
      name: '是否为圆形按钮',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'disabled': {
      name: '是否禁用按钮',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'hairline': {
      name: '是否使用 0.5px 边框',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'loading': {
      name: '是否显示为加载状态',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'loading-text': {
      name: '加载状态提示文字',
      tips: [{ value: '加载中', label: '' }]
    },
    'loading-type': {
      name: '加载图标类型',
      tips: [
        { value: 'circular', label: '默认值' },
        { value: 'spinner', label: '' }
      ]
    },
    'loading-size': {
      name: '加载图标大小',
      tips: [{ value: '20px', label: '默认值' }]
    },
    'url': {
      name: '点击后跳转的链接地址',
      tips: [{ value: 'http://xxx', label: '' }]
    },
    'to': {
      name: '点击后跳转的目标路由对象，同 vue-router 的 to 属性',
      tips: [
        { value: 'path', label: 'Router对象中的path属性' },
        { value: 'Router', label: 'Router对象' }
      ]
    },
    '@click': {
      name: '点击按钮，且按钮状态不为加载或禁用时触发',
      tips: [{ value: 'clickButton', label: '返回事件 Event' }]
    },
    '@touchstart': {
      name: '开始触摸按钮时触发',
      tips: [{ value: 'touchstartButton', label: '返回事件 TouchEvent' }]
    }
  },
  'van-cell-group': {
    'title': {
      name: '分组标题',
      tips: [{ value: '分组标题', label: '' }]
    },
    'border': {
      name: '是否显示外边框',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    }
  },
  'van-cell': {
    'title': {
      name: '左侧标题',
      tips: [
        { value: 'a', label: 'string' },
        { value: '1', label: 'number' }
      ]
    },
    'value': {
      name: '右侧内容',
      tips: [
        { value: 'a', label: 'string' },
        { value: '1', label: 'number' }
      ]
    },
    'label': {
      name: '标题下方的描述信息',
      tips: [{ value: '描述信息', label: '' }]
    },
    'size': {
      name: '单元格大小，可选值为 large',
      tips: [{ value: 'large', label: '大' }]
    },
    'icon': {
      name: '左侧图标名称或图片链接',
      tips: [
        { value: 'location-o', label: '图标名称' },
        { value: 'https://img.yzcdn.cn/vant/user-active.png', label: '图片链接' }
      ]
    },
    'icon-prefix': {
      name: '图标类名前缀，同 Icon 组件的 class-prefix 属性(v2.5.3+)',
      tips: [{ value: 'van-icon', label: '默认值' }]
    },
    'url': {
      name: '点击后跳转的链接地址',
      tips: [{ value: 'http://xxx', label: '' }]
    },
    'to': {
      name: '点击后跳转的目标路由对象，同 vue-router 的 to 属性',
      tips: [
        { value: 'path', label: 'Router对象中的path属性' },
        { value: 'Router', label: 'Router对象' }
      ]
    },
    'border': {
      name: '是否显示内边框',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'replace': {
      name: '是否在跳转时替换当前页面历史',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'clickable': {
      name: '是否开启点击反馈',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'is-link': {
      name: '是否展示右侧箭头并开启点击反馈',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'required': {
      name: '是否显示表单必填星号',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'center': {
      name: '是否使内容垂直居中',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'arrow-direction': {
      name: '箭头方向',
      tips: [
        { value: 'right', label: '默认值' },
        { value: 'left', label: '' },
        { value: 'up', label: '' },
        { value: 'down', label: '' }
      ]
    },
    'title-style': {
      name: '左侧标题额外样式',
      tips: [{ value: 'style', label: '' }]
    },
    'title-class': {
      name: '左侧标题额外类名',
      tips: [{ value: 'class_name', label: '' }]
    },
    'value-class': {
      name: '右侧内容额外类名',
      tips: [{ value: 'class_name', label: '' }]
    },
    'label-class': {
      name: '描述信息额外类名',
      tips: [{ value: 'class_name', label: '' }]
    },
    '@click': {
      name: '点击单元格时触发',
      tips: [{ value: 'clickCell', label: '返回事件 Event' }]
    }
  },
  'van-icon': {
    'name': {
      name: '图标名称或图片链接',
      tips: [
        { value: 'chat-o', label: '图标名称' },
        { value: 'https://b.yzcdn.cn/vant/icon-demo-1126.png', label: '图片链接' }
      ]
    },
    'dot': {
      name: '是否显示图标右上角小红点(v2.2.1+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'badge': {
      name: '图标右上角徽标的内容(v2.5.6+)',
      tips: [
        { value: 'a', label: 'string' },
        { value: '1', label: 'number' }
      ]
    },
    'color': {
      name: '图标颜色',
      tips: [
        { value: 'inherit', label: '默认值' },
        { value: '#1989fa', label: '' }
      ]
    },
    'size': {
      name: '图标大小，如 20px 2em，默认单位为px',
      tips: [
        { value: 'inherit', label: '默认值' },
        { value: '20', label: '' },
        { value: '2em', label: '' }
      ]
    },
    'class-prefix': {
      name: '类名前缀，用于使用自定义图标',
      tips: [{ value: 'van-icon', label: '默认值' }]
    },
    'tag': {
      name: 'HTML 标签',
      tips: [{ value: 'i', label: '目标i标签' }]
    },
    '@click': {
      name: '点击图标时触发',
      tips: [{ value: 'clickIcon', label: '返回事件 Event' }]
    }
  },
  'van-image': {
    'src': {
      name: '图片链接',
      tips: [{ value: 'https://b.yzcdn.cn/vant/icon-demo-1126.png', label: '图片链接' }]
    },
    'fit': {
      name: '图片填充模式',
      tips: [
        { value: 'fill', label: '拉伸图片，使图片填满元素，默认值' },
        { value: 'contain', label: '保持宽高缩放图片，使图片的长边能完全显示出来' },
        { value: 'cover', label: '保持宽高缩放图片，使图片的短边能完全显示出来，裁剪长边' },
        { value: 'none', label: '保持图片原有尺寸' },
        { value: 'scale-down', label: '取none或contain中较小的一个' }
      ]
    },
    'alt': {
      name: '替代文本',
      tips: [{ value: '图片不显示时替代文本', label: '' }]
    },
    'width': {
      name: '宽度，默认单位为px',
      tips: [
        { value: '100', label: '' },
        { value: '10rem', label: '' }
      ]
    },
    'height': {
      name: '高度，默认单位为px',
      tips: [
        { value: '100', label: '' },
        { value: '10rem', label: '' }
      ]
    },
    'radius': {
      name: '圆角大小，默认单位为px(v2.1.6+)',
      tips: [
        { value: '0', label: '默认值' },
        { value: '1rem', label: '' }
      ]
    },
    'round': {
      name: '是否显示为圆形',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'lazy-load': {
      name: '是否开启图片懒加载，须配合 Lazyload 组件使用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'show-error': {
      name: '是否展示图片加载失败提示(v2.0.9+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'show-loading': {
      name: '是否展示图片加载中提示(v2.0.9+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'error-icon': {
      name: '失败时提示的图标名称或图片链接(v2.4.2+)',
      tips: [{ value: 'photo-fail', label: '默认值' }]
    },
    'loading-icon': {
      name: '加载时提示的图标名称或图片链接(v2.4.2+)',
      tips: [{ value: 'photo', label: '默认值' }]
    },
    '@click': {
      name: '点击图片时触发',
      tips: [{ value: 'clickImage', label: '返回事件 Event' }]
    },
    '@load': {
      name: '图片加载完毕时触发',
      tips: [{ value: 'loadImage', label: '' }]
    },
    '@error': {
      name: '图片加载失败时触发',
      tips: [{ value: 'errorImage', label: '' }]
    }
  },
  'van-row': {
    'type': {
      name: '布局方式',
      tips: [{ value: 'flex', label: '灵活布局' }]
    },
    'gutter': {
      name: '列元素之间的间距（单位为 px）',
      tips: [
        { value: '8', label: '' },
        { value: '12', label: '' },
        { value: '16', label: '' }
      ]
    },
    'tag': {
      name: '自定义元素标签',
      tips: [{ value: 'div', label: '默认值' }]
    },
    'justify': {
      name: 'Flex 主轴对齐方式',
      tips: [
        { value: 'start', label: '默认值' },
        { value: 'center', label: '' },
        { value: 'end', label: '' },
        { value: 'space-around', label: '' },
        { value: 'space-between', label: '' }
      ]
    },
    'align': {
      name: 'Flex 交叉轴对齐方式',
      tips: [
        { value: 'top', label: '默认值' },
        { value: 'center', label: '' },
        { value: 'bottom', label: '' }
      ]
    },
    '@click': {
      name: '点击时触发',
      tips: [{ value: 'clickRow', label: '返回事件 Event' }]
    }
  },
  'van-col': {
    'span': {
      name: '列元素宽度',
      tips: [
        { value: '4', label: '' },
        { value: '6', label: '' },
        { value: '8', label: '' },
        { value: '12', label: '' }
      ]
    },
    'offset': {
      name: '列元素偏移距离',
      tips: [
        { value: '1', label: '' },
        { value: '2', label: '' },
        { value: '3', label: '' },
        { value: '4', label: '' }
      ]
    },
    'tag': {
      name: '自定义元素标签',
      tips: [{ value: 'div', label: '默认值' }]
    },
    '@click': {
      name: '点击时触发',
      tips: [{ value: 'clickRow', label: '返回事件 Event' }]
    }
  },
  'van-popup': {
    'value': {
      name: '是否显示弹出层',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'v-model': {
      name: '是否显示弹出层',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'overlay': {
      name: '是否显示遮罩层',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'position': {
      name: '弹出位置',
      tips: [
        { value: 'center', label: '默认值' },
        { value: 'top', label: '' },
        { value: 'bottom', label: '' },
        { value: 'right', label: '' },
        { value: 'left', label: '' }
      ]
    },
    'overlay-class': {
      name: '自定义遮罩层类名',
      tips: [{ value: 'class_name', label: '自定义class' }]
    },
    'overlay-style': {
      name: '自定义遮罩层样式',
      tips: [{ value: '{}', label: '自定义style' }]
    },
    'duration': {
      name: '动画时长，单位秒',
      tips: [{ value: '0.3', label: '默认值' }]
    },
    'round': {
      name: '是否显示圆角(v2.0.7+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'lock-scroll': {
      name: '是否锁定背景滚动',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'lazy-render': {
      name: '是否在显示弹层时才渲染节点',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'close-on-popstate': {
      name: '是否在页面回退时自动关闭(v2.2.10+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'close-on-click-overlay': {
      name: '是否在点击遮罩层后关闭',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'closeable': {
      name: '是否显示关闭图标(v2.2.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'close-icon': {
      name: '关闭图标名称或图片链接(v2.2.0+)',
      tips: [{ value: 'cross', label: '默认值' }]
    },
    'close-icon-position': {
      name: '关闭图标位置(v2.2.2+)',
      tips: [
        { value: 'top-right', label: '默认值' },
        { value: 'top-left', label: '' },
        { value: 'bottom-right', label: '' },
        { value: 'bottom-left', label: '' }
      ]
    },
    'transition': {
      name: '动画类名，等价于 transtion 的name属性',
      tips: [
        { value: '.fade-enter', label: '' },
        { value: '.fade-enter-active', label: '' }
      ]
    },
    'get-container': {
      name: '指定挂载的节点，使用 get-container 属性的组件不能为根节点',
      tips: [
        { value: 'body', label: '' },
        { value: '#app', label: '' },
        { value: 'function', label: '' }
      ]
    },
    'safe-area-inset-bottom': {
      name: '是否开启底部安全区适配(v2.2.1+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@click': {
      name: '点击弹出层时触发',
      tips: [{ value: 'clickPopup', label: '返回事件 Event' }]
    },
    '@open': {
      name: '打开弹出层时触发',
      tips: [{ value: 'openPopup', label: '' }]
    },
    '@close': {
      name: '关闭弹出层时触发',
      tips: [{ value: 'closePopup', label: '' }]
    },
    '@opened': {
      name: '打开弹出层且动画结束后触发',
      tips: [{ value: 'openedPopup', label: '' }]
    },
    '@closed': {
      name: '关闭弹出层且动画结束后触发',
      tips: [{ value: 'closedPopup', label: '' }]
    },
    '@click-overlay': {
      name: '点击遮罩层时触发',
      tips: [{ value: 'clickOverlayPopup', label: '' }]
    }
  },
  'van-calendar': {
    'type': {
      name: '选择类型(v2.5.4+)',
      tips: [
        { value: 'single', label: '表示选择单个日期，默认值' },
        { value: 'multiple', label: '表示选择多个日期' },
        { value: 'range', label: '表示选择日期区间' }
      ]
    },
    'title': {
      name: '日历标题',
      tips: [{ value: '日期选择', label: '默认值' }]
    },
    'color': {
      name: '主题色，对底部按钮和选中日期生效',
      tips: [{ value: '#ee0a24', label: '默认值' }]
    },
    'min-date': {
      name: '可选择的最小日期，默认值当前日期',
      tips: [{ value: 'Date', label: 'Date' }]
    },
    'max-date': {
      name: '可选择的最大日期，默认值当前日期的六个月后',
      tips: [{ value: 'Date', label: 'Date' }]
    },
    'default-date': {
      name: '默认选中的日期，type为multiple或range时为数组',
      tips: [
        { value: 'Date', label: '今天，默认值' },
        { value: '[Date,Date]', label: 'Date' }
      ]
    },
    'row-height': {
      name: '日期行高',
      tips: [{ value: '64', label: '默认值' }]
    },
    'formatter': {
      name: '日期格式化函数，参考：https://youzan.github.io/vant/#/zh-CN/calendar',
      tips: [{ value: 'formatter', label: 'function(day)' }]
    },
    'poppable': {
      name: '是否以弹层的形式展示日历',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'lazy-render': {
      name: '是否只渲染可视区域的内容(v2.8.1+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'show-mark': {
      name: '是否显示月份背景水印',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'show-title': {
      name: '是否展示日历标题(v2.5.5+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'show-subtitl': {
      name: '是否展示日历副标题（年月）(v2.5.5+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'show-confirm': {
      name: '是否展示确认按钮',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'confirm-text': {
      name: '确认按钮的文字',
      tips: [{ value: '确定', label: '默认值' }]
    },
    'confirm-disabled-text': {
      name: '确认按钮处于禁用状态时的文字',
      tips: [{ value: '确定', label: '默认值' }]
    },
    'first-day-of-week': {
      name: '设置周起始日(v2.9.2+)',
      tips: [
        { value: '0', label: '周日，默认值' },
        { value: '1', label: '周一，' },
        { value: '2', label: '周二' },
        { value: '3', label: '周三' },
        { value: '4', label: '周四' },
        { value: '5', label: '周五' },
        { value: '6', label: '周六' }
      ]
    },
    // 当 Canlendar 的 poppable 为 true 时，支持以下 props
    'v-model': {
      name: '是否显示日历弹窗(poppable = true 时支持)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'position': {
      name: '弹出位置(poppable = true 时支持)',
      tips: [
        { value: 'bottom', label: '默认值' },
        { value: 'top', label: '' },
        { value: 'right', label: '' },
        { value: 'left', label: '' }
      ]
    },
    'round': {
      name: '是否显示圆角弹窗(poppable = true 时支持)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'close-on-popstate': {
      name: '是否在页面回退时自动关闭(poppable = true 时支持，v2.4.4+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'close-on-click-overlay': {
      name: '是否在点击遮罩层后关闭(poppable = true 时支持)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'safe-area-inset-bottom': {
      name: '是否开启底部安全区适配(poppable = true 时支持)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'get-container': {
      name: '指定挂载的节点，使用 get-container 属性的组件不能为根节点(poppable = true 时支持)',
      tips: [
        { value: 'body', label: '' },
        { value: '#app', label: '' },
        { value: 'function', label: '' }
      ]
    },
    // 当 Canlendar 的 type 为 range 时，支持以下 props
    'max-range': {
      name: '日期区间最多可选天数(type = range 时支持，v2.4.3+)',
      tips: [
        { value: '', label: '无限制，默认值' },
        { value: '7', label: '最多可选7天' }
      ]
    },
    'range-prompt': {
      name: '范围选择超过最多可选天数时的提示文案(type = range 时支持，v2.4.3+)',
      tips: [{ value: '选择天数不能超过 xx 天', label: '默认值' }]
    },
    'allow-same-day': {
      name: '是否允许日期范围的起止时间为同一天(type = range 时支持，v2.5.6+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    // 当 Canlendar 的 type 为 multiple 时，支持以下 props
    '@select': {
      name: '点击并选中任意日期时触发',
      tips: [{ value: 'selectCalendar', label: '返回事件 Date|Date[]' }]
    },
    '@confirm': {
      name: '日期选择完成后触发，若show-confirm为true，则点击确认按钮后触发',
      tips: [{ value: 'confirmCalendar', label: '返回事件 Date|Date[]' }]
    },
    '@open': {
      name: '打开弹出层时触发(v2.5.2+)',
      tips: [{ value: 'openCalendar', label: '' }]
    },
    '@close': {
      name: '关闭弹出层时触发(v2.5.2+)',
      tips: [{ value: 'closeCalendar', label: '' }]
    },
    '@opened': {
      name: '打开弹出层且动画结束后触发(v2.5.2+)',
      tips: [{ value: 'openedCalendar', label: '' }]
    },
    '@closed': {
      name: '关闭弹出层且动画结束后触发(v2.5.2+)',
      tips: [{ value: 'closedCalendar', label: '' }]
    },
    '@unselect': {
      name: '当日历组件的 type 为 multiple 时，取消选中日期时触发(v2.7.2+)',
      tips: [{ value: 'unselectCalendar', label: '返回事件 Date' }]
    },
    '@month-show': {
      name: '当某个月份进入可视区域时触发(v2.8.2+)',
      tips: [{ value: 'monthShowCalendar', label: '返回 { date: Date, title: string }' }]
    }
  },
  'van-checkbox': {
    'value': {
      name: '是否为选中状态',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'v-model': {
      name: '是否为选中状态',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'name': {
      name: '标识符',
      tips: [{ value: '复选框', label: '' }]
    },
    'shape': {
      name: '形状',
      tips: [
        { value: 'round', label: '默认值' },
        { value: 'square', label: '' }
      ]
    },
    'disabled': {
      name: '是否禁用复选框',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'label-disabled': {
      name: '是否禁用复选框文本点击',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'label-position': {
      name: '文本位置',
      tips: [
        { value: 'right', label: '默认值' },
        { value: 'left', label: '' }
      ]
    },
    'icon-size': {
      name: '图标大小，默认单位为px',
      tips: [{ value: '20px', label: '默认值' }]
    },
    'checked-color': {
      name: '选中状态颜色',
      tips: [{ value: '#1989fa', label: '默认值' }]
    },
    'bind-group': {
      name: '是否与复选框组绑定(v2.2.4+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },

    '@change': {
      name: '当绑定值变化时触发的事件',
      tips: [{ value: 'changeCheckbox', label: '返回 true|false' }]
    },
    '@click': {
      name: '点击复选框时触发',
      tips: [{ value: 'clickCheckbox', label: '返回事件 event' }]
    }
  },
  'van-checkbox-group': {
    'value': {
      name: '所有选中项的标识符',
      tips: [{ value: '[1,2]', label: '' }]
    },
    'v-model': {
      name: '所有选中项的标识符',
      tips: [{ value: '[1,2]', label: '' }]
    },
    'disabled': {
      name: '是否禁用所有复选框',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'max': {
      name: '最大可选数，0为无限制',
      tips: [
        { value: '0', label: '默认值' },
        { value: '5', label: '' }
      ]
    },
    'direction': {
      name: '排列方向(v2.5.0+)',
      tips: [
        { value: 'vertical', label: '垂直，默认值' },
        { value: 'horizontal', label: '水平' }
      ]
    },
    'icon-size': {
      name: '所有复选框的图标大小，默认单位为px(v2.2.3+)',
      tips: [{ value: '20px', label: '默认值' }]
    },
    'checked-color': {
      name: '所有复选框的选中状态颜色(v2.2.3)',
      tips: [{ value: '#1989fa', label: '默认值' }]
    },
    '@change': {
      name: '当绑定值变化时触发的事件',
      tips: [{ value: 'changeCheckboxGroup', label: '返回 names[]' }]
    }
  },
  'van-datetime-picker': {
    'v-model': {
      name: '绑定值',
      tips: [{ value: 'Date', label: 'Date' }]
    },
    'type': {
      name: '时间类型',
      tips: [
        { value: 'datetime', label: '默认值' },
        { value: 'date', label: '' },
        { value: 'time', label: '' },
        { value: 'year-month', label: '' },
        { value: 'month-day', label: '' },
        { value: 'datehour', label: '' }
      ]
    },
    'title': {
      name: '顶部栏标题',
      tips: [{ value: '', label: '默认值' }]
    },
    'confirm-button-text': {
      name: '确认按钮文字',
      tips: [{ value: '确认', label: '默认值' }]
    },
    'cancel-button-text': {
      name: '取消按钮文字',
      tips: [{ value: '取消', label: '默认值' }]
    },
    'show-toolbar': {
      name: '是否显示顶部栏',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'loading': {
      name: '是否显示加载状态',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'filter': {
      name: '选项过滤函数',
      tips: [{ value: 'filterDatetimePicker', label: 'function(type, vals) => vals' }]
    },
    'formatter': {
      name: '选项格式化函数',
      tips: [{ value: 'formatterDatetimePicker', label: 'function(type, val) => val' }]
    },
    'columns-order': {
      name: '自定义列排序数组，string[]类型(v2.9.2+)',
      tips: [
        { value: 'year', label: '' },
        { value: 'month', label: '' },
        { value: 'day', label: '' },
        { value: 'hour', label: '' },
        { value: 'minute', label: '' }
      ]
    },
    'item-height': {
      name: '选项高度，支持 px vw rem 单位，默认 px(v2.8.6+)',
      tips: [{ value: '44', label: '默认值' }]
    },
    'visible-item-count': {
      name: '可见的选项个数',
      tips: [{ value: '6', label: '默认值' }]
    },
    'swipe-duration': {
      name: '快速滑动时惯性滚动的时长，单位ms(v2.2.13)',
      tips: [{ value: '1000', label: '默认值' }]
    },
    // 当时间选择器类型为 date 或 datetime 时，支持以下 props
    'min-date': {
      name: '可选的最小时间，精确到分钟，默认值十年前(date = datetime 时支持)',
      tips: [{ value: 'Date', label: 'Date' }]
    },
    'max-date': {
      name: '可选的最大时间，精确到分钟，默认值十年后(date = datetime 时支持)',
      tips: [{ value: 'Date', label: 'Date' }]
    },
    // 当时间选择器类型为 time 时，支持以下 props
    'min-hour': {
      name: '可选的最小小时(date = datetime 时支持)',
      tips: [{ value: '0', label: '默认值' }]
    },
    'max-hour': {
      name: '可选的最大小时(date = datetime 时支持)',
      tips: [{ value: '23', label: '默认值' }]
    },
    'min-minute': {
      name: '可选的最小分钟(date = datetime 时支持)',
      tips: [{ value: '0', label: '默认值' }]
    },
    'max-minute': {
      name: '可选的最大分钟(date = datetime 时支持)',
      tips: [{ value: '59', label: '默认值' }]
    },
    '@change': {
      name: '当值变化时触发的事件',
      tips: [{ value: 'changeDatetimePicker', label: '返回 picker' }]
    },
    '@confirm': {
      name: '点击完成按钮时触发的事件',
      tips: [{ value: 'confirmDatetimePicker', label: '返回当前选中的时间' }]
    },
    '@cancel': {
      name: '点击取消按钮时触发的事件',
      tips: [{ value: 'cancelDatetimePicker', label: '' }]
    }
  },
  'van-field': {
    'value': {
      name: '当前输入的值',
      tips: [
        { value: '1', label: 'number' },
        { value: 'a', label: 'string' }
      ]
    },
    'v-model': {
      name: '当前输入的值',
      tips: [
        { value: '1', label: 'number' },
        { value: 'a', label: 'string' }
      ]
    },
    'label': {
      name: '输入框左侧文本',
      tips: [{ value: '文本', label: '' }]
    },
    'name': {
      name: '名称，提交表单的标识符(v2.5.0+)',
      tips: [{ value: 'name', label: '' }]
    },
    'type': {
      name: '输入框类型',
      tips: [
        { value: 'text', label: '默认值' },
        { value: 'tel', label: '' },
        { value: 'digit', label: 'v2.4.2+支持' },
        { value: 'number', label: '' },
        { value: 'textarea', label: '' },
        { value: 'password', label: '' }
      ]
    },
    'size': {
      name: '大小',
      tips: [{ value: 'large', label: '' }]
    },
    'maxlength': {
      name: '输入的最大字符数',
      tips: [{ value: '50', label: 'number' }]
    },
    'placeholder': {
      name: '输入框占位提示文字',
      tips: [{ value: '请输入', label: '' }]
    },
    'border': {
      name: '是否显示内边框',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'disabled': {
      name: '是否禁用输入框',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'readonly': {
      name: '是否只读',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'colon': {
      name: '是否在 label 后面添加冒号(v2.7.2+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'required': {
      name: '是否显示表单必填星号',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'center': {
      name: '是否使内容垂直居中',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'clearable': {
      name: '是否启用清除图标，点击清除图标后会清空输入框',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'clear-trigger': {
      name: '显示清除图标的时机',
      tips: [
        { value: 'focus', label: '输入框聚焦且不为空时展示，默认值' },
        { value: 'always', label: '输入框不为空时展示' }
      ]
    },
    'clickable': {
      name: '是否开启点击反馈',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'is-link': {
      name: '是否展示右侧箭头并开启点击反馈',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'autofocus': {
      name: '是否自动聚焦，iOS 系统不支持该属性',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'show-word-limit': {
      name: '是否显示字数统计，需要设置maxlength属性(v2.2.8+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'error': {
      name: '是否将输入内容标红',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'error-message': {
      name: '底部错误提示文案，为空时不展示',
      tips: [{ value: 'xx错误', label: '' }]
    },
    'formatter': {
      name: '输入内容格式化函数(v2.4.2+)',
      tips: [{ value: 'formatterField', label: 'Function' }]
    },
    'format-trigger': {
      name: '格式化函数触发的时机(v2.8.7+)',
      tips: [
        { value: 'onChange', label: '默认值' },
        { value: 'onBlur', label: '' }
      ]
    },
    'arrow-direction': {
      name: '箭头方向(v2.0.4+)',
      tips: [
        { value: 'right', label: '默认值' },
        { value: 'left', label: '' },
        { value: 'up', label: '' },
        { value: 'down', label: '' }
      ]
    },
    'label-class': {
      name: '左侧文本额外类名',
      tips: [{ value: 'class_name', label: '自定义class' }]
    },
    'label-width': {
      name: '左侧文本宽度，默认单位为px',
      tips: [{ value: '6.2em', label: '默认值' }]
    },
    'label-align': {
      name: '左侧文本对齐方式',
      tips: [
        { value: 'left', label: '默认值' },
        { value: 'center', label: '' },
        { value: 'right', label: '' }
      ]
    },
    'input-align': {
      name: '输入框对齐方式',
      tips: [
        { value: 'left', label: '默认值' },
        { value: 'center', label: '' },
        { value: 'right', label: '' }
      ]
    },
    'error-message-align': {
      name: '错误提示文案对齐方式',
      tips: [
        { value: 'left', label: '默认值' },
        { value: 'center', label: '' },
        { value: 'right', label: '' }
      ]
    },
    'autosize': {
      name: '是否自适应内容高度，只对 textarea 有效，可传入对象,如 { maxHeight: 100, minHeight: 50 }，单位为px',
      tips: [
        { value: 'false', label: '否，默认值' },
        { value: 'true', label: '是' },
        { value: '{ maxHeight: 100, minHeight: 50 }', label: '' }
      ]
    },
    'left-icon': {
      name: '左侧图标名称或图片链接',
      tips: [
        { value: 'plus', label: '图标名称' },
        { value: 'https://img.yzcdn.cn/vant/user-active.png', label: '图片链接' }
      ]
    },
    'right-icon': {
      name: '右侧图标名称或图片链接',
      tips: [
        { value: 'plus', label: '图标名称' },
        { value: 'https://img.yzcdn.cn/vant/user-active.png', label: '图片链接' }
      ]
    },
    'icon-prefix': {
      name: '图标类名前缀，同 Icon 组件的 class-prefix 属性(v2.5.3+)',
      tips: [{ value: 'van-icon', label: '默认值' }]
    },
    'rules': {
      name: '表单校验规则(v2.5.0+)',
      tips: [{ value: 'Rule[]', label: 'Rule[]' }]
    },
    '@input': {
      name: '输入框内容变化时触发',
      tips: [{ value: 'inputField', label: '返回当前输入的值 value' }]
    },
    '@focus': {
      name: '输入框获得焦点时触发',
      tips: [{ value: 'focusField', label: '返回事件 Event' }]
    },
    '@blur': {
      name: '输入框失去焦点时触发',
      tips: [{ value: 'blurField', label: '返回事件 Event' }]
    },
    '@clear': {
      name: '点击清除按钮时触发',
      tips: [{ value: 'clearField', label: '返回事件 Event' }]
    },
    '@click': {
      name: '点击 Field 时触发',
      tips: [{ value: 'clickField', label: '返回事件 Event' }]
    },
    '@click-input': {
      name: '点击输入区域时触发(v2.8.1+)',
      tips: [{ value: 'clickInputField', label: '返回事件 Event' }]
    },
    '@click-left-icon': {
      name: '点击左侧图标时触发',
      tips: [{ value: 'clickLeftIconField', label: '返回事件 Event' }]
    },
    '@click-right-icon': {
      name: '点击左侧图标时触发',
      tips: [{ value: 'clickRightIconField', label: '返回事件 Event' }]
    }
  },
  'van-form': {
    'label-width': {
      name: '表单项 label 宽度，默认单位为px',
      tips: [{ value: '6.2em', label: '默认值' }]
    },
    'label-align': {
      name: '表单项 label 对齐方式',
      tips: [
        { value: 'left', label: '默认值' },
        { value: 'center', label: '' },
        { value: 'right', label: '' }
      ]
    },
    'input-align': {
      name: '输入框对齐方式',
      tips: [
        { value: 'left', label: '默认值' },
        { value: 'center', label: '' },
        { value: 'right', label: '' }
      ]
    },
    'error-message-align': {
      name: '错误提示文案对齐方式',
      tips: [
        { value: 'left', label: '默认值' },
        { value: 'center', label: '' },
        { value: 'right', label: '' }
      ]
    },
    'validate-trigger': {
      name: '表单校验触发时机(v2.5.2+)',
      tips: [
        { value: 'onChange', label: '默认值' },
        { value: 'onBlur', label: '' }
      ]
    },
    'colon': {
      name: '是否在 label 后面添加冒号',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'validate-first': {
      name: '是否在某一项校验不通过时停止校验',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'scroll-to-error': {
      name: '是否在提交表单且校验不通过时滚动至错误的表单项(v2.5.2+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'show-error': {
      name: '是否在校验不通过时标红输入框(v2.6.0+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'show-error-message': {
      name: '是否在校验不通过时在输入框下方展示错误提示(v2.5.8+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'submit-on-enter': {
      name: '是否在按下回车键时提交表单(v2.8.3+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },

    '@submit': {
      name: '提交表单且验证通过后触发',
      tips: [{ value: 'submitForm', label: '返回表单数据 values' }]
    },
    '@failed': {
      name: '提交表单且验证不通过后触发',
      tips: [{ value: 'failedForm', label: '返回 errorInfo: { values: object, errors: object[] }' }]
    }
  },
  'van-number-keyboard': {
    'value': {
      name: '当前输入值(v2.0.2+)',
      tips: [{ value: '1', label: '' }]
    },
    'v-model': {
      name: '当前输入值(v2.0.2+)',
      tips: [{ value: '1', label: '' }]
    },
    'show': {
      name: '是否显示键盘',
      tips: [{ value: 'true', label: '是' }, { value: 'false', label: '否' }]
    },
    'title': {
      name: '键盘标题',
      tips: [{ value: '标题', label: '' }]
    },
    'theme': {
      name: '样式风格',
      tips: [
        { value: 'default', label: '默认值' },
        { value: 'custom', label: '' }
      ]
    },
    'maxlength': {
      name: '输入值最大长度(v2.0.2+)',
      tips: [{ value: '50', label: 'number' }]
    },
    'transition': {
      name: '是否开启过场动画',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'z-index': {
      name: '键盘 z-index 层级',
      tips: [{ value: '100', label: '默认值' }]
    },
    'extra-key': {
      name: '底部额外按键的内容(v2.8.2+)',
      tips: [
        { value: '', label: '默认值' },
        { value: 'x', label: '' }
      ]
    },
    'close-button-text': {
      name: '关闭按钮文字，空则不展示',
      tips: [{ value: '关闭', label: '' }]
    },
    'delete-button-text': {
      name: '删除按钮文字，空则展示删除图标',
      tips: [{ value: '删除', label: '' }]
    },
    'close-button-loading': {
      name: '是否将关闭按钮设置为加载中状态，仅在 theme="custom" 时有效(v2.7.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'show-delete-key': {
      name: '是否展示删除图标(v2.5.9+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'hide-on-click-outside': {
      name: '点击外部时是否收起键盘',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'get-container': {
      name: '指定挂载的节点，使用 get-container 属性的组件不能为根节点(v2.10.0+)',
      tips: [
        { value: 'body', label: '' },
        { value: '#app', label: '' },
        { value: 'function', label: 'string | () => Element' }
      ]
    },
    'safe-area-inset-bottom': {
      name: '是否开启底部安全区适配',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    '@input': {
      name: '点击按键时触发',
      tips: [{ value: 'inputNumberKeyboard', label: '返回 key: 按键内容' }]
    },
    '@delete': {
      name: '点击删除键时触发',
      tips: [{ value: 'deleteNumberKeyboard', label: '' }]
    },
    '@close': {
      name: '点击关闭按钮时触发',
      tips: [{ value: 'closeNumberKeyboard', label: '' }]
    },
    '@blur': {
      name: '点击关闭按钮或非键盘区域时触发',
      tips: [{ value: 'blurNumberKeyboard', label: '' }]
    },
    '@show': {
      name: '键盘完全弹出时触发',
      tips: [{ value: 'showNumberKeyboard', label: '' }]
    },
    '@hide': {
      name: '键盘完全收起时触发',
      tips: [{ value: 'hideNumberKeyboard', label: '' }]
    }
  },
  'van-password-input': {
    'value': {
      name: '密码值',
      tips: [{ value: '', label: '默认值' }]
    },
    'info': {
      name: '输入框下方文字提示',
      tips: [{ value: '密码为 x 位数字', label: '' }]
    },
    'error-info': {
      name: '输入框下方错误提示',
      tips: [{ value: '密码错误', label: '' }]
    },
    'length': {
      name: '密码最大长度',
      tips: [{ value: '6', label: '默认值' }]
    },
    'gutter': {
      name: '输入框格子之间的间距，如 20px 2em，默认单位为px',
      tips: [
        { value: '0', label: '默认值' },
        { value: '8', label: '' },
        { value: '12', label: '' },
        { value: '16', label: '' }
      ]
    },
    'mask': {
      name: '是否隐藏密码内容',
      tips: [{ value: 'true', label: '是' }, { value: 'false', label: '否' }]
    },
    'focused': {
      name: '是否已聚焦，聚焦时会显示光标(v2.1.8+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@focus': {
      name: '输入框聚焦时触发',
      tips: [{ value: 'focusPasswordInput', label: '' }]
    }
  },
  'van-picker': {
    'columns': {
      name: '对象数组，配置每一列显示的数据',
      tips: [{ value: 'Column[]', label: '' }]
    },
    'title': {
      name: '顶部栏标题',
      tips: [{ value: '标题', label: '' }]
    },
    'confirm-button-text': {
      name: '确认按钮文字',
      tips: [{ value: '确认', label: '默认值' }]
    },
    'cancel-button-text': {
      name: '取消按钮文字',
      tips: [{ value: '取消', label: '默认值' }]
    },
    'value-key': {
      name: '选项对象中，选项文字对应的键名',
      tips: [{ value: 'text', label: '默认值' }]
    },
    'toolbar-position': {
      name: '顶部栏位置',
      tips: [
        { value: 'top', label: '默认值' },
        { value: 'bottom', label: '' }
      ]
    },
    'loading': {
      name: '是否显示加载状态',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'show-toolbar': {
      name: '是否显示顶部栏',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'allow-html': {
      name: '是否允许选项内容中渲染 HTML(v2.1.8+)',
      tips: [{ value: 'true', label: '是' }, { value: 'false', label: '否' }]
    },
    'default-index': {
      name: '单列选择时，默认选中项的索引',
      tips: [{ value: '0', label: '默认值' }]
    },
    'item-height': {
      name: '选项高度，支持 px vw rem 单位，默认 px(v2.8.6+)',
      tips: [{ value: '44', label: '默认值' }]
    },
    'visible-item-count': {
      name: '可见的选项个数',
      tips: [{ value: '6', label: '默认值' }]
    },
    'swipe-duration': {
      name: '快速滑动时惯性滚动的时长，单位 ms(v2.2.10+)',
      tips: [{ value: '1000', label: '默认值' }]
    },
    '@confirm': {
      name: '点击完成按钮时触发',
      tips: [{ value: 'confirmPicker', label: '返回 单列：选中值，选中值对应的索引，多列：所有列选中值，所有列选中值对应的索引' }]
    },
    '@cancel': {
      name: '点击取消按钮时触发',
      tips: [{ value: 'cancelPicker', label: '返回 单列：选中值，选中值对应的索引，多列：所有列选中值，所有列选中值对应的索引' }]
    },
    '@change': {
      name: '选项改变时触发',
      tips: [{ value: 'changePicker', label: '返回 单列：Picker 实例，选中值，选中值对应的索引，多列：Picker 实例，所有列选中值，当前列对应的索引' }]
    }
  },
  'van-radio': {
    'name': {
      name: '标识符',
      tips: [{ value: 'radio1', label: '' }]
    },
    'shape': {
      name: '形状',
      tips: [
        { value: 'round', label: '默认值' },
        { value: 'square', label: '' }
      ]
    },
    'disabled': {
      name: '是否为禁用状态',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'label-disabled': {
      name: '是否禁用文本内容点击',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'label-position': {
      name: '文本位置',
      tips: [
        { value: 'right', label: '默认值' },
        { value: 'left', label: '' }
      ]
    },
    'icon-size': {
      name: '图标大小，默认单位为px',
      tips: [{ value: '20px', label: '默认值' }]
    },
    'checked-color': {
      name: '选中状态颜色',
      tips: [{ value: '#1989fa', label: '默认值' }]
    }
  },
  'van-radio-group': {
    'v-model': {
      name: '当前选中项的标识符',
      tips: [{ value: 'radio1', label: '' }]
    },
    'value': {
      name: '当前选中项的标识符',
      tips: [{ value: 'radio1', label: '' }]
    },
    'disabled': {
      name: '是否禁用所有单选框',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'direction': {
      name: '排列方向(v2.5.0+)',
      tips: [
        { value: 'vertical', label: '垂直，默认值' },
        { value: 'horizontal', label: '水平' }
      ]
    },
    'icon-size': {
      name: '所有单选框的图标大小，默认单位为px(v2.2.3+)',
      tips: [{ value: '20px', label: '默认值' }]
    },
    'checked-color': {
      name: '选中状态颜色(v2.2.3+)',
      tips: [{ value: '#1989fa', label: '默认值' }]
    },
    '@change': {
      name: '当绑定值变化时触发的事件',
      tips: [{ value: 'changeRadioGroup', label: '返回选中 Radio 的 name' }]
    }
  },
  'van-rate': {
    'v-model': {
      name: '当前分值',
      tips: [{ value: '0', label: '' }, { value: '5', label: '' }]
    },
    'count': {
      name: '图标总数',
      tips: [{ value: '5', label: '默认值' }]
    },
    'size': {
      name: '图标大小，默认单位为px',
      tips: [{ value: '20px', label: '默认值' }]
    },
    'gutter': {
      name: '图标间距，默认单位为px',
      tips: [
        { value: '', label: '默认值' },
        { value: '8', label: '' },
        { value: '12', label: '' },
        { value: '16', label: '' }
      ]
    },
    'color': {
      name: '选中时的颜色',
      tips: [{ value: '#ee0a24', label: '默认值' }]
    },
    'void-color': {
      name: '未选中时的颜色',
      tips: [{ value: '#c8c9cc', label: '默认值' }]
    },
    'disabled-color': {
      name: '禁用时的颜色',
      tips: [{ value: '#c8c9cc', label: '默认值' }]
    },
    'icon': {
      name: '选中时的图标名称或图片链接',
      tips: [
        { value: 'star', label: '默认值' },
        { value: 'https://img.yzcdn.cn/vant/user-active.png', label: '图片链接' }
      ]
    },
    'void-icon': {
      name: '未选中时的图标名称或图片链接',
      tips: [
        { value: 'star-o', label: '默认值' },
        { value: 'https://img.yzcdn.cn/vant/user-active.png', label: '图片链接' }
      ]
    },
    'icon-prefix': {
      name: '图标类名前缀，同 Icon 组件的 class-prefix 属性(v2.5.3+)',
      tips: [{ value: 'van-icon', label: '默认值' }]
    },
    'allow-half': {
      name: '是否允许半选',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'readonly': {
      name: '是否为只读状态',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'disabled': {
      name: '是否禁用评分',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'touchable': {
      name: '是否可以通过滑动手势选择评分(v2.2.0+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    '@change': {
      name: '当前分值变化时触发的事件',
      tips: [{ value: 'changeRate', label: '返回当前分值' }]
    }
  },
  'van-search': {
    'label': {
      name: '搜索框左侧文本',
      tips: [{ value: '名称', label: '' }]
    },
    'shape': {
      name: '搜索框形状',
      tips: [
        { value: 'square', label: '默认值' },
        { value: 'round', label: '' }
      ]
    },
    'background': {
      name: '搜索框外部背景色',
      tips: [{ value: '#f2f2f2', label: '默认值' }]
    },
    'maxlength': {
      name: '输入的最大字符数',
      tips: [{ value: '20', label: 'number' }]
    },
    'placeholder': {
      name: '占位提示文字',
      tips: [{ value: '请输入', label: '' }]
    },
    'clearable': {
      name: '是否启用清除图标，点击清除图标后会清空输入框',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'clear-trigger': {
      name: '显示清除图标的时机(v2.9.1+)',
      tips: [
        { value: 'focus', label: '输入框聚焦且不为空时展示，默认值' },
        { value: 'always', label: '输入框不为空时展示' }
      ]
    },
    'autofocus': {
      name: '是否自动聚焦，iOS 系统不支持该属性',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'show-action': {
      name: '是否在搜索框右侧显示取消按钮',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'action-text': {
      name: '取消按钮文字(v2.2.2+)',
      tips: [{ value: '取消', label: '默认值' }]
    },
    'disabled': {
      name: '是否禁用输入框',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'readonly': {
      name: '是否将输入框设为只读',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'error': {
      name: '是否将输入内容标红',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'input-align': {
      name: '输入框内容对齐方式',
      tips: [
        { value: 'left', label: '默认值' },
        { value: 'center', label: '' },
        { value: 'right', label: '' }
      ]
    },
    'left-icon': {
      name: '输入框左侧图标名称或图片链接',
      tips: [
        { value: 'search', label: '默认值' },
        { value: 'https://img.yzcdn.cn/vant/user-active.png', label: '图片链接' }
      ]
    },
    'right-icon': {
      name: '输入框右侧图标名称或图片链接',
      tips: [
        { value: 'search', label: '图标名称' },
        { value: 'https://img.yzcdn.cn/vant/user-active.png', label: '图片链接' }
      ]
    },
    '@search': {
      name: '确定搜索时触发',
      tips: [{ value: 'handleSearch', label: '返回当前输入的值 value' }]
    },
    '@input': {
      name: '输入框内容变化时触发',
      tips: [{ value: 'handleInput', label: '返回当前输入的值 value' }]
    },
    '@focus': {
      name: '输入框获得焦点时触发',
      tips: [{ value: 'handleFocus', label: '返回事件 Event' }]
    },
    '@blur': {
      name: '输入框失去焦点时触发',
      tips: [{ value: 'handleBlur', label: '返回事件 Event' }]
    },
    '@clear': {
      name: '点击清除按钮后触发',
      tips: [{ value: 'handleClear', label: '返回事件 Event' }]
    },
    '@cancel': {
      name: '点击取消按钮时触发',
      tips: [{ value: 'handleCancel', label: '' }]
    }
  },
  'van-slider': {
    'value': {
      name: '当前进度百分比',
      tips: [{ value: '0', label: '默认值' }]
    },
    'max': {
      name: '最大值',
      tips: [{ value: '100', label: '默认值' }]
    },
    'min': {
      name: '最小值',
      tips: [{ value: '0', label: '默认值' }]
    },
    'step': {
      name: '步长',
      tips: [{ value: '1', label: '默认值' }]
    },
    'bar-height': {
      name: '进度条高度，默认单位为px',
      tips: [{ value: '2px', label: '默认值' }]
    },
    'button-size': {
      name: '滑块按钮大小，默认单位为px(v2.4.5+)',
      tips: [{ value: '24px', label: '默认值' }]
    },
    'active-color': {
      name: '进度条激活态颜色',
      tips: [{ value: '#1989fa', label: '默认值' }]
    },
    'inactive-color': {
      name: '进度条非激活态颜色',
      tips: [{ value: '#e5e5e5', label: '默认值' }]
    },
    'disabled': {
      name: '是否禁用滑块',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'vertical': {
      name: '是否垂直展示',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@input': {
      name: '进度变化时实时触发',
      tips: [{ value: 'inputSlider', label: '返回当前进度 value' }]
    },
    '@change': {
      name: '进度变化且结束拖动后触发',
      tips: [{ value: 'changeSlider', label: '返回当前进度 value' }]
    },
    '@drag-start': {
      name: '开始拖动时触发',
      tips: [{ value: 'dragStartSlider', label: '' }]
    },
    '@drag-end': {
      name: '结束拖动时触发',
      tips: [{ value: 'dragEndSlider', label: '' }]
    }
  },
  'van-stepper': {
    'v-model': {
      name: '当前输入的值',
      tips: [{ value: '1', label: '' }]
    },
    'min': {
      name: '最小值',
      tips: [{ value: '1', label: '默认值' }]
    },
    'max': {
      name: '最大值',
      tips: [{ value: '100', label: '' }]
    },
    'default-value': {
      name: '初始值，当 v-model 为空时生效',
      tips: [{ value: '1', label: '默认值' }]
    },
    'step': {
      name: '步长，每次点击时改变的值',
      tips: [{ value: '1', label: '默认值' }]
    },
    'name': {
      name: '标识符，可以在change事件回调参数中获取(v2.2.11+)',
      tips: [{ value: 'name', label: '' }]
    },
    'input-width': {
      name: '输入框宽度，默认单位为px',
      tips: [{ value: '32px', label: '默认值' }]
    },
    'button-size': {
      name: '按钮大小以及输入框高度，默认单位为px(v2.0.5+)',
      tips: [{ value: '28px', label: '默认值' }]
    },
    'decimal-length': {
      name: '固定显示的小数位数(v2.2.1+)',
      tips: [{ value: '2', label: '' }]
    },
    'theme': {
      name: '样式风格(v2.8.2+)',
      tips: [{ value: 'round', label: '' }]
    },
    'placeholder': {
      name: '输入框占位提示文字(v2.8.6+)',
      tips: [{ value: 'round', label: '' }]
    },
    'integer': {
      name: '否只允许输入整数',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'disabled': {
      name: '是否禁用步进器',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'disable-plus': {
      name: '是否禁用增加按钮(v2.2.16+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'disable-minus': {
      name: '是否禁用减少按钮(v2.2.16+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'disable-input': {
      name: '是否禁用输入框',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'async-change': {
      name: '是否开启异步变更，开启后需要手动控制输入值',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'show-plus': {
      name: '是否显示增加按钮(v2.1.2+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'show-minus': {
      name: '是否显示减少按钮(v2.1.2+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'long-press': {
      name: '是否开启长按手势(v2.4.3+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'allow-empty': {
      name: '是否允许输入的值为空(v2.9.1+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@change': {
      name: '当绑定值变化时触发的事件',
      tips: [{ value: 'changeStepper', label: '返回 value: string, detail: { name: string }' }]
    },
    '@overlimit': {
      name: '点击不可用的按钮时触发',
      tips: [{ value: 'overlimitStepper', label: '' }]
    },
    '@plus': {
      name: '点击增加按钮时触发',
      tips: [{ value: 'plusStepper', label: '' }]
    },
    '@minus': {
      name: '点击减少按钮时触发',
      tips: [{ value: 'minusStepper', label: '' }]
    },
    '@focus': {
      name: '输入框聚焦时触发',
      tips: [{ value: 'focusStepper', label: '返回事件 Event' }]
    },
    '@blur': {
      name: '输入框失焦时触发',
      tips: [{ value: 'blurStepper', label: '返回事件 Event' }]
    }
  },
  'van-switch': {
    'v-model': {
      name: '开关选中状态',
      tips: [
        { value: 'false', label: '否，默认值' },
        { value: 'true', label: '是' },
        { value: 'any', label: '其他值' }
      ]
    },
    'loading': {
      name: '是否为加载状态',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'disabled': {
      name: '是否为禁用状态',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'size': {
      name: '开关尺寸，默认单位为px(v2.2.11+)',
      tips: [{ value: '30px', label: '默认值' }]
    },
    'active-color': {
      name: '打开时的背景色',
      tips: [{ value: '#1989fa', label: '默认值' }]
    },
    'inactive-color': {
      name: '关闭时的背景色',
      tips: [{ value: 'white', label: '默认值' }]
    },
    'active-value': {
      name: '打开时对应的值',
      tips: [
        { value: 'true', label: '默认值' },
        { value: '1', label: '' }
      ]
    },
    'inactive-value': {
      name: '关闭时对应的值',
      tips: [
        { value: 'false', label: '默认值' },
        { value: '0', label: '' }
      ]
    },
    '@change': {
      name: '开关状态切换时触发',
      tips: [{ value: 'changeSwitch', label: '返回当前Switch对应的value' }]
    },
    '@click': {
      name: '点击时触发(v2.2.11+)',
      tips: [{ value: 'blurStepper', label: '返回事件 Event' }]
    }
  },
  'van-uploader': {
    'v-model': {
      name: '已上传的文件列表',
      tips: [{ value: 'FileListItem[]', label: '' }]
    },
    'fileList': {
      name: '已上传的文件列表',
      tips: [{ value: 'FileListItem[]', label: '' }]
    },
    'accept': {
      name: '允许上传的文件类型',
      tips: [
        { value: 'image/*', label: '默认值' },
        { value: '.doc,.docx', label: '参考地址：https://developer.mozilla.org/zh-CN/docs/Web/HTML/Element/Input/file#%E9%99%90%E5%88%B6%E5%85%81%E8%AE%B8%E7%9A%84%E6%96%87%E4%BB%B6%E7%B1%BB%E5%9E%8B' }
      ]
    },
    'name': {
      name: '标识符，可以在回调函数的第二项参数中获取(v2.0.3+)',
      tips: [{ value: 'name', label: '' }]
    },
    'preview-size': {
      name: '预览图和上传区域的尺寸，默认单位为px',
      tips: [{ value: '80px', label: '默认值' }]
    },
    'preview-image': {
      name: '是否在上传完成后展示预览图',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'preview-full-image': {
      name: '是否在点击预览图后展示全屏图片预览(v2.1.5+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'preview-options': {
      name: '全屏图片预览的配置项，可选值见 ImagePreview(v2.9.3+)',
      tips: [{ value: '{}', label: '参考地址：https://youzan.github.io/vant/#/zh-CN/image-preview' }]
    },
    'multiple': {
      name: '是否开启图片多选，部分安卓机型不支持',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'disabled': {
      name: '是否禁用文件上传',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'deletable': {
      name: '是否展示删除按钮(v2.2.12+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'show-upload': {
      name: '是否展示上传区域(v2.5.6+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'lazy-load': {
      name: '是否开启图片懒加载，须配合 Lazyload 组件使用(v2.6.2+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'capture': {
      name: '图片选取模式',
      tips: [{ value: 'camera', label: '直接调起摄像' }]
    },
    'after-read': {
      name: '文件读取完成后的回调函数',
      tips: [{ value: 'afterRead', label: 'Function(file对象,detail额外信息，包含 name 和 index 字段)' }]
    },
    'before-read': {
      name: '文件读取前的回调函数，返回 false 可终止文件读取，支持返回Promise',
      tips: [{ value: 'beforeRead', label: 'Function(file对象,detail额外信息，包含 name 和 index 字段)' }]
    },
    'before-delete': {
      name: '文件删除前的回调函数，返回 false 可终止文件删除，支持返回Promise',
      tips: [{ value: 'beforeDelete', label: 'Function(file对象,detail额外信息，包含 name 和 index 字段)' }]
    },
    'max-size': {
      name: '文件大小限制，单位为 byte',
      tips: [
        { value: '2 * 1024', label: '2M' },
        { value: '5 * 1024', label: '5M' },
        { value: '10 * 1024', label: '10M' }
      ]
    },
    'max-count': {
      name: '文件上传数量限制',
      tips: [{ value: '3', label: '3张图' }]
    },
    'result-type': {
      name: '文件读取结果类型(v2.2.7+)',
      tips: [
        { value: 'dataUrl', label: '包含 File 对象，以及文件对应的 base64 编码，默认值' },
        { value: 'file', label: '仅包含 File 对象' },
        { value: 'text', label: '包含 File 对象，以及文件的文本内容' }
      ]
    },
    'upload-text': {
      name: '上传区域文字提示',
      tips: [{ value: '选择图片', label: '' }]
    },
    'image-fit': {
      name: '预览图裁剪模式，可选值见 Image 组件(v2.1.5+)',
      tips: [{ value: 'cover', label: '默认值' }]
    },
    'upload-icon': {
      name: '上传区域图标名称或图片链接(v2.5.4+)',
      tips: [{ value: 'photograph', label: '默认值' }]
    },
    '@oversize': {
      name: '文件大小超过限制时触发',
      tips: [{ value: 'oversizeUpload', label: 'Function(file对象,detail额外信息，包含 name 和 index 字段)' }]
    },
    '@click-preview': {
      name: '点击预览图时触发',
      tips: [{ value: 'clickPreviewUpload', label: 'Function(file对象,detail额外信息，包含 name 和 index 字段)' }]
    },
    '@close-preview': {
      name: '关闭全屏图片预览时触发',
      tips: [{ value: 'closePreviewUpload', label: '' }]
    },
    '@delete': {
      name: '删除文件预览时触发',
      tips: [{ value: 'deleteUpload', label: 'Function(file对象,detail额外信息，包含 name 和 index 字段)' }]
    }
  },
  'van-action-sheet': {
    'v-model': {
      name: '是否显示动作面板',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'value': {
      name: '是否显示动作面板',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'actions': {
      name: '面板选项列表',
      tips: [{ value: '[]', label: '默认值，参考地址：https://youzan.github.io/vant/#/zh-CN/action-sheet' }]
    },
    'title': {
      name: '顶部标题',
      tips: [{ value: '标题', label: '' }]
    },
    'cancel-text': {
      name: '取消按钮文字',
      tips: [{ value: '取消', label: '' }]
    },
    'description': {
      name: '选项上方的描述信息(v2.2.8+)',
      tips: [{ value: '描述信息', label: '' }]
    },
    'close-icon': {
      name: '关闭图标名称或图片链接(v2.2.13+)',
      tips: [
        { value: 'cross', label: '默认值' },
        { value: 'https://b.yzcdn.cn/vant/icon-demo-1126.png', label: '图片链接' }
      ]
    },
    'duration': {
      name: '动画时长，单位秒(v2.0.3+)',
      tips: [
        { value: '0.3', label: '默认值' },
        { value: '1', label: '' }
      ]
    },
    'round': {
      name: '是否显示圆角(v2.0.9+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'overlay': {
      name: '是否显示遮罩层',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'lock-scroll': {
      name: '是否锁定背景滚动',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'lazy-render': {
      name: '是否在显示弹层时才渲染节点',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'close-on-popstate': {
      name: '是否在页面回退时自动关闭(v2.5.3+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'close-on-click-action': {
      name: '是否在点击选项后关闭',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'close-on-click-overlay': {
      name: '是否在点击遮罩层后关闭',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'safe-area-inset-bottom': {
      name: '是否开启底部安全区适配',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'get-container': {
      name: '指定挂载的节点，使用 get-container 属性的组件不能为根节点',
      tips: [
        { value: 'body', label: '' },
        { value: '#app', label: '' },
        { value: 'function', label: 'string | () => Element' }
      ]
    },
    '@select': {
      name: '点击选项时触发，禁用或加载状态下不会触发',
      tips: [{ value: 'selectActionSheet', label: '返回 action，index' }]
    },
    '@cancel': {
      name: '点击取消按钮时触发',
      tips: [{ value: 'cancelActionSheet', label: '' }]
    },
    '@open': {
      name: '打开面板时触发',
      tips: [{ value: 'openActionSheet', label: '' }]
    },
    '@close': {
      name: '关闭面板时触发',
      tips: [{ value: 'closeActionSheet', label: '' }]
    },
    '@opened': {
      name: '打开面板且动画结束后触发',
      tips: [{ value: 'openedActionSheet', label: '' }]
    },
    '@closed': {
      name: '关闭面板且动画结束后触发',
      tips: [{ value: 'closedActionSheet', label: '' }]
    },
    '@click-overlay': {
      name: '点击遮罩层时触发',
      tips: [{ value: 'clickOverlayActionSheet', label: '' }]
    }
  },
  'van-dialog': {
    'v-model': {
      name: '是否显示弹窗',
      tips: [{ value: 'false', label: '否' }, { value: 'true', label: '是' }]
    },
    'title': {
      name: '标题',
      tips: [{ value: '标题', label: '' }]
    },
    'width': {
      name: '弹窗宽度，默认单位为px(v2.2.7+)',
      tips: [{ value: '320px', label: '默认值' }]
    },
    'message': {
      name: '文本内容，支持通过"\n"换行',
      tips: [{ value: '内容', label: '' }]
    },
    'message-align': {
      name: '内容对齐方式',
      tips: [
        { value: 'center', label: '默认值' },
        { value: 'left', label: '' },
        { value: 'right', label: '' }
      ]
    },
    'theme': {
      name: '样式风格',
      tips: [
        { value: 'default', label: '默认值' },
        { value: 'round', label: '' }
      ]
    },
    'show-confirm-button': {
      name: '是否展示确认按钮',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'show-cancel-button': {
      name: '是否展示取消按钮',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'confirm-button-text': {
      name: '确认按钮文案',
      tips: [{ value: '确认', label: '默认值' }]
    },
    'confirm-button-color': {
      name: '确认按钮颜色',
      tips: [{ value: '#ee0a24', label: '默认值' }]
    },
    'cancel-button-text': {
      name: '取消按钮文案',
      tips: [{ value: '取消', label: '默认值' }]
    },
    'cancel-button-color': {
      name: '取消按钮颜色',
      tips: [{ value: 'black', label: '默认值' }]
    },
    'overlay': {
      name: '是否展示遮罩层',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'overlay-class': {
      name: '自定义遮罩层类名(v2.2.7+)',
      tips: [{ value: 'class_name', label: '自定义class名称' }]
    },
    'overlay-style': {
      name: '自定义遮罩层样式(v2.2.7+)',
      tips: [{ value: '{}', label: '自定义style' }]
    },
    'close-on-popstate': {
      name: '是否在页面回退时自动关闭(v2.0.5+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'close-on-click-overlay': {
      name: '是否在点击遮罩层后关闭弹窗',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'lazy-render': {
      name: '是否在显示弹层时才渲染节点',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'lock-scroll': {
      name: '是否锁定背景滚动',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'allow-html': {
      name: '是否允许 message 内容中渲染 HTML(v2.8.7+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'before-close': {
      name: '关闭前的回调函数，调用 done() 后关闭弹窗，调用 done(false) 阻止弹窗关闭',
      tips: [{ value: 'beforeCloseDialog', label: '(action, done) => void' }]
    },
    'transition': {
      name: '动画类名，等价于 transtion 的name属性(v2.2.6+)',
      tips: [{ value: 'fade', label: '' }]
    },
    'get-container': {
      name: '指定挂载的节点，使用 get-container 属性的组件不能为根节点',
      tips: [
        { value: 'body', label: '' },
        { value: '#app', label: '' },
        { value: 'function', label: 'string | () => Element' }
      ]
    },
    '@confirm': {
      name: '点击确认按钮时触发',
      tips: [{ value: 'confirmDialog', label: '' }]
    },
    '@cancel': {
      name: '点击取消按钮时触发',
      tips: [{ value: 'cancelDialog', label: '' }]
    },
    '@open': {
      name: '打开弹窗时触发',
      tips: [{ value: 'openDialog', label: '' }]
    },
    '@close': {
      name: '关闭弹窗时触发',
      tips: [{ value: 'closeDialog', label: '' }]
    },
    '@opened': {
      name: '打开弹窗且动画结束后触发',
      tips: [{ value: 'openedDialog', label: '' }]
    },
    '@closed': {
      name: '关闭弹窗且动画结束后触发',
      tips: [{ value: 'closedDialog', label: '' }]
    }
  },
  'van-dropdown-menu': {
    'active-color': {
      name: '菜单标题和选项的选中态颜色',
      tips: [{ value: '#ee0a24', label: '默认值' }]
    },
    'direction': {
      name: '菜单展开方向(v2.0.1+)',
      tips: [
        { value: 'down', label: '默认值' },
        { value: 'up', label: '' }
      ]
    },
    'z-index': {
      name: '菜单栏 z-index 层级',
      tips: [{ value: '10', label: '默认值' }]
    },
    'duration': {
      name: '动画时长，单位秒',
      tips: [{ value: '0.2', label: '默认值' }]
    },
    'overlay': {
      name: '是否显示遮罩层',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'close-on-click-overlay': {
      name: '是否在点击遮罩层后关闭菜单',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'close-on-click-outside': {
      name: '是否在点击外部元素后关闭菜单(v2.0.7+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    }
  },
  'van-dropdown-menu-item': {
    'value': {
      name: '当前选中项对应的 value，可以通过v-model双向绑定',
      tips: [{ value: '内容', label: '' }]
    },
    'title': {
      name: '菜单项标题',
      tips: [{ value: '当前选中项文字', label: '默认值' }]
    },
    'options': {
      name: '选项数组',
      tips: [{ value: '[]', label: 'Option[]，默认值' }]
    },
    'disabled': {
      name: '是否禁用菜单',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'lazy-render': {
      name: '是否在首次展开时才渲染菜单内容(v2.8.5+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'title-class': {
      name: '标题额外类名',
      tips: [{ value: 'class_name', label: '自定义class名称' }]
    },
    'get-container': {
      name: '指定挂载的节点，使用 get-container 属性的组件不能为根节点(v2.2.4+)',
      tips: [
        { value: 'body', label: '' },
        { value: '#app', label: '' },
        { value: 'function', label: 'string | () => Element' }
      ]
    },
    '@change': {
      name: '点击选项导致 value 变化时触发',
      tips: [{ value: 'changeDropdownItem', label: '返回当前 value' }]
    },
    '@open': {
      name: '打开菜单栏时触发',
      tips: [{ value: 'openDropdownItem', label: '' }]
    },
    '@close': {
      name: '关闭菜单栏时触发',
      tips: [{ value: 'closeDropdownItem', label: '' }]
    },
    '@opened': {
      name: '打开菜单栏且动画结束后触发',
      tips: [{ value: 'openedDropdownItem', label: '' }]
    },
    '@closed': {
      name: '关闭菜单栏且动画结束后触发',
      tips: [{ value: 'closedDropdownItem', label: '' }]
    }
  },
  'van-loading': {
    'color': {
      name: '颜色',
      tips: [{ value: '#c9c9c9', label: '默认值' }]
    },
    'type': {
      name: '类型',
      tips: [
        { value: 'circular', label: '默认值' },
        { value: 'spinner', label: '' }
      ]
    },
    'size': {
      name: '加载图标大小，默认单位为px',
      tips: [{ value: '30px', label: '默认值' }]
    },
    'text-size': {
      name: '文字大小，默认单位为px',
      tips: [{ value: '14px', label: '默认值' }]
    },
    'vertical': {
      name: '是否垂直排列图标和文字内容',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    }
  },
  'van-overlay': {
    'show': {
      name: '是否展示遮罩层',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'z-index': {
      name: 'z-index 层级',
      tips: [{ value: '1', label: '默认值' }]
    },
    'duration': {
      name: '动画时长，单位秒',
      tips: [{ value: '0.3', label: '默认值' }]
    },
    'class-name': {
      name: '自定义类名',
      tips: [{ value: 'class_name', label: '自定义class名称' }]
    },
    'custom-style': {
      name: '自定义样式(v2.2.5+)',
      tips: [{ value: '{}', label: '自定义style' }]
    },
    'lock-scroll': {
      name: '是否锁定背景滚动，锁定时蒙层里的内容也将无法滚动(v2.6.2+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    }
  },
  'van-pull-refresh': {
    'v-model': {
      name: '是否处于加载中状态',
      tips: [{ value: 'false', label: '否' }, { value: 'true', label: '是' }]
    },
    'pulling-text': {
      name: '下拉过程提示文案',
      tips: [{ value: '下拉即可刷新...', label: '默认值' }]
    },
    'loosing-text': {
      name: '释放过程提示文案',
      tips: [{ value: '释放即可刷新...', label: '默认值' }]
    },
    'loading-text': {
      name: '加载过程提示文案',
      tips: [{ value: '加载中...', label: '默认值' }]
    },
    'success-text': {
      name: '刷新成功提示文案',
      tips: [{ value: '刷新成功', label: '' }]
    },
    'success-duration': {
      name: '刷新成功提示展示时长(ms)',
      tips: [{ value: '500', label: '默认值' }]
    },
    'animation-duration': {
      name: '动画时长',
      tips: [{ value: '300', label: '默认值' }]
    },
    'head-height': {
      name: '顶部内容高度(v2.4.2+)',
      tips: [{ value: '50', label: '默认值' }]
    },
    'disabled': {
      name: '是否禁用下拉刷新',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@refresh': {
      name: '下拉刷新时触发',
      tips: [{ value: 'pullRefresh', label: '' }]
    }
  },
  'van-share-sheet': {
    'options': {
      name: '分享选项',
      tips: [{ value: '[]', label: 'Option[]，默认值' }]
    },
    'title': {
      name: '顶部标题',
      tips: [{ value: '标题', label: '' }]
    },
    'cancel-text': {
      name: '取消按钮文字，传入空字符串可以隐藏按钮',
      tips: [{ value: '取消', label: '默认值' }]
    },
    'description': {
      name: '标题下方的辅助描述文字',
      tips: [{ value: '描述文字', label: '' }]
    },
    'duration': {
      name: '动画时长，单位秒',
      tips: [{ value: '0.3', label: '默认值' }]
    },
    'overlay': {
      name: '是否显示遮罩层',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'lock-scroll': {
      name: '是否锁定背景滚动',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'lazy-render': {
      name: '是否在显示弹层时才渲染内容',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'close-on-popstate': {
      name: '是否在页面回退时自动关闭',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'close-on-click-overlay': {
      name: '是否在点击遮罩层后关闭',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'safe-area-inset-bottom': {
      name: '是否开启底部安全区适配',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'get-container': {
      name: '指定挂载的节点，使用 get-container 属性的组件不能为根节点',
      tips: [
        { value: 'body', label: '' },
        { value: '#app', label: '' },
        { value: 'function', label: '' }
      ]
    },
    '@select': {
      name: '点击分享选项时触发',
      tips: [{ value: 'selectShareSheet', label: '返回 option，index' }]
    },
    '@cancel': {
      name: '点击取消按钮时触发',
      tips: [{ value: 'cancel', label: '' }]
    },
    '@click-overlay': {
      name: '点击遮罩层时触发(v2.9.1+)',
      tips: [{ value: 'clickOverlayShareSheet', label: '' }]
    }
  },
  'van-swipe-cell': {
    'name': {
      name: '标识符，可以在事件参数中获取到(v2.0.4+)',
      tips: [{ value: 'name', label: '' }]
    },
    'left-width': {
      name: '指定左侧滑动区域宽度，单位为px',
      tips: [{ value: 'auto', label: '默认值' }]
    },
    'right-width': {
      name: '指定右侧滑动区域宽度，单位为px',
      tips: [{ value: 'auto', label: '默认值' }]
    },
    'before-close': {
      name: '关闭前的回调函数(v2.3.0+)',
      tips: [{ value: 'beforeCloseSwipeCell', label: 'Function(name,position,instance)' }]
    },
    'disabled': {
      name: '是否显示遮罩层',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'stop-propagation': {
      name: '是否阻止滑动事件冒泡(v2.1.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@click': {
      name: '点击时触发',
      tips: [{ value: 'clickSwipeCell', label: '返回关闭时的点击位置 (left right cell outside)' }]
    },
    '@open': {
      name: '打开时触发',
      tips: [{ value: 'openSwipeCell', label: '返回 { position: "left" | "right" , name: string }' }]
    },
    '@close': {
      name: '关闭时触发',
      tips: [{ value: 'closeSwipeCell', label: '返回 { position: string , name: string }' }]
    }
  },
  'van-circle': {
    'v-model': {
      name: '当前进度',
      tips: [{ value: '0', label: '' }]
    },
    'rate': {
      name: '目标进度',
      tips: [{ value: '100', label: '默认值' }]
    },
    'size': {
      name: '圆环直径，默认单位为 px',
      tips: [{ value: '100px', label: '默认值' }]
    },
    'color': {
      name: '进度条颜色，传入对象格式可以定义渐变色(v2.1.4+)',
      tips: [
        { value: '#1989fa', label: '默认值' },
        { value: '{"0%": "#3fecff","100%": "#6149f6",}', label: '渐变色' }
      ]
    },
    'layer-color': {
      name: '轨道颜色',
      tips: [{ value: 'white', label: '默认值' }]
    },
    'fill': {
      name: '填充颜色',
      tips: [{ value: 'none', label: '默认值' }]
    },
    'speed': {
      name: '动画速度（单位为 rate/s）',
      tips: [{ value: '0', label: '默认值' }]
    },
    'text': {
      name: '文字',
      tips: [{ value: '进度', label: '' }]
    },
    'stroke-width': {
      name: '进度条宽度',
      tips: [{ value: '40', label: '' }]
    },
    'stroke-linecap': {
      name: '进度条端点的形状(v2.2.15+)',
      tips: [
        { value: 'round', label: '默认值' },
        { value: 'sqaure', label: '' },
        { value: 'butt', label: '' }
      ]
    },
    'clockwise': {
      name: '是否阻止滑动事件冒泡(v2.1.0+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    }
  },
  'van-collapse': {
    'v-model': {
      name: '当前展开面板的 name，手风琴模式number|string，非手风琴模式(number|string)[]',
      tips: [{ value: 'collapse_name', label: '' }]
    },
    'accordion': {
      name: '是否开启手风琴模式',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'border': {
      name: '是否显示外边框',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    '@change': {
      name: '切换面板时触发',
      tips: [{ value: 'changeCollapse', label: 'Function(activeNames)，类型与 v-model 绑定的值一致' }]
    }
  },
  'van-collapse-item': {
    'name': {
      name: '唯一标识符，默认为索引值',
      tips: [{ value: 'index', label: '默认值' }]
    },
    'icon': {
      name: '标题栏左侧图标名称或图片链接',
      tips: [
        { value: 'chat-o', label: '图标名称' },
        { value: 'https://b.yzcdn.cn/vant/icon-demo-1126.png', label: '图片链接' }
      ]
    },
    'size': {
      name: '标题栏大小',
      tips: [{ value: 'large', label: '' }]
    },
    'title': {
      name: '标题栏左侧内容',
      tips: [{ value: '标题栏左侧', label: '' }]
    },
    'value': {
      name: '标题栏右侧内容',
      tips: [{ value: '标题栏右侧', label: '' }]
    },
    'label': {
      name: '标题栏描述信息',
      tips: [{ value: '描述信息', label: '' }]
    },
    'border': {
      name: '是否显示内边框',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'is-link': {
      name: '是否展示标题栏右侧箭头并开启点击反馈',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'disabled': {
      name: '是否禁用面板',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'title-class': {
      name: '左侧标题额外类名',
      tips: [{ value: 'class_name', label: '自定义class名称' }]
    },
    'value-class': {
      name: '右侧内容额外类名',
      tips: [{ value: 'class_name', label: '自定义class名称' }]
    },
    'label-class': {
      name: '描述信息额外类名',
      tips: [{ value: 'class_name', label: '自定义class名称' }]
    }
  },
  'van-count-down': {
    'time': {
      name: '倒计时时长，单位毫秒',
      tips: [{ value: '0', label: '默认值' }]
    },
    'format': {
      name: '时间格式',
      tips: [
        { value: 'HH:mm:ss', label: '默认值' },
        { value: 'DD HH:mm:ss', label: '格式参考：https://youzan.github.io/vant/#/zh-CN/count-down' }
      ]
    },
    'auto-start': {
      name: '是否自动开始倒计时',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'millisecond': {
      name: '是否开启毫秒级渲染',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@finish': {
      name: '倒计时结束时触发',
      tips: [{ value: 'finishCountDown', label: '' }]
    },
    '@change': {
      name: '倒计时变化时触发(v2.4.4+)',
      tips: [{ value: 'changeCountDown', label: '返回 timeData' }]
    }
  },
  'van-divider': {
    'dashed': {
      name: '是否使用虚线',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'hairline': {
      name: '是否使用 0.5px 线',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'content-position': {
      name: '内容位置',
      tips: [
        { value: 'center', label: '默认值' },
        { value: 'left', label: '' },
        { value: 'right', label: '' }
      ]
    }
  },
  'van-empty': {
    'image': {
      name: '图片类型',
      tips: [
        { value: 'default', label: '默认值' },
        { value: 'error', label: '' },
        { value: 'network', label: '' },
        { value: 'search', label: '' },
        { value: 'http://xxx.com', label: '图片 URL' }
      ]
    },
    'description': {
      name: '图片下方的描述文字',
      tips: [{ value: '描述文字', label: '' }]
    }
  },
  'van-image-preview': {
    'images': {
      name: '需要预览的图片 URL 数组',
      tips: [{ value: '[]', label: '默认值' }]
    },
    'start-position': {
      name: '图片预览起始位置索引',
      tips: [{ value: '0', label: '默认值' }]
    },
    'swipe-duration': {
      name: '动画时长，单位为 ms',
      tips: [{ value: '500', label: '默认值' }]
    },
    'show-index': {
      name: '是否显示页码',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'show-indicators': {
      name: '是否显示轮播指示器',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'loop': {
      name: '是否开启循环播放',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'async-close': {
      name: '是否开启异步关闭',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'close-on-popstate': {
      name: '是否在页面回退时自动关闭	',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'class-name': {
      name: '自定义类名',
      tips: [{ value: 'class_name', label: '自定义class名称' }]
    },
    'max-zoom': {
      name: '手势缩放时，最大缩放比例',
      tips: [{ value: '3', label: '默认值' }]
    },
    'min-zoom': {
      name: '手势缩放时，最小缩放比例',
      tips: [{ value: '1/3', label: '默认值' }]
    },
    'closeable': {
      name: '是否显示关闭图标(v2.5.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'close-icon': {
      name: '关闭图标名称或图片链接(v2.5.0+)',
      tips: [{ value: 'clear', label: '默认值' }]
    },
    'close-icon-position': {
      name: '关闭图标位置(v2.5.0+)',
      tips: [
        { value: 'top-right', label: '默认值' },
        { value: 'top-left', label: '' },
        { value: 'bottom-right', label: '' },
        { value: 'bottom-left', label: '' }
      ]
    },
    'get-container': {
      name: '指定挂载的节点，使用 get-container 属性的组件不能为根节点',
      tips: [
        { value: 'body', label: '' },
        { value: '#app', label: '' },
        { value: 'function', label: '' }
      ]
    },
    '@close': {
      name: '关闭时触发',
      tips: [{ value: 'closeImagePreview', label: '返回 { index: 索引, url: 图片链接 }' }]
    },
    '@closed': {
      name: '关闭且且动画结束后触发(v2.5.6+)',
      tips: [{ value: 'closedImagePreview', label: '' }]
    },
    '@change': {
      name: '切换当前图片时触发',
      tips: [{ value: 'changeImagePreview', label: '返回当前图片的索引 index' }]
    },
    '@scale': {
      name: '缩放当前图片时触发(v2.5.0+)',
      tips: [{ value: 'changeImagePreview', label: '返回当前图片的索引index，当前缩放的值scale' }]
    },
    '@swipeTo': {
      name: '切换到指定位置(v2.9.0+)',
      tips: [{ value: 'swipeToImagePreview', label: '返回 Index，Options' }]
    }
  },
  'van-list': {
    'v-model': {
      name: '是否处于加载状态，加载过程中不触发load事件',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'finished': {
      name: '是否已加载完成，加载完成后不再触发load事件',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'error': {
      name: '是否加载失败，加载失败后点击错误提示可以重新触发load事件，必须使用sync修饰符',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'offset': {
      name: '滚动条与底部距离小于 offset 时触发load事件',
      tips: [{ value: '300', label: '默认值' }]
    },
    'loading-text': {
      name: '加载过程中的提示文案',
      tips: [{ value: '加载中...', label: '默认值' }]
    },
    'finished-text': {
      name: '加载完成后的提示文案',
      tips: [{ value: '加载完成', label: '' }]
    },
    'error-text': {
      name: '加载失败后的提示文案',
      tips: [{ value: '加载失败', label: '' }]
    },
    'immediate-check': {
      name: '是否在初始化时立即执行滚动位置检查',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'direction': {
      name: '滚动触发加载的方向',
      tips: [
        { value: 'down', label: '默认值' },
        { value: 'up', label: '' }
      ]
    },
    '@load': {
      name: '滚动条与底部距离小于 offset 时触发',
      tips: [{ value: 'loadListData', label: '' }]
    }
  },
  'van-notice-bar': {
    'mode': {
      name: '通知栏模式',
      tips: [
        { value: 'link', label: '链接模式' },
        { value: 'closeable', label: '可关闭模式' }
      ]
    },
    'text': {
      name: '通知文本内容',
      tips: [{ value: '通知文本', label: '' }]
    },
    'color': {
      name: '通知文本颜色',
      tips: [{ value: '#f60', label: '默认值' }]
    },
    'background': {
      name: '滚动条背景',
      tips: [{ value: '#fff7cc', label: '默认值' }]
    },
    'left-icon': {
      name: '左侧图标名称或图片链接',
      tips: [
        { value: 'chat-o', label: '图标名称' },
        { value: 'https://b.yzcdn.cn/vant/icon-demo-1126.png', label: '图片链接' }
      ]
    },
    'delay': {
      name: '动画延迟时间 (s)',
      tips: [{ value: '1', label: '默认值' }]
    },
    'speed': {
      name: '滚动速率 (px/s)',
      tips: [{ value: '50', label: '默认值' }]
    },
    'scrollable': {
      name: '是否开启滚动播放，内容长度溢出时默认开启',
      tips: [{ value: 'true', label: '长度溢出时默认值' }, { value: 'false', label: '否' }]
    },
    'wrapable': {
      name: '是否开启文本换行，只在禁用滚动时生效',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@click': {
      name: '点击通知栏时触发',
      tips: [{ value: 'clickNoticeBar', label: '返回事件 Event' }]
    },
    '@close': {
      name: '关闭通知栏时触发',
      tips: [{ value: 'closeNoticeBar', label: '返回事件 Event' }]
    },
    '@replay': {
      name: '每当滚动栏重新开始滚动时触发(v2.6.2+)',
      tips: [{ value: 'replayNoticeBar', label: '' }]
    }
  },
  'van-progress': {
    'percentage': {
      name: '进度百分比',
      tips: [{ value: '0', label: '默认值' }]
    },
    'stroke-width': {
      name: '度条粗细，默认单位为px(v2.2.1+)',
      tips: [{ value: '4px', label: '默认值' }]
    },
    'color': {
      name: '进度条颜色',
      tips: [{ value: '#1989fa', label: '默认值' }]
    },
    'track-color': {
      name: '轨道颜色(v2.2.9+)',
      tips: [{ value: '#e5e5e5', label: '默认值' }]
    },
    'pivot-text': {
      name: '进度文字内容',
      tips: [{ value: '0%', label: '默认值当前百分比' }]
    },
    'pivot-color': {
      name: '进度文字背景色',
      tips: [{ value: '#1989fa', label: '与 color 属性相同' }]
    },
    'text-color': {
      name: '进度文字颜色',
      tips: [{ value: 'white', label: '默认值' }]
    },
    'inactive': {
      name: '是否置灰',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'show-pivot': {
      name: '是否显示进度文字',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    }
  },
  'van-skeleton': {
    'row': {
      name: '段落占位图行数',
      tips: [{ value: '0', label: '默认值' }]
    },
    'row-width': {
      name: '段落占位图宽度，可传数组来设置每一行的宽度',
      tips: [
        { value: '100%', label: '默认值' },
        { value: '[80%,90%,100%]', label: '' }
      ]
    },
    'title': {
      name: '是否显示标题占位图',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'avatar': {
      name: '是否显示头像占位图',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'loading': {
      name: '是否显示骨架屏，传 false 时会展示子组件内容',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'animate': {
      name: '是否开启动画',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'round': {
      name: '是否将标题和段落显示为圆角风格(v2.8.5+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'title-width': {
      name: '标题占位图宽度',
      tips: [{ value: '40%', label: '默认值' }]
    },
    'avatar-size': {
      name: '头像占位图大小',
      tips: [{ value: '32px', label: '默认值' }]
    },
    'avatar-shape': {
      name: '头像占位图形状',
      tips: [
        { value: 'round', label: '默认值' },
        { value: 'square', label: '' }
      ]
    }
  },
  'van-steps': {
    'active': {
      name: '当前步骤',
      tips: [{ value: '0', label: '默认值' }]
    },
    'direction': {
      name: '显示方向',
      tips: [
        { value: 'horizontal', label: '默认值' },
        { value: 'vertical', label: '' }
      ]
    },
    'active-color': {
      name: '激活状态颜色',
      tips: [{ value: '#07c160', label: '默认值' }]
    },
    'inactive-color': {
      name: '未激活状态颜色(v2.9.1+)',
      tips: [{ value: '#969799', label: '默认值' }]
    },
    'active-icon': {
      name: '激活状态底部图标，可选值见 Icon 组件',
      tips: [
        { value: 'checked', label: '默认值' },
        { value: 'https://b.yzcdn.cn/vant/icon-demo-1126.png', label: '图片链接' }
      ]
    },
    'inactive-icon': {
      name: '激活状态底部图标，可选值见 Icon 组件',
      tips: [
        { value: 'checked', label: '' },
        { value: 'https://b.yzcdn.cn/vant/icon-demo-1126.png', label: '图片链接' }
      ]
    },
    '@click-step': {
      name: '点击步骤的标题或图标时触发(v2.5.9+)',
      tips: [{ value: 'clickStep', label: '返回 index' }]
    }
  },
  'van-sticky': {
    'offset-top': {
      name: '吸顶时与顶部的距离，支持 px vw rem 单位，默认 px(v2.8.7+)',
      tips: [{ value: '0', label: '默认值' }]
    },
    'z-index': {
      name: '吸顶时的 z-index',
      tips: [{ value: '99', label: '默认值' }]
    },
    'container': {
      name: '容器对应的 HTML 节点',
      tips: [{ value: 'Element', label: 'Element' }]
    },
    '@scroll': {
      name: '滚动时触发',
      tips: [{ value: 'scrollSticky', label: '返回 { scrollTop: 距离顶部位置, isFixed: 是否吸顶 }' }]
    }
  },
  'van-swipe': {
    'autoplay': {
      name: '自动轮播间隔，单位为 ms',
      tips: [{ value: '1000', label: '' }]
    },
    'duration': {
      name: '动画时长，单位为 ms',
      tips: [{ value: '500', label: '默认值' }]
    },
    'initial-swipe': {
      name: '初始位置索引值',
      tips: [{ value: '0', label: '默认值' }]
    },
    'width': {
      name: '滑块宽度，单位为px',
      tips: [{ value: 'auto', label: '默认值' }]
    },
    'height': {
      name: '滑块高度，单位为px',
      tips: [{ value: 'auto', label: '默认值' }]
    },
    'loop': {
      name: '是否开启循环播放',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'show-indicators': {
      name: '是否显示指示器',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'vertical': {
      name: '是否为纵向滚动',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'touchable': {
      name: '是否可以通过手势滑动',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'stop-propagation': {
      name: '是否阻止滑动事件冒泡(v2.2.13+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'lazy-render': {
      name: '是否延迟渲染未展示的轮播(v2.5.8+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'indicator-color': {
      name: '指示器颜色',
      tips: [{ value: '#1989fa', label: '默认值' }]
    },
    '@change': {
      name: '每一页轮播结束后触发',
      tips: [{ value: 'changeSwipe', label: '返回当前页的索引 index' }]
    }
  },
  'van-tag': {
    'type': {
      name: '类型',
      tips: [
        { value: 'default', label: '默认值' },
        { value: 'primary', label: '' },
        { value: 'success', label: '' },
        { value: 'danger', label: '' },
        { value: 'warning', label: '' }
      ]
    },
    'size': {
      name: '大小',
      tips: [
        { value: 'large', label: '' },
        { value: 'medium', label: '' }
      ]
    },
    'color': {
      name: '标签颜色',
      tips: [{ value: '#ffe1e1', label: '' }]
    },
    'plain': {
      name: '初始位置索引值',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'round': {
      name: '是否为圆角样式',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'mark': {
      name: '是否为标记样式',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'text-color': {
      name: '文本颜色，优先级高于color属性',
      tips: [{ value: 'white', label: '默认值' }]
    },
    'closeable': {
      name: '是否为可关闭标签(v2.2.9+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@click': {
      name: '点击时触发',
      tips: [{ value: 'clickTag', label: '返回事件 Event' }]
    },
    '@close': {
      name: '每一页轮播结束后触发',
      tips: [{ value: 'closeTag', label: '' }]
    }
  },
  'van-grid': {
    'column-num': {
      name: '列数(v2.0.4+)',
      tips: [
        { value: '4', label: '默认值' },
        { value: '6', label: '' },
        { value: '12', label: '' }
      ]
    },
    'icon-size': {
      name: '图标大小，默认单位为px(v2.2.6+)',
      tips: [{ value: '28px', label: '默认值' }]
    },
    'gutter': {
      name: '格子之间的间距，默认单位为px',
      tips: [
        { value: '0', label: '默认值' },
        { value: '16', label: '' },
        { value: '20', label: '' }
      ]
    },
    'border': {
      name: '是否显示边框',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'center': {
      name: '是否将格子内容居中显示',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'square': {
      name: '是否将格子固定为正方形',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'clickable': {
      name: '是否开启格子点击反馈',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'direction': {
      name: '格子内容排列的方向(v2.8.2+)',
      tips: [
        { value: 'vertical', label: '默认值' },
        { value: 'horizontal', label: '' }
      ]
    }
  },
  'van-grid-item': {
    'text': {
      name: '文字',
      tips: [{ value: '文字', label: '' }]
    },
    'icon': {
      name: '图标名称或图片链接',
      tips: [
        { value: 'chat-o', label: '图标名称' },
        { value: 'https://b.yzcdn.cn/vant/icon-demo-1126.png', label: '图片链接' }
      ]
    },
    'icon-prefix': {
      name: '图标类名前缀，同 Icon 组件的 class-prefix 属性(v2.5.3+)',
      tips: [{ value: 'van-icon', label: '默认值' }]
    },
    'dot': {
      name: '是否显示图标右上角小红点(v2.2.1+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'badge': {
      name: '图标右上角徽标的内容(v2.5.6+)',
      tips: [
        { value: '1', label: '' },
        { value: '9+', label: '' },
        { value: 'new', label: '' }
      ]
    },
    'url': {
      name: '点击后跳转的链接地址',
      tips: [{ value: 'http://xxx.com', label: '' }]
    },
    'to': {
      name: '点击后跳转的目标路由对象，同 vue-router 的 to 属性',
      tips: [
        { value: 'http://xxx.com', label: '' },
        { value: '{}', label: 'Route对象' }
      ]
    },
    'replace': {
      name: '是否在跳转时替换当前页面历史',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@click': {
      name: '点击格子时触发',
      tips: [{ value: 'clickGridItem', label: '返回事件 Event' }]
    }
  },
  'van-index-bar': {
    'index-list': {
      name: '索引字符列表，string[] | number[]类型',
      tips: [{ value: 'A-Z', label: '默认值' }]
    },
    'z-index': {
      name: 'z-index 层级',
      tips: [{ value: '1', label: '默认值' }]
    },
    'sticky': {
      name: '是否开启锚点自动吸顶',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'sticky-offset-top': {
      name: '锚点自动吸顶时与顶部的距离(v2.0.7+)',
      tips: [{ value: '0', label: '默认值' }]
    },
    'highlight-color': {
      name: '索引字符高亮颜色',
      tips: [{ value: '#07c160', label: '默认值' }]
    },
    '@select': {
      name: '选中字符时触发',
      tips: [{ value: 'selectIndexBar', label: '返回索引字符 index' }]
    }
  },
  'van-index-anchor': {
    'index': {
      name: '索引字符',
      tips: [{ value: 'a', label: '' }, { value: '1', label: '' }]
    }
  },
  'van-nav-bar': {
    'title': {
      name: '标题',
      tips: [{ value: '标题', label: '' }]
    },
    'left-text': {
      name: '左侧文案，可通过插槽自定义导航栏两侧的内容',
      tips: [
        { value: '', label: '默认值' },
        { value: '后退', label: '' },
        { value: '返回', label: '' }
      ]
    },
    'right-text': {
      name: '右侧文案，可通过插槽自定义导航栏两侧的内容',
      tips: [
        { value: '按钮', label: '' },
        { value: '确认', label: '' }
      ]
    },
    'left-arrow': {
      name: '是否显示左侧箭头',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'border': {
      name: '是否显示下边框',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'fixed': {
      name: '是否固定在顶部',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'placeholder': {
      name: '固定在顶部时，是否在标签位置生成一个等高的占位元素(v2.5.9+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'z-index': {
      name: '元素 z-index',
      tips: [{ value: '1', label: '默认值' }]
    },
    '@click-left': {
      name: '点击左侧按钮时触发',
      tips: [{ value: 'clickLeftNavbar', label: '' }]
    },
    '@click-right': {
      name: '点击右侧按钮时触发',
      tips: [{ value: 'clickRightNavbar', label: '' }]
    }
  },
  'van-pagination': {
    'v-model': {
      name: '当前页码',
      tips: [{ value: '1', label: '' }]
    },
    'mode': {
      name: '显示模式',
      tips: [
        { value: 'multi', label: '默认值' },
        { value: 'simple', label: '' }
      ]
    },
    'prev-text': {
      name: '上一页按钮文字',
      tips: [{ value: '上一页', label: '默认值' }]
    },
    'next-text': {
      name: '下一页按钮文字',
      tips: [{ value: '下一页', label: '默认值' }]
    },
    'page-count': {
      name: '总页数，根据总记录数计算',
      tips: [{ value: '', label: '' }]
    },
    'total-items': {
      name: '总记录数',
      tips: [{ value: '0', label: '默认值' }]
    },
    'items-per-page': {
      name: '每页记录数',
      tips: [{ value: '10', label: '默认值' }]
    },
    'show-page-size': {
      name: '显示的页码个数',
      tips: [{ value: '5', label: '默认值' }]
    },
    'force-ellipses': {
      name: '是否显示省略号',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@change': {
      name: '页码改变时触发',
      tips: [{ value: 'changePagination', label: '' }]
    }
  },
  'van-sidebar': {
    'v-model': {
      name: '当前导航项的索引(v2.0.4+)',
      tips: [{ value: '0', label: '默认值' }]
    },
    '@change': {
      name: '切换导航项时触发',
      tips: [{ value: 'changeSidebar', label: '返回当前导航项的索引 index' }]
    }
  },
  'van-sidebar-item': {
    'title': {
      name: '内容',
      tips: [{ value: '内容', label: '' }]
    },
    'dot': {
      name: '是否显示右上角小红点(v2.2.1+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'badge': {
      name: '图标右上角徽标的内容(v2.5.6+)',
      tips: [
        { value: 'new', label: 'string' },
        { value: '1', label: 'number' }
      ]
    },
    'disabled': {
      name: '是否禁用该项(v2.2.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'url': {
      name: '点击后跳转的链接地址',
      tips: [{ value: 'http://xxx.com', label: '' }]
    },
    'to': {
      name: '点击后跳转的目标路由对象，同 vue-router 的 to 属性(v2.0.4+)',
      tips: [
        { value: 'http://xxx.com', label: '' },
        { value: '{}', label: 'Route对象' }
      ]
    },
    'replace': {
      name: '是否在跳转时替换当前页面历史',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@click': {
      name: '点击时触发',
      tips: [{ value: 'clickSidebar', label: '返回当前导航项的索引 index' }]
    }
  },
  'van-tabs': {
    'v-model': {
      name: '绑定当前选中标签的标识符',
      tips: [{ value: '0', label: '默认值' }]
    },
    'type': {
      name: '样式风格类型',
      tips: [
        { value: 'line', label: '默认值' },
        { value: 'card', label: '' }
      ]
    },
    'color': {
      name: '标签主题色',
      tips: [{ value: '#ee0a24', label: '默认值' }]
    },
    'background': {
      name: '标签栏背景色',
      tips: [{ value: 'white', label: '默认值' }]
    },
    'duration': {
      name: '动画时间，单位秒',
      tips: [{ value: '0.3', label: '默认值' }]
    },
    'line-width': {
      name: '底部条宽度，默认单位 px',
      tips: [{ value: '40px', label: '默认值' }]
    },
    'line-height': {
      name: '底部条高度，默认单位 px',
      tips: [{ value: '3px', label: '默认值' }]
    },
    'animated': {
      name: '是否开启切换标签内容时的转场动画',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'border': {
      name: '是否显示标签栏外边框，仅在 type="line" 时有效',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'ellipsis': {
      name: '是否省略过长的标题文字',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'sticky': {
      name: '是否使用粘性定位布局',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'lazy-render': {
      name: '是否开启延迟渲染（首次切换到标签时才触发内容渲染）',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'scrollspy': {
      name: '是否开启滚动导航(v2.3.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'offset-top': {
      name: '粘性定位布局下与顶部的最小距离，支持 px vw rem 单位，默认 px(v2.8.7+)',
      tips: [{ value: '0', label: '默认值' }]
    },
    'swipe-threshold': {
      name: '滚动阈值，标签数量超过阈值时开始横向滚动',
      tips: [{ value: '5', label: '默认值' }]
    },
    'title-active-color': {
      name: '标题选中态颜色',
      tips: [{ value: '#323233', label: '' }]
    },
    'title-inactive-color': {
      name: '标题默认态颜色',
      tips: [{ value: '#646566', label: '' }]
    },
    'before-change': {
      name: '切换标签前的回调函数，返回 false 可阻止切换，支持返回 Promise(v2.9.3+)',
      tips: [{ value: 'beforeChangeTabs', label: '(name) => boolean | Promise' }]
    },
    '@click': {
      name: '点击标签时触发',
      tips: [{ value: 'clickTabs', label: '返回 name：标识符，title：标题' }]
    },
    '@change': {
      name: '当前激活的标签改变时触发',
      tips: [{ value: 'changeTabs', label: '返回 name：标识符，title：标题' }]
    },
    '@disabled': {
      name: '点击被禁用的标签时触发',
      tips: [{ value: 'disabledTabs', label: '返回 name：标识符，title：标题' }]
    },
    '@rendered': {
      name: '标签内容首次渲染时触发（仅在开启延迟渲染后触发）(v2.3.0+)',
      tips: [{ value: 'renderedTabs', label: '返回 name：标识符，title：标题' }]
    },
    '@scroll': {
      name: '滚动时触发，仅在 sticky 模式下生效',
      tips: [{ value: 'scrollTabs', label: '返回 { scrollTop: 距离顶部位置, isFixed: 是否吸顶 }' }]
    }
  },
  'van-tab': {
    'title': {
      name: '标题',
      tips: [{ value: '标题', label: '' }]
    },
    'disabled': {
      name: '是否禁用标签',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'dot': {
      name: '是否在标题右上角显示小红点(v2.3.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'badge': {
      name: '图标右上角徽标的内容(v2.5.6+)',
      tips: [
        { value: 'new', label: 'string' },
        { value: '1', label: 'number' }
      ]
    },
    'name': {
      name: '标签名称，作为匹配的标识符，默认值标签的索引值(v2.0.6+)',
      tips: [
        { value: 'a', label: 'string' },
        { value: '1', label: 'number' }
      ]
    },
    'url': {
      name: '点击后跳转的链接地址(v2.2.1+)',
      tips: [{ value: 'http://xxx.com', label: '' }]
    },
    'to': {
      name: '点击后跳转的目标路由对象，同 vue-router 的 to 属性(v2.2.1+)',
      tips: [
        { value: 'http://xxx.com', label: '' },
        { value: '{}', label: 'Route对象' }
      ]
    },
    'replace': {
      name: '是否在跳转时替换当前页面历史(v2.2.1+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'title-style': {
      name: '自定义标题样式(v2.2.14+)',
      tips: [{ value: 'style', label: '' }]
    }
  },
  'van-tabbar': {
    'v-model': {
      name: '当前选中标签的名称或索引值',
      tips: [{ value: '0', label: '默认值' }]
    },
    'fixed': {
      name: '是否固定在底部',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'border': {
      name: '是否显示外边框',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'z-index': {
      name: '元素 z-index',
      tips: [{ value: '1', label: '默认值' }]
    },
    'active-color': {
      name: '选中标签的颜色',
      tips: [{ value: '#1989fa', label: '默认值' }]
    },
    'inactive-color': {
      name: '未选中标签的颜色',
      tips: [{ value: '#7d7e80', label: '默认值' }]
    },
    'route': {
      name: '是否开启路由模式',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'placeholder': {
      name: '固定在底部时，是否在标签位置生成一个等高的占位元素(v2.6.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'safe-area-inset-bottom': {
      name: '是否开启底部安全区适配，设置 fixed 时默认开启',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@change': {
      name: '切换标签时触发',
      tips: [{ value: 'changeTabbar', label: '返回当前选中标签的名称或索引值 active' }]
    }
  },
  'van-tabbar-item': {
    'name': {
      name: '标签名称，作为匹配的标识符，默认当前标签的索引值',
      tips: [
        { value: 'a', label: 'string' },
        { value: '1', label: 'number' }
      ]
    },
    'icon': {
      name: '图标名称或图片链接',
      tips: [
        { value: 'chat-o', label: '图标名称' },
        { value: 'https://b.yzcdn.cn/vant/icon-demo-1126.png', label: '图片链接' }
      ]
    },
    'icon-prefix': {
      name: '图标类名前缀，同 Icon 组件的 class-prefix 属性(v2.5.3+)',
      tips: [{ value: 'van-icon', label: '默认值' }]
    },
    'dot': {
      name: '是否显示图标右上角小红点',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'badge': {
      name: '图标右上角徽标的内容(v2.5.6+)',
      tips: [
        { value: 'new', label: 'string' },
        { value: '1', label: 'number' }
      ]
    },
    'url': {
      name: '点击后跳转的链接地址',
      tips: [{ value: 'http://xxx.com', label: '' }]
    },
    'to': {
      name: '点击后跳转的目标路由对象，同 vue-router 的 to 属性',
      tips: [
        { value: 'http://xxx.com', label: '' },
        { value: '{}', label: 'Route对象' }
      ]
    },
    'replace': {
      name: '是否在跳转时替换当前页面历史',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    }
  },
  'van-tree-select': {
    'items': {
      name: '分类显示所需的数据，item数据结构参考：https://youzan.github.io/vant/#/zh-CN/tree-select',
      tips: [{ value: '[]', label: 'Item[]，默认值' }]
    },
    'height': {
      name: '高度，默认单位为px',
      tips: [{ value: '300', label: '默认值' }]
    },
    'main-active-index': {
      name: '左侧选中项的索引',
      tips: [{ value: '0', label: '默认值' }]
    },
    'active-id': {
      name: '右侧选中项的 id，支持传入数组',
      tips: [
        { value: '0', label: '默认值' },
        { value: '[0,1]', label: '' }
      ]
    },
    'max': {
      name: '右侧项最大选中个数number(v2.2.0+)',
      tips: [{ value: 'Infinity', label: '默认值' }]
    },
    'selected-icon': {
      name: '自定义右侧栏选中状态的图标(v2.9.0+)',
      tips: [{ value: 'success', label: '默认值' }]
    },
    '@click-nav': {
      name: '点击左侧导航时触发',
      tips: [{ value: 'clickNavTreeSelect', label: '返回被点击的导航的索引 index' }]
    },
    '@click-item': {
      name: '点击右侧选择项时触发',
      tips: [{ value: 'clickItemTreeSelect', label: '返回该点击项的数据 data' }]
    }
  },
  'van-address-edit': {
    'area-list': {
      name: '地区列表，数据结构参考：https://youzan.github.io/vant/#/zh-CN/address-edit',
      tips: [{ value: '[]', label: '' }]
    },
    'area-columns-placeholder': {
      name: '地区选择列占位提示文字(v2.2.5+)',
      tips: [{ value: '[]', label: 'string[]，默认值' }]
    },
    'area-placeholder': {
      name: '地区输入框占位提示文字(v2.6.1+)',
      tips: [{ value: '选择省 / 市 / 区', label: '默认值' }]
    },
    'address-info': {
      name: '收货人信息初始值 AddressInfo 类型数据',
      tips: [{ value: '{}', label: '默认值' }]
    },
    'search-result': {
      name: '详细地址搜索结果，SearchResult[]类型数据',
      tips: [{ value: '[]', label: '默认值' }]
    },
    'show-postal': {
      name: '是否显示邮政编码',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'show-delete': {
      name: '是否显示删除按钮',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'show-set-default': {
      name: '是否显示默认地址栏',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'show-search-result': {
      name: '是否显示搜索结果',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'show-area': {
      name: '是否显示地区',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'show-detail': {
      name: '是否显示详细地址',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'disable-area': {
      name: '是否禁用地区选择(v2.5.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'save-button-text': {
      name: '保存按钮文字',
      tips: [{ value: '保存', label: '默认值' }]
    },
    'delete-button-text': {
      name: '删除按钮文字',
      tips: [{ value: '删除', label: '默认值' }]
    },
    'detail-rows': {
      name: '详细地址输入框行数',
      tips: [{ value: '1', label: '默认值' }]
    },
    'detail-maxlength': {
      name: '详细地址最大长度(v2.0.4+)',
      tips: [{ value: '200', label: '默认值' }]
    },
    'is-saving': {
      name: '是否显示保存按钮加载动画',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'is-deleting': {
      name: '是否显示删除按钮加载动画',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'tel-validator': {
      name: '手机号格式校验函数',
      tips: [{ value: 'telValidatorAddressEdit', label: 'Function(string) => boolean' }]
    },
    'tel-maxlength': {
      name: '手机号最大长度(v2.10.0+)',
      tips: [{ value: '11', label: '' }]
    },
    'postal-validator': {
      name: '邮政编码格式校验函数(v2.1.2+)',
      tips: [{ value: 'postalValidatorAddressEdit', label: 'Function(string) => boolean' }]
    },
    'validator': {
      name: '自定义校验函数',
      tips: [{ value: 'validatorAddressEdit', label: 'Function(key, val) => string' }]
    },
    '@save': {
      name: '点击保存按钮时触发',
      tips: [{ value: 'saveAddressEdit', label: '返回表单内容 content' }]
    },
    '@focus': {
      name: '输入框聚焦时触发',
      tips: [{ value: 'focusAddressEdit', label: '返回聚焦的输入框对应的 key' }]
    },
    '@delete': {
      name: '确认删除地址时触发',
      tips: [{ value: 'deleteAddressEdit', label: '返回表单内容 content' }]
    },
    '@cancel-delete': {
      name: '取消删除地址时触发',
      tips: [{ value: 'cancelDeleteAddressEdit', label: '返回表单内容 content' }]
    },
    '@select-search': {
      name: '选中搜索结果时触发',
      tips: [{ value: 'selectSearchAddressEdit', label: '返回搜索结果 value' }]
    },
    '@click-area': {
      name: '点击收件地区时触发(v2.5.9+)',
      tips: [{ value: 'clickAreaAddressEdit', label: '' }]
    },
    '@change-area': {
      name: '修改收件地区时触发',
      tips: [{ value: 'changeAreaAddressEdit', label: '返回地区信息 value' }]
    },
    '@change-detail': {
      name: '修改详细地址时触发',
      tips: [{ value: 'selectSearchAddressEdit', label: '返回详细地址内容 value' }]
    },
    '@change-default': {
      name: '切换是否使用默认地址时触发',
      tips: [{ value: 'changeDefaultAddressEdit', label: '返回是否选中 value' }]
    }
  },
  'van-address-list': {
    'v-model': {
      name: '当前选中地址的 id',
      tips: [{ value: 'id', label: '' }]
    },
    'list': {
      name: '地址列表，Address[]类型数据',
      tips: [{ value: '[]', label: '默认值' }]
    },
    'disabled-list': {
      name: '不可配送地址列表，Address[]类型数据',
      tips: [{ value: '[]', label: '默认值' }]
    },
    'disabled-text': {
      name: '不可配送提示文案',
      tips: [{ value: '以下地址超出配送范围', label: '' }]
    },
    'switchable': {
      name: '是否允许切换地址',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'add-button-text': {
      name: '底部按钮文字',
      tips: [{ value: '新增地址', label: '默认值' }]
    },
    'default-tag-text': {
      name: '默认地址标签文字(v2.3.0+)',
      tips: [{ value: '配送地址', label: '' }]
    },
    '@add': {
      name: '点击新增按钮时触发',
      tips: [{ value: 'addAddressList', label: '' }]
    },
    '@edit': {
      name: '点击编辑按钮时触发',
      tips: [{ value: 'editAddressList', label: '返回 item: 地址对象，index: 索引' }]
    },
    '@select': {
      name: '切换选中的地址时触发',
      tips: [{ value: 'selectAddressList', label: '返回 item: 地址对象，index: 索引' }]
    },
    '@edit-disabled': {
      name: '编辑不可配送的地址时触发',
      tips: [{ value: 'editDisabledAddressList', label: '返回 item: 地址对象，index: 索引' }]
    },
    '@select-disabled': {
      name: '选中不可配送的地址时触发',
      tips: [{ value: 'selectDisabledAddressList', label: '返回 item: 地址对象，index: 索引' }]
    },
    '@click-item': {
      name: '点击任意地址时触发',
      tips: [{ value: 'clickItemAddressList', label: '返回 item: 地址对象，index: 索引' }]
    }
  },
  'van-area': {
    'value': {
      name: '当前选中的省市区code',
      tips: [{ value: 'code', label: '' }]
    },
    'title': {
      name: '顶部栏标题',
      tips: [{ value: '标题', label: '' }]
    },
    'confirm-button-text': {
      name: '确认按钮文字',
      tips: [{ value: '确认', label: '默认值' }]
    },
    'cancel-button-text': {
      name: '取消按钮文字',
      tips: [{ value: '取消', label: '默认值' }]
    },
    'area-list': {
      name: '省市区数据，格式参考：https://youzan.github.io/vant/#/zh-CN/area',
      tips: [{ value: '{}', label: '' }]
    },
    'columns-placeholder': {
      name: '列占位提示文字(v2.2.5+)',
      tips: [{ value: '[]', label: '' }]
    },
    'loading': {
      name: '是否显示加载状态',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'item-height': {
      name: '选项高度，支持 px vw rem 单位，默认 px(v2.8.6+)',
      tips: [{ value: '44', label: '默认值' }]
    },
    'columns-num': {
      name: '显示列数',
      tips: [
        { value: '3', label: '省市区，默认值' },
        { value: '2', label: '省市' },
        { value: '1', label: '省' }
      ]
    },
    'visible-item-count': {
      name: '可见的选项个数',
      tips: [{ value: '6', label: '默认值' }]
    },
    'swipe-duration': {
      name: '快速滑动时惯性滚动的时长，单位ms(v2.2.13+)',
      tips: [{ value: '1000', label: '默认值' }]
    },
    'is-oversea-code': {
      name: '根据code校验海外地址，海外地址会划分至单独的分类(v2.1.4+)',
      tips: [{ value: 'isOverseaCodeArea', label: 'Function() => boolean' }]
    },
    '@confirm': {
      name: '点击右上方完成按钮',
      tips: [{ value: 'confirmArea', label: '返回一个数组参数，具体格式看数据格式章节' }]
    },
    '@cancel': {
      name: '点击取消按钮时',
      tips: [{ value: 'cancelArea', label: '' }]
    },
    '@change': {
      name: '选项改变时触发',
      tips: [{ value: 'changeArea', label: '返回 Picker 实例，所有列选中值，当前列对应的索引' }]
    }
  },
  'van-card': {
    'thumb': {
      name: '左侧图片 URL',
      tips: [{ value: 'http://xxx.com', label: '' }]
    },
    'title': {
      name: '标题',
      tips: [{ value: '标题', label: '' }]
    },
    'desc': {
      name: '描述',
      tips: [{ value: '描述', label: '' }]
    },
    'tag': {
      name: '图片角标，可使用插槽',
      tips: [{ value: 'new', label: '' }]
    },
    'num': {
      name: '商品数量',
      tips: [{ value: '1', label: '' }]
    },
    'price': {
      name: '商品价格',
      tips: [{ value: '999', label: '' }]
    },
    'origin-price': {
      name: '商品划线原价',
      tips: [{ value: '1999', label: '' }]
    },
    'centered': {
      name: '内容是否垂直居中',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'currency': {
      name: '货币符号',
      tips: [{ value: '¥', label: '默认值' }]
    },
    'thumb-link': {
      name: '点击左侧图片后跳转的链接地址',
      tips: [{ value: 'http://xxx.com', label: '' }]
    },
    'lazy-load': {
      name: '是否开启图片懒加载，须配合 Lazyload 组件使用',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@click': {
      name: '点击时触发',
      tips: [{ value: 'clickCard', label: '返回事件 Event' }]
    },
    '@click-thumb': {
      name: '点击自定义图片时触发',
      tips: [{ value: 'clickThumbCard', label: '返回事件 Event' }]
    }
  },
  'van-contact-card': {
    'type': {
      name: '类型',
      tips: [
        { value: 'add', label: '默认值' },
        { value: 'edit', label: '' }
      ]
    },
    'name': {
      name: '联系人姓名',
      tips: [{ value: '姓名', label: '' }]
    },
    'tel': {
      name: '联系人手机号',
      tips: [{ value: '手机号', label: '' }]
    },
    'add-text': {
      name: '添加时的文案提示',
      tips: [{ value: '添加订单联系人信息', label: '' }]
    },
    '@click': {
      name: '点击时触发',
      tips: [{ value: 'clickContactCard', label: '返回事件 Event' }]
    }
  },
  'van-contact-list': {
    'v-model': {
      name: '当前选中联系人的 id',
      tips: [{ value: 'id', label: '' }]
    },
    'list': {
      name: '联系人列表，Contact[]类型数据',
      tips: [{ value: '[]', label: '默认值' }]
    },
    'add-text': {
      name: '新建按钮文案',
      tips: [{ value: '新建联系人', label: '' }]
    },
    'default-tag-text': {
      name: '默认联系人标签文案(v2.3.0+)',
      tips: [{ value: '默认联系人', label: '' }]
    },
    '@add': {
      name: '点击新增按钮时触发',
      tips: [{ value: 'addContactList', label: '' }]
    },
    '@edit': {
      name: '点击编辑按钮时触发',
      tips: [{ value: 'editContactList', label: '返回 item: 当前联系人对象，index: 索引' }]
    },
    '@select': {
      name: '切换选中的联系人时触发',
      tips: [{ value: 'selectContactList', label: '返回 item: 当前联系人对象，index: 索引' }]
    }
  },
  'van-contact-edit': {
    'contact-info': {
      name: '联系人信息',
      tips: [{ value: '[]', label: '默认值' }]
    },
    'is-edit': {
      name: '是否为编辑联系人',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'is-saving': {
      name: '是否显示保存按钮加载动画',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'is-deleting': {
      name: '是否显示删除按钮加载动画',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'tel-validator': {
      name: '手机号格式校验函数',
      tips: [{ value: 'telValidatorContactEdit', label: 'Function(tel: string) => boolean' }]
    },
    'show-set-default': {
      name: '是否显示默认联系人栏(v2.3.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'set-default-label': {
      name: '默认联系人栏文案(v2.3.0+)',
      tips: [{ value: '默认联系人', label: '' }]
    },
    '@save': {
      name: '点击保存按钮时触发',
      tips: [{ value: 'saveContactEdit', label: '返回表单内容 content' }]
    },
    '@delete': {
      name: '点击删除按钮时触发',
      tips: [{ value: 'deleteContactEdit', label: '返回表单内容 content' }]
    }
  },
  'van-coupon-cell': {
    'title': {
      name: '单元格标题',
      tips: [{ value: '优惠券', label: '默认值' }]
    },
    'chosen-coupon': {
      name: '当前选中优惠券的索引',
      tips: [{ value: '-1', label: '默认值' }]
    },
    'coupons': {
      name: '可用优惠券列表，Coupon[]类型数据',
      tips: [{ value: '[]', label: '默认值' }]
    },
    'editable': {
      name: '能否切换优惠券',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'border': {
      name: '是否显示内边框',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'currency': {
      name: '货币符号',
      tips: [{ value: '¥', label: '默认值' }]
    }
  },
  'van-coupon-list': {
    'v-model': {
      name: '当前输入的兑换码',
      tips: [{ value: 'code', label: '' }]
    },
    'chosen-coupon': {
      name: '当前选中优惠券的索引',
      tips: [{ value: '-1', label: '默认值' }]
    },
    'coupons': {
      name: '可用优惠券列表，Coupon[]类型数据',
      tips: [{ value: '[]', label: '默认值' }]
    },
    'disabled-coupons': {
      name: '不可用优惠券列表，Coupon[]类型数据',
      tips: [{ value: '[]', label: '默认值' }]
    },
    'enabled-title': {
      name: '可用优惠券列表标题',
      tips: [{ value: '可使用优惠券', label: '默认值' }]
    },
    'disabled-title': {
      name: '不可用优惠券列表标题',
      tips: [{ value: '不可使用优惠券', label: '默认值' }]
    },
    'exchange-button-text': {
      name: '兑换按钮文字',
      tips: [{ value: '兑换', label: '默认值' }]
    },
    'exchange-button-loading': {
      name: '是否显示兑换按钮加载动画',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'exchange-button-disabled': {
      name: '是否禁用兑换按钮',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'exchange-min-length': {
      name: '兑换码最小长度',
      tips: [{ value: '1', label: '默认值' }]
    },
    'displayed-coupon-index': {
      name: '滚动至特定优惠券位置',
      tips: [{ value: '1', label: '' }]
    },
    'show-close-button': {
      name: '是否显示列表底部按钮',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'close-button-text': {
      name: '列表底部按钮文字',
      tips: [{ value: '不使用优惠', label: '默认值' }]
    },
    'input-placeholder': {
      name: '输入框文字提示',
      tips: [{ value: '请输入优惠码', label: '默认值' }]
    },
    'show-exchange-bar': {
      name: '是否展示兑换栏',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'currency': {
      name: '货币符号',
      tips: [{ value: '¥', label: '默认值' }]
    },
    'empty-image': {
      name: '列表为空时的占位图(v2.1.0+)',
      tips: [{ value: 'https://img.yzcdn.cn/vant/coupon-empty.png', label: '默认值' }]
    },
    'show-count': {
      name: '是否展示可用 / 不可用数量(v2.3.0+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    '@change': {
      name: '优惠券切换回调',
      tips: [{ value: 'changeContactList', label: '返回选中优惠券的索引 index' }]
    },
    '@exchange': {
      name: '兑换优惠券回调',
      tips: [{ value: 'exchangeContactList', label: '返回兑换码 code' }]
    }
  },
  'van-goods-action': {
    'safe-area-inset-bottom': {
      name: '是否开启底部安全区适配',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    }
  },
  'van-goods-action-icon': {
    'text': {
      name: '按钮文字',
      tips: [
        { value: '客服', label: '' },
        { value: '收藏', label: '' },
        { value: '店铺', label: '' },
        { value: '购物车', label: '' }
      ]
    },
    'icon': {
      name: '图标',
      tips: [
        { value: 'chat-o', label: '' },
        { value: 'star', label: '' },
        { value: 'shop-o', label: '' },
        { value: 'cart-o', label: '' }
      ]
    },
    'color': {
      name: '图标颜色(v2.4.2+)',
      tips: [{ value: '#323233', label: '默认值' }]
    },
    'icon-class': {
      name: '图标额外类名',
      tips: [{ value: 'class_name', label: '自定义class名称' }]
    },
    'dot': {
      name: '是否显示图标右上角小红点(2.5.5+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'badge': {
      name: '图标右上角徽标的内容(v2.5.6+)',
      tips: [
        { value: 'new', label: 'string' },
        { value: '1', label: 'number' }
      ]
    },
    'url': {
      name: '点击后跳转的链接地址',
      tips: [{ value: 'http://xxx.com', label: '' }]
    },
    'to': {
      name: '点击后跳转的目标路由对象，同 vue-router 的 to 属性',
      tips: [
        { value: 'http://xxx.com', label: '' },
        { value: '{}', label: 'Route对象' }
      ]
    },
    'replace': {
      name: '是否在跳转时替换当前页面历史',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    }
  },
  'van-goods-action-button': {
    'text': {
      name: '按钮文字',
      tips: [
        { value: '加入购物车', label: '' },
        { value: '立即购买', label: '' },
        { value: '抢购', label: '' }
      ]
    },
    'type': {
      name: '按钮类型',
      tips: [
        { value: 'default', label: '默认值' },
        { value: 'primary', label: '' },
        { value: 'info', label: '' },
        { value: 'warning', label: '' },
        { value: 'danger', label: '' }
      ]
    },
    'color': {
      name: '按钮颜色，支持传入linear-gradient渐变色(v2.1.8+)',
      tips: [{ value: '#be99ff', label: '' }]
    },
    'icon': {
      name: '左侧图标名称或图片链接(v2.4.4+)',
      tips: [
        { value: 'chat-o', label: '图标名称' },
        { value: 'https://b.yzcdn.cn/vant/icon-demo-1126.png', label: '图片链接' }
      ]
    },
    'disabled': {
      name: '是否禁用按钮',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'loading': {
      name: '是否显示为加载状态',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'url': {
      name: '点击后跳转的链接地址',
      tips: [{ value: 'http://xxx.com', label: '' }]
    },
    'to': {
      name: '点击后跳转的目标路由对象，同 vue-router 的 to 属性',
      tips: [
        { value: 'http://xxx.com', label: '' },
        { value: '{}', label: 'Route对象' }
      ]
    },
    'replace': {
      name: '是否在跳转时替换当前页面历史',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    }
  },
  'van-submit-bar': {
    'price': {
      name: '价格（单位分）',
      tips: [{ value: '100', label: '' }]
    },
    'label': {
      name: '价格左侧文案',
      tips: [{ value: '合计：', label: '默认值' }]
    },
    'suffix-label': {
      name: '价格右侧文案',
      tips: [{ value: '元', label: '' }]
    },
    'text-align': {
      name: '价格文案对齐方向(v2.3.0+)',
      tips: [
        { value: 'right', label: '默认值' },
        { value: 'left', label: '' }
      ]
    },
    'button-text': {
      name: '按钮文字',
      tips: [{ value: '提交订单', label: '' }]
    },
    'button-type': {
      name: '按钮类型',
      tips: [
        { value: 'danger', label: '默认值' },
        { value: 'primary', label: '' },
        { value: 'info', label: '' },
        { value: 'warning', label: '' },
        { value: 'default', label: '' }
      ]
    },
    'button-color': {
      name: '自定义按钮颜色(v2.9.1+)',
      tips: [{ value: '#be99ff', label: '' }]
    },
    'tip': {
      name: '提示文案',
      tips: [{ value: '提示', label: '' }]
    },
    'tip-icon': {
      name: '左侧图标名称或图片链接',
      tips: [
        { value: 'chat-o', label: '图标名称' },
        { value: 'https://b.yzcdn.cn/vant/icon-demo-1126.png', label: '图片链接' }
      ]
    },
    'currency': {
      name: '货币符号',
      tips: [{ value: '¥', label: '默认值' }]
    },
    'decimal-length': {
      name: '价格小数点后位数',
      tips: [{ value: '2', label: '默认值' }]
    },
    'disabled': {
      name: '是否禁用按钮',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'loading': {
      name: '是否显示加载中的按钮',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'safe-area-inset-bottom': {
      name: '是否开启底部安全区适配(v2.2.1+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@submit': {
      name: '按钮点击事件回调',
      tips: [{ value: 'submitBar', label: '' }]
    }
  },
  'van-sku': {
    'v-model': {
      name: '是否显示商品规格弹窗',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'sku': {
      name: '商品 sku 数据',
      tips: [{ value: '{}', label: '数据格式：https://youzan.github.io/vant/#/zh-CN/sku' }]
    },
    'goods': {
      name: '商品信息',
      tips: [{ value: '{}', label: '数据格式：https://youzan.github.io/vant/#/zh-CN/sku' }]
    },
    'goods-id': {
      name: '商品 id',
      tips: [{ value: 'id', label: '' }]
    },
    'price-tag': {
      name: '显示在价格后面的标签',
      tips: [{ value: 'tag', label: '' }]
    },
    'hide-stock': {
      name: '是否显示商品剩余库存',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'hide-quota-text': {
      name: '是否显示限购提示',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'hide-selected-text': {
      name: '是否隐藏已选提示',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'stock-threshold': {
      name: '库存阈值。低于这个值会把库存数高亮显示',
      tips: [{ value: '50', label: '默认值' }]
    },
    'show-add-cart-btn': {
      name: '是否显示加入购物车按钮',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'buy-text': {
      name: '购买按钮文字',
      tips: [{ value: '立即购买', label: '默认值' }]
    },
    'add-cart-text': {
      name: '加入购物车按钮文字',
      tips: [{ value: '加入购物车', label: '默认值' }]
    },
    'quota': {
      name: '限购数，0 表示不限购',
      tips: [{ value: '0', label: '默认值' }]
    },
    'quota-used': {
      name: '已经购买过的数量',
      tips: [{ value: '0', label: '默认值' }]
    },
    'reset-stepper-on-hide': {
      name: '隐藏时重置选择的商品数量',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'reset-selected-sku-on-hide': {
      name: '隐藏时重置已选择的 sku',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'disable-stepper-input': {
      name: '是否禁用步进器输入',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    'close-on-click-overlay': {
      name: '是否在点击遮罩层后关闭',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'stepper-title': {
      name: '数量选择组件左侧文案',
      tips: [{ value: '购买数量', label: '默认值' }]
    },
    'custom-stepper-config': {
      name: '步进器相关自定义配置',
      tips: [{ value: '{}', label: '数据格式：https://youzan.github.io/vant/#/zh-CN/sku' }]
    },
    'message-config': {
      name: '步进器相关自定义配置',
      tips: [{ value: '{}', label: '数据格式：https://youzan.github.io/vant/#/zh-CN/sku' }]
    },
    'get-container': {
      name: '指定挂载的节点，使用 get-container 属性的组件不能为根节点',
      tips: [
        { value: 'body', label: '' },
        { value: '#app', label: '' },
        { value: 'function', label: '' }
      ]
    },
    'initial-sku': {
      name: '默认选中的 sku',
      tips: [{ value: '{}', label: '数据格式：https://youzan.github.io/vant/#/zh-CN/sku' }]
    },
    'show-soldout-sku': {
      name: '是否展示售罄的 sku，默认展示并置灰',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'safe-area-inset-bottom': {
      name: '是否开启底部安全区适配(v2.2.1+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'start-sale-num': {
      name: '起售数量(v2.3.0+)',
      tips: [{ value: '1', label: '默认值' }]
    },
    'properties': {
      name: '商品属性(v2.4.2+)',
      tips: [{ value: '[]', label: '数据格式：https://youzan.github.io/vant/#/zh-CN/sku' }]
    },
    'preview-on-click-image': {
      name: '是否在点击商品图片时自动预览(v2.5.2+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'show-header-image': {
      name: '是否展示头部图片(v2.9.0+)',
      tips: [{ value: 'true', label: '是，默认值' }, { value: 'false', label: '否' }]
    },
    'lazy-load': {
      name: '是否开启图片懒加载，须配合 Lazyload 组件使用(v2.9.0+)',
      tips: [{ value: 'false', label: '否，默认值' }, { value: 'true', label: '是' }]
    },
    '@add-cart': {
      name: '按钮点击事件回调',
      tips: [{ value: 'addCartSKU', label: '返回skuData: object' }]
    },
    '@buy-clicked': {
      name: '点击购买回调',
      tips: [{ value: 'buyClickedSKU', label: '返回skuData: object' }]
    },
    '@stepper-change': {
      name: '购买数量变化时触发',
      tips: [{ value: 'stepperChangeSKU', label: '返回value: number' }]
    },
    '@sku-selected': {
      name: '切换规格类目时触发',
      tips: [{ value: 'skuSelectedSKU', label: '返回{ skuValue, selectedSku, selectedSkuComb }' }]
    },
    '@sku-prop-selected': {
      name: '切换商品属性时触发',
      tips: [{ value: 'skuPropSelectedSKU', label: '返回{ propValue, selectedProp, selectedSkuComb }' }]
    },
    '@open-preview': {
      name: '打开商品图片预览时触发',
      tips: [{ value: 'openPreviewSKU', label: '返回data: object' }]
    },
    '@close-preview': {
      name: '关闭商品图片预览时触发',
      tips: [{ value: 'closePreviewSKU', label: '返回data: object' }]
    },
    '@sku-reset': {
      name: '规格和属性被重置时触发(v2.8.1+)',
      tips: [{ value: 'skuResetSKU', label: '返回{ selectedSku, selectedProp, selectedSkuComb }' }]
    }
  }
}
